############################################################################
#
# visitors_prefs.cgi
# Version: 1.85te01
# Edit the settings in this file to customize VisitorLog for your needs.
#
############################################################################



########################################################################
# Specify your database settings.  The hostname may be left blank (which
# defaults to 'localhost') on many servers, but the other three settings
# -- database name, username, and password -- must be specified.
#
# The database user you specify must have full MySQL privileges: Select,
# Insert, Update, Delete, Create, Drop, Index, Alter.
#
$PREF{database_hostname}				= '';
$PREF{database_name}					= '';
$PREF{database_username}				= '';
$PREF{database_password}				= '';
#
# The following setting usually doesn't need to be adjusted.  If you're
# using PostgreSQL instead of MySQL, then just make sure you have the
# DBD::Pg Perl module installed, then change the dbi_connection_string
# to "dbi:Pg:dbname=%%dbname%%".  Or if your mysql.sock file is in a
# non-standard location, you can specify that in the connection string:
#
#	dbi:mysql:%%dbname%%;mysql_socket=/var/mysql/mysql.sock
#
$PREF{dbi_connection_string}				= "dbi:mysql:%%dbname%%";



############################################################################
# Options for the various database-viewer pages/tables/logs/etc.
#
$PREF{enable_quicksort_by_default}			= 'yes';
$PREF{database_file_picker_file_icon}			= '%PREF{image_path}/db_file_icon.gif';
$PREF{database_file_picker_default_allowed_file_types}	= 'txt|doc|pdf|jpg|jpeg|png|bmp|gif|mp3|mpg|avi';



############################################################################
# Choose which items ("widgets") VisitorLog should display in your site's
# sidebar/footer/etc.  The options are:
#
#	visitors_graph, recent_visitors, visitors_summary, popular_pages
#
# You can specify zero or more of them, separated by commas.  To actually
# display these widgets, use one of the following 3 methods:
#
#	1. Use SSI or PHP code to include VisitorLog's cached widget
#	   output within your .shtml/.php page; these cache files are in
#	   the /visitors/appdata/cached_output directory by default.
#
#	2. Enable the realtime_stats_in_output_widgets setting, and then
#	   put the following HTML code somewhere in your page:
#
#		<div id="vlogoutput">Visitor Stats Loading...</div>
#
# 	3. Call visitors.cgi?action=widgets from your .shtml/.php page
#	   using SSI code or PHP code.
#
# Method #1 is recommended; it should be the fastest.  The tradeoff for
# that speed is that your widgets won't be displaying quite realtime
# stats; they'll be delayed by time_between_widget_cache_updates, which
# is 5 minutes by default.  For most purposes that's probably plenty
# close enough to realtime.  Alternatively you can use method #2 or #3,
# which will give you realtime stats, but at the cost of being harder
# on the server, since it needs to calculate the stats on every page
# load.
#
# This is separate from VisitorLog's actual logging of visitors: that's
# enabled via the vlog.js line that you add to your site's <head>, and
# that alone doesn't display any output on your page.
#
$PREF{enabled_output_widgets}				= 'visitors_summary, visitors_graph, recent_visitors, popular_pages';
$PREF{realtime_stats_in_output_widgets}			= 'no';
$PREF{time_between_widget_cache_updates}		= 60*5;   # in seconds; 0 to disable.



############################################################################
# It takes a fair amount of server power to do a database-lookup and a
# database-write on every single page access.  If your server isn't very
# powerful, and/or if your site gets very many (~10,000 or more) visitors
# per day, then you may find that VisitorLog bogs the server down.  To
# prevent that, adjust the two values here.  Making the values smaller 
# will cause VisitorLog to quit early (without performing the logging)
# if the server is getting too overloaded.
#
$PREF{max_load}						= 280;
$PREF{max_instances}					= 85;
$PREF{hide_load_and_instance_error_messages}		= 'no';



############################################################################
# These print debugging output into the server's error-log file.
# $PREF{enable_debug} prints the output only if the word "debug" is passed
# on the query-string, whereas $PREF{force_debug} prints the output always.
# There is no visible debugging output on the web page in any case.
#
$PREF{enable_debug}					= 'no';
$PREF{force_debug}					= 'no';



############################################################################
# We'll detect your server's document-root automatically, but on some
# servers you may need to uncomment this and specify it manually.  IIS users
# may need to set it like this:
#
#	$PREF{DOCROOT} = 'c:\inetpub\wwwroot';
#
#$PREF{DOCROOT}						= $ENV{DOCUMENT_ROOT};



########################################################################
# Here you must specify the path to the world-writable (chmod a+rwx or
# 0777) VisitorLog data directory.  On most servers this will be in the 
# DOCROOT, in which case we'll prepend your DOCROOT to whatever you set
# datadir to.  If for some reason you want to specify it with
# an absolute path, or a path that's relative to the current directory
# instead of the DOCROOT, then set _is_in_docroot to no.
#
$PREF{datadir}						= 'encdata';
$PREF{datadir_is_in_docroot}				= 'no';



############################################################################
# If you've renamed VisitorLog's top-level "visitors" folder to something
# else, then adjust this setting to match your new name/location for it.
# But in most cases that folder shouldn't be moved, and this setting
# shouldn't be changed.
#
$PREF{app_base_folder}					= '/visitors';



############################################################################
# This is where you install VisitorLog's images (icons, backgrounds, etc).
# It must be within your website's document root.  It must not end with
# a slash.
#
$PREF{image_path}					= '/visitors/images';



############################################################################
# Password Protection, Option 1 of 3 (simple; no usernames):
#
# If you want to require just a password (without a username) for access to
# the application, then you can set these hashes.  Go to:
#
#	yoursite.com/cgi-bin/visitors.cgi?newpw
#
# Enter the password you want to use into that page, and it will generate a
# "hash" of the password, which is a string that looks something like this:
#
#	cdfc81932491375c34c842bcebc7dc15
#
# Copy and paste the hash into one of the following preferences.  Then when
# you want to log in, enter the password, not the hash.  This is so that we
# don't store the actual password on disk, which would be very insecure.
#
# We specify two possible user-levels (or "groups"): member and admin.
# (Actually, there are three, including "public" which obviously has no
# password.)  If you want, you can use just one of them, and have a single
# password for all features of the application.  Or you can specify both,
# and set the "groups_allowed_to" preferences accordingly, so that certain
# features are only available to the specified group.
#
# Admins are automatically members too, so someone with an admin password
# automatically has access to anything that requires a member password.
#
$PREF{member_password_hash_01}				= '';
$PREF{admin_password_hash_01}				= '';



############################################################################
# Password Protection, Option 2 of 3 (full-featured; unlimited usernames):
#
# If you need a full-featured login system (with unlimited usernames, each 
# having its own password, and unlimited groups), instead of this script's
# simple built-in password system which has just passwords without
# usernames, then you should use our UserBase application:
#
#	http://encodable.com/userbase/
#
# There are 2 ways to enable UserBase integration: the original way using the
# $PREF{integrate_with_userbase} setting, and the alternative way using the
# $PREF{integrate_with_userbase_method_b} setting.  Method B should generally
# only be used when the original method fails, which may happen due to
# incompatibilities if you're running a newer version of one app and an older
# version of the other.
#
###
#
# UserBase original method and settings:
#
$PREF{integrate_with_userbase}				= 'no';
$PREF{userbase_prefs_file_basename}			= 'userbase'; # don't change this unless you've renamed your userbase_prefs.cgi file.
#
# UserBase method B and settings:
#
$PREF{integrate_with_userbase_method_b}			= 'no';
$PREF{userbase_local_scriptname}			= "/cgi-bin/userbase.cgi";
$PREF{path_to_userbase}					= "%PREF{DOCROOT}%PREF{userbase_local_scriptname}";
#
# UserBase shared settings -- for both the original method and method B: most
# of these can be left at their default values, though if you've set up the
# short /login/ URL on your site (see UserBase homepage for instructions)
# then you'll want to set login_url (but NOT logout_url) to "/login/".
#
$PREF{login_url}					= '/cgi-bin/userbase.cgi';
$PREF{logout_url}					= '/cgi-bin/userbase.cgi?logout';
$PREF{userbase_login_error_message}			= "Authentication required: please %%login_link%% first.";
$PREF{forced_logout_link}				= qq`<script type="text/javascript">location.href="%%logout_url%%";</script><p>Logging out; <a href="%%logout_url%%">click here</a> if you see this message for more than a few seconds.</p>\n`;
$PREF{loggedout_page_template__no_referer}		= qq`You are logged out.`;
$PREF{loggedout_page_template__with_referer}		= qq`<p>You are logged out.&nbsp; <a href="%%ref%%">Click here</a> to return to the page you came from.</p>`;
$PREF{login_status_string_template}			= qq`[ %%usertype%% %%username%% logged in%%extra_info%%. ]`;
$PREF{needlogin_message}				= qq`%%js_auto_redirect%%<h1 class="pagetitle">Login Required</h1><p>Login required; <a href="%%login_url%%">click here</a> to continue.</p>`;
$PREF{needprivs_message}				= qq`%%js_auto_redirect%%<h1 class="pagetitle">Access Denied</h1><p>Access denied.&nbsp; %%%if-notloggedin%%%Perhaps you need to <a href="%%login_url%%">login</a> first?%%%end-notloggedin%%%</p>`;



############################################################################
# Password Protection, Option 3 of 3 (use your site's existing login system):
#
# If your site already has a login system, either cookie-based or based on
# PHP sessions, you can make VisitorLog integrate with it.
#
# If using the PHP session method, you must set the following environment
# variable from PHP just before calling visitors.cgi from PHP:
#
# 	putenv("PHP_ENC_USERNAME=$username");	# where $username is your PHP user variable.
#
# If some of your users should have admin privileges, add their usernames to
# the $PREF{admin_usernames_list} setting, which is a comma-separated list.
#
# The integrate_with_existing_login_system option is mutually exclusive with
# the integrate_with_userbase option.
#
$PREF{integrate_with_existing_login_system}		= 'no';
$PREF{login_error_message}				= qq`Error: not logged in.&nbsp; Perhaps you need to <a href="/">go home</a> and log in first?`;
#$PREF{logout_url}					= '/logout/';
#$PREF{login_url}					= '/login/';
#$PREF{forced_logout_link}				= qq`<p>Logging out; <a href="%%logout_url%%">click here</a> to continue.</p>\n`;
#
$PREF{enable_username_from_cookie}			= 'no';
$PREF{username_cookie_name}				= 'username';
$PREF{enable_username_from_php_session}			= 'no';
$PREF{enable_username_from_apache_auth}			= 'no';
$PREF{admin_usernames_list}				= '';



############################################################################
# Whether you're using UserBase or VisitorLog's built-in password system,
# the following "groups_allowed_to_*" PREFs control who can access what.
# Each item must be set to a comma-separated list of group names.  If you're
# not using UserBase, then the only possible groupnames are public, member,
# and admin.  Note that public includes member and admin (i.e. members and
# administrators are also members of the public), and member includes admin
# (i.e. administrators are also members).
#
# If you are customizing VisitorLog by modifying its internal code, and you
# want to add your own restricted actions here, see the user_is_allowed_to()
# function, and search the script for calls to that function, to see how the
# system works.
#
$PREF{groups_allowed_to_view_full_visitorlog}		= 'public';
$PREF{groups_allowed_to_view_stats_page}		= 'public';



############################################################################
# Specify the short URLs to the VisitorLog on your server.  Note that these
# are not full filesystem paths; they are within your server's DOCROOT.
# If you have the nice short /visitors/ URL set up on your server
# (see VisitorLog homepage for instructions), then set these to:
#
#	$PREF{vlog_url_short}  = '/visitors/';
#	$PREF{stats_url_short} = '/visitors/stats/';
#
# Otherwise set them to:
#
#	$PREF{vlog_url_short}  = $ENV{SCRIPT_NAME};
#	$PREF{stats_url_short} = $ENV{SCRIPT_NAME};
#
$PREF{vlog_url_short}					= $ENV{SCRIPT_NAME};
$PREF{stats_url_short}					= $ENV{SCRIPT_NAME};



############################################################################
# You can set a time offset for the datestamps in the visitor log, in case
# your server is in a different time-zone than you are.  The offset is in
# hours and can be negative.
#
$PREF{time_offset}					= 0;



############################################################################
# If you want VisitorLog to start counting at some number other than zero,
# for example because you had a different visitor logger/counter on your
# site before and you want to include those hits in VisitorLog's count, then
# you can specify that here.  Set the offset to your old visitor count, and
# specify the date (in any format you want) that you first started counting.
#
$PREF{visitor_count_offset}				= '';
$PREF{visitor_count_startdate}				= '';



############################################################################
# This determines what the recent visitors list displays: visitors currently
# online, visitors recently (but not necessarily currently) online, or both,
# where once the online-visitor-count reaches a certain threshold, it switches
# from displaying recent visitors to displaying those currently online.
# So the possible values are online, recent, and both.
#
$PREF{show_online_or_recent}				= 'both';
$PREF{online_or_recent_both_threshold}			= 5;
$PREF{num_visitors_to_show_in_recent_visitors_widget}	= 8;



############################################################################
# If you'd like VisitorLog to keep a permanent record of all pages viewed by
# every visitor, as opposed to just logging the current page that each
# visitor is viewing, then enable this setting.
#
$PREF{enable_pageview_history}				= 'no';



############################################################################
# Various VisitorLog options:
#
$PREF{log_administrators}				= 'yes';
$PREF{sanitize_profane_guest_names}			= 'yes';
$PREF{disallow_existing_UserBase_usernames_as_anonymous_guest_names} = 'no';



############################################################################
# Specify an approximate daily visitors value to limit the number of
# records we'll pull from the db each time we're called.  This is used
# for DISPLAY only, it does NOT affect logging at all.  It is used to
# determine how far back into the visitor log we'll go when looking for
# visitors who are still online, for the online-visitor-count.  Since
# we consider 1 day to be the maximum length of a visit (after which we
# re-log the visitor anew), we only need to check 1 day's worth of db
# records to get the online-visitor-count.  This directly affects
# performance, so if this script is taxing your server too hard then
# you may want to set this to a smaller value.
#
$PREF{approx_daily_visitors}				= 500;



############################################################################
# The stats page will display statistics for visitors from the past N days
# by default.  You can set that value here.
#
$PREF{default_stats_period}				= 60;



############################################################################
# Some visitors -- mainly spiders for the various search engines -- have
# practices that frustrate our logging efforts.  In particular they often
# come from multiple IPs at the same time, and don't accept cookies, so at
# first glance we'd assume they are multiple unique visitors.  But since we
# can recognize (based on IP address, hostname or user-agent) that they are
# spiders, we know that we don't want them logged 20 times in 5 minutes as
# 20 different visitors; instead we'd like to just log all those 20 IPs as a
# single visit.  By specifying these bots' IP addresses, user-agents, and/or
# hostnames here, we can achieve that.
#
# Also, some spiders/bots are user-agent liars: they stuff their user-agent
# with random garbage that changes on every single hit.  As with the nice
# spiders who just use multiple IPs, we'd like to only log these guys once
# per session/day/etc.
#
# For a given visitor/bot to match and be considered a bot, and therefore
# logged as a bot, all of the following must be true:
#
#	1. It must have already gotten logged at least once today.  This
#	   is determined by checking the first 2 octets of the IP address,
#	   or the last 2 parts of the hostname (i.e. the final dot and the
#	   parts before and after that dot, but no other dots -- no sub-
#	   domains).  This partial-IP/partial-hostname matching is done
#	   because many bots use ranges of IPs and hostnames within a
#	   fixed base, for example:
#
#		msnbot-65-55-109-27.search.msn.com
#		msnbot-65-55-110-17.search.msn.com
#
#		Or:
#		
#		65.55.109.27
#		65.55.110.17
#
#	2. It must have the same user-agent as that previously-logged hit,
#	   OR it must match $PREF{ua_liar_hosts} or $PREF{ua_liar_ips}.
#
#	3. If it's not a ua_liar, then it must match either $PREF{spider_uas},
#	   $PREF{spider_hosts}, or $PREF{spider_ips}.
#
# If all of those criteria are met, then the visitor will not be logged
# as a new visitor, and will instead be logged as a continuation of the
# previous session from the matching prior visit in the log.
#
# All of these settings are regular expressions, so you can specify their
# values with as much precision or flexibility as you want to.  And they
# are all case-insensitive.
#
$PREF{ua_liar_hosts}	= 'bhelper.com$|traffic4all.com$|public.alexa.com$|dmsws.com$|servercamfrog.com$|internetserviceteam.com$|msnbot|\.phx\.gbl';
$PREF{ua_liar_ips}	= '^65\.55\.';
#
$PREF{spider_uas}	= 'googlebot|msnbot|ia_archiver|yahoo.*slurp|teoma|appie.*walhello|gigabot|psbot|snapbot|sensis|baidu|cazoodle|spider|naver\.com|voilabot|cuil\.com|cuill\.com|search17';
$PREF{spider_hosts}	= 'googlebot.com$|msnbot.*\.msn\.com$|looksmart.com$|inktomisearch.com$|teoma.com$|priorityrec.com$|^38.118.25.61$|picsearch\.com$|\.phx\.gbl$|livebot.*\.live\.com$|crawl-.*\.naver\.jp|natcrawlbloc|aaaaa\.com$|cuil\.com$|cuill\.com$';
$PREF{spider_ips}	= '^65\.55\.';



############################################################################
# ignore_visitor_N: this allows you keep certain visitors out of the log.
# Note that it doesn't just hide them in the visitor-list output: it
# actually skips logging them altogether.
#
# Variables: ip, hostname, browser, os, ref, uri; separator is " &&& ".
# Each variable does partial matching, so "comcast" for the hostname will
# match ALL comcast users: *.hsd1.pa.comcast.net, *.potshe01.pa.comcast.net,
# etc.  So it's best to be as specific as possible.
#
# Each variable is/can be a regular expression, for example the following
# single statement:
#
#	$PREF{ignore_visitor_1} = 'hostname=(comcast|aol|rr.com)';
#
# ...is equivalent to these 3 statements put together:
#
#	$PREF{ignore_visitor_1} = 'hostname=comcast';
#	$PREF{ignore_visitor_2} = 'hostname=aol';
#	$PREF{ignore_visitor_3} = 'hostname=rr.com';
#
# Note: if HTTP_USER_AGENT is blank, then we set it to 'Unknown' before
# testing.  And the 'browser' and 'os' variables here are actually both
# matched against the user-agent, so browser=Unknown &&& os=Unknown is
# true for blank UAs.
#
# You can specify as many ignore_visitor_N lines as you want, and a given
# ignore_visitor_N can contain as many criteria as you want, including
# multiple copies of the same variable (i.e. 'os' can be used twice, etc).
#
#$PREF{ignore_visitor_1}  = 'browser=Unknown &&& os=Unknown';



############################################################################
# If called with ?getname, we'll display a box for the visitor to enter
# their name.  Here you can specify the greeting displayed above the box.
#
$PREF{brief_greeting}					= 'Hello';



############################################################################
# When calling the script with ?showoutput=N (i.e. when displaying the short
# list of recent visitors, instead of just silently logging), we will also
# show the list of online visitors in the browser's status bar.  You can
# disable this here.  Note that this does not apply when using ?mode=full.
#
$PREF{disable_status_bar_output}			= 'yes';



########################################################################
# This should be enabled, unless you want to use PHP/SSI to do all your
# logging, rather than using JS, which is not recommended, because your
# log will fill up with tons of spammy/botty garbage that will overwhelm
# any actual visitors that you receive.
#
$PREF{allow_URI_and_REF_on_query_string}		= 'yes';



########################################################################
# The default css file specified here will be used, unless your site
# uses cookie-based themes and the user has the cookie, in which case,
# a css file named <themename>.css will be used instead.
#
$PREF{path_to_css_files}				= '/';
$PREF{default_css_file_name}				= 'default.css';
$PREF{theme_cookie_name}				= '';



############################################################################
# App output template.  You can add things here, and you can change any text
# within the template, but you probably shouldn't change any of the markup
# (tags) nor variables (like %%linkbar_bottom%%) within the template.
#
$PREF{app_output_template} = qq`

	<div id="vl_fullhtml_output">
	<div id="vl_inner">

	%%%if-pagetitle%%%	<h1 class="pagetitle">%PREF{title}</h1>		%%%end-pagetitle%%%
	%%%if-pagesubtitle%%%	<h2 class="pagesubtitle">%%subtitle%%</h2>	%%%end-pagesubtitle%%%

	%%app_output_body%%

	<div id="vllinkbar_bottom">
	%%linkbar_bottom%%
	</div>

	<div id="epb">%%powered_by%%</div>

	</div><!-- end #vl_inner -->
	</div><!-- end id="vl_fullhtml_output" -->
`;



############################################################################
# If you're embedding VisitorLog into an existing layout, then you probably
# want to disable the output of the full HTML tags.
#
$PREF{print_full_html_tags}				= 'yes';
$PREF{title}						= 'VisitorLog';



############################################################################
# Settings for the Popular Pages widget.
#
$PREF{popular_pages_widget_num_days_to_track}		= 89;
$PREF{popular_pages_widget_output_bloglink_detection}	= 'yes';
$PREF{popular_pages_widget_output_homepage_replacement}	= '/ (home page)';
#
$PREF{popular_pages_widget_output_replacements}{'51'}	= { text => '_', replacement => ' ' };
$PREF{popular_pages_widget_output_replacements}{'52'}	= { text => "cant", replacement => "can't" };
$PREF{popular_pages_widget_output_replacements}{'53'}	= { text => "Cant", replacement => "Can't" };



############################################################################
# Web servers treat "www.you.com" and "you.com" as two different domains,
# which matters for web applications that use cookies.  So you should make
# your website either always use the www, or always remove it.  You should
# be able to do this in your server configuration, but if not, you can do
# it here.  Whether to use www or not is only a matter of taste, so just 
# pick whichever way you want, and then stick with it.
#
$PREF{add_www_to_hostname}				= 'no';
$PREF{remove_www_from_hostname}				= 'no';



############################################################################
# Configure how often VisitorLog performs various periodic tasks.
# 
$PREF{periodic_tasks}{'01'}{name}			= 'update_popular_pages_output_cache';
$PREF{periodic_tasks}{'01'}{enabled}			= 'yes';
$PREF{periodic_tasks}{'01'}{period}			= 60*60*24;   # in seconds.



############################################################################
# You can adjust various templatable items here.
#
$PREF{success_message_template}				= qq`<h2>Success</h2>\n<p>%%message%%</p>\n`;
$PREF{notice_message_template}				= qq`<h2>Notice</h2>\n<p>%%message%%</p>\n`;
$PREF{error_message_template}				= qq`<h2>Error</h2>\n<p>%%message%%</p>\n`;

$PREF{get_visitor_name_template} = qq`
<div class="get_visitor_name enc_minibox">
<div class="enc_minibox_title">Welcome</div>
<div class="enc_minibox_body">
<form method="post" action="%%action%%" id="get_visitor_name_form">
<input name="ref" type="hidden" value="%%ref%%" />
<div>What's your name?</div>
<input type="text" name="name" id="get_visitor_name_field" />
<input type="submit" id="get_visitor_name_button" value="" style="width: 0; height: 0; border: 0; margin: 0; padding: 0;" />
</form>
</div>
</div><br />
`;

$PREF{show_visitor_name_template} = qq`
<div class="show_visitor_name enc_minibox">
<div class="enc_minibox_title">Welcome</div>
<div class="enc_minibox_body">
Thanks for stopping by, %%name%%.&nbsp;
(<a href="%%logout_link%%">Change?</a>)
</div>
</div><br />
`;

$PREF{visitors_summary_template} = qq`
<div class="visitors_summary enc_minibox">
<div class="enc_minibox_title">Visitors Summary</div>
<div class="enc_minibox_body">
<table id="vlogsummary">
<tr><td class="label">Visitors Online:</td><td class="value">%%num_visitors_online%%</td></tr>
<tr><td class="label">Visitors Today:</td><td class="value">%%num_visitors_today%%</td></tr>
<tr><td class="label">Total Since 2013:</td><td class="value">%%num_visitors_total%%</td></tr>
</table>
</div>
</div><br />
`;

$PREF{visitors_graph_template}				= qq`<div class="visitors_graph enc_minibox">\n<div class="enc_minibox_title">Daily Visitors</div>\n<div class="enc_minibox_body">\n%%inner_content%%\n</div>\n</div><br />\n`;
$PREF{visitors_graph_inner_template}			= qq`<div class="enc_minibox_row">%%row_content%%</div>\n`;

$PREF{recent_visitors_template}				= qq`<div class="recent_visitors enc_minibox">\n<div class="enc_minibox_title">Recent Visitors</div>\n<div class="enc_minibox_body">\n%%inner_content%%\n</div>\n</div><br />\n`;
$PREF{recent_visitors_inner_template}			= qq`<div class="enc_minibox_row">%%row_content%%</div>\n`;

$PREF{popular_pages_widget_template}			= qq`<div class="popular_pages enc_minibox">\n<div class="enc_minibox_title">Most Popular</div>\n<div class="enc_minibox_body">\n%%pagelist%%\n</div>\n</div><br />\n`;
$PREF{popular_pages_widget_pagelist_template}		= qq`<div class="enc_minibox_row">#%%i%%. <a href="%%link%%" title="%%visitor_count%% visitors in the past %%daycount%% days">%%link_text%%</a></div>\n`;


$PREF{full_output_table_header_template} = qq`
<td>Visitor:</td>
<td colspan="3">Length of visit/Date:</td>
<td>Viewing:</td>
<td>Came from:</td>
<td title="Browser / Operating System">Browser/OS:</td>
<td>Resolution:</td>
<td>Hostname:</td>
<td>IP address:</td>
`;

$PREF{full_output_table_record_template} = qq`
<td>%%online_user_start_tag%%<span title="%%site_id%%">%%name%%</span>%%online_user_end_tag%%</td>
<td style="text-align: right;">%%duration%%</td>
<td>%%time%%</td>
<td><span title="%%logged_datestring%%">%%date%%</span></td>
<td><a href="%%uri_full%%">%%uri%%</a></td>
<td>%%ref%%</td>
<td><span title="%%ua_full%%">%%ua%%</span></td>
<td>%%resolution%%</td>
<td>%%host%%</td>
<td>%%ip%%</td>
`;

$PREF{full_output_table_pageview_template} = qq`
<td></td>
<td></td>
<td></td>
<td>%%date%%</td>
<td><a href="%%uri_full%%">%%uri%%</a></td>
<td>%%ref%%</td>
<td></td>
<td></td>
<td></td>
<td>%%ip%%</td>
`;

$PREF{full_output_table_pageview_dupe_template} = qq`
<td></td>
<td></td>
<td></td>
<td></td>
<td colspan="3">(%%dupe_count%% identical sequential records here, meaning the visitor stayed on this page for a period of time.)</td>
<td></td>
<td></td>
<td></td>
`;



############################################################################
# You can adjust text strings here.
#
$TEXT{days}							= qq`days`;

$TEXT{Enter_the_password}					= qq`Enter your password:`;
$TEXT{Error_input_not_alnum}					= qq`Error: field "%%encfieldname%%" must contain only letters and numbers.`;
$TEXT{Error_input_not_numeric}					= qq`Error: value for field "%%encfieldname%%" must be numeric.`;
$TEXT{Error_input_not_word}					= qq`Error: field "%%encfieldname%%" must contain only letters, numbers, and underscores.`;
$TEXT{Error_input_null}						= qq`Error: field "%%encfieldname%%" cannot be blank.`;
$TEXT{Error_input_too_large}					= qq`Error: value for field "%%encfieldname%%" cannot exceed %%max%%.`;
$TEXT{Error_input_too_long}					= qq`Error: length of input for field "%%encfieldname%%" cannot exceed %%max%% character(s).`;
$TEXT{Error_input_too_short}					= qq`Error: length of input for field "%%encfieldname%%" cannot be less than %%min%% character(s).`;
$TEXT{Error_input_too_small}					= qq`Error: value for field "%%encfieldname%%" cannot be less than %%min%%.`;

$TEXT{Invalid_Login}						= qq`Invalid Login`;
$TEXT{Keep_me_logged_in_for}					= qq`Keep me logged in for`;
$TEXT{Login}							= qq`Login`;
$TEXT{password_not_set}						= qq`You must <a href="%%newpw_link%%">set your administrator password</a> first.`;
$TEXT{The_password_you_entered_is_incorrect___}			= qq`The password you entered is incorrect.<br />Go back and try again.`;



############################################################################
# Directory permissions: these should usually be 0777; on some servers, you
# may be able to get away with using less-permissive settings like 0755 or
# even 0700 instead.
#
# File permissions: these should usually be 0666; on some servers, you
# may be able to get away with using less-permissive settings like 0644 or
# even 0600 instead.
#
$PREF{writable_dir_perms}				= 0777;		# no quotes. default is 0777.
$PREF{writable_file_perms}				= 0666;		# no quotes. default is 0666.



############################################################################
# Styling:
#
$PREF{css}						= qq`

#vlogbody { background: #ddd; font-family: sans-serif; text-align: center; }
#vlogcontainer { background: #fff; margin: 20px auto; border: 1px solid #444; }
#pb { margin: 20px auto; }
#vlog_stats_footer_links { margin: 40px auto 2px auto; }

#vl_fullhtml_output
{
	font-family: sans-serif;

	margin: 0px auto;
	width: 50%;
	padding: 20px;
	text-align: center;

	/*
	margin: 40px auto;
	border: 1px solid #bbb;
	background: #efefef;
	box-shadow: 0 0 10px #999;
	*/
}

#vl_fullhtml_output #epb { margin-top: 30px; }
#vl_fullhtml_output #epb a { color: #15e; }

.pagetitle { margin-top: 0; font-size: 24pt; margin-bottom: 15px; }
.pagesubtitle { font-size: 13pt; color: #676767; margin-top: -7px; }
#title { font-size: 20pt; font-weight: bold; margin: 0 auto 15px auto; }


/*
table.log, #simultvisitors
{
	width: 100%;
	border: 1px solid #cccccc;
}
*/
table.none
{
	width: 100%;
}
table.other
{
	border: 1px solid #cccccc;
	margin: 8px;
}

#sitestats		{ font: 10pt sans-serif; text-align: center; }

.statstable		{ font-size: 85%; border: 1px solid #555; border-collapse: collapse; margin: 5px auto 15px auto; text-align: left; }
.statstable tr.head	{ background: #ccc; }
.statstable tr.odd	{ background: #e6e6e6; }
.statstable tr.even	{ background: #efefef; }
.statstable th		{ padding: 4px; }
.statstable td		{ padding: 7px; }

.statstable td.oc	{ text-align: right; font-weight: bold; }
.statstable td.c	{ text-align: center; }
.statstable td.p	{ text-align: center; font-weight: bold; }
.statstable .statsbar	{ height: 5px; border: 0px solid #000; background: #aaa; }

table.log td, table.statstable td { white-space: nowrap; }
#week td, #year td, #busy td	{ font-family: monospace; }
td.weekc, td.yearc, td.busyc	{ text-align: center; }
th.dateheading			{ text-align: left; }

.visitors_summary table
{
	width: 90%;
	margin: 0 auto;
	white-space: nowrap;
}
.visitors_summary .label
{
	font-weight: bold;
	text-align: left;
	padding: 0 10px 0 14px;
}
.visitors_summary .value
{
	text-align: right;
	padding: 0 14px 0 0;
}
.get_visitor_name, .show_visitor_name
{
	width: 180px;
}
.get_visitor_name .enc_minibox_body, .show_visitor_name .enc_minibox_body
{
	padding: 5px;
}
#get_visitor_name_field
{
	margin-top: 8px;
	width: 92%;
	border: 1px solid #bbb;
	background: #f3f3f3;
	padding: 3px;
}



.enc_minibox
{
	border: 1px solid #888;
	padding-bottom: 5px;
	background: #fff;
	margin: 10px auto 20px auto;
	display: inline-block;
	box-shadow: 0px 0px 15px #999;
}
.enc_minibox .enc_minibox_title
{
	font-weight: bold;
	text-align: center;
	padding: 5px 15px;
	margin-bottom: 8px;
	border-bottom: 1px solid #888;
	background: #ddd;
}
.enc_minibox_body
{
	font-size: 10pt;
}
.enc_minibox .enc_minibox_row
{
	margin: 4px 14px;
}
.visitors_graph .the_graph
{
	margin: 0 4px;
}
.visitors_graph .empty  { display: inline-block; height: 8px; border: 1px solid #000; background: #eee; }
.visitors_graph .filled { display: inline-block; height: 8px; border: 1px solid #000; background: #65B86B; }

`;



