#!/usr/bin/perl
#
# visitors.cgi
#
######################################################################
#
# DO NOT EDIT THIS FILE unless absolutely necessary; in most cases you
# should be editing visitors_prefs.cgi instead.  If you do edit
# this file, be sure to make a backup copy first.
# 
######################################################################
#
# This program is the copyrighted work of Encodable Industries.
# Redistribution is prohibited, and copies are permitted only for
# backup purposes.  You are free to modify the program for your
# own use, but you may not distribute any modified copies of it.
#
# Use of this program requires a one-time license fee.  You can
# obtain a license here:
#
#	http://encodable.com/visitorlog/#download
#
# This software comes with no warranty.  It is our hope that you
# find it useful, but it comes with no guarantees.  Under no
# circumstances shall Encodable Industries be held liable in any
# situation arising from your use of this program.
#
# For more information about this program, as well as for help
# and support, please visit the following pages:
#
# Homepage: http://encodable.com/visitorlog/
# Contact: http://encodable.com/contact/


my $version = "1.85te01";
use CGI::Carp 'fatalsToBrowser';
$ENV{PATH} = '/bin:/usr/bin';
delete @ENV{'IFS', 'CDPATH', 'ENV', 'BASH_ENV'};
($ENV{DOCUMENT_ROOT}) = ($ENV{DOCUMENT_ROOT} =~ /(.*)/); # untaint.
#$ENV{DOCUMENT_ROOT} = 'c:\some\dir'; # If autodetection fails, uncomment & set this.
#$ENV{SCRIPT_NAME} = '/cgi-bin/visitors.cgi'; # If autodetection fails, uncomment & set this.
use lib './perlmodules';
use lib '../cgi-bin/perlmodules';
use lib '../../cgi-bin/perlmodules';
use lib "$ENV{DOCUMENT_ROOT}/cgi-bin/perlmodules";
use lib "$ENV{DOCUMENT_ROOT}/../cgi-bin/perlmodules";
my (%PREF,%TEXT,%COOKIE,%QS) = ();


use Time::HiRes qw(gettimeofday);
my $scriptstart = gettimeofday();
$PREF{script_start_time_highres} = $scriptstart;


my $debuglog = undef; #open($debuglog, ">>vldata/debuglog.temp.log") or die_nice("couldn't open debuglog: $!\n"); flock $debuglog, 2; print $debuglog "\n\n";


$|++;
use strict;
use POSIX;
use Time::Local;
use File::Copy;
use Digest::MD5 'md5_hex';

sub printd;
sub die_nice;
sub enc_warn;
sub encdebug;
sub encdebughi;
sub encdebuglog;
sub exit_with_error;

my $qs = '';





my (%cookies, $site_id, $cookies_enabled, $first_three_octets_of_logged_ip, $serial_id,
    $logged_etime, $logged_prettytime, $logged_site_id, $logged_cookies_enabled, $user_cookies,
    $logged_ip, $logged_host, $logged_site_username, $logged_user_res, $logged_dur,
    $logged_uri, $logged_ref, $logged_ua, $logged_datestring8, @output, $theme_cookie_value,
    $online_user_start_tag, $online_user_end_tag, $give_client_a_new_id_cookie) = ();

my $site_username			= 'Guest';

my $etime				= '';
my $global_current_etime		= '';

my $five_min_ago			= '';
my $one_hour_ago			= '';
my $one_and_a_half_hours_ago		= '';
my $two_hours_ago			= '';
my $one_day_ago				= '';
my $online_watchdog_timeout		= '';
my $end_of_long_window			= '';
my $past_hits				= '';

# Set some date/time variables.
my ($prettytime, $prettytime_nice, $today, $longdatetime, $datestring8, $datestring12, $thetime) = ();

my $max_displayname_length		= 24;








sub print_global_output()
{
	return if $PREF{global_output_printed};
	$PREF{global_output_printed} = 1;
	print $PREF{global_output};
}


sub print_xml_headers_vlog
{
	return if $PREF{output_started} || $PREF{xml_output_started};

	$PREF{xml_output_started} = 1;
	my $noprint = shift;
	my $headers = '';
	$headers .= "Cache-Control: no-store, no-cache\n";
	$headers .= "Connection: close\n";
	$headers .= "Content-type: text/xml\n\n";
	$noprint ? return $headers : print $headers;
}


sub get_cookies_and_determine_site_id()
{
	%cookies = fetch CGI::Cookie;
	if(exists $cookies{$PREF{site_id_cookie}})
	{
		$site_id = $cookies{$PREF{site_id_cookie}}->value;
		$give_client_a_new_id_cookie = 0;
		$cookies_enabled = 'yes';
	}
	else
	{
		if($ENV{QUERY_STRING} =~ /siteid=(\d+)(?:&|$)/)
		{
			$site_id = $1;
		}
		else
		{
			$site_id = get_new_site_id();
		}
		$give_client_a_new_id_cookie = 1;
		$cookies_enabled = 'no';
	}


	if($PREF{logged_in_username})
	{
		$site_username = $PREF{logged_in_username};
	}
	elsif(exists $cookies{$PREF{guestname_cookie}})
	{
		$site_username = $cookies{$PREF{guestname_cookie}}->value;
		sanitize_username($site_username) if username_is_illegal($site_username);
		$site_username = 'Guest' unless $site_username =~ /\w/;
	}


	if(exists $cookies{$PREF{theme_cookie_name}})
	{
		$theme_cookie_value = $cookies{$PREF{theme_cookie_name}}->value;
		$theme_cookie_value =~ s/\s/%20/g;
	}
	else
	{
		$theme_cookie_value = 'unset';
	}


	if(exists $cookies{$PREF{guestname_cookie}}   ||   exists $cookies{$PREF{theme_cookie_name}}   ||   $PREF{member_is_logged_in})
	{
		$cookies_enabled = 'yes';
	}
}


sub get_linkbar
{

}


sub get_js
{

}












sub set_date_and_time($)
{
	my $etime = shift;
	my $prettytime = strftime("%a%b%d,%Y,%I:%M%p",localtime($etime));
	my $prettytime_nice = strftime("%a %b %d, %Y, %I:%M%p",localtime($etime));
	my $today = strftime("%a%b%d,%Y",localtime($etime));
	my $longdatetime  = strftime("%A %B %d, %Y at %I:%M%p",localtime($etime));
	my $datestring8 = strftime("%Y%m%d",localtime($etime));
	my $datestring12 = strftime("%Y%m%d-%H%M",localtime($etime));
	my $thetime = strftime("%I:%M%p",localtime($etime));
	# Note:
	# %a = weekday name (abbreviated)
	# %A = weekday name (full)
	# %b = month name (abbreviated)
	# %B = month name (full)
	# %d = day of month [01-31]
	# %H = hour [00-23]
	# %I = hour [01-12]
	# %m = month [01-12]
	# %M = minute [00-59]
	# %p = AM or PM
	# %P = am or pm (%P DNE on Win32)
	# %S = second [00-61] (goes to 61 to allow for leap seconds)
	# %Y = 4-digit year

	return ($prettytime, $prettytime_nice, $today, $longdatetime, $datestring8, $datestring12, $thetime);
}


sub print_logout_link
{
	print "Content-type: text/html\n\n";
	my %cookies = fetch CGI::Cookie;
	if(exists $cookies{$PREF{guestname_cookie}})
	{
		print	  qq`<br /><br />Logout: <a href="$PREF{logout_url}">`
			. $cookies{$PREF{guestname_cookie}}->value
			. qq`</a>`;
	}
}












sub show_stats
{
	exit_with_error qq`Disabled in the trial version; get the <a href="http://encodable.com/visitorlog/">full version</a> instead.`;
}













sub remove_recent_admin_entry_from_log()
{
	# We don't want to log admins.  But when an admin visits the site, before
	# he logs in with his admin username/password, this visitor script will
	# pick him up and log him like a normal visitor.  So _after_ an admin has
	# logged in, we want to go through the last X minutes of log and remove
	# the entry that he just created.

	my $sth = $PREF{dbh}->prepare("DELETE FROM $PREF{visitor_table_name} WHERE id='$site_id' AND ua='$ENV{HTTP_USER_AGENT}' AND etime>'$two_hours_ago';");
	$sth->execute();
}




sub we_will_show_some_output()
{
	return (
			($qs =~ /(action=widgets|mode=full)/)
			||
			(in_xml_output_mode() && $PREF{enabled_output_widgets} && $PREF{realtime_stats_in_output_widgets} =~ /yes/i)
	);
}


sub in_xml_output_mode()   # this is the POST request (via AJAX) that does the logging, and also sends XML widgets if realtime_stats_in_output_widgets is enabled.
{
	return   $ENV{REQUEST_METHOD} =~ /post/i   &&   $qs =~ /(?:^|&(?:amp;)?)format=xml(?:&(?:amp;)?|$)/;   # AJAX calls seem to not convert &amp; to just "&".
}


# TODO: replace most/all occurrences of "$qs =~ /mode=full/" with "in_fullvlog_output_mode()".
#
sub in_fullvlog_output_mode()
{
	#return $qs =~ /mode=full/;   # this is all we were checking before 20130506; it was why clicking a link on the full-vlog page would result in a subsequent page that got screwed up when that page's vlog POST occurred.
	return $qs =~ /(^|&)mode=full(&|$)/ && !($qs =~ /VLGURI=/ && $qs =~ /VLGREF=/);
}


sub get_output
{
	#printd(qq`get_output()`);

	my $optsref = shift; my %opts = %$optsref if $optsref;

	my ($output, $visitors_summary_output, $recent_visitors_output) = ('', '', '');
	my $lines_to_display = 0;
	if($qs =~ /showoutput=(\d+)/)
	{
		$lines_to_display = $1;
	}
	elsif($qs =~ /(?:^|&)mode=full(?:&|$)/)
	{
		$lines_to_display = 20;
		$PREF{print_full_html_tags} = 'yes' unless $PREF{disable_full_html_tags_for_full_vlog_output} =~ /yes/i;
	}
	elsif($PREF{show_online_or_recent} =~ /recent/i)
	{
		$lines_to_display = $PREF{num_visitors_to_show_in_recent_visitors_widget};   # $PREF{num_recent_visitors_to_display};
	}
	elsif($PREF{show_online_or_recent} =~ /online/i)
	{
		$lines_to_display = $PREF{num_visitors_to_show_in_recent_visitors_widget};   # $PREF{num_online_visitors_to_display};
	}
	elsif($PREF{show_online_or_recent} =~ /both/i)
	{
		$lines_to_display = $PREF{num_visitors_to_show_in_recent_visitors_widget};
	}
	else
	{
		$lines_to_display = 8;
	}

	my $user_is_still_online = 0;
	my $num_visitors_online = 0;
	my $lines_displayed = 0;
	my $total_hits_with_offset = get_total_hits('with_offset');
	my (@online_users, $ua_display) = ();
	my $css_file_name = get_css_filename();
	my $hidedups = 1 if $qs =~ /hidedups/;
	my (%already_displayed, $chat_link, %SEARCH) = ();
	my $in_delete_mode = $qs =~ /(?:^|&)deletemode=true(?:&|$)/ ? 1 : 0;
	my (@output_full, @output_recent, @output_online) = ();
	push @output_online, "Currently online: \n<br />";

	$PREF{thousands_separator} = ',' unless exists $PREF{thousands_separator};
	if($PREF{thousands_separator})
	{
		1 while $total_hits_with_offset =~ s!(.*)(\d)(\d{3})!$1$2,$3!;
	}


	# TODO: the various exit_*() subs should technically be switched to returning
	# their output instead of printing it, or otherwise integrated into the print-
	# less scheme we're using in VL here.
	#
	if(  ($qs =~ /mode=full|action=search/)  ||  ($lines_to_display > 10)  )
	{
		exit_with_access_denied() unless user_is_allowed_to('view_full_visitorlog');
	}


	if($qs =~ /action=search/)
	{
		my @vars = split(/&/, $qs);
		for(@vars)
		{
			next unless /^s_|^showoutput/;
			my ($var,$value) = split /=/;
			#$value =~ s/%23/#/g;
			#$value =~ s/%7c/|/gi;
			#$value =~ s/\+/ /g;
			enc_urldecode($value);
			$SEARCH{$var} = $value;
			$lines_to_display = $value if $var eq 'showoutput' && $value =~ /^\d+$/;
		}
	}


	my (%all_logged_UAs, %unique_UAs) = ();
	if($qs =~ /action=search/)
	{
		my $num_records_to_check = $PREF{approx_daily_visitors} > $lines_to_display ? $PREF{approx_daily_visitors} : $lines_to_display;
		my $sth = $PREF{dbh}->prepare("SELECT `ua` FROM $PREF{visitor_table_name} ORDER BY serial_id DESC LIMIT $num_records_to_check;");
		$sth->execute();
		$sth->bind_columns(\$logged_ua);

		while($sth->fetchrow_arrayref)
		{
			for($logged_ua)
			{
				s/</&lt;/g;
				s/>/&gt;/g;
				s/"/&quot;/g;
			}
			$ua_display = get_ua($logged_ua);
			$ua_display = get_ua_display($logged_ua, $ua_display);

			$all_logged_UAs{$ua_display}++;
		}
		foreach my $ua (keys %all_logged_UAs)
		{
			$unique_UAs{$ua} = 1 if $all_logged_UAs{$ua} == 1;
		}
	}

	#my $order_by = $qs =~ /(?:^|&)orderby=(\w+)(?:&|$)/ ? $1 : 'serial_id';
	 my $order_by = $qs =~ /(?:^|&)orderby=(\w+)(?:&|$)/ ? $1 : 'etime';
	my $order_dir = $qs =~ /(?:^|&)orderdir=(\w+)(?:&|$)/ ? $1 : 'DESC';

	my $sth = ();
	my $records_checked = 0;
	foreach my $vtable ($PREF{visitor_table_name}, @{$PREF{vtables}})
	{
		last if $lines_displayed >= $lines_to_display;
		last if $records_checked >= $lines_to_display;

		# TODO: should we support regex searches explicitly?  In the meantime, you can
		# force it by putting a pipe in the query; so for example just doubling your
		# query will work, i.e. "jul..,2009|jul..,2009" in the date field.

		my @query_restrictions = ();
		if($qs =~ /action=search/)
		{
			foreach my $pair (get_search_term_pairs_from_url())
			{
				my ($field,$value) = split(/=/, $pair, 2);
				$field = 'ua' if $field =~ /^(browser|os)$/;

				sql_untaint($value);
				die_unless_sqlsafe($value);

				if($value =~ /\|/)
				{
					push @query_restrictions, "`$field` REGEXP '($value)'";
				}
				else
				{
					if($value =~ /^-/)
					{
						$value =~ s/^-+//;
						push @query_restrictions, "`$field` NOT LIKE '%$value%'";
					}
					elsif($value eq 'k:unset')
					{
						# We'll use k:unset as a keyword to mean, basically, "null", but we won't
						# use that term to avoid confusion with the whole disaster that is MySQL's
						# "special" treatment & definition of "null".
						#
						# The impetus for this keyword is wanting to check for null/unset values in
						# the screen resolution field.
						#
						# TODO: do we need to add branches here to test non-string fields differently?
						#
						if($field eq 'res')
						{
							# We set the res to 'Other' when it's unknown.  TODO: this is dumb.
							# We should change it, but if we do, we might want/need to modify
							# all the existing records...
							#
							push @query_restrictions, "`$field` = 'Other'";
						}
						else
						{
							push @query_restrictions, "`$field` = ''";
						}
					}
					else
					{
						push @query_restrictions, "`$field` LIKE '%$value%'";
					}
				}
			}
		}
		my $query_restrictions = ('WHERE ' . (join " AND ", @query_restrictions)) if @query_restrictions;

		my $records_to_check = $PREF{approx_daily_visitors} > $lines_to_display ? $PREF{approx_daily_visitors} : $lines_to_display;
		my $limit = qq`LIMIT $records_to_check` unless $qs =~ /action=search/;
		my $query = "SELECT * FROM `$vtable` $query_restrictions ORDER BY `$order_by` $order_dir $limit";
		$sth = $PREF{dbh}->prepare($query);
		#print STDERR "vlogdebug: $$: query: $query\n";
		$sth->execute();
		$sth->bind_columns(
					\$serial_id,			\$logged_etime,		\$logged_prettytime,	\$logged_site_id,
					\$logged_cookies_enabled,	\$user_cookies,		\$logged_ip,		\$logged_host,
					\$logged_site_username,		\$logged_user_res,	\$logged_dur,		\$logged_uri,
					\$logged_ref,			\$logged_ua, 		\$logged_datestring8
				);

		while($sth->fetchrow_arrayref)
		{
			$records_checked++;
			$user_is_still_online = 0;
			$chat_link = '';
			if(($logged_etime + $logged_dur) > ($global_current_etime - $online_watchdog_timeout))
			{
				$user_is_still_online = 1;
				$num_visitors_online++;
			}

			# We don't want to go through the whole log here... just the recent ones.
			#
			# First of all, even if we may only be displaying the 5 most recent visitors, we always
			# want to go to $end_of_long_window so we can at least get the *count* of users currently
			# on the site.
			if($logged_etime < $end_of_long_window)
			{
				if($lines_displayed >= $lines_to_display)
				{
					last;
				}
			}



			my $display_name = '';
			if($logged_site_username ne 'Guest')
			{
				$display_name = $logged_site_username;
				$display_name =~ s/^(.{22}).*/$1.../ if length($display_name) > 22;
				if($user_is_still_online) { push @online_users, $display_name; }
			}
			elsif($logged_host =~ /[a-zA-Z]/)
			{
				if(length($logged_host) < 18)
				{
					$display_name = $logged_host;
				}
				else
				{
					my @octets = split(/\./, $logged_host);					
					@octets = reverse @octets;
					for(@octets)
					{
						if($display_name !~ /\w/)
						{
							$display_name = $_;
							next;
						}

						if(   (length($_) + length($display_name))  <  18   )
						{
							$display_name = $_ . '.' . $display_name;
						}
						else
						{
							$display_name = '*' . '.' . $display_name;
							last;
						}
					}
				}
				if($user_is_still_online) { push @online_users, $display_name; }
			}
			else
			{
				$display_name = $logged_ip;
				if($user_is_still_online) { push @online_users, $logged_ip; }
			}


			if($lines_displayed < $lines_to_display)
			{
				my $hours_online		= sprintf("%d", $logged_dur / 3600);
				my $seconds_leftover		= $logged_dur % 3600;
				if($hours_online != 0)
				{
					my $minutes_online	= sprintf("%02d", $seconds_leftover / 60);
					$logged_dur		= "${hours_online}h${minutes_online}m";
				}
				else
				{
					my $minutes_online	= sprintf("%d", $seconds_leftover / 60);
					$logged_dur		= "${minutes_online}m";
				}


				my $logged_user_res_display = $logged_user_res eq 'Other' ? '' : $logged_user_res;


				for($logged_ua)
				{
					s/</&lt;/g;
					s/>/&gt;/g;
					s/"/&quot;/g;
				}
				$ua_display = get_ua($logged_ua);
				my $ua_display__processed = get_ua_display($logged_ua, $ua_display);
				my $ua_is_unidentified = $ua_display__processed ne $ua_display;
				$ua_display = $ua_display__processed;


				if($user_is_still_online)
				{
					$online_user_start_tag = '<span class="onlinelinkcolor">';
					$online_user_end_tag = '</span>';
					$chat_link = qq`<a href="$ENV{'SCRIPT_NAME'}?action=chatinvite&encid=$logged_site_id">[c]</a>` if $PREF{'enable_chat_system'} =~ /yes/i;
				}
				else
				{
					$online_user_start_tag = '';
					$online_user_end_tag = '';
				}			


				($logged_ref, my $logged_ref_display, my $logged_ref_link) = process_referer($logged_ref);

				my $logged_uri_display = get_logged_uri_display($logged_uri);


				if($qs =~ /mode=full/)
				{
					my ($day_of_visit,$time_of_visit) = ($logged_prettytime =~ /(\w\w\w\d\d,\d\d\d\d),(\d\d:\d\d(a|p)m)$/i);

					# Can pass ip=xx.yyy.z or host=whatever (whole or partial IP/host) to only show hits matching that IP/host:

					my $line_matches_search_criteria = 1;




=item
					# TODO: DELETE ME: we're now putting search terms directly into the SQL query instead:
					if($qs =~ /action=oldsearch/   &&   $qs =~ /(s_(?:ip|host|name|date|uri|res|browser|os|ref))=([^&]+?)(?:&|$)/)
					{
						foreach my $pair (get_search_term_pairs_from_url())
						{
							my ($field,$value) = split(/=/, $pair, 2);
							my @values = split(/\|/, $value);

							my $this_field_matches = 0;

							foreach my $searchterm (@values)
							{
								my $match_negatively = 0;

								if($searchterm =~ /^-/)
								{
									$match_negatively = 1;
									$searchterm =~ s/^-+//;
								}

								if(

									(($field eq 'ip')	&&   ($logged_ip =~ /$searchterm/))
								||
									(($field eq 'host')	&&   ($logged_host =~ /$searchterm/i))
								||
									(($field eq 'name')	&&   ($display_name =~ /$searchterm/i))
								||
									(($field eq 'date')	&&   ($day_of_visit =~ /$searchterm/i))
								||
									(($field eq 'uri')	&&   ($logged_uri =~ /$searchterm/i))
								||
									(($field eq 'res')	&&   ($logged_user_res =~ /$searchterm/i))
								||
									(($field eq 'browser')	&&   ($searchterm eq 'k:unique' && $unique_UAs{$ua_display}))
								||
									(($field eq 'browser')	&&   ($searchterm eq 'k:unknown' && $ua_is_unidentified))
								||
									(($field eq 'browser')	&&   ($ua_display =~ /$searchterm/i))
								||
									(($field eq 'os')	&&   ($ua_display =~ /$searchterm/i))
								||
									(   ($field eq 'ref')	&&   (($logged_ref =~ /$searchterm/i) || ($logged_ref_display =~ /$searchterm/i))   )
								)
								{
									if($match_negatively)
									{
										# user typed -foo but the field actually did contain foo, so
										# this is NOT a match.  nothing to do since $this_field_matches
										# starts out as null.  if @values contains more terms, continue
										# checking them.
									}
									else
									{
										$this_field_matches = 1;
										last;
									}
								}
								else
								{
									if($match_negatively)
									{
										# this field DIDN'T contain the search term, which is what the
										# user requested via -foo, so it IS a match.

										$this_field_matches = 1;
										last;
									}
								}
							}

							#printd "this_field_matches=$this_field_matches\n";
							$line_matches_search_criteria = 0 unless $this_field_matches;
						}
					}
					elsif($qs =~ /(?:^|&)onlyonline=true(?:&|$)/)
					{
						$line_matches_search_criteria = $user_is_still_online;
					}
=cut




					if($qs =~ /(?:^|&)onlyonline=true(?:&|$)/)
					{
						$line_matches_search_criteria = $user_is_still_online;
					}

					if($line_matches_search_criteria)
					{
						my $row = (($lines_displayed % 2) == 0) ? 'even' : 'odd';
						push @output_full, qq`<tr class="$row"` . ($in_delete_mode ? qq` onclick="setbghighlight(this);"` : undef) . qq`>`;

						if($in_delete_mode)
						{
							my ($safe_username, $safe_res, $safe_ua) = ($logged_site_username, $logged_user_res, $logged_ua);
							s/"/.A.CONVERTED.QUOTE./g for ($safe_username, $safe_res, $safe_ua);

							my $checkbox = qq`<input type="checkbox" name="${logged_etime}.ENC|SEP|STRING.${logged_site_id}.ENC|SEP|STRING.${safe_username}.ENC|SEP|STRING.${safe_res}.ENC|SEP|STRING.${safe_ua}.ENC|SEP|STRING.$vtable">`;
							push (@output_full, "<td>$checkbox</td>");
						}
						elsif($PREF{'enable_chat_system'} =~ /yes/i)
						{
							push (@output_full, "<td>$chat_link</td>");
						}

						my $logged_host_display = $logged_host;
						if(length($logged_host) > $PREF{abbreviate_hostnames_longer_than})
						{
							$logged_host_display =~ s/^.*(.{$PREF{abbreviate_hostnames_longer_than}})/$1/;
							$logged_host_display = qq`<span title="$logged_host">...$logged_host_display</span>`;
						}

						#push @output_full,	  qq`<td>$online_user_start_tag<span title="$logged_site_id">$display_name</span>$online_user_end_tag</td>`
						#			. qq`<td style="text-align: right;">$logged_dur</td>`
						#			. qq`<td>$time_of_visit</td>`
						#			. qq`<td><span title="$logged_prettytime">$day_of_visit</span></td>`
						#			. qq`<td><a href="$logged_uri">$logged_uri_display</a></td>`
						#			. qq`<td>$logged_ip</td>`
						#			. qq`<td>$logged_host_display</td>`
						#			. qq`<td>$logged_user_res_display</td>`
						#			. qq`<td><span title="$logged_ua">$ua_display</span></td>`
						#			. qq`<td>$logged_ref_link</td>`
						#			. qq` <!-- <td>$user_cookies</td> --> </tr>\n`;
						#
						my $record = $PREF{full_output_table_record_template};
						$record =~ s!%%online_user_start_tag%%!$online_user_start_tag!g;
						$record =~ s!%%online_user_end_tag%%!$online_user_end_tag!g;
						$record =~ s!%%name%%!$display_name!g;
						$record =~ s!%%site_id%%!$logged_site_id!g;
						$record =~ s!%%duration%%!$logged_dur!g;
						$record =~ s!%%time%%!$time_of_visit!g;
						$record =~ s!%%date%%!$day_of_visit!g;
						$record =~ s!%%logged_datestring%%!$logged_prettytime!g;
						$record =~ s!%%uri_full%%!$logged_uri!g;
						$record =~ s!%%uri%%!$logged_uri_display!g;
						$record =~ s!%%ip%%!$logged_ip!g;
						$record =~ s!%%host%%!$logged_host_display!g;
						$record =~ s!%%resolution%%!$logged_user_res_display!g;
						$record =~ s!%%ua_full%%!$logged_ua!g;
						$record =~ s!%%ua%%!$ua_display!g;
						$record =~ s!%%ref%%!$logged_ref_link!g;
						push @output_full, $record;
						push @output_full, "</tr>\n";

						if($qs =~ /history=(recent|all)/)
						{
							my @pageviews_tables = enc_sql_select_array("SHOW TABLES LIKE 'pageviews%'");
							#print STDERR "vlogpageviews: pageview_tables: " . (join ",", @pageviews_tables) . "\n";

							my $pageviews_tables_checked = 0;
							#foreach my $pageviews_table ("pageviews")
							 foreach my $pageviews_table (reverse sort @pageviews_tables)
							{
								#print STDERR "vlogpageviews: checking table $pageviews_table (checked=$pageviews_tables_checked)\n";
								#my $pageviews = enc_sql_select_multi("SELECT etime,date8,ip,uri,ref FROM `$pageviews_table` WHERE `visitorid` = '$logged_site_id' ORDER BY etime DESC");
								 my $pageviews = enc_sql_select_multi("SELECT etime,date8,ip,uri,ref FROM `$pageviews_table` WHERE `visitorid` = '$logged_site_id'");
								my ($prev_ref, $prev_uri, $prev_pageview, $in_a_set_of_dupes) = ();
								my $dupe_count = 0;
								if(scalar keys %$pageviews > 1)
								{
									# If there's only 1 pageview, don't bother displaying it, because we're already displaying
									# it in the form of the original (non-pageview) VisitorLog record.

									foreach my $j (sort { $$pageviews{$b}{etime} <=> $$pageviews{$a}{etime} } keys %$pageviews)
									{
										my ($ref, $ref_display, $ref_link) = process_referer($$pageviews{$j}{ref});
										my $uri_display = get_logged_uri_display($$pageviews{$j}{uri});
	
										#push @output_full,	  qq`<tr class="$row">`
										#			. qq`<td></td>`
										#			. qq`<td></td>`
										#			. qq`<td></td>`
										#			. qq`<td>` . strftime("%Y%m%d-%H%M",localtime($$pageviews{$j}{etime})) . qq`</td>`
										#			. qq`<td><a href="$$pageviews{$j}{uri}">$uri_display</a></td>`
										#			. qq`<td>$$pageviews{$j}{ip}</td>`
										#			. qq`<td></td>`
										#			. qq`<td></td>`
										#			. qq`<td></td>`
										#			. qq`<td>$ref_link</td>`
										#			. qq`</tr>\n`;
										#
										my $pageview = $PREF{full_output_table_pageview_template};
										$pageview =~ s!%%date%%!strftime("%Y%m%d-%H%M",localtime($$pageviews{$j}{etime}))!eg;
										$pageview =~ s!%%uri_full%%!$$pageviews{$j}{uri}!g;
										$pageview =~ s!%%uri%%!$uri_display!g;
										$pageview =~ s!%%ip%%!$$pageviews{$j}{ip}!g;
										$pageview =~ s!%%ref%%!$ref_link!g;
	
										if($prev_ref eq $$pageviews{$j}{ref}   &&   $prev_uri eq $$pageviews{$j}{uri}   &&   $qs !~ /hidedupes=no/)
										{
											$in_a_set_of_dupes = 1; $dupe_count++;
										}
										else
										{
											if($in_a_set_of_dupes)
											{
												# this means we just *finished* a set of dupes, so we now want to show
												# the dupe count along with the final dupe row, so that we can see the
												# start and end of the set of dupes.
	
												unless($dupe_count == 1)
												{
													# If the dupe_count is only 1, then don't bother displaying the dupe note, because we're
													# always going to display both the first and last dupe records, i.e. we're displaying all
													# the dupes in that case.
	
													my $pageview_dupe_note = $PREF{full_output_table_pageview_dupe_template};
													$pageview_dupe_note =~ s!%%dupe_count%%!$dupe_count!g;
													push @output_full, qq`<tr class="$row">$pageview_dupe_note</tr>\n`;
												}
	
												push @output_full, qq`<tr class="$row">$prev_pageview</tr>\n`;
												$in_a_set_of_dupes = 0; $dupe_count = 0;
											}
	
											push @output_full, qq`<tr class="$row">$pageview</tr>\n`;
										}
	
										$prev_ref = $$pageviews{$j}{ref};
										$prev_uri = $$pageviews{$j}{uri};
										$prev_pageview = $pageview;
									}
	
	
									# If $in_a_set_of_dupes is still set out here after the loop, then that means
									# we didn't close out this set of dupes, because the visitor's first visit
									# (which is the last one in this reverse-sort display) was one of the dupes,
									# so display the dupe summary and that first row now.  And note that we're
									# indenting this to match the identical code above to make maintenance easier.
									#
											if($in_a_set_of_dupes)
											{
												# this means we just *finished* a set of dupes, so we now want to show
												# the dupe count along with the final dupe row, so that we can see the
												# start and end of the set of dupes.
	
												unless($dupe_count == 1)
												{
													# If the dupe_count is only 1, then don't bother displaying the dupe note, because we're
													# always going to display both the first and last dupe records, i.e. we're displaying all
													# the dupes in that case.
	
													my $pageview_dupe_note = $PREF{full_output_table_pageview_dupe_template};
													$pageview_dupe_note =~ s!%%dupe_count%%!$dupe_count!g;
													push @output_full, qq`<tr class="$row">$pageview_dupe_note</tr>\n`;
												}
	
												push @output_full, qq`<tr class="$row">$prev_pageview</tr>\n`;
												$in_a_set_of_dupes = 0; $dupe_count = 0;
											}
								}

								$pageviews_tables_checked++;
								last if $pageviews_tables_checked > 1 && $qs !~ /history=all/;
							}
						}

						$lines_displayed++;
					}
				}
				else
				{
					if(   $hidedups   &&   ($already_displayed{"$logged_ip-$display_name"}  ||  $already_displayed{"spider-$display_name"})   )
					{
						next;
					}
					else
					{
						# hide any QS from the public:
						$logged_uri =~ s/\?.*$//;

						my $link_title = "$logged_dur $ua_display $logged_uri $logged_ref_display";
						$link_title =~ s/"/&quot;/g;

						my $displaying_this_visitor = 0;
						my $recent_visitor_string = my $online_visitor_string = qq`<a class="nav" title="$link_title">$online_user_start_tag$display_name$online_user_end_tag</a><br />\n`;

						if($PREF{show_online_or_recent} =~ /recent/i)
						{
							push @output_recent, $recent_visitor_string;
							$displaying_this_visitor = 1;
						}
						elsif($PREF{show_online_or_recent} =~ /online/i   &&   $user_is_still_online)
						{
							push @output_online, $online_visitor_string;
							$displaying_this_visitor = 1;
						}
						elsif($PREF{show_online_or_recent} =~ /both/i)
						{
							# only push the first $PREF{'num_recent_visitors_to_display'} visitors into
							# the @output_recent list, because in "both" mode, we'll have to go much
							# further into the log to get all the online visitors too.
							push (@output_recent, $recent_visitor_string) if ($#output_recent + 1) < $PREF{'num_recent_visitors_to_display'};

							push (@output_online, $online_visitor_string) if $user_is_still_online;

							# "both" means keep track of both recent and online visitors, and if the number
							# of online visitors exceeds our threshold, then display it.  since it is always
							# true that recent_visitors >= online_visitors (because for our purposes here,
							# "recent" just means "those currently in the log"), that means that while in
							# "both" mode, we must only increment our $displaying_this_visitor variable if 
							# the user is still online.
							$displaying_this_visitor = 1 if $user_is_still_online;
						}


						if($displaying_this_visitor)
						{
							$lines_displayed++;
						}


						# It seems like this should be inside the if($displaying_this_visitor) { } block
						# above, but it shouldn't, because that block is only used to keep track of the
						# *number* of visitors already displayed, which for "both" mode, means the number
						# of *online* visitors.  So if we put this inside that block, then any recent-
						# visitor list that we output will fail to have its dups removed.
						$already_displayed{"$logged_ip-$display_name"} = 1;
						if($logged_host =~ /($PREF{spider_hosts})/)
						{
							$already_displayed{"spider-$display_name"} = 1;
						}

					}
				}
			}
		}
	}


	#$sth = $PREF{dbh}->prepare("SELECT COUNT(*) FROM $PREF{visitor_table_name} WHERE date LIKE '${today}%';");
	$sth = $PREF{dbh}->prepare("SELECT COUNT(*) FROM $PREF{visitor_table_name} WHERE date8 = $datestring8;");
	$sth->execute;
	my $num_visitors_today = $sth->fetchrow;


	if($qs =~ /(?:^|&)mode=full(?:&|$)/)
	{
		@output = @output_full;
	}
	elsif($lines_to_display != 0)
	{
		# Determine whether to display currently-online visitors, or recent visitors.
		if(
			($PREF{show_online_or_recent} =~ /online/i)
			||
			(   $PREF{show_online_or_recent} =~ /both/i   &&   ($num_visitors_online >= $PREF{online_or_recent_both_threshold})   )
		)
		{
			@output = @output_online;
			$output[$#output] =~ s/,\s*$//;
		}
		else
		{
			@output = @output_recent;
		}

		#$recent_visitors_output = qq`<div id="recent_visitors">\n` . (join '', @output) . "\n</div>\n";
		#
		my $recent_visitors_inner_content = '';
		foreach my $visitor (@output)
		{
			my $template_inner = $PREF{recent_visitors_inner_template};
			$template_inner =~ s!%%row_content%%!$visitor!;
			$recent_visitors_inner_content .= $template_inner;
		}

		$PREF{recent_visitors_template} =~ s!%%inner_content%%!$recent_visitors_inner_content!;
		$recent_visitors_output = $PREF{recent_visitors_template};
	}



	if($qs =~ /mode=full/)
	{
		$output .=	  qq`<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">`
				. qq`\n<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">`
				. qq`\n<head>`
				. qq`\n<meta http-equiv="Content-type" content="text/html; charset=ISO-8859-1" />`
				. ($qs =~ /(action=search|deletemode=true)/ ? '' : qq`\n<meta http-equiv="refresh" content="168" />`)
				. qq`\n<title>$num_visitors_online/$num_visitors_today/$total_hits_with_offset - VisitorLog's LiveLog</title>`
				. qq`\n<style type="text/css" media="screen">`
				;

		my ($bg, $fg, $link, $online, $headrow, $oddrow, $evenrow, $rowborder,$rowhover,$rowhovertext,$rowhoverlink) = ();

		#if($qs =~ /style=plain/)
		#{
			my ($bg,$fg,$link,$online) = ();
			if($in_delete_mode)
			{
				  ($bg,		$fg,		$link,		$online,	$headrow,	$oddrow,	$evenrow,	$rowborder,	$rowhover,	$rowhovertext,	$rowhoverlink)
				= ('#333',	'white', 	'#3399ee', 	'#3399ee',	'#676767',	'#292929',	'#333333', 	'#000',		'#912a2a',	'#fff',		'#3399ee');
			}
			elsif($qs =~ /cs=1/)
			{
				  ($bg,		$fg,		$link,		$online,	$headrow,	$oddrow,	$evenrow,	$rowborder)
				= ('white',	'#336666',	'#902020',	'#902020',	'#336666',	'#c2e1e1',	'#c2e1e1', 	'#ffffff');
			}
			elsif($qs =~ /cs=2/)
			{
				  ($bg,		$fg,		$link,		$online,	$headrow,	$oddrow,	$evenrow,	$rowborder)
				= ('white',	'#676767',	'#0066bb',	'#0066bb',	'#bbb',		'#f3f3f3',	'#e9e9e9', 	'#ffffff');
			}
			else
			{
				   ($bg,	$fg,		$link,		$online,	$headrow,	$oddrow,	$evenrow,	$rowborder,	$rowhover,	$rowhovertext,	$rowhoverlink)
				 = ('white',	'#676767',	'#bf3737',	'black',	'#507090',	'#e6e6e6',	'#efefef', 	'#bbb',		'#83B96B',	'#fff',		'#000');
			}

			$output .= 	  "\nbody,table		{ background: $bg; color: $fg; font-family: sans-serif; font-size: 0.8em; margin: 3px; }"
				. "\n#vlogtop		{ margin: 0; white-space: nowrap; }"
				. "\n#vlogpagetitle	{ font-weight: bold; color: #333; }"
				. "\n#vlogonline	{ margin: 0 0 0 -3px; width: 100%; padding: 2px; border-top: 1px solid #ccc; }"
				. "\ntable		{ margin-left: -3px; margin-top: 0; border-collapse: collapse; border-bottom: 1px solid #ddd; border-top: 1px solid #ccc; }"
				. "\na			{ color: $link; text-decoration: none; }"
				. "\na:hover		{ color: black; }"
				. "\n.onlinelinkcolor	{ color: $online; font-weight: bold; }"
				. "\ntd			{ white-space: nowrap; padding: 4px; }"
				. "\ntr#head		{ font-weight: bold; background: $headrow; color: white; border-bottom: 1px solid #fff; }"
				. "\n#normal tr.odd	{ background: $oddrow; border-bottom: 1px solid $rowborder; }"
				. "\n#normal tr.even	{ background: $evenrow; border-bottom: 1px solid $rowborder; }"
				. "\n#delete tr.odd	{ background: $oddrow; border-bottom: 1px solid $rowborder; }"
				. "\n#delete tr.even	{ background: $evenrow; border-bottom: 1px solid $rowborder; }"
				#. "\ntr.odd:hover,tr.even:hover	{ border: 1px solid #000; }"
				. "\n#normal tr.even:hover, #normal tr.odd:hover, #delete tr.even:hover, #delete tr.odd:hover		{ background: $rowhover; color: $rowhovertext; }"
				. "\n#normal tr.even:hover a, #normal tr.odd:hover a, #delete tr.even:hover a, #delete tr.odd:hover a	{ color: $rowhoverlink; }"
				. "\n#pb		{ margin: 0 auto 20px auto; text-align: center; }"
				. "\n#vlog_full_footer_links { margin: 20px auto 0 auto; text-align: center; }"
				. "\n\n";

			$output .= qq`\n#vlogonline { display: none; }\n` if $qs =~ /action=search/;

		#}
		#else
		#{
		#	$output .=  qq`\@import url("$css_file_name");\n`;
		#}

		$output .= 	  qq`\n</style>`
			. qq`\n<script type="text/javascript">`
			. qq`\nfunction showonlineandchatinvite()`
			. qq`\n{`
			. qq``;

		if($cookies{'nd_show_visitors_in_sb'} !~ /0/   &&   $PREF{'disable_status_bar_output'} =~ /no/i)
		{
			$output .=  qq`	window.status='$thetime $ENV{'SERVER_NAME'}: online $num_visitors_online / today $num_visitors_today. online: ` . (join '   ', @online_users) . qq`';\n`;
		}

		my $chat_id = check_for_chat_invite($site_id);
		if($chat_id)
		{
			$output .= 	  qq`\n\tif(confirm("Hi there!  If you have a second to chat, click OK.  It'll take you to my web-based IM-client at $ENV{'HTTP_HOST'}$PREF{'url_to_chat_page'}."))`
				. qq`\n\t{`
				. qq`\n\t\ttop.location.href="http://$ENV{'HTTP_HOST'}$PREF{'url_to_chat_page'}?$chat_id";`
				. qq`\n\t}`
				. qq``;
		}

                $output .=      qq`\n\treturn true;`
                        . qq`\n}`
                        . qq`\n`;




		if($in_delete_mode)
		{
			$output .=  qq`

			function setbghighlight(row)
			{
				row.firstChild.firstChild.checked=!row.firstChild.firstChild.checked;
				if(row.firstChild.firstChild.checked)
					row.style.background = '#264729';
				else
					row.style.background = '';
			}

			`;
		}





                $output .=      qq`\n</script>`

			. qq`\n<link rel="icon" href="/favicon.ico" type="image/png" />`
			. qq`\n</head>`
			#. qq`\n<body onload="showonlineandchatinvite()">`
			. qq`\n<body>`
			. qq``;
	}

	#$output .=  qq`<div id="vlogoutput">\n`	unless (($qs =~ /justcount|justonline/)			||   ($lines_to_display == 0));

	#$output .=  qq`<div class="linksection">\n`	unless (($qs =~ /justcount|justonline|justsummary/)	||   ($lines_to_display == 0));



	if($qs =~ /mode=full/)
	{
		$output .= 	  qq`<div id="vlogtop"><span id="vlogpagetitle">LiveLog:</span> <a href="$PREF{stats_url_short}?mode=stats">$prettytime_nice`
				. ($qs =~ /action=search/ ? '' : qq`: Online $num_visitors_online / Today $num_visitors_today`)
				. qq` / Total $total_hits_with_offset</a>`
				. qq` &nbsp; [ `
				. qq` <a href="$PREF{vlog_url_short}?` . (make_new_qs("action=search","deletemode=")) . qq`">search</a>\n`
				. qq` | <a href="$PREF{vlog_url_short}?` . (make_new_qs("deletemode=true")) . qq`">delete</a>\n`
				. qq` ] &nbsp; [ `
				. qq` view: <a href="$PREF{vlog_url_short}?mode=full">default</a> &nbsp;<a href="$PREF{vlog_url_short}?` . (make_new_qs("showoutput=50")) . qq`">50</a> &nbsp;<a href="$PREF{vlog_url_short}?` . (make_new_qs("showoutput=100")) . qq`">100</a> `
				. qq` ] &nbsp; [ `
				. qq` showing: ` . ($qs =~ /onlyonline=true/ ? 'online' : 'all') . qq` visitors | <a href="$PREF{vlog_url_short}?` . ($qs =~ /onlyonline=true/ ? make_new_qs('onlyonline=false') : make_new_qs('onlyonline=true')) . qq`">` . ($qs =~ /onlyonline=true/ ? 'show all' : 'show online') . qq`</a> ` . qq`\n`
				. qq` ]`
		;

		if($PREF{enable_pageview_history} =~ /yes/i)
		{
			$output	.= qq` &nbsp; [ history: `
				. ($qs =~ /history=off/ || $qs !~ /(?:^|&)history=\w+/ ? '<strong>off</strong>' : qq`<a href="$PREF{vlog_url_short}?` . make_new_qs('history=off') . qq`">off</a>`)
				. ' | '
				. ($qs =~ /history=recent/ ? '<strong>recent</strong>' : qq`<a href="$PREF{vlog_url_short}?` . make_new_qs('history=recent') . qq`">recent</a>`)
				. ' | '
				. ($qs =~ /history=all/ ? '<strong>all (slow)</strong>' : qq`<a href="$PREF{vlog_url_short}?` . make_new_qs('history=all') . qq`">all (slow)</a>`)
				. " ]\n";
		}

		$output .= 	  qq`\n</div>\n\n\n<div id="vlogonline">Online: &nbsp; ` . (@online_users ? (join ' &nbsp; ', sort @online_users) : '(none)') . qq` <br />`; # if @online_users;
		$output .= 	  qq`\n</div>\n`; # if @online_users;


		if($qs =~ /action=search/)
		{
			# Preserve any existing query-string vars, other than previous search vars, when doing a new search:
			#
			my $qs_vars = '';
			while($qs =~ m!(?:^|&)(\w+)=([^&]*)!gi)
			{
				my ($var,$value) = ($1,$2);
				next if $var =~ /^s_\w+/i;
				next if $var =~ /^(orderby|orderdir|showoutput|action|mode)$/i; # skip any other vars that have actual form fields.
				$qs_vars .= qq`<input type="hidden" name="$var" value="$value" />\n` unless $qs_vars =~ /<input type="hidden" name="$var"/i;
			}

			$output .=qq`<style type="text/css">`
				. qq`\n#vlog-search-table input { width: 100px; padding: 4px 2px; }`
				. qq`\n#vlog-search-form { margin-top: 10px; margin-bottom: 10px; padding: 4px; }`
				. qq`\n</style>`
				. qq`\n`
				. qq`\n<form method="GET" action="$PREF{vlog_url_short}" id="vlog-search-form">`
				. qq`\n<input type="hidden" name="mode" value="full" />`
				. qq`\n<input type="hidden" name="action" value="search" />`
				. qq`\n$qs_vars`
				. qq`\n<table border="0" id="vlog-search-table"><tr>`
				. qq`\n<td>Visitor:<br /><input class="default" type="text" name="s_name" value="$SEARCH{s_name}" /></td>`
				. qq`\n<td>Length of visit:<br /><input class="default" type="text" name="s_dur" value="$SEARCH{s_dur}" /></td>`
				. qq`\n<td>Date:<br /><input class="default" type="text" name="s_date" value="$SEARCH{s_date}" /></td>`
				. qq`\n<td>Viewing:<br /><input class="default" type="text" name="s_uri" value="$SEARCH{s_uri}" /></td>`
				. qq`\n<td>IP Address:<br /><input class="default" type="text" name="s_ip" value="$SEARCH{s_ip}" /></td>`
				. qq`\n<td>Hostname:<br /><input class="default" type="text" name="s_host" value="$SEARCH{s_host}" /></td>`
				. qq`\n<td>Resolution:<br /><input class="default" type="text" name="s_res" value="$SEARCH{s_res}" /></td>`
				. qq`\n<td>Browser:<br /><input class="default" type="text" name="s_browser" value="$SEARCH{s_browser}" /></td>`
				. qq`\n<td>OS:<br /><input class="default" type="text" name="s_os" value="$SEARCH{s_os}" /></td>`
				. qq`\n<td>Came From:<br /><input class="default" type="text" name="s_ref" value="$SEARCH{s_ref}" /></td>`
				#. qq`\n<td>Theme:<br /><input class="default" type="text" name="s_theme" value="$SEARCH{s_theme}" /></td>`
				. qq`\n<td>#RecordsToSearch:<br /><input class="default" type="text" name="showoutput" value="` . ($SEARCH{showoutput} ? $SEARCH{showoutput} : 1000) . qq`" /></td>`
				. qq`\n</tr></table>`
				. qq`\nSort by: <select name="orderby">`
				. qq`<option value="name" ` . ($qs =~ /orderby=name/ ? 'selected="selected"' : '') . qq`>Visitor</option>`
				. qq`<option value="dur" ` . ($qs =~ /orderby=dur/ ? 'selected="selected"' : '') . qq`>Length of Visit</option>`
				. qq`<option value="etime" ` . ($qs =~ /orderby=(etime|&)/ || $qs !~ /orderby=/ ? 'selected="selected"' : '') . qq`>Date</option>`
				. qq`<option value="uri" ` . ($qs =~ /orderby=uri/ ? 'selected="selected"' : '') . qq`>Viewing</option>`
				. qq`<option value="ip" ` . ($qs =~ /orderby=ip/ ? 'selected="selected"' : '') . qq`>IP Address</option>`
				. qq`<option value="host" ` . ($qs =~ /orderby=host/ ? 'selected="selected"' : '') . qq`>Hostname</option>`
				. qq`<option value="res" ` . ($qs =~ /orderby=res/ ? 'selected="selected"' : '') . qq`>Screen Resolution</option>`
				. qq`<option value="ua" ` . ($qs =~ /orderby=ua/ ? 'selected="selected"' : '') . qq`>Browser/OS</option>`
				. qq`<option value="ref" ` . ($qs =~ /orderby=ref/ ? 'selected="selected"' : '') . qq`>Came From</option>`
				. qq`\n</select> `
				. qq`\n<select name="orderdir">`
				. qq`<option value="DESC" ` . ($qs =~ /orderdir=DESC/ ? 'selected="selected"' : '') . qq`>Descending</option>`
				. qq`<option value="ASC" ` . ($qs =~ /orderdir=ASC/ ? 'selected="selected"' : '') . qq`>Ascending</option>`
				. qq`\n</select> &nbsp; &nbsp; &nbsp; `
				. qq`\n<input class="defaultbutton" type="submit" value="search" /> &nbsp; &nbsp; &nbsp; `
				. qq`\n<span style="margin-left: 100px;">[$lines_displayed visitors displayed; $records_checked records checked]</span> &nbsp; &nbsp; &nbsp; `
				. qq`\n<a href="$PREF{vlog_url_short}?action=searchhelp" target="_blank">Help with searching?</a>`
				. qq`\n</form>`
				. qq`\n`;
		}




		if($in_delete_mode)
		{
			$output .= qq`\n<form method="POST" action="$ENV{SCRIPT_NAME}?mode=full&showoutput=$lines_to_display&deletecommitmode=true" id="vlog-delete-form">`;


			$output .=  qq`
			<script type="text/javascript">
			function select_all()
			{
				var myform = document.getElementById("vlog-delete-form");
				var z = 0;
				while(myform[z].type == 'checkbox')
				{
					myform[z].checked = 1;
					var row = myform[z].parentNode.parentNode;
					row.style.background = '#264729';
					z++;
				}
			}
			function select_none()
			{
				var myform = document.getElementById("vlog-delete-form");
				var z = 0;
				while(myform[z].type == 'checkbox')
				{
					myform[z].checked = 0;
					var row = myform[z].parentNode.parentNode;
					row.style.background = '';
					z++;
				}
			}
			function toggle_nth_checkbox(num)
			{
				var myform = document.getElementById("vlog-delete-form");
				var z = 0;
				while(myform[z].type == 'checkbox')
				{
					if((z % num) == 0)
					{
						var row = myform[z].parentNode.parentNode;
						if(myform[z].checked)
						{
							myform[z].checked = 0;
							row.style.background = '';
						}
						else
						{
							myform[z].checked = 1;
							row.style.background = '#264729';
						}
					}
					z++;
				}
			}
			</script>
			`;


			$output .=	  qq`\n\n<div style="margin: 8px 0; padding: 3px; background: #555; border: 1px solid #aaa;">`
					. qq`\n<a href="#" onclick="select_all(); return false">Select All</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="select_none(); return false">Select None</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(2); return false">Toggle Every Other</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(3); return false">Toggle Every 3rd</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(4); return false">4th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(5); return false">5th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(6); return false">6th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(7); return false">7th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(8); return false">8th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(9); return false">9th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(10); return false">10th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(15); return false">15th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(20); return false">20th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(25); return false">25th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(50); return false">50th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(75); return false">75th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(100); return false">100th</a> &nbsp;  &nbsp; `
					. qq`\n</div>`;
		}


		$output .= qq`\n<table border="0" width="100%" id="` . ($in_delete_mode ? 'delete' : 'normal') . qq`">\n`;
		$output .= qq`<tr id="head">`;


		if($in_delete_mode)
		{
			$output .= qq`<td>Delete:</td>`;
		}
		elsif($PREF{'enable_chat_system'} =~ /yes/i)
		{
			$output .= qq`<td>Chat:</td>`;
		}


		$output .= $PREF{full_output_table_header_template};

		$output .= qq`</tr>\n`;
	}

	$output .= join('',@output) unless $qs =~ /justcount|justonline|justsummary/;

	if($qs =~ /mode=full/)
	{
		$output .= qq`\n</table>\n`;

		if($in_delete_mode)
		{
			$output .=	  qq`\n\n<div style="margin: 8px 0; padding: 3px; background: #555; border: 1px solid #aaa;">`
					. qq`\n<a href="#" onclick="select_all(); return false">Select All</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="select_none(); return false">Select None</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(2); return false">Toggle Every Other</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(3); return false">Toggle Every 3rd</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(4); return false">4th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(5); return false">5th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(6); return false">6th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(7); return false">7th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(8); return false">8th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(9); return false">9th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(10); return false">10th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(15); return false">15th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(20); return false">20th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(25); return false">25th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(50); return false">50th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(75); return false">75th</a> &nbsp;  &nbsp; `
					. qq`\n<a href="#" onclick="toggle_nth_checkbox(100); return false">100th</a> &nbsp;  &nbsp; `
					. qq`\n</div>`;
		}

		$output .= qq`\n<p style="text-align: center;">[$lines_displayed visitors displayed; $records_checked records checked]</p>\n`;
		my $top_output = `top -b -n 1 |head -n 5`;
		my $uptime_output = `uptime`;
		my $uname_output = `uname -a`;
		if($top_output || $uptime_output || $uname_output)
		{
			$top_output = "Top: $top_output" if $top_output;
			$uptime_output = "Uptime: $uptime_output" if $uptime_output;
			$uname_output = "Uname: $uname_output" if $uname_output;
			$output .= qq`<pre style="text-align: left; width: 550px; margin: 0 auto; white-space: pre-wrap;">Server info:\n\n$uptime_output\n$uname_output\n$top_output\n</pre>\n`;
		}

		if($in_delete_mode)
		{
			$output .=qq`\n`
				. qq`\n<br />Enter your password to authorize the deletion:<br /><input class="default" type="password" name="password" style="margin-top: 10px; margin-bottom: 10px;" />`
				. qq`\n<br /><input class="defaultbutton" type="submit" value="Delete Selected" />`
				. qq`\n`;
		}

		$output .= qq`\n</form>\n`;

		$output .= qq`<p id="vlog_full_footer_links">[ <a href="/">Home</a> | <a href="$ENV{SCRIPT_NAME}?action=widgets&amp;widgetfullhtml=yes">Quick Stats</a> | <a href="$PREF{stats_url_short}?mode=stats">Full Stats</a> ]</p>\n`;
	}

	$output .= "</div><br />\n" unless (($qs =~ /justcount|justonline|justsummary/)   ||   ($lines_to_display == 0));

	unless($qs =~ /(mode=full|justsummary)/)
	{
		$output .=qq`<a class="numvisitorslink" href="$PREF{stats_url_short}?mode=stats" title="Total: $total_hits_with_offset" `
			. qq`onmouseover="window.status='$thetime $ENV{'SERVER_NAME'}: online: ` . (join '   ', @online_users) . qq`';return true" `
			. qq`onmouseout="window.status='';return true;">` unless (($qs =~ /nohyperlink/)   ||   ($lines_to_display == 0));

		$output .=  qq`<span class="numvisitors">` unless (($qs =~ /justcount|justonline/)   ||   ($lines_to_display == 0));
		$output .=  qq`Online $num_visitors_online / Today $num_visitors_today` unless (($qs =~ /justcount|justonline/)   ||   ($lines_to_display == 0));
		$output .=  qq`Online: &nbsp; ` . (join ' &nbsp; ', @online_users) if (($qs =~ /justonline/)   &&   ($lines_to_display != 0));
		$output .=  qq`</span>` unless (($qs =~ /justcount|justonline/)   ||   ($lines_to_display == 0));
		$output .=  qq`</a>` unless (($qs =~ /nohyperlink/)   ||   ($lines_to_display == 0));
		$output .=  qq`\n`;
	}



	$PREF{visitors_summary_template} =~ s/%%num_visitors_online%%/$num_visitors_online/g;
	$PREF{visitors_summary_template} =~ s/%%num_visitors_today%%/$num_visitors_today/g;
	$PREF{visitors_summary_template} =~ s/%%num_visitors_total%%/$total_hits_with_offset/g;
	$visitors_summary_output = $PREF{visitors_summary_template};
	$output .= $PREF{visitors_summary_template} if $qs =~ /justsummary/;



	if(   $qs !~ /justcount|justonline|justsummary|mode=full/   &&   $lines_to_display != 0   &&   ($PREF{logged_in_username} || get_cookie($PREF{guestname_cookie}))   )
	{
		$output .=  qq`<br /><br />\n`;
		if($PREF{admin_is_logged_in})
		{
			$output .=  qq`<div id="logoutlink">Admin: $PREF{logged_in_username} (<a href="$PREF{logout_url}">logout</a>)</div>\n`;
		}
		elsif($PREF{member_is_logged_in})
		{
			$output .=  qq`<div id="logoutlink">Member: $PREF{logged_in_username} (<a href="$PREF{logout_url}">logout</a>)</div>\n`;
		}
		else
		{
			$output .=  qq`<div id="logoutlink">Guest: ` . get_cookie($PREF{guestname_cookie}) . qq` (<a href="$ENV{SCRIPT_NAME}?guestlogout">logout</a>)</div>\n`;
		}
	}

	## close the "vlogoutput" div.
	#$output .=  qq`</div>\n` unless (($qs =~ /justcount|justonline/)   ||   ($lines_to_display == 0));

	$output .= print_powered_by('noprint');

	if($qs =~ /mode=full/)
	{
		$output .= "\n</body>\n</html>\n";
	}

	return ($output, $visitors_summary_output, $recent_visitors_output);

} # end of sub get_output().










sub process_referer($)
{
	my $logged_ref = shift;
	my $logged_ref_display = get_search_terms_from_ref($logged_ref);
	$logged_ref_display =~ s/&quot;/"/g;
	$logged_ref_display =~ s/^(.{60}).*/$1\.\.\./ if length($logged_ref_display) > 60;
	$logged_ref = '' if $logged_ref eq 'DirectHit';
	s/&/&amp;/g for ($logged_ref, $logged_ref_display);
	$logged_ref_display =~ s/</&lt;/g;
	$logged_ref_display =~ s/>/&gt;/g;
	my $logged_ref_link = $logged_ref ? qq`<a href="$logged_ref" target="_blank">$logged_ref_display</a>` : $logged_ref_display;
	return ($logged_ref, $logged_ref_display, $logged_ref_link);
}


sub get_logged_uri_display($)
{
	my $logged_uri_display = shift;
	if(length($logged_uri_display) > $PREF{display_uris_abbreviated_to_this_length})
	{
		if($logged_uri_display =~ /\?(.+)/)
		{
			$logged_uri_display = '...' . $1;
		}

		# If it's still too long, truncate it.
		$logged_uri_display =~ s/^(.{27}).*/$1\.\.\./ if length($logged_uri_display) > 30;
	}
	return $logged_uri_display;
}


sub print_search_help()
{
	print "Content-type: text/html\n\n";

	print	  qq`<html>\n<head>\n<title>Encodable VisitorLog: Help With Searching</title>`
		. qq`\n<style type="text/css">`
		. qq`\nbody`
		. qq`\n{`
		. qq`\n\tfont-family: sans-serif;`
		. qq`\n\tcolor: #444;`
		. qq`\n}`
		. qq`\n</style>\n</head>\n<body>`
		. qq`\n<h3>Help With Searching</h3>`
		. qq`\n`
		. qq`\n<p>This search feature tries to be as intuitive as possible, and/therefore as Google-like as possible.</p>`
		. qq`\n<p>It uses case-insensitive partial matching: for example, "jan" in the Date: field will match Jan01-Jan31, "jan2" will match Jan20-Jan29, etc.</p>`
		. qq`\n<p>You can use the pipe (vertical bar) character as an OR operator: for example, "comcast|aol" in the Hostname: field will match both Comcast users and AOL users.</p>`
		. qq`\n<p>You can use a double-ampersand (&amp;&amp;) as an AND operator: for example, "google&&mywidget" in the CameFrom: field will match records where CameFrom contains both "google" and "mywidget".</p>`
		. qq`\n<p>You can also prefix a term with a dash to exclude matches: for example, "-aol" in the Hostname: field will match anyone <i>not</i> from an AOL hostname.</p>`
		. qq`\n<p>In the Browser or OS fields, you can use the special keyword k:unique as your search-term, to show visitors whose user-agent only appears one time in the set of results; you can also use k:unknown to show visitors whose browsers could not be identified.</p>`
		. qq`\n<p>You can add &amp;orderby=foo on the URL to change the sort order; possible values for foo include etime, date, date8, serial_id (the default), id, name, ip, host, res, dur, uri, ref, and ua.</p>`
		. qq`\n<p></p>`
		. qq`\n</body>\n</html>\n`
		. qq`\n`;
}


sub get_search_term_pairs_from_url()
{
	my @decoded_pairs = ();
	my @pairs = split(/&/, $qs);
	foreach my $pair (@pairs)
	{
		my ($field,$value) = split(/=/, $pair, 2);
		$field =~ s/^s_//;
		next unless $value =~ /./ && $field =~ /^(ip|host|name|date|dur|uri|res|browser|os|ref)$/;
		enc_urldecode($value);

		if($value =~ /&&/)
		{
			my @multiple_values = split(/&&/, $value);
			foreach my $one_value (@multiple_values)
			{
				push @decoded_pairs, "$field=$one_value";
			}
		}
		else
		{
			push @decoded_pairs, "$field=$value";
		}
	}
	return @decoded_pairs;
}


sub create_random_int()
{
	# Create a random integer by concatenating 5 sources of pseudo-random (or at least,
	# different for different clients at different times) numbers.

	# Note: make sure to concatenate here, not multiply, since you end up with a very
	# large integer that's virtually certain to not be prime, which means multiple
	# different values of the individual sources could result in the same overall
	# large random int.
	my $int = (time() + $PREF{time_offset}) . $PREF{ip} . $$ . $ENV{REMOTE_PORT} . rand() . $ENV{HTTP_USER_AGENT};
	$int =~ s/\D//g; # remove any non-digits.
	$int =~ s/^(.{1,85}).+?/$1/; # limit it to 85 digits or fewer.
	return $int;
}



sub get_new_site_id()
{
	return create_random_int();
}



sub load_prefs()
{
	$PREF{internal_appname_nice}	= 'VisitorLog';
	$PREF{internal_appname}		= 'visitorlog';
	$PREF{internal_filename}	= 'visitors';
	$PREF{twochar_app_id}		= 'vl';


	do_preinit();


	verify_server_environment();
	fix_server_environment();


	# Pre-PREF init stuff: default PREF values, etc.
	#
	populate_month_conversion_hashes();
	$PREF{display_uris_abbreviated_to_this_length} = 50;
	$PREF{visitor_table_name}	= 'vltrial';
	$PREF{archive_counts_table}	= "vltrial_archive_counts";


	set_default_prefs_for_all_apps();
	check_for_enc_visitor_id();
	load_external_prefs();
	load_other_prefs_files();


	settle_docroot_datadir_cgimodule_etc();


	# Webconfig must happen after datadir is settled, since it needs to read/write there:
	#
	load_webconfig_prefs();


	figure_out_where_here_is();
	determine_cookie_domain();


	# Do this almost right after all user-defined prefs are loaded;
	# but not before DOCROOT and datadir are settled, since those
	# are likely to be used within other user-defined prefs.
	#
	expand_custom_vars_in_prefs();


	# Load UserBase prefs after settling DOCROOT in case we used
	# %PREF{DOCROOT} in the path to the UserBase prefs file.
	#
	load_userbase_prefs();


	# Now all prefs are loaded.
	#
	do_postpref_processing();
	($PREF{ip}, $PREF{host}) = get_ip_and_host();
	do_blacklisting_and_whitelisting();


	# Must come before the ?login processing:
	#
	foreach my $prefname (sort keys %PREF)
	{
		if($prefname =~ /^admin_password_hash(_\d\d)?$/  && $PREF{$prefname})		{ $PREF{all_admin_password_hashes}{$PREF{$prefname}} = 1; }
		elsif($prefname =~ /^member_password_hash(_\d\d)?$/ && $PREF{$prefname})	{ $PREF{all_member_password_hashes}{$PREF{$prefname}} = 1; }
	}




	$PREF{time_offset}			= $PREF{time_offset} * 3600			if $PREF{time_offset} =~ /^-?\d+$/;

	$etime				= time() + $PREF{time_offset};
	$global_current_etime		= time() + $PREF{time_offset};

	$five_min_ago			= $global_current_etime - (300);
	$one_hour_ago			= $global_current_etime - (3600);
	$one_and_a_half_hours_ago	= $global_current_etime - (3600*1.5);
	$two_hours_ago			= $global_current_etime - (3600*2);
	$one_day_ago			= $global_current_etime - (3600*24);
	$online_watchdog_timeout	= 180; #seconds.
	$end_of_long_window		= $one_day_ago; # $etime - (3600*8); # temporarily set to 8 hours.
	$past_hits			= 0;

	# Set some date/time variables.
	($prettytime, $prettytime_nice, $today, $longdatetime, $datestring8, $datestring12, $thetime) = set_date_and_time($global_current_etime);




	# do these regardless of load/instances:
	if($qs =~ /(^|&)js(&|$)/   ||   $qs =~ /action=justjs/)
	{
		#print_p3p_header();
		expand_custom_vars_in_prefs('include_undefined');
		print "Content-type: text/javascript\n\n";
		print get_js();
		exit;
	}
	elsif($qs eq 'css'   ||   $qs =~ /action=justcss/)
	{
		expand_custom_vars_in_prefs('include_undefined');
		print "Content-type: text/css\n\n";
		print get_css();
		exit;
	}


	# Check load and instance counts so we can quit early if the server's overloaded.
	#
	my $load = `uptime`;
	if($load =~ /load average:\s*(\d+\.\d+),\s*(\d+\.\d+),\s*(\d+\.\d+)/)
	{
		my ($longterm_loadavg) = ($3 =~ /(\d+)\.\d+/);
		if($longterm_loadavg > $PREF{max_load})
		{
			enc_warn "vlog: longterm_loadavg=$longterm_loadavg; quitting early since it's >$PREF{max_load}, to be nice to the server.\n";
			print "Content-type: text/plain\n\n";
			print "Error: load=${longterm_loadavg}; increase \$PREF{max_load} ($PREF{max_load}).\n" unless $PREF{hide_load_and_instance_error_messages} =~ /yes/i;
			exit;
		}
	}
	my (undef,$scriptname) = split_path_and_filename($ENV{SCRIPT_NAME});
	$scriptname = 'visitors.cgi' unless $scriptname;
	my $instances_of_self = `ps auxw |grep $scriptname |grep -v grep |wc -l`;
	$instances_of_self =~ s/\D//g;
	if($instances_of_self > $PREF{max_instances})
	{
		enc_warn "vlog: $instances_of_self instances of visitors.cgi found in the process list; quitting early since it's >$PREF{max_instances}, to be nice to the server.\n";
		print "Content-type: text/plain\n\n";
		print "Error: instances=$instances_of_self; increase \$PREF{max_instances} ($PREF{max_instances}).\n" unless $PREF{hide_load_and_instance_error_messages} =~ /yes/i;
		exit;
	}


	#$PREF{pageviews_table}				= 'pageviews'				unless exists $PREF{pageviews_table};
	#
	# 20110531: changing this so that the value of $PREF{pageviews_table} is now dated,
	# so that the entries are kind of automatically archived, and thus no periodic
	# manual archiving is necessary.
	#
	$PREF{pageviews_table}				= 'pageviews_' . strftime("%Y%m",localtime);


	$PREF{popular_pages_widget_file_type}		||= 'html';
	$PREF{widget_cache_file_type}			||= 'html';

	$PREF{cached_output_dir_url}  = $PREF{appdir_url}  . '/cached_output';
	$PREF{cached_output_dir_real} = $PREF{appdir_real} . '/cached_output';
	create_dir_if_DNE($PREF{cached_output_dir_real}, $PREF{writable_dir_perms});
	$PREF{popular_pages_cache_file} = $PREF{cached_output_dir_real} . '/popular_pages.' . $PREF{popular_pages_widget_file_type};


	# This comes later in VisitorLog than in other apps, because since VL executes on
	# every page, we want to do the load/instance checks (and exit if necessary) before
	# doing an expensive DB connection.
	#
	if(1)
	{
		get_db_connection();
		create_db_tables_if_DNE();
	}


	$PREF{REQ_URI_SANS_QS} = ($ENV{REQUEST_URI} =~ /^([^\?]+)/)[0];
	$PREF{we_are_virtual} = $PREF{REQ_URI_SANS_QS} ne $ENV{SCRIPT_NAME};

	$PREF{protoprefix} = $PREF{protoprefix} ? $PREF{protoprefix} : $ENV{SERVER_PORT} =~ /443/ ? 'https://' : 'http://';

	if($PREF{add_www_to_hostname} =~ /yes/i && $ENV{HTTP_HOST} !~ /^www\./i)
	{
		my $go = "$PREF{protoprefix}www.$ENV{HTTP_HOST}$PREF{REQ_URI_SANS_QS}" . ($qs ? "?$qs" : '');
		enc_redirect($go);
	}
	elsif($PREF{add_www_to_hostname} !~ /yes/i && $PREF{remove_www_from_hostname} =~ /yes/i && $ENV{HTTP_HOST} =~ /^www\.(.+)/i)
	{
		my $host = $1;
		my $go = "$PREF{protoprefix}$host$PREF{REQ_URI_SANS_QS}" . ($qs ? "?$qs" : '');
		enc_redirect($go);
	}

	if($PREF{force_https} =~ /yes/i && $ENV{HTTPS} !~ /^(on|yes|enabled|true|1)$/i)
	{
		my $go = "https://$ENV{HTTP_HOST}$PREF{REQ_URI_SANS_QS}" . ($qs ? "?$qs" : '');
		enc_redirect($go);
	}

	if($PREF{prevent_direct_cgi_access} =~ /yes/i   &&   !$PREF{we_are_virtual}   &&   $ENV{REQUEST_METHOD} !~ /post/i   &&   !$qs)
	{
		print_http_headers();
		print $PREF{direct_cgi_access_error};
		exit;
	}



	load_hashing_module();


	$PREF{guestname_cookie}				= 'guestname'				unless exists $PREF{guestname_cookie};
	$PREF{site_id_cookie}				= 'enc_id';


	$PREF{vlog_url_short}				= '/visitors/'				unless exists $PREF{vlog_url_short};
	$PREF{here_login}				= $PREF{vlog_url_short}			unless exists $PREF{here_login};
	$PREF{'disable_status_bar_output'}		= 'no'					unless exists $PREF{'disable_status_bar_output'};

	$PREF{'show_online_or_recent'}			= 'recent'				unless $PREF{'show_online_or_recent'} =~ /^(?:online|recent|both)$/;
	$PREF{'num_recent_visitors_to_display'}		= 8					unless $PREF{'num_recent_visitors_to_display'} =~ /^\d+$/;
	$PREF{'num_online_visitors_to_display'}		= 20					unless $PREF{'num_online_visitors_to_display'} =~ /^\d+$/;
	$PREF{'online_or_recent_both_threshold'}	= 5					unless $PREF{'online_or_recent_both_threshold'} =~ /^\d+$/;
	$PREF{abbreviate_hostnames_longer_than}		= 35					unless $PREF{abbreviate_hostnames_longer_than} =~ /^\d+$/;
	$PREF{approx_daily_visitors}			= 500					unless $PREF{approx_daily_visitors} =~ /^\d+$/;
	$PREF{num_days_login_lasts}			= 15					unless exists $PREF{num_days_login_lasts};

	$PREF{brief_greeting}				= 'Hello'				unless exists $PREF{brief_greeting};
	$PREF{'stats_url_short'}			= "/stats/"				unless exists $PREF{'stats_url_short'};
	$PREF{'show_most_simultaneous_visitors'}	= 'no'					unless exists $PREF{'show_most_simultaneous_visitors'};
	$PREF{'stats_are_private'}			= 'no'					unless exists $PREF{'stats_are_private'};
	$PREF{'lowest_percent_to_show'}			= 2					unless exists $PREF{'lowest_percent_to_show'} && $PREF{'lowest_percent_to_show'} =~ /^\d+$/;
	$PREF{'lowest_percent_to_show'}			= 0					if $ENV{'QUERY_STRING'} =~ /(?:^|&)showtiny(?:$|&)/;
	$PREF{'recent_visitor_table_last'}		= 'yes'					unless exists $PREF{'recent_visitor_table_last'};
	$PREF{today_8}					= strftime("%Y%m%d",localtime(time + $PREF{time_offset}));

	$PREF{uris_to_ignore_in_pageviews_log}{01}	= '^/cgi-bin/visitors.cgi'		unless exists $PREF{uris_to_ignore_in_pageviews_log}{01};


	if(   ($PREF{enable_debug} =~ /yes/i && $qs =~ /debug/)   ||   ($PREF{force_debug} =~ /yes/i)   )
	{
		$PREF{debug} = 1;
	}

	$PREF{stats_cache_dir}				= $PREF{datadir} . '/statscache'	unless exists $PREF{stats_cache_dir};
	create_dir_if_DNE($PREF{stats_cache_dir}, $PREF{writable_dir_perms});
	die_nice("Error: the directory \$PREF{stats_cache_dir}  ($PREF{stats_cache_dir})  must be world-readable, but it isn't.\n") if ! -r $PREF{stats_cache_dir};
	die_nice("Error: the directory \$PREF{stats_cache_dir}  ($PREF{stats_cache_dir})  must be world-writable, but it isn't.\n") if ! -w $PREF{stats_cache_dir};

	# Sanitize moronic UAs.  For example, this one:
	#
	# 	Sensis Web Crawler (search_comments\\at\\sensis\\dot\\com\\dot\\au)
	#
	$ENV{HTTP_USER_AGENT} =~ s!\\!/!g;

	my $i = 1;
	foreach my $pref (keys %PREF)
	{
		if($pref =~ /^ignore_visitor_.+/)
		{
			my $j = 1;
			while($PREF{$pref} =~ /(ip|hostname|browser|os|ref|uri)=(.+?)(?: &&& |$)/g)
			{
				my ($field,$value) = ($1,$2);
				$PREF{ignore_visitor}{$i}{$j}{name} = $field;
				$PREF{ignore_visitor}{$i}{$j}{value} = $value;
				$j++;
			}
			$i++;
		}
	}



	($PREF{admin_is_logged_in}, $PREF{member_is_logged_in}, $PREF{logged_in_username}, $PREF{logged_in_userid}) = (1, 1, 'trialuser', -3);



	$PREF{vtables} = []; # anonymous array.  same as: @{$PREF{vtables}} = ();


	# We're done processing prefs now, so expand all %PREF{foo}s, including undefined ones:
	#
	expand_custom_vars_in_prefs('include_undefined');
}


sub create_db_tables_if_DNE
{
	create_vlog_table_if_DNE();
	create_pageviews_table_if_DNE();
	create_archive_table_if_DNE();
}


sub create_archive_table_if_DNE
{
	unless(db_table_exists($PREF{archive_counts_table}))
	{
		# table doesn't exist yet (new install?), so create it.

		my $statement	= qq`CREATE TABLE $PREF{archive_counts_table} `
				. qq`(start_date INT UNSIGNED NOT NULL PRIMARY KEY, `
				. qq`end_date INT UNSIGNED NOT NULL, `
				. qq`start_etime INT UNSIGNED NOT NULL, `
				. qq`end_etime INT UNSIGNED NOT NULL, `
				. qq`visitor_count INT UNSIGNED NOT NULL) `
				. qq`;`;

		my $sth = $PREF{dbh}->prepare($statement);
		$sth->execute or die "$0: couldn't create archive counts table $PREF{archive_counts_table}: $DBI::errstr\n";
	}
}


sub create_vlog_table_if_DNE
{
	unless(db_table_exists($PREF{visitor_table_name}))
	{
		warn "$0: table $PREF{visitor_table_name} does not exist; attempting to create it now.\n";

		my $statement =	  qq`CREATE TABLE $PREF{visitor_table_name} (`
				. qq`serial_id BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY, `
				. qq`etime INT UNSIGNED NOT NULL, `
				. qq`date CHAR(21) NOT NULL, `
				. qq`id VARCHAR(85) NOT NULL, `
				. qq`cook_en CHAR(3) NOT NULL, `
				. qq`theme VARCHAR(50) NOT NULL, `
				. qq`ip VARCHAR(40) NOT NULL, `
				. qq`host VARCHAR(150) NOT NULL, `
				. qq`name VARCHAR(70) NOT NULL, `
				. qq`res VARCHAR(16) NOT NULL, `
				. qq`dur INT UNSIGNED NOT NULL, `
				. qq`uri TEXT NOT NULL, `
				. qq`ref TEXT NOT NULL, `
				. qq`ua TEXT NOT NULL, `
				. qq`date8 INT UNSIGNED NOT NULL `
				. qq`);`;
		my $sth = $PREF{dbh}->prepare($statement);
		$sth->execute() or die_nice("$0: couldn't create table '$PREF{visitor_table_name}': $DBI::errstr\n");

		$statement =	  qq`alter table visitors add index (etime);`;
		$sth = $PREF{dbh}->prepare($statement);
		$sth->execute() or die_nice("$0: couldn't add index to etime column on table '$PREF{visitor_table_name}': $DBI::errstr\n");

		$statement =	  qq`alter table visitors add index (date8);`;
		$sth = $PREF{dbh}->prepare($statement);
		$sth->execute() or die_nice("$0: couldn't add index to date8 column on table '$PREF{visitor_table_name}': $DBI::errstr\n");

		warn "$0: created table $PREF{visitor_table_name} successfully.\n";
	}
}


sub create_pageviews_table_if_DNE
{
	unless(db_table_exists($PREF{pageviews_table}))
	{
		warn "$0: table $PREF{pageviews_table} does not exist; attempting to create it now.\n";

		my $statement =	  qq`CREATE TABLE $PREF{pageviews_table} (`
				. qq`tableid BIGINT NOT NULL AUTO_INCREMENT PRIMARY KEY, `
				. qq`etime INT UNSIGNED NOT NULL, `
				. qq`date8 INT UNSIGNED NOT NULL, `
				. qq`visitorid VARCHAR(85) NOT NULL, `
				. qq`ip VARCHAR(40) NOT NULL, `
				. qq`uri TEXT NOT NULL, `
				. qq`ref TEXT NOT NULL `
				. qq`);`;
		my $sth = $PREF{dbh}->prepare($statement);
		$sth->execute() or die_nice("$0: couldn't create table '$PREF{pageviews_table}': $DBI::errstr\n");

		$statement =	  qq`alter table $PREF{pageviews_table} add index (visitorid);`;
		$sth = $PREF{dbh}->prepare($statement);
		$sth->execute() or die_nice("$0: couldn't add index to visitorid column on table '$PREF{pageviews_table}': $DBI::errstr\n");

		warn "$0: created table $PREF{pageviews_table} successfully.\n";
	}
}












sub do_logging
{
	#printd(qq`do_logging()`);

	#####
	##### Now do the logging.  First, create the logfile if it doesn't already exist.
	#####
	##### The rules: a visitor is tracked via their site_id cookie.  If they have 
	##### cookies disabled, for some dumb reason, then the best we can do is track
	##### them by their IP and UA.  (Or, maybe just the first 3 octets of the IP, 
	##### instead of the whole thing, since some dumb ISPs use constantly-changing
	##### IPs... but it's usually only the last octet that changes.)
	##### 
	##### Anyway... at this point, we check through the last "x-amount" of lines in the
	##### log (determined by $x_hours_ago, which actually holds some number of seconds
	##### equal to the current etime minus 3600, or 7200, or whatever).  If the visitor
	##### who's currently calling the script is found within those most recent lines of
	##### the log, then we update their duration (and IP addy / hostname, which for
	##### some dumb ISPs, are variable).  If the visitor who's currently calling the
	##### script is NOT found within those most recent log lines, then we add them as a
	##### new visitor at the top.
	##### 
	my $new_visitor = 1; # assume it's a new visitor, then try to disprove it.
	my ($IDs_match, $IPs_match, $UAs_match, $matching_fingerprints, @failed_fingerprints, @recent_visitors);
	my %fingerprints = ();
	$fingerprints{1} = 'ID';
	$fingerprints{2} = 'IP';
	$fingerprints{3} = 'UA';

	# Short window / long window: if a visitor is online for hours on end, and never goes
	# offline during that period, then we'll keep it as a single visit and update its
	# duration, until end_of_long_window.  If a visitor is online, then goes away and
	# comes back before end_of_short_window, we'll also treat that as a single visit, but
	# if they've gone away for longer than that, we'll log them anew.
	my $end_of_short_window			= $one_and_a_half_hours_ago; # $etime - 1800; # temporarily set to a half-hour.

	# If we were passed the visitor's resolution, then set it:
	my $user_res = 'Other';
	if($qs =~ /res=(\d+x\d+)/)	{ $user_res = $1; }
	if($user_res !~ /\d+x\d+/)	{ my $res_from_cookie = get_cookie("screenres"); $user_res = $res_from_cookie if $res_from_cookie =~ /\d+x\d+/; }

	if($PREF{allow_URI_and_REF_on_query_string} =~ /yes/i   &&   $qs =~ /&(?:amp;)?VLGURI=(.*)&(?:amp;)?VLGREF=(.*?)(?:&(amp;)?ie=junk)?$/)
	{
		$ENV{REQUEST_URI} = $1;
		$ENV{HTTP_REFERER} = $2;
	}

	my $sth = $PREF{dbh}->prepare("SELECT * FROM $PREF{visitor_table_name} WHERE etime>'$end_of_long_window';");
	$sth->execute();
	$sth->bind_columns(
				\$serial_id,			\$logged_etime,		\$logged_prettytime,	\$logged_site_id,
				\$logged_cookies_enabled,	\$user_cookies,		\$logged_ip,		\$logged_host,
				\$logged_site_username,		\$logged_user_res,	\$logged_dur,		\$logged_uri,
				\$logged_ref,			\$logged_ua, 		\$logged_datestring8
			);

	while($sth->fetchrow_arrayref)
	{
		#($first_three_octets_of_logged_ip) = ($logged_ip =~ /^(\d+\.\d+\.\d+\.)/);
		$IDs_match = $IPs_match = $UAs_match = $matching_fingerprints = 0;
		@failed_fingerprints = ();

		#####
		##### We'll only parse and check this log line if:
		#####
		##### 1. it was created within the past short_window, or:
		##### 2. it was created within the past long_window AND the visitor who owns it has
		#####    updated it within the watchdog timeout (i.e. the visitor is still on
		#####    the site).
		#####
		##### If neither of those conditions are true, then it's a "new visitor" and
		##### we'll log him at the top of the log as such.
		#####
		if(    (($logged_etime + $logged_dur) > $end_of_short_window)
		   ||  (  ($logged_etime > $end_of_long_window)  &&  (($logged_etime + $logged_dur) > ($global_current_etime - $online_watchdog_timeout))  )
		  )
		{
			##### 
			##### Check if this log line belongs to the visitor who's calling the script.
			##### 

	#		if(   (($cookies_enabled eq 'yes')  &&  ($logged_site_id eq $site_id))
	#		   || (($cookies_enabled eq 'no' )  &&  ($logged_ua eq $ENV{'HTTP_USER_AGENT'})  &&  ($ENV{'REMOTE_ADDR'} =~ /^$first_three_octets_of_logged_ip/))
	#		  )


			# New tracking method: if any 2 of these 3 match, then we consider it a positive ID:
			$IDs_match	= ($logged_site_id eq $site_id);
			$IPs_match	= ($logged_ip eq $PREF{ip});
			$UAs_match	= ($logged_ua eq $ENV{HTTP_USER_AGENT});


			my $count = 0;
			for($IDs_match, $IPs_match, $UAs_match)
			{
				$count++;
				if($_ == 1)	{ $matching_fingerprints++; }
				else		{ push @failed_fingerprints, "Failed to match $fingerprints{$count}.\n"; }
			}


			my $is_a_bot = is_a_bot_whose_ua_and_host_match_this_log_entry($ENV{HTTP_USER_AGENT}, $PREF{ip}, $PREF{host}, $logged_ua, $logged_ip, $logged_host);
			if(($matching_fingerprints >= 2)  ||  $is_a_bot)
			{
				$new_visitor = 0;

				$logged_dur		= $global_current_etime - $logged_etime;
				$logged_dur		= 30 if $logged_dur < 30; # our system only starts counting after 1 minute, but since this script runs twice in a row right away, most visitors who stay less than a minute show up as "0" seconds.  so assume that 30 seconds is a reasonable rough average for these.

				# 20081109: also ignore any image URIs, but only within this if(matching_fingerprints) block,
				# so that we WILL log image URIs if it's the first hit from a given visitor.  We just don't
				# want to overwrite our valid (i.e. the address of an entire page) $logged_uri value with an
				# image URI.  For example, during November 2008 and several months before that, any hits to
				# the blog post about tivo-to-ipod-or-iphone were being logged as /layout/icons/post-separator-b--e01.jpg,
				# instead of /tech/blog/2008/03/07/Copy_Videos_from_TiVo_to_iPod_or_iPhone_Mostly_Automatically_Using_Linux_Mac_or_Windows.
				#
				unless($ENV{REQUEST_URI} =~ /(favicon.ico$|\.css$|\.js$|$ENV{SCRIPT_NAME})/i   ||   $ENV{REQUEST_URI} =~ /\.(jpg|jpeg|png|bmp|gif)$/i)
				{
					$logged_uri = $ENV{REQUEST_URI};
				}

				if(   ($logged_ref eq 'DirectHit')   &&   ($ENV{HTTP_REFERER} !~ /^http:\/\/(www\.)?$ENV{HTTP_HOST}/)   &&   ($ENV{HTTP_REFERER} =~ /\w/)   )
				{
					$logged_ref = $ENV{HTTP_REFERER};
				}

				if(   ($logged_user_res eq 'Other')  &&  ($user_res =~ /\d+x\d+/)  )
				{
					$logged_user_res = $user_res;
				}

				#push @recent_visitors, "$logged_etime $logged_prettytime $site_id $cookies_enabled $theme_cookie_value $PREF{ip} $PREF{host} $site_username $logged_user_res $logged_dur $logged_uri $logged_ref $logged_ua\n";

				my $sth = $PREF{dbh}->prepare(
								  qq`UPDATE $PREF{visitor_table_name} `
								. qq`SET id='$site_id', cook_en='$cookies_enabled', theme='$theme_cookie_value', ip='$PREF{ip}', host='$PREF{host}', name='$site_username', res='$logged_user_res', dur='$logged_dur', ref='$logged_ref', uri='$logged_uri' `
								. qq`WHERE serial_id='$serial_id'` # serial_id is the table's primary key and therefore is unique.  it's also auto-incrementing.
								. qq`;`
				);
				$sth->execute;

				##### 
				##### Once we've found the caller's logline, we're done, so exit the outer
				##### while() loop now.
				##### 

				last;
			}

			##### Else this line does NOT belong to the visitor calling the script.

		}
		else
		{
			#####
			##### This extra unless() is needed because above, although we checked against end_of_long_window,
			##### it depended on other conditions as well, so we might get here before we're really done with
			##### checking the most recent long_window entries.  If so, we won't jump out via "last".
			#####
			unless($logged_etime > $end_of_long_window)
			{
				last;
			}
		}
	}

	

	if(1)
	{
		# Set the ref to something reasonable.
		my $user_ref = $ENV{HTTP_REFERER};
		if(  ($user_ref =~ /^http:\/\/(www\.)?$ENV{HTTP_HOST}/)  ||  ($user_ref !~ /\w/)  ) { $user_ref = 'DirectHit'; }

		# ...and the UA.
		my $user_ua = $ENV{HTTP_USER_AGENT} =~ /\S/ ? $ENV{HTTP_USER_AGENT} : 'Unknown';

		my $user_uri = $ENV{REQUEST_URI};

		my $ignore_this_visitor = 0;
		my $num_matched_criteria = 0;
		foreach my $visitor_to_ignore (keys %{$PREF{ignore_visitor}})
		{
			my $num_criteria = scalar keys %{$PREF{ignore_visitor}{$visitor_to_ignore}};
			my $matching_criteria = 0;

			foreach my $criteria_i (keys %{$PREF{ignore_visitor}{$visitor_to_ignore}})
			{
				my $field = $PREF{ignore_visitor}{$visitor_to_ignore}{$criteria_i}{name};
				my $value = $PREF{ignore_visitor}{$visitor_to_ignore}{$criteria_i}{value};

				if(
					($field eq 'ip'   &&   $PREF{ip} =~ /$value/i)
					||
					($field eq 'hostname'   &&   $PREF{host} =~ /$value/i)
					||
					($field eq 'browser'   &&   $user_ua =~ /$value/i)
					||
					($field eq 'os'   &&   $user_ua =~ /$value/i)
					||
					($field eq 'ref'   &&   $user_ref =~ /$value/i)
					||
					($field eq 'uri'   &&   $user_uri =~ /$value/i)
				)
				{
					$matching_criteria++;
				}
			}

			if($matching_criteria == $num_criteria)
			{
				$ignore_this_visitor = 1;
				$num_matched_criteria = $matching_criteria;
				last;
			}
		}


		if($new_visitor)
		{
			if($ignore_this_visitor)
			{
				my $vlog_string = "$global_current_etime $prettytime $site_id $cookies_enabled $theme_cookie_value $PREF{ip} $PREF{host} $site_username $user_res 30 $user_uri $user_ref $user_ua\n";
				warn "Ignoring this visitor based on $num_matched_criteria matched criteria: $vlog_string";
			}
			else
			{
				my $sth = $PREF{dbh}->prepare(
					  qq`INSERT INTO $PREF{visitor_table_name} `
					. qq`(etime,date,id,cook_en,theme,ip,host,name,res,dur,uri,ref,ua,date8) `
					. qq`VALUES('$global_current_etime', '$prettytime', '$site_id', '$cookies_enabled', '$theme_cookie_value', '$PREF{ip}', '$PREF{host}', '$site_username', '$user_res', '30', '$user_uri', '$user_ref', '$user_ua', '$datestring8') `
					. qq`;`
				);
				$sth->execute() or die "$0: $DBI::errstr\n";
			}
		}


		my $ip = $PREF{ip};
		for($global_current_etime, $datestring8, $site_id, $ip, $user_uri, $user_ref)
		{
			sql_untaint($_);
			replace_nonsqlsafe_chars_with('',$_);
		}

		my $ignore_this_pageview = 0;
		foreach my $key (keys %{$PREF{uris_to_ignore_in_pageviews_log}})
		{
			if($user_uri =~ /$PREF{uris_to_ignore_in_pageviews_log}{$key}/i)
			{
				$ignore_this_pageview = 1;
				last;
			}
		}
		foreach my $key (keys %{$PREF{ips_to_ignore_in_pageviews_log}})
		{
			if($ip =~ /$PREF{ips_to_ignore_in_pageviews_log}{$key}/i)
			{
				$ignore_this_pageview = 1;
				last;
			}
		}

		enc_sql_insert(	  qq`INSERT INTO $PREF{pageviews_table} `
				. qq`(etime,date8,visitorid,ip,uri,ref) `
				. qq`VALUES('$global_current_etime', '$datestring8', '$site_id', '$ip', '$user_uri', '$user_ref') `
				. qq`;`
		) if ($PREF{enable_pageview_history} =~ /yes/i   &&   !$ignore_this_pageview);
	}


	try_widget_cache_updates();   # do this in do_logging() because a) that guarantees it'll be called regularly, and b) that occurs via AJAX so it'll never prevent/slow down a page load.


	my $output = '';

	# print this no matter what; it's hidden off-screen.
	# but not if this is an update, because in that case
	# the client already has this DIV.
	unless(in_xml_output_mode())
	{
		$output .= print_http_headers('noprint');
		$output .= qq`\n<div id="vlogidnum" style="position: absolute; left: -10000px;">$site_id</div>\n\n`;
	}

	return $output;
}


sub give_the_client_a_new_id_cookie
{
	my $output = '';
	if($give_client_a_new_id_cookie)
	{
		# Note that do_logging() (and therefore this if()) only happens if logging=none
		# is NOT passed in the QS.

		#$output .= print_http_headers('noprint');   # 20120115: disabling since with the global_output setup, this actually *prevents* the headers from ever printing...

		$output .=qq`<script type="text/javascript">`
			. qq`\nfunction set_id_cookie(name, value, expires, path, domain, secure) {`
			. qq`\n  var curCookie = name + "=" + escape(value) +`
			. qq`\n      ((expires) ? "; expires=" + expires : "") +`
			. qq`\n      ((path) ? "; path=" + path : "") +`
			. qq`\n      ((domain) ? "; domain=" + domain : "") +`
			. qq`\n      ((secure) ? "; secure" : "");`
			. qq`\n  document.cookie = curCookie;`
			. qq`\n}`
			. qq`\nvar expire_date = (new Date((new Date()).getTime() + 365*24*3600000)).toGMTString();`
			. qq`\nset_id_cookie("$PREF{site_id_cookie}", "$site_id", expire_date, "/");`
			. qq`\n</script>`
			. qq`\n`;
	}
	return $output;
}


sub set_remote_host()
{
	my $ip = $PREF{ip};
	my $host = $ENV{REMOTE_HOST};

	if((!$host) || ($host !~ /\w\.\w/)) { $host = $ip; }
	if($host eq $ip)
	{
		use Socket;
		$host = gethostbyaddr(inet_aton($ip), AF_INET);



		# 20080310: putting a timeout on this, because of some weird
		# cases where it takes 30 seconds and fails to resolve anyway.
		# setting the timeout to a seemingly-low 5 seconds, because
		# in most cases this takes less than a tenth of a second.
		#
		# ...update: this totally doesn't work with gethostbyaddr()??
		#
=item
		my $timeout = 5; # seconds.
		eval {
			local $SIG{ALRM} = sub { die "alarm\n" }; # NB: \n required
			alarm $timeout;

			#warn "gethostbyaddr: $$: before: " . time;
			$host = gethostbyaddr(inet_aton($ip), AF_INET);
			#warn "gethostbyaddr: $$: after:  " . time;

			alarm 0;
		};
		if($@)
		{
			if($@ eq "alarm\n")
			{
				# timed out.
				#warn "gethostbyaddr: $$: timed out; now it's: " . time;
			}
			else
			{
				#warn "gethostbyaddr: $$: did not time out; now it's: " . time;
				# propagate unexpected errors.
				die_nice("Error while trying to get hostname: $@\n");
			}
		}
		else
		{
			# didn't time out.
		}
=cut






=item
		# Time::Out also doesn't work, which is based on alarm().
		#
		use Time::Out qw(timeout) ;
		my $limit = 5; # in seconds.
		$host = timeout $limit => sub {
			# your code goes here and will be interrupted
			# if it runs for more than $limit seconds.
			return gethostbyaddr(inet_aton($ip), AF_INET);
		};
		if($@)
		{
			warn "gethostbyaddr: $$: timed out (via Time::Out); now it's: " . time;
		}
=cut





	}
	if(!($host)) { $host = $ip; }

	$ENV{REMOTE_HOST} = $host;
}


sub get_total_hits
{
	#printd(qq`get_total_hits()`);

	my $with_offset = shift;

	my $sth = $PREF{dbh}->prepare("SELECT COUNT(*) FROM $PREF{visitor_table_name};");
	$sth->execute;
	my $hits_in_current_log = $sth->fetchrow;

	#my $time_before_archive_method = gettimeofday();
	#
	$sth = $PREF{dbh}->prepare("SELECT sum(visitor_count) FROM $PREF{archive_counts_table};");
	$sth->execute;
	my $hits_in_archived_logs = $sth->fetchrow;
	#
	#my $time_after_archive_method = gettimeofday();
	#print STDERR "vlog: " . ($time_after_archive_method - $time_before_archive_method) . " seconds for archive method; sum is " . ($hits_in_current_log + $hits_in_archived_logs) . "\n";

	# 20071222 (on ND): with ~297,000 total visitors logged and ~350 visitor
	# archive tables, I ran tests comparing the time required to calculate
	# total visitors via 2 methods: the existing method, which is summing
	# the "visitor_count" field on all the archive tables, and the brute-
	# force method, which is simply looping over all the archive tables
	# (in Perl) and doing a "SELECT COUNT(*)" on each one.
	# 
	# Here are the results:
	# 
	# vlog: 0.000720977783203125 seconds for archive method; sum is 297203
	# vlog: 24.7434051036835 seconds for manual method; sum is 297060
	# 
	# vlog: 0.0983109474182129 seconds for archive method; sum is 297203
	# vlog: 0.900990962982178 seconds for manual method; sum is 297060
	# 
	# vlog: 0.00135493278503418 seconds for archive method; sum is 297203
	# vlog: 0.508553981781006 seconds for manual method; sum is 297060
	# 
	# vlog: 0.0012209415435791 seconds for archive method; sum is 297203
	# vlog: 0.402976989746094 seconds for manual method; sum is 297060
	# 
	# vlog: 0.00192499160766602 seconds for archive method; sum is 297203
	# vlog: 0.40539288520813 seconds for manual method; sum is 297060
	# 
	# vlog: 0.0050499439239502 seconds for archive method; sum is 297203
	# vlog: 0.376890897750854 seconds for manual method; sum is 297060
	# 
	# The brute force method was about 10,000 times slower (5 orders of
	# magnitude) on the first run.  And even on subsequent runs when most
	# of the data was cached in the server's RAM, it was still between
	# 10x and 100x slower.  So clearly we're going to stick with the
	# existing method of using the archive tables for the count.
	# 
	#my $time_before_manual_method = gettimeofday();
	#my $sum = 0;
	#foreach my $vtable (@{$PREF{vtables}})
	#{
	#	$sum += enc_sql_select("SELECT COUNT(*) FROM `$vtable`");
	#}
	#my $time_after_manual_method = gettimeofday();
	#print STDERR "vlog: " . ($time_after_manual_method - $time_before_manual_method) . " seconds for manual method; sum is " . ($hits_in_current_log + $sum) . "\n";

	my $hits = $hits_in_current_log + $hits_in_archived_logs;
	$hits += $PREF{visitor_count_offset} if ($with_offset eq 'with_offset'   &&   $PREF{visitor_count_offset} =~ /^\d+$/);

	return $hits;
}


# Get the past stats from the log containing them.
#sub get_past_hits()
#{
#	# $past_hits is now a global var, so that if this function
#	# is called more than once, we don't have to actually open
#	# the file each time.
#
#	if($past_hits == 0)
#	{
#		create_file_if_DNE($visitorcounts_log,0666);
#		open(IN,"<$visitorcounts_log") or die "$0: couldn't open $visitorcounts_log: $!\n";
#		flock IN, 1;
#		seek IN, 0, 0;
#		while(<IN>)
#		{
#			if(/^\d{8}-\d{8}::\d+-\d+::(\d+)$/)	{ $past_hits += $1; }
#		}
#		close IN or die "$0: couldn't close $visitorcounts_log: $!\n";
#	}
#
#	return $past_hits;
#}


sub log_chat_invite_and_redirect_to_chat_page
{
	return unless $PREF{'enable_chat_system'} =~ /yes/i;
	return unless $qs =~ /action=chatinvite&encid=(.+)(&|$)/;
	my $site_id = $1;

	unless($PREF{admin_is_logged_in})
	{
		print "Content-type: text/html\n\n";
		print qq`<p>You must <a href="$PREF{'login_url'}">log in</a> as an administrator to use this facility.</p>\n`;
		exit;
	}

	my $chat_id = $datestring12 . '---' . $global_current_etime . '---' . $site_id;

	open(OUT,">>$PREF{'chat_invitation_file'}") or die "$0: couldn't open $PREF{'chat_invitation_file'} for writing: $!\n";
	flock OUT, 2;
	print OUT $chat_id . "\n";
	close OUT or die "$0: couldn't close $PREF{'chat_invitation_file'}: $!\n";

	print "<p><a href=\"$PREF{'url_to_chat_page'}?$chat_id\">go to chat</a></p>\n";
}


sub check_for_chat_invite
{
	return unless $PREF{'enable_chat_system'} =~ /yes/i;

	my $site_id = shift;
	my $chat_id;
	my @still_unsent_invitations;

	open(IO,"+<$PREF{'chat_invitation_file'}") or die "$0: couldn't open $PREF{'chat_invitation_file'} for r/w: $!\n";
	flock IO, 2;
	seek IO, 0, 0;
	while(<IO>)
	{
		chomp;
		next unless /\S/;
		my ($chat_request_time, $site_id_from_chat_request) = (/.+---(.+)---(.+)/);
		# If the invitation was made within the last five minutes, then either send
		# it to its recipient, or put it back in the log... invites older than five
		# minutes ago get deleted.
		if($chat_request_time > $five_min_ago)
		{
			# If this invitation is for the current person calling visitors.cgi:
			if($site_id_from_chat_request eq $site_id)
			{
				$chat_id = $_;
			}
			else
			{
				push @still_unsent_invitations, $_;
			}
		}
	}
	seek IO, 0, 0;
	print IO join "\n", @still_unsent_invitations;
	truncate IO, tell IO;
	close IO or die "$0: couldn't close $PREF{'chat_invitation_file'}: $!\n";

	return $chat_id;
}


sub is_it_time_to_start_new_logfile
{
	#printd(qq`is_it_time_to_start_new_logfile()`);

	my ($starting_etime_of_current_log, $nwd) = ();

	my $date_to_start_at = shift;
	if($date_to_start_at)
	{
		$nwd = num_elapsed_days_between_datestring8_dates($date_to_start_at, $datestring8);
		$starting_etime_of_current_log = 1;
	}
	else
	{
		#$sth = $PREF{dbh}->prepare("SELECT etime FROM $PREF{visitor_table_name} WHERE serial_id=1;"); # or maybe use LEAST() here?  (would that be slower?)
		my $sth = $PREF{dbh}->prepare("SELECT etime FROM $PREF{visitor_table_name} ORDER BY serial_id LIMIT 1;");
		$sth->execute;
		$starting_etime_of_current_log = $sth->fetchrow;
		$starting_etime_of_current_log = 0 unless $starting_etime_of_current_log =~ /^\d+$/;

		my $startdate_of_current_log = strftime("%Y%m%d",localtime($starting_etime_of_current_log));

		$nwd = num_elapsed_days_between_datestring8_dates($startdate_of_current_log, $datestring8);
	}

	$PREF{ndpa}	= 1+1;
	$PREF{mndcl}	= 1+2;

	if(   $nwd   >   ($PREF{ndpa} + $PREF{mndcl})   )
	{
		return $starting_etime_of_current_log;
	}
	else
	{
		return 0;
	}
}



sub temp_drop_archive_tables
{
	my $sth = $PREF{dbh}->prepare("SHOW TABLES FROM nddb01;");
	$sth->execute();
	my $table = ();
	$sth->bind_columns(\$table);
	while($sth->fetchrow_arrayref)
	{
		if($table =~ /^visitors_\d{8}_\d{8}$/)
		{
			warn "dropping table $table\n";
			my $sth_inner = $PREF{dbh}->prepare("DROP TABLE $table");
			$sth_inner->execute();
		}
	}
}



sub archive_older_log_entries
{
	#printd(qq`archive_older_log_entries()`);

	my $date_to_start_at = shift;

	# TODO: remove when testing is done:
	#return unless $PREF{admin_is_logged_in} && $qs =~ /do_archive/;

	#temp_drop_archive_tables() if $qs =~ /drop_tables/;
	#return;

	#printd "########## 100: " . time . "\n";
	my $starting_etime_of_current_log = is_it_time_to_start_new_logfile($date_to_start_at);
	return if $starting_etime_of_current_log == 0;

	warn "vlog: $$: archive_older_log_entries(): proceeding to archive_older_log_entries()\n";

	#printd "########## 150: " . time . "\n";
	my ($sth, $archive_start_date, $archive_end_date, $starting_id_for_archive_table) = ();
	if($date_to_start_at)
	{
		$archive_start_date = $date_to_start_at;
		$archive_end_date = increment_datestring_8($date_to_start_at, ($PREF{ndpa}));

		# Because there might have been no visitors on $date_to_start_at, we'll
		# use a while() loop and increment the date until we find one that has
		# some records.
		#
		my $date_to_start_at__working = $date_to_start_at;
		while($starting_id_for_archive_table !~ /^\d+$/)
		{
			my $statement = "SELECT serial_id FROM $PREF{visitor_table_name} WHERE date8 = $date_to_start_at__working ORDER BY serial_id LIMIT 1;";
			$sth = $PREF{dbh}->prepare($statement);
			$sth->execute or die "$0: couldn't get the starting serial_id for the archive table: $DBI::errstr\n";
			$starting_id_for_archive_table = $sth->fetchrow;
			#die qq`starting_id_for_archive_table='$starting_id_for_archive_table' while executing statement: "$statement"\n` unless $starting_id_for_archive_table =~ /^\d+$/;

			$date_to_start_at__working = increment_datestring_8($date_to_start_at__working, 1);
		}
	}
	else
	{
		my $startdate_of_current_log = strftime("%Y%m%d",localtime($starting_etime_of_current_log));
		$archive_start_date = $startdate_of_current_log;
		$archive_end_date = increment_datestring_8($startdate_of_current_log, ($PREF{ndpa}));

		$sth = $PREF{dbh}->prepare("SELECT serial_id FROM $PREF{visitor_table_name} ORDER BY serial_id LIMIT 1;");
		$sth->execute or die "$0: couldn't get the starting serial_id for the archive table: $DBI::errstr\n";
		$starting_id_for_archive_table = $sth->fetchrow;
	}

	#printd "########## 200: " . time . "\n";
	my $archive_limit = decrement_datestring_8($datestring8, ($PREF{mndcl} + 1));
	$archive_end_date = $archive_limit if $archive_end_date > $archive_limit; # make sure we keep mndcl.

	if($archive_start_date > $archive_end_date)
	{
		die "$0: couldn't create log archive because archive_start_date ($archive_start_date) > archive_end_date ($archive_end_date)\n";
	}

	my $existing_archives = get_visitor_archive_table_names();
	foreach my $existing_archive (@$existing_archives)
	{
		my ($existing_archive_startdate, $existing_archive_enddate) = ($existing_archive =~ /^visitors_(\d{8})_(\d{8})$/);
		if($existing_archive_startdate <= $archive_start_date   &&   $archive_start_date <= $existing_archive_enddate)
		{
			warn "vlog: $$: archive_older_log_entries(): won't continue because \$archive_start_date ($archive_start_date) falls within the range of an already-existing archive table ($existing_archive)\n";
			return;
		}
		if($existing_archive_startdate <= $archive_end_date   &&   $archive_end_date <= $existing_archive_enddate)
		{
			warn "vlog: $$: archive_older_log_entries(): won't continue because \$archive_end_date ($archive_end_date) falls within the range of an already-existing archive table ($existing_archive)\n";
			return;
		}
	}

	my $archive_table = "visitors_${archive_start_date}_${archive_end_date}";
	if(db_table_exists($archive_table))
	{
		#warn "vlog: $$: archive_older_log_entries(): another process of this script beat us to creating the archive table ($archive_table), so we won't try.\n";
		#
		## Now do it again, in case we're converting an older, huge log database,
		## which will need many multiple passes.
		##
		#archive_older_log_entries(  increment_datestring_8($archive_end_date, 1)  );
		#return;

		warn "vlog: $$: archive_older_log_entries(): another process of this script beat us to creating the archive table ($archive_table), so we're going to sleep for a while before continuing.\n";
		sleep 30;
	}
	else
	{
		# table doesn't exist -- which is what we want -- so create it.

		my $statement	= qq`CREATE TABLE $archive_table `
				. qq`(serial_id INT NOT NULL AUTO_INCREMENT PRIMARY KEY, `
				. qq`etime INT UNSIGNED NOT NULL, `
				. qq`date CHAR(21) NOT NULL, `
				. qq`id VARCHAR(85) NOT NULL, `
				. qq`cook_en CHAR(3) NOT NULL, `
				. qq`theme VARCHAR(50) NOT NULL, `
				. qq`ip VARCHAR(40) NOT NULL, `
				. qq`host VARCHAR(150) NOT NULL, `
				. qq`name VARCHAR(70) NOT NULL, `
				. qq`res VARCHAR(16) NOT NULL, `
				. qq`dur INT UNSIGNED NOT NULL, `
				. qq`uri TEXT NOT NULL, `
				. qq`ref TEXT NOT NULL, `
				. qq`ua TEXT NOT NULL, `
				. qq`date8 INT UNSIGNED NOT NULL);`;

		$sth = $PREF{dbh}->prepare($statement);
		$sth->execute or die "$0: couldn't create archive table $archive_table: $DBI::errstr\n";

		$sth = $PREF{dbh}->prepare("ALTER TABLE $archive_table ADD INDEX (etime);");
		$sth->execute or die "$0: couldn't add index on etime column for new archive table $archive_table: $DBI::errstr\n";

		$sth = $PREF{dbh}->prepare("ALTER TABLE $archive_table ADD INDEX (date8);");
		$sth->execute or die "$0: couldn't add index on date8 column for new archive table $archive_table: $DBI::errstr\n";

		$sth = $PREF{dbh}->prepare("ALTER TABLE $archive_table AUTO_INCREMENT=$starting_id_for_archive_table;");
		$sth->execute or die "$0: couldn't set auto-increment value for initial serial_id on new archive table $archive_table: $DBI::errstr\n";
	}

	my ($num_rows_already_archived, $num_rows_newly_archived, $num_rows_deleted) = (0,0,0);

	#printd "########## 300: " . time . "\n";
	$sth = $PREF{dbh}->prepare("SELECT * FROM $PREF{visitor_table_name} WHERE $archive_start_date <= date8 && date8 <= $archive_end_date ORDER BY serial_id;");
	$sth->execute();
	$sth->bind_columns(
				\$serial_id,			\$logged_etime,		\$logged_prettytime,	\$logged_site_id,
				\$logged_cookies_enabled,	\$user_cookies,		\$logged_ip,		\$logged_host,
				\$logged_site_username,		\$logged_user_res,	\$logged_dur,		\$logged_uri,
				\$logged_ref,			\$logged_ua, 		\$logged_datestring8
			);

	my $archive_stopwatch = time();
	while($sth->fetchrow_arrayref)
	{
		# 20080404: new check-for-dupes-before-archiving code:
		# We'll use the combination of etime, ip, res, ua, and
		# id ("id" being our site ID) to check if a matching
		# record is already in the archive table.


#
#		die_unless_sqlsafe($_) for (
#			$serial_id,			$logged_etime,		$logged_prettytime,	$logged_site_id,
#			$logged_cookies_enabled,	$user_cookies,		$logged_ip,		$logged_host,
#			$logged_site_username,		$logged_user_res,	$logged_dur,		$logged_uri,
#			$logged_ref,			$logged_ua, 		$logged_datestring8
#		);
#


		my $record_is_archived = enc_sql_select("SELECT COUNT(*) FROM `$archive_table` WHERE `etime` = '$logged_etime' AND `id` = '$logged_site_id' AND `ip` = '$logged_ip' AND `res` = '$logged_user_res' AND `ua` = '$logged_ua'");

		if($record_is_archived)
		{
			$num_rows_already_archived++;
		}
		else
		{
			sql_untaint(
				$serial_id,			$logged_etime,		$logged_prettytime,	$logged_site_id,
				$logged_cookies_enabled,	$user_cookies,		$logged_ip,		$logged_host,
				$logged_site_username,		$logged_user_res,	$logged_dur,		$logged_uri,
				$logged_ref,			$logged_ua, 		$logged_datestring8
			);

			replace_nonsqlsafe_chars_with('',$_) for (
				$serial_id,			$logged_etime,		$logged_prettytime,	$logged_site_id,
				$logged_cookies_enabled,	$user_cookies,		$logged_ip,		$logged_host,
				$logged_site_username,		$logged_user_res,	$logged_dur,		$logged_uri,
				$logged_ref,			$logged_ua, 		$logged_datestring8
			);

			enc_sql_insert(
				"INSERT INTO `$archive_table` "
				. "(etime, date, id, cook_en, theme, ip, host, name, res, dur, uri, ref, ua, date8) "
				. "VALUES('$logged_etime', '$logged_prettytime', '$logged_site_id', '$logged_cookies_enabled', '$user_cookies', '$logged_ip', '$logged_host', '$logged_site_username', '$logged_user_res', '$logged_dur', '$logged_uri', '$logged_ref', '$logged_ua', '$logged_datestring8') "
			);

			$num_rows_newly_archived++;
		}

		# TODO: uncomment this when done testing it:
		enc_sql_delete("DELETE FROM `$PREF{visitor_table_name}` WHERE `serial_id` = $serial_id");
		$num_rows_deleted++;

		sleep 2 if ($num_rows_deleted % 500) == 0;
	}
	warn "vlog: $$: archive_older_log_entries(): archive copying complete for $archive_start_date-$archive_end_date; elapsed time was " . (time() - $archive_stopwatch) . " sec\n";

	warn "vlog: $$: archive_older_log_entries(): \$num_rows_already_archived='$num_rows_already_archived', \$num_rows_newly_archived='$num_rows_newly_archived', \$num_rows_deleted='$num_rows_deleted'\n";

	#printd "########## 500: " . time . "\n";
	my $archive_start_etime	= datestring8_to_etime($archive_start_date,	'beginning_of_day');
	my $archive_end_etime	= datestring8_to_etime($archive_end_date, 	'end_of_day');

	my $visitors_in_archive = enc_sql_select("SELECT COUNT(*) FROM `$archive_table`");
	my $existing_count = enc_sql_select("SELECT `visitor_count` FROM `$PREF{archive_counts_table}` WHERE start_date='$archive_start_date' AND end_date='$archive_end_date' AND start_etime='$archive_start_etime' AND end_etime='$archive_end_etime' LIMIT 1;");

	if($existing_count == $visitors_in_archive)
	{
		warn "vlog: $$: archive_older_log_entries(): skipping INSERT of visitor count ($visitors_in_archive) into '$PREF{archive_counts_table}' because the row seems to already exist for period $archive_start_date-$archive_end_date\n";
	}
	elsif($existing_count =~ /^\d+$/) # row exists but count has changed...
	{
		warn "vlog: $$: archive_older_log_entries(): changing visitor count in '$PREF{archive_counts_table}' from '$existing_count' to '$visitors_in_archive' for period $archive_start_date-$archive_end_date\n";

		enc_sql_update(	  "UPDATE `$PREF{archive_counts_table}` SET visitor_count='$visitors_in_archive' "
				. "WHERE start_date='$archive_start_date' AND end_date='$archive_end_date' AND start_etime='$archive_start_etime' AND end_etime='$archive_end_etime' "
				. ";");
	}
	else
	{
		warn "vlog: $$: archive_older_log_entries(): inserting visitor count into '$PREF{archive_counts_table}': count is '$visitors_in_archive' for period $archive_start_date-$archive_end_date\n";

		enc_sql_insert(	  "INSERT INTO `$PREF{archive_counts_table}` (start_date,end_date,start_etime,end_etime,visitor_count) "
				. "VALUES('$archive_start_date', '$archive_end_date', '$archive_start_etime', '$archive_end_etime', '$visitors_in_archive') "
				. ";");
	}

	#printd "########## 600: " . time . "\n";
	# Now do it again, in case we're converting an older, huge log database,
	# which will need many multiple passes.
	#
	archive_older_log_entries(  increment_datestring_8($archive_end_date, 1)  );
}



sub confirm_delete()
{
	printd(qq`confirm_delete()`);

	my $query = new CGI;
	my $typed_password = $query->param('password');

	unless($PREF{admin_is_logged_in})
	{
		exit_with_access_denied();
	}

	if(userbase_available())
	{
		die_unless_numeric($PREF{logged_in_userid});
		my $salt = enc_sql_select("SELECT `salt` FROM `$PREF{user_table}` WHERE `id` = $PREF{logged_in_userid};");
		unless(account_exists($PREF{logged_in_username}, salt_and_crypt_password($typed_password,$salt), $PREF{logged_in_userid}))
		{
			exit_with_error(qq`Authorization failed; please try again.`);
			return;
		}
	}
	elsif($PREF{integrate_with_existing_login_system} =~ /yes/i)
	{
		# no way to check this.
	}
	elsif($PREF{all_admin_password_hashes})
	{
		unless($PREF{all_admin_password_hashes}{ md5_hex($typed_password) })
		{
			exit_with_error(qq`Authorization failed; please try again.`);
			return;
		}
	}

	my (%successful_deletions, %failed_deletions, @new_contents) = ();
	foreach my $visitor_to_delete ($query->param)
	{
		next if $visitor_to_delete eq 'password';
		$failed_deletions{$visitor_to_delete} = 1;
	}

	print_http_headers();
	print qq`<html><head><style type="text/css">a { color: white; }\np { color: white; border: 1px solid white; white-space: nowrap; }\n</style></head>\n<body style="background: black; color: white; margin: 0; padding: 20px;">\n`;


	foreach my $visitor_to_delete ($query->param)
	{
		next if $visitor_to_delete eq 'password';

		my ($etime, $id, $name, $res, $ua, $vtable) = split(/\.ENC\|SEP\|STRING\./, $visitor_to_delete);
		s/\.A\.CONVERTED\.QUOTE\./"/g for ($name, $res, $ua);

		next unless $vtable =~ /^visitors/; # a little sanity-checking.

		my $sth = $PREF{dbh}->prepare("DELETE FROM `$vtable` WHERE etime='$etime' AND id='$id' AND name='$name' AND res='$res' AND ua='$ua';");

		if(my $retval = $sth->execute())
		{
			unless($retval =~ /^(0|0E0)$/) # execute() returns '0E0' if no rows were affected by the statement.
			{
				delete $failed_deletions{$visitor_to_delete};
				#$successful_deletions{$visitor_to_delete} = "$logged_prettytime, $logged_ip, $logged_host<br />$logged_site_username, $logged_user_res, $logged_ref, $unescaped_ua";
				$successful_deletions{$visitor_to_delete} = "$name, $id, $etime<br />$vtable, $res, $ua"; # store the log line for display.
			}
		}
	}


	if(%failed_deletions)
	{
		foreach my $key (keys %failed_deletions)
		{
			print qq`<p style="background: red;">Failed to delete the visitor identified by:<br />"$key"</p>\n`;
		}
	}

	if(%successful_deletions)
	{
		foreach my $key (keys %successful_deletions)
		{
			print qq`<p style="background: green;">Successfully deleted the visitor identified by:<br />$successful_deletions{$key}"</p>\n`;
		}
	}

	print qq`<p style="border: 0;">` . (scalar keys %successful_deletions) . qq` successful deletions; ` . (scalar keys %failed_deletions) . qq` failed deletions.</p>\n`;

	print qq`<p style="border: 0;">When you are finished with all your deletions, make sure to click the re-create links at the bottom of the <a href="$PREF{stats_url_short}?mode=stats">stats page</a>, to bring your stats up to date.</p>\n`;

	print qq`<p style="border: 0;"><a href="/">Home</a> &nbsp;|&nbsp; <a href="$PREF{vlog_url_short}?mode=full">LiveLog</a> &nbsp;|&nbsp; <a href="$PREF{vlog_url_short}?action=search">Search</a> &nbsp;|&nbsp; <a href="$PREF{vlog_url_short}?deletemode=true">Delete More</a></p>\n`;

	print qq`</body></html>\n`;
}


# Note: early returns throughout this sub.
#
sub get_name()
{
	#printd(qq`get_name()`);

	# So we can return them to the correct page:
	my $ref = $ENV{HTTP_REFERER};

	my $name = param('name');

	# This way the original (real) ref gets preserved even
	# if this script is called more than once:
	if(!($ref) || ($ref =~ /$ENV{SCRIPT_NAME}/))
	{
		$ref = param('ref');
	}


	if(  ($ENV{REQUEST_METHOD} =~ /^post$/i) && $name  )
	{
		if($PREF{sanitize_profane_guest_names} =~ /yes/i)
		{
			my @cursearray = ("fuck", "shit", "damn", "bastard", "bitch", "\bass\b"); 
			foreach my $curseword (@cursearray)
			{
				$name =~ s/$curseword/oops/gi;
			}
		}

		# If they enter a name that exists as a login for our system, prompt for the password.
		if(userbase_available()   &&   $PREF{disallow_existing_UserBase_usernames_as_anonymous_guest_names} =~ /yes/i   &&   username_is_taken($name))
		{
			#start_html_output();
			#print qq`\n<h1 class="pagetitle">Authentication Required</h1>`;
			#print qq`\n<p>That name is reserved.<br />You must <a href="$PREF{login_url}?whence=$ref">login</a> to use it.</p>\n`;
			#print qq`<p>Or, go back and enter a different name.</p>`;
			#finish_html_output();
			#exit;

			exit_with_error(qq`That name is reserved; you must <a href="$PREF{login_url}?whence=$ref">login</a> to use it.`);
		}

		if(username_is_illegal($name))
		{
			exit_with_error(get_invalid_name_error_message());
		}

		sanitize_username($name);
		set_cookie($PREF{guestname_cookie}, $name, '+6M');
		enc_redirect($ref);

	}
	elsif( ($ENV{REQUEST_METHOD} =~ /^post$/) && !$name )
	{
		set_cookie($PREF{guestname_cookie}, '', '-1M');
		enc_redirect($ref);
	}


	my %all_cookies = fetch CGI::Cookie;
	$name = ();
	if(exists $all_cookies{$PREF{guestname_cookie}})
	{
		$name = $all_cookies{$PREF{guestname_cookie}}->value;
	}


	print "Content-type: text/html\n\n";
	if($name || $PREF{admin_is_logged_in})
	{
		$PREF{show_visitor_name_template} =~ s!%%name%%!$name!;
		$PREF{show_visitor_name_template} =~ s!%%logout_link%%!$ENV{SCRIPT_NAME}?guestlogout!;
		print $PREF{show_visitor_name_template};
	}
	else
	{
		# If no cookie is set, greet them and ask them their name:
		$PREF{get_visitor_name_template} =~ s!%%ref%%!$ref!;
		$PREF{get_visitor_name_template} =~ s!%%action%%!$ENV{SCRIPT_NAME}?action=getname!;
		print $PREF{get_visitor_name_template};
	}
	exit;
}


# Pass an item (like "foo=bar") that you want to be added to the existing
# qs; this function will remove any existing "foo=*", add your new one,
# and return the new qs.  You can pass as many items as you want.
#
sub make_new_qs
{
	my $new_qs = $qs;
	for(@_)
	{
		my $to_add = $_;
		my ($remove_from_existing_qs) = ($to_add =~ /^(\w+)=.*/);
		$new_qs =~ s/(?:^|&)$remove_from_existing_qs=[^&]*(?:&|$)/&/g;
	}
	for(@_)
	{
		$new_qs .= "&$_";
	}

	my $new_qs_dupefree = '';
	foreach my $item (split(/&+/, $new_qs))
	{
		my ($name,$value) = split(/=/,$item);
		$new_qs_dupefree .= "&$item" unless $new_qs_dupefree =~ /(^|&)$name=/i;
	}

	defooify('&',$new_qs_dupefree);
	return $new_qs_dupefree;
}	


sub get_ua
{
	# Pass this function an HTTP_USER_AGENT string.  Optionally, you can
	# pass a second argument to indicate the "mode" of the returned string
	# (full, short, etc.).

	my $ua = shift;
	my $mode = shift;
	my($os_make, $os_ver, $browser_make, $browser_ver, $browser_extra, $wholething) = ();

	return '(null)' unless defined $ua;

	# 20110725: in some (maybe most) cases it makes more sense to do this in an if/else way,
	# and in those cases we can make the detection much quicker and avoid the whole giant
	# if-chain, only falling back to that in an else{} block.  And it also probably makes
	# sense to separate the OS and browser detection as much as possible.
	#
	if($ua =~ /(iPod|iPhone|iPad)/)
	{
		$os_make	= $1;
		$os_ver		= ($ua =~ m!$os_make(?: OS)? ([\d\._]+)!)[0];
		$os_ver		= ($ua =~ m!OS ([\d\._]+) like Mac OS X!)[0] unless $os_ver;
		$os_ver		=~ s!_!.!g;
	}
	elsif($ua =~ /Mac\s*OS\s*X\s*([\d\._]+)/)
	{
		$os_make	= 'MacOSX';
		$os_ver		= $1; $os_ver =~ s!_!.!g;
	}
	elsif($ua =~ /BlackBerry\s*(\d+)/)
	{
		$os_make	= 'BlackBerry';
		$os_ver		= $1;
		#$browser_make	= 'bb';
		#$browser_ver	= '123';
	}
	else
	{
		if($ua =~ /Windows/i)		{ $os_make = 'Win'; }
		if($ua =~ /Win98/i)		{ $os_make = 'Win'; }
		# Note: some UAs contain both "Darwin Power Macintosh" and
		# "X11" so we must check for x11 before checking for mac.
		if($ua =~ /x11/i)		{ $os_make = 'Unix'; }
		if($ua =~ /mac/i)		{ $os_make = 'Mac'; }
		if($ua =~ /iPhone/)		{ $os_make = 'iPhone'; }
		if($ua =~ /iPad/)		{ $os_make = 'iPad'; }
		if($ua =~ /linux/i)		{ $os_make = 'Linux'; }
		if($ua =~ /solaris/i)		{ $os_make = 'Solaris'; }
		if($ua =~ /(Free|Open)BSD/i)	{ $os_make = 'BSD'; }
		if($ua =~ /android/i)		{ $os_make = 'Android'; }
	
	
		if($ua =~ /Windows/i)			{ $os_make = 'Win'; $os_ver = 'v?'; }
		if($ua =~ /Windows 95/i)		{ $os_make = 'Win'; $os_ver = '95'; }
		if($ua =~ /Windows 98/i)		{ $os_make = 'Win'; $os_ver = '98'; }
		if($ua =~ /Win95/i)			{ $os_make = 'Win'; $os_ver = '95'; }
		if($ua =~ /Win98/i)			{ $os_make = 'Win'; $os_ver = '98'; }
		if($ua =~ /Win 9x 4.90/i)		{ $os_make = 'Win'; $os_ver = 'ME'; }
		if($ua =~ /Windows ME/i)		{ $os_make = 'Win'; $os_ver = 'ME'; }
		if($ua =~ /Windows NT/i)		{ $os_make = 'Win'; $os_ver = 'NT'; }
		if($ua =~ /Windows 2000/i)		{ $os_make = 'Win'; $os_ver = '2000'; }
		if($ua =~ /Windows XP/i)		{ $os_make = 'Win'; $os_ver = 'XP'; }
		if($ua =~ /WinNT/i)			{ $os_make = 'Win'; $os_ver = 'NT'; }
		if($ua =~ /Windows NT 4.0/i)		{ $os_make = 'Win'; $os_ver = 'NT4'; }
		if($ua =~ /Windows NT 5.0/i)		{ $os_make = 'Win'; $os_ver = '2000'; }
		if($ua =~ /Windows NT 5.1/i)		{ $os_make = 'Win'; $os_ver = 'XP'; }
		if($ua =~ /Windows NT 5.2/i)		{ $os_make = 'Win'; $os_ver = 'XP'; }
		if($ua =~ /Windows NT 6.0/i)		{ $os_make = 'Win'; $os_ver = 'Vista'; }
		if($ua =~ /Windows NT 6.1/i)		{ $os_make = 'Win'; $os_ver = '7'; }
	
		if($ua =~ /mac_powerpc/i)		{ $os_make = 'Mac'; $os_ver = 'PowerPC'; }
		if($ua =~ /mac.*ppc/i)			{ $os_make = 'Mac'; $os_ver = 'PowerPC'; }
		if($ua =~ /mac.*68k/i)			{ $os_make = 'Mac'; $os_ver = '68k'; }

		if($ua =~ m!Ubuntu/([\d\.]+)!i)		{ $os_make = 'Ubuntu'; $os_ver = $1; }
		if($ua =~ m!SUSE/([\d\.]+)!i)		{ $os_make = 'SUSE'; $os_ver = $1; }
	}
	$os_make = 'Unknown' unless $os_make;
	$os_ver = 'v?' unless $os_ver;


	if($ua =~ m!Safari/!   &&   $ua !~ m!Chrome/!)
	{
		$browser_make	= $ua =~ m!Mobile! ? 'MobileSafari' : 'Safari';
		$browser_ver	= ($ua =~ m!Version/([\d\.]+)!)[0];
		$browser_ver	=~ s!^(\d+).*!$1!; # hide minor version info.
	}
	else
	{
		if($ua =~ /Gecko/i)			{ $browser_make = 'Mozilla'; }
		if($ua =~ /Mozilla/i && $ua !~ /(spider|crawl|bot)/i) { $browser_make = 'Mozilla'; }
		if($ua =~ /Firefox/i)			{ $browser_make = 'Firefox'; } # Firefox must come after Mozilla since Firefox's UA contains "Mozilla"
		if($ua =~ /Konqueror/i)			{ $browser_make = 'Konqueror'; }
		# Note: Netscape v6+ string will contain Gecko too, but as long
		# as we set Mozilla first, it will end up correct here.
		if($ua =~ /Netscape/i)			{ $browser_make = 'Netscape'; }
		if($ua =~ /MSIE/i)			{ $browser_make = 'IE'; }
		# Note: Opera has to come AFTER MSIE because it also has MSIE in its tag:
		if($ua =~ /Opera/i)			{ $browser_make = 'Opera'; }
		if($ua =~ /Lynx/i)			{ $browser_make = 'Lynx'; }
		if($ua =~ /Galeon/i)			{ $browser_make = 'Galeon'; }
		if($ua =~ /Safari/i)			{ $browser_make = 'Safari'; }
		if($ua =~ /Mobile\s*Safari/i)		{ $browser_make = 'Mobile Safari'; }
		# Chrome's UA also contains "Mozilla" *and* "Safari" *and* "Gecko", so it should come late...
		if($ua =~ /Chrome/ && $ua =~ /webkit/i)	{ $browser_make = 'Chrome'; }
		if($ua =~ /webkit/i && $ua !~ m!Chrome/! && $ua !~ m!Safari/!)	{ $browser_make = 'WebKit'; }
	
	
		# Note that Mozilla must come first, since it's a browser, AND a component of
		# other browsers, and thus it shows up in the useragent string of other browsers.
		#if($ua =~ /mozilla\/?(\S+)(;| )/i)		{ $browser_ver = $1; }
		if($ua =~ /mozilla.+rv:(.+?)\)/i)		{ $browser_make = 'Mozilla';	$browser_ver = $1; }
	
		if($ua =~ /((?:Mobile\s*)?Safari)\/(\d+\.\d+)/)	{ $browser_make = $1;		$browser_ver = $2; }
		if($ua =~ /Chrome\/(\d+\.\d+)/)			{ $browser_make = 'Chrome';	$browser_ver = $1; } # Chrome must come after Safari because its UA contains "Safari" too.
		if($ua =~ /Firefox\/(\d+\.\d+)/i)		{ $browser_make = 'Firefox';	$browser_ver = $1; }
	
		if($ua =~ /netscape\d?\/?(\S+);?/i)		{ $browser_make = 'Netscape';	$browser_ver = $1; }
		if($ua =~ /msie\/? ?(\S+);/i)			{ $browser_make = 'IE';		$browser_ver = $1; }
	
		# Opera needs to be checked AFTER MSIE here (since these just IFs, not IF-ELSEs)
		# because Opera lies and also claims to be MSIE.
		if($ua =~ /Opera\/? ?(\S+);?/i)			{ $browser_make = 'Opera';	$browser_ver = $1; }
	
		if($ua =~ /Konqueror\/? ?(\S+)(;|\))/i)		{ $browser_make = 'Konqueror';	$browser_ver = $1; }
		if($ua =~ /Galeon\/? ?(\S+)(;| )/i)		{ $browser_make = 'Galeon';	$browser_ver = $1; }
	
		$browser_ver =~ s/\.0+$//;
	
	
		$browser_extra = '';
		if($ua =~ /aol\/? ?(\S+);/i)
		{
			$browser_extra = "AOL $1";
			$browser_extra =~ s/\.0+$//;
			$browser_extra = "($browser_extra)";
		}
	}
	$browser_make = 'Unknown' unless $browser_make;
	$browser_ver = 'v?' unless $browser_ver;


	# I think we'll still need to do the bot detection separately, though:
	#
	if($ua =~ /ZyBorg/i)			{ $browser_make = 'ZyBorg';		$os_make = 'Robot'; }
	if($ua =~ /msnbot/i)			{ $browser_make = 'MSNBot';		$os_make = 'Robot'; }
	if($ua =~ /googlebot/i)			{ $browser_make = 'GoogleBot';		$os_make = 'Robot'; }
	if($ua =~ /Ask ?Jeeves/i)		{ $browser_make = 'AskJeevesBot';	$os_make = 'Robot'; }
	if($ua =~ /Teoma/i)			{ $browser_make = 'TeomaBot';		$os_make = 'Robot'; }
	if($ua =~ /ia_archiver/i)		{ $browser_make = 'AlexaBot';		$os_make = 'Robot'; }
	if($ua =~ /yahoo.+?slurp/i)		{ $browser_make = 'YahooBot';		$os_make = 'Robot'; }
	if($ua =~ /appie/i)			{ $browser_make = 'AppieBot';		$os_make = 'Robot'; }
	if($ua =~ /gigabot/i)			{ $browser_make = 'Gigabot';		$os_make = 'Robot'; }
	#
	# 20100606: for *anything* with "spider" in the UA, that we haven't detected in a more
	# specific way above, mark it as a spider.  We should maybe do this for "bot" too.
	#
	if($ua =~ /(spider|crawl|bot)/i && $browser_make eq 'Unknown') { $browser_make = 'Robot'; $os_make = 'Robot'; }


	if($mode eq 'full')
	{
		$wholething = "$browser_make $browser_ver $browser_extra / $os_make $os_ver";
		despaceify($wholething);
		deslashify($wholething); # in case the part before or after the slash is null.
	}
	elsif($mode eq 'separate')
	{
		$browser_extra = 'null' unless $browser_extra;
		#s/ /%20/g for($browser_make, $browser_ver, $browser_extra, $os_make, $os_ver);
		#$wholething = "$browser_make $browser_ver $browser_extra $os_make $os_ver";
		my $sep = ':::::';
		$wholething = $browser_make . $sep . $browser_ver . $sep . $browser_extra . $sep . $os_make . $sep . $os_ver;
		despaceify($wholething);
	}
	else
	{
		if($os_ver eq 'PowerPC')				{ $os_ver = 'PPC'; }

		if($browser_make eq 'Mozilla')				{ $browser_make = 'Moz'; }
		if($browser_make eq 'Firefox')				{ $browser_make = 'FF'; }
		if($browser_make eq 'Netscape')				{ $browser_make = 'NS'; }
		#if($browser_make eq 'Safari')				{ $browser_make = 'Saf'; }
		if($browser_make =~ /Mobile\s*Safari/i)			{ $browser_make = 'MobSaf'; }

		if(($browser_make eq 'Robot') && ($os_make eq 'Robot'))	{ $browser_make = ''; } # return just "Robot" instead of "Robot/Robot".

		for($os_ver,$browser_ver)
		{
			$_ = '' if /\?/;
		}
		$wholething = "$browser_make$browser_ver$browser_extra/$os_make$os_ver";
		$wholething =~ s/\s//g;
		deslashify($wholething); # in case the part before or after the slash is null.
	}

	return $wholething;
}


sub get_ua_display($$)
{
	my ($logged_ua, $ua_display) = @_;
	if(($ua_display =~ /unknown/i)  &&  ($qs =~ /mode=full/))
	{
		if($logged_ua eq 'Unknown')
		{
			$ua_display = 'Spoofed';
		}
		else
		{
			#($ua_display) = ($logged_ua =~ /^(.{1,25})/);
			#$ua_display .= '...' unless $ua_display eq $logged_ua;
		}
		#$ua_display = qq`<a title="$logged_ua">$ua_display</a>`;
	}
	return $ua_display;
}


# Pass this function a URL, that possibly is a search engine referrer URL.
# If so, this function will attempt to parse out the search terms and the
# engine name, and return them.  If it can't, then it will just return
# the same URL that was passed in.  The idea is that either way, the text
# string returned will be used as the text of a link.
#
sub get_search_terms_from_ref($)
{
	my $ref = shift;
	my $parsed = '';

	# Update 20110313: this is some crazy old code in here.  We'll keep it because it
	# does work fine for many refs, but going forward, we'll use these separate initial
	# if/elsif branches so the code is more readable, and only fall back into that old
	# code for the final else.
	#
	if($ref =~ m!^https?://[^/]*?(google.(?:com(?:\.\w\w)?|co\.\w\w|\w\w))/.*?(?:\?|&)q=([^&]+)!) # handles google.com, google.com.tw, google.co.uk, google.fr, etc.
	{
		$parsed = enc_urldecode_return($2) . ' (' . $1 . ')';
	}
	elsif($ref =~ m!^https?://[^/]*?(yahoo.com(?:\.\w\w)?)/.*?(?:\?|&)p=([^&]+)!)
	{
		$parsed = enc_urldecode_return($2) . ' (' . $1 . ')';
	}
	elsif($ref =~ m!^https?://[^/]*?(bing.com(?:\.\w\w)?)/.*?(?:\?|&)q=([^&]+)!)
	{
		$parsed = enc_urldecode_return($2) . ' (' . $1 . ')';
	}
	else
	{
		my ($engine, $ref2) = ();

		if( $ref =~ 	/custom\?
					|default\.asp\?			# search.lycos.com
					|director\.asp\?		# click.lycos.com
					|dirsearch\.adp\?		# aol and some others
					|ie\?q
					|iepane\?			# altavista.com
					|jump\.php\?			# abcsearch.com
					|linux\?
					|multisearch\.jsp\?		# search.iwon.com
					|new-search\?			# insider.com
					|q\?				# de.altavista.com
					|query\?
					|\?query=			# hotbot.lycos.com
					|query_(\w\w\|msie)?		# msie for google.yahoo.com
					|results\.(adp|aspx?|html|pl)\?	# adp for aol and some others, html for redhat.com, pl for bbc.co.uk
					|search(\.pl|\.php)?\?		# php for search.cometsystems.com
					|web\?				# altavista.com
					|websearch\?			# attbi.com
					/xi
		 )
		{
			# Get the site name by splitting around "//" then "/":
			(undef, $engine) = split(/\/\//, $ref, 0);
			($engine, undef) = split(/\//, $engine, 0);
			# Remove the www. if it exists:
			if($engine =~ /^www\./)
			{
				# Chop off the first 4 chars, "www.":
				$engine = substr($engine, 4);
			}
			# Remove the .com if it exists:
			if($engine =~ /\.com$/)
			{
				# Chop off the last 4 chars, ".com":
				$engine = substr($engine, 0, -4);
			}

			# The search engines usually use p= or q= for their queries:
			# Sometimes the google search string contains more than one of these xx_q= things,
			# and some are undefined.  So we'll just have to try each one:
											(undef, $ref2) = split(/as_epq=/, $ref, 0);
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/qry=/, $ref, 0);	} # attbi.com
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/terms=/, $ref, 0);	} # abcsearch.com
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/search=/, $ref, 0);	} # insider.com
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/searchfor=/, $ref, 0);	} # search.iwon.com
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/Keywords=/, $ref, 0);	} # overture.com
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/query_cb=/, $ref, 0);	} # for redhat.com searches
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/query=/, $ref, 0);	} # for aol & some other searches
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/as_q=/, $ref, 0);	}
				if( !($ref2) || (substr($ref2, 0, 1) eq '&') )	      { (undef, $ref2) = split(/[\/|&|\?][p|q|k]=/, $ref, 0);	} # k= is for w.galaxy.com

			# Cut off any other variables on the URL:
			($ref2, undef) = split(/&/, $ref2, 0);
			# Replace the +s with spaces:
			$ref2 =~ s/\+/ /g;
			# Decode the %FF hex encodings:
			$ref2 =~ s/%([A-Fa-f\d]{2})/chr hex $1/eg;
			# Escape any quotes in the string: 
			$ref2 =~ s/"/&quot;/gi;

			$ref = "$ref2 ($engine)";
		}
	}

	return $parsed || $ref;
}





# This webspider-detection stuff is used to prevent spiders from getting logged
# a bazillion times in a row, when a bunch of them from the same search-engine
# (but with different IPs) hit your site simultaneously.  Since they don't
# accept cookies, and are coming from multiple machines at different IPs, they
# correctly get logged as different visitors.  However we don't want that 
# behavior for spiders, instead we'd like each visit from "a spider" to look
# like a single visitor.  So when the visitor matches either one of the UAs or
# hosts listed, our code doesn't use the normal two-out-of-three IP/UA/visitor-ID
# check to determine if it's the same visitor as another one in the log; instead
# we just check that the UA matches, that the end-of-host/beginning-of-IP 
# matches, and that either the UA or host matches one of the following.
#
# 20080801: up until now, we were removing the entire subdomain portion of the
# hostname of the current visitor, and only using what was left (only the final
# 2 parts, i.e. "foo.com" for "bar.foo.com" or "baz.bar.foo.com") for matching.
# (And for IP addresses we were only using the first 2 octets.)
# This makes sense for checking whether the current visitor matches any 
# previously-logged visitors, but not for matching against $PREF{spider_hosts},
# because we'd like to be able to be more specific with the hostnames that we
# might set in that pref.  So today we're changing this so the full hostname is
# used for matching against $PREF{spider_hosts}.  The partial match will still
# be used for matching against previous visitors.
#
# Also on this date, we're adding IP-based matching with the new $PREF{spider_ips}
# setting.
#
sub is_a_bot_whose_ua_and_host_match_this_log_entry($$$$$$)
{
	my ($ua, $ip, $host, $logged_ua, $logged_ip, $logged_host) = @_;
	my $is_a_bot = 0;

	my ($host_base, $logged_host_base) = ($host, $logged_host);
	for($host_base, $logged_host_base)
	{
		# truncate it to just foo.com, or to just the first 2 octets for IP addresses.
		if(/[a-zA-Z]/)	{ s/^(?:.+\.)?(.+\..+)$/$1/; 	}
		else		{ s/\d+\.\d+$//; 		}
	}

	my ($ip_base, $logged_ip_base) = ($ip, $logged_ip);
	for($ip_base, $logged_ip_base)
	{
		# truncate it to just the first 2 octets.
		s/\d+\.\d+$//;
	}

	my $ip_bases_match	= $ip_base eq $logged_ip_base ? 1 : 0;
	my $host_bases_match	= $host_base eq $logged_host_base ? 1 : 0;
	my $uas_match		= $ua eq $logged_ua ? 1 : 0;


	# Some bots not only spoof their UAs, but they constantly rotate them, so two
	# requests right in a row from the same bot have two different UAs.  For bots
	# that do that, the only thing we can match on is the ip/host.


	# Changelog note: remove after this version goes live:
	#	20090125: bugfix: added additional checks here so that if any of the
	#	spider/bot ID prefs are null ($PREF{ua_liar_ips}, etc) then we skip
	#	them.  This was causing false positives in some cases where multiple
	#	visitors from the same IP (but with different browsers and IDs) were
	#	being treated as bots and thus logged as a single visitor when they
	#	should be logged individually instead.
	#
	# TODO: should we have a test that matches just hostname, and another that
	# matches just UA, so we can just put "msnbot" in one of those, and not
	# worry about whether anything else on that hit also matches, since the
	# presence of "msnbot" in any single one is probably proof enough that it's
	# a bot?
	#
	if($ip_bases_match			&&   $PREF{ua_liar_ips} && ($ip =~ /($PREF{ua_liar_ips})/i))
	{
		$is_a_bot = 1;
	}
	elsif($host_bases_match			&&   $PREF{ua_liar_hosts} && ($host =~ /($PREF{ua_liar_hosts})/i))
	{
		$is_a_bot = 1;
	}
	elsif($ip_bases_match && $uas_match	&&   (($PREF{spider_uas} && $ua =~ /$PREF{spider_uas}/i)   ||   ($PREF{spider_ips} && $ip =~ /($PREF{spider_ips})/i)))
	{
		$is_a_bot = 1;
	}
	elsif($host_bases_match && $uas_match	&&   (($PREF{spider_uas} && $ua =~ /$PREF{spider_uas}/i)   ||   ($PREF{spider_hosts} && $host =~ /($PREF{spider_hosts})/i)))
	{
		$is_a_bot = 1;
	}

	return $is_a_bot;
}


sub get_visitor_archive_table_names
{
	#printd(qq`get_visitor_archive_table_names()`);

	my ($table, @vlogs) = ();
	my $sth = $PREF{dbh}->prepare(qq`SHOW TABLES LIKE 'visitors\_________\_________';`); # visitors_YYYYMMDD_YYYYMMDD.
	$sth->execute();
	$sth->bind_columns(\$table);
	while($sth->fetchrow_arrayref)
	{
		push (@vlogs, $table);
	}
	return \@vlogs;
}


sub get_total_hits_output
{
	#printd(qq`get_total_hits_output()`);

	my $totalhits = get_total_hits();
	my $date_logging_first_began = get_date_logging_first_began();
	return ($totalhits, $date_logging_first_began, qq`<table class="statstable">\n<tr><th>Total Visitors Ever</th></tr><tr><td>since ` . strftime("%B %e, %Y",localtime($date_logging_first_began)) . qq`:</td></tr><tr><td style="text-align: center;">$totalhits</td></tr></table>\n\n`);
}


sub get_date_logging_first_began
{
	#printd(qq`get_date_logging_first_began()`);

	my $sth = $PREF{dbh}->prepare("SELECT start_etime FROM $PREF{archive_counts_table} ORDER BY start_etime limit 1;");
	$sth->execute;
	my $date_logging_first_began = $sth->fetchrow;

	unless($date_logging_first_began)
	{
		$sth = $PREF{dbh}->prepare("SELECT `etime` FROM `$PREF{visitor_table_name}` ORDER BY etime limit 1;");
		$sth->execute;
		$date_logging_first_began = $sth->fetchrow;
	}

	return $date_logging_first_began;
}


#sub recreate_visitorcounts_log()
#{
#	return;
#	# TODO: update this for the db version.
#
#	my $vlogs = get_visitor_archive_table_names();
#
#	open(OUT,">$visitorcounts_log") or die "$0: couldn't open $visitorcounts_log for writing: $!\n";
#	flock OUT, 2;
#	seek OUT, 0, 0;
#
#	foreach my $vlog (sort @$vlogs)
#	{
#		my ($startdate, $enddate, $start_etime, $end_etime, $hitcount) = ();
#		($startdate, $enddate) = ($vlog =~ /^visitors_(\d{8})_(\d{8})$/);
#
#		my $date = $startdate;
#		while($date <= $enddate)
#		{
#			my ($year) = ($date =~ /^(\d{4})\d{4}$/);
#			my $statslog = "$PREF{stats_cache_dir}/$year/stats-$date.log";
#			if(-T $statslog)
#			{
#				open(IN,"<$statslog") or die "$0: couldn't open $statslog for reading: $!\n";
#				flock IN, 1;
#				seek IN, 0, 0;
#				while(<IN>)
#				{
#					if(/first_etime_of_this_day: (\d+)/)		{ $start_etime = $1 unless $start_etime; }
#					if(/last_etime_of_this_day: (\d+)/)		{ $end_etime = $1; }
#					if(/hits_this_day: (\d+)/)
#					{
#						$hitcount += $1;
#						last;
#					}
#				}
#				close IN or die "$0: couldn't close $statslog: $!\n";
#			}
#			$date = increment_datestring_8($date,1);
#		}
#
#		print OUT "${startdate}-${enddate}::${start_etime}-${end_etime}::${hitcount}\n";
#	}
#
#	close OUT or die "$0: couldn't close $visitorcounts_log: $!\n";
#}



sub update_popular_pages_output_cache()
{
	my $enddate = strftime("%Y%m%d",localtime($global_current_etime));
	my $startdate = decrement_datestring_8($enddate, $PREF{popular_pages_widget_num_days_to_track} || $PREF{default_stats_period});

	my ($hit_count_for_period, %uris, %days_missing_statslog_files) = ();

	my $num_dates = 0;
	my $date = $startdate;
	while($date <= $enddate)
	{
		my ($year,$month,$day) = ($date =~ /^(\d{4})(\d{2})(\d{2})$/);
		my $statslog = "$PREF{stats_cache_dir}/$year/stats-$date.log";
		if(!(-T $statslog))
		{
			$days_missing_statslog_files{$date} = 1;
		}
		else
		{
			open(my $infh,"<$statslog") or die "$0: couldn't open $statslog for reading: $!\n";
			flock $infh, 1;
			seek $infh, 0, 0;
			while(<$infh>)
			{
				if(/^hits_this_day: (\d+)$/)			{ $hit_count_for_period += $1;	}
				elsif(/^uri: (\d+) (.+)$/)			{ $uris{$2} += $1;		}
			}
			close $infh or die "$0: couldn't close $statslog: $!\n";
		}
		$num_dates++;
		$date = increment_datestring_8($date,1);
	}


	# Get the data from the current vlog too; these visitors don't have statslog files yet.
	my $visitors = enc_sql_select_multi("SELECT date8,uri FROM $PREF{visitor_table_name}");
	foreach my $k (keys %$visitors)
	{
		$hit_count_for_period++ if ($startdate <= $$visitors{$k}{date8} && $$visitors{$k}{date8} <= $enddate);

		if($days_missing_statslog_files{ $$visitors{$k}{date8} })
		{
			$uris{   $$visitors{$k}{uri}   }++;
		}
	}
	$hit_count_for_period = 0 unless $hit_count_for_period;


	# If we haven't been logging for as long as the range we were asked to get stats for, then
	# change the $startdate to be the first day for which there IS log data.  Note that this 
	# must be done here, before $avg_hits_per_day variable is calculated from $num_dates.
	# But it must also be done AFTER scanning the statslogs directory, so we know how far back
	# to check for logs.  So... right here is a good place for this.
	my (undef, $date_logging_first_began, undef) = get_total_hits_output();
	my $date_logging_first_began_8 = strftime("%Y%m%d",localtime($date_logging_first_began));
	if($startdate < $date_logging_first_began_8)
	{
		my $difference = num_elapsed_days_between_datestring8_dates($date_logging_first_began_8, $startdate);
		$num_dates -= $difference;
		$startdate = $date_logging_first_began_8;
	}


	my $i = 1;
	my $pagelist = '';
	foreach my $key (sort { $uris{$b} <=> $uris{$a} } keys %uris)
	{
		my $percent = $hit_count_for_period ? sprintf "%.0f",($uris{$key}/$hit_count_for_period)*100 : 0;
		unless($percent < $PREF{lowest_percent_to_show}) # hide extremely rare values.
		{
			#$greatest_percentage = $percent unless $greatest_percentage;
			#my $statsbar_width = $greatest_percentage ? int(($percent/$greatest_percentage)*$statsbar_max_width) : 0;
			#$statsbar_width += 10; # any single-digit pixel width bar just looks silly, so pad each one out a bit.
			#my $row = (($i % 2) == 0) ? 'even' : 'odd';
			#my $key_display = $title =~ /popular/i ? qq`<a href="$key">` . (length($key) > 40 ? substr($key, 0, 37) . '...' : $key) . qq`</a>` : $key;
			#$pagelist .= qq`<tr class="$row"><td>$key_display</td><td class="c">$uris{$key}</td><td class="p">${percent}%</td><td class="g"><div class="statsbar" style="width: ${statsbar_width}px;"></div></td></tr>\n`;

			my $link_text = $key;
			if($PREF{popular_pages_widget_output_homepage_replacement} && $link_text eq '/')
			{
				$link_text = $PREF{popular_pages_widget_output_homepage_replacement};
			}
			if($PREF{popular_pages_widget_output_bloglink_detection} =~ /yes/i)
			{
				if($link_text =~ m!\d\d\d\d/\d\d/\d\d/(.+)!) { $link_text = $1; }
			}
			foreach my $j (sort { $a <=> $b } keys %{$PREF{popular_pages_widget_output_replacements}})
			{
				$link_text =~ s!$PREF{popular_pages_widget_output_replacements}{$j}{text}!$PREF{popular_pages_widget_output_replacements}{$j}{replacement}!g;
			}

			my $pagelist_template = $PREF{popular_pages_widget_pagelist_template};
			$pagelist_template =~ s!%%link%%!$key!g;
			$pagelist_template =~ s!%%link_text%%!$link_text!g;
			$pagelist_template =~ s!%%visitor_count%%!$uris{$key}!g;
			$pagelist_template =~ s!%%i%%!$i!g;
			$pagelist .= $pagelist_template;

			$i++;
		}
	}

	my $template = $PREF{popular_pages_widget_template};
	$template =~ s!%%pagelist%%!$pagelist!g;
	$template =~ s!%%daycount%%!$num_dates!g;
	$template =~ s!%%startdate%%!$startdate!g;

	create_file_if_DNE($PREF{popular_pages_cache_file}, $PREF{writable_file_perms});
	add_text_to_file($template, $PREF{popular_pages_cache_file}, 'clobber');
}



#sub print_most_simult_visitors
#{
#	my ($most_simult_visitors_count, $most_simult_visitors_list, $date_of_most_simult_visitors) = determine_most_simultaneous_visitor_count();
#
#	print qq`<div><h3>Most visitors online:</h3>\n`;
#	print qq`<p style="font-style: italic;">The most visitors ever simultaneously on the site was $most_simult_visitors_count, on $date_of_most_simult_visitors.  The visitors were:</p>\n`;
#	print qq`<table class="statstable"><tr><td>\n$most_simult_visitors_list\n</td></tr></table>\n</div>\n\n`;
#}
#
#
#sub determine_most_simultaneous_visitor_count()
#{
#	my $logdir= 'logfiles';
#	my $mvlog = "$logdir/log_mostvisitorsatonce.txt";
#	create_file_if_DNE($mvlog,0666);
#	open(IN,"<$mvlog") or die "$0: can't open $mvlog: $!\n";
#	flock IN, 1;
#	seek IN, 0, 0;
#	my $firstline = <IN>;
#	close IN or die "$0: can't close $mvlog: $!\n";
#
#	my @mostvis = split(/,/, $firstline, 0);
#	my $mostever = $mostvis[0];
#	my $etime = $mostvis[3];
#
#	my ($i, $list);
#	for($i=0; $i<$mostever; $i++)
#	{
#		$list .= $mostvis[$i+4] . "<br /><br />\n"; # Because the first 4 items are count, date, year/time, etime.
#	}
#
#	my $date = strftime("%A %B %d, %Y at %I:%M%p",localtime($etime));
#
#	return ($mostever, $list, $date);
#}


#####


# vlog, 
sub sanitize_username($)
{
	$_[0] =~ s/[^0-9A-Za-z\., -]//g;

	# no repeating punctuation
	$_[0] =~ s/\.{2,}/./g;
	$_[0] =~ s/,{2,}/,/g;
	$_[0] =~ s/ {2,}/ /g;
	$_[0] =~ s/-{2,}/-/g;

	# no leading/trailing spaces
	$_[0] =~ s/^ +//;
	$_[0] =~ s/ +$//;

	# must start with an alphanumeric
	$_[0] =~ s/^[^0-9A-Za-z]+//;

	# if somehow it's still invalid, reset it.
	$_[0] = 'Guest' unless $_[0] =~ /[0-9A-Za-z]/;

	# And limit its length.
	$_[0] =~ s!^(.{1,50}).*!$1!;
}


sub start_html_output
{
	start_html_output_std(@_);
}


sub start_html_output___old
{
	my $title = shift;
	my $optsref = shift; my %opts = %$optsref if $optsref;

	my $css = get_css();
	my $js = get_js();

	$PREF{title} = $PREF{"title_$PREF{on_page}"} if exists $PREF{"title_$PREF{on_page}"};

	print_http_headers();
	print_global_output() unless $opts{without_global_output}; # in case we have any buffered output stored up.

	if($ENV{REQUEST_METHOD} =~ /post/i   ||   $PREF{"print_full_html_tags_for_$PREF{on_page}"} =~ /yes/i   ||   ($PREF{print_full_html_tags} =~ /yes/i   &&   $PREF{"print_full_html_tags_for_$PREF{on_page}"} !~ /no/i)   ||   (get_qs_var('forcefullhtml') eq 'yes')   ||   (get_qs_var('forcefullpage') eq 'yes'))
	{
		print	  qq`<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">`
			. qq`\n<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">`
			. qq`\n<head>`
			. qq`\n<meta http-equiv="Content-type" content="text/html; charset=ISO-8859-1" />`
			. qq`\n<title>$title</title>`
			. qq`\n<script type="text/javascript">\n/* <![CDATA[ */  /* so (X)HTML validators ignore the javascript. */\n\n$js\n\n/* ]]> */  /* so (X)HTML validators ignore the javascript. */\n</script>`
			. qq`\n<style type="text/css">$css</style>`
			. $PREF{extra_header_output}
			. qq`\n</head>`
			. qq`\n<body id="vlogbody">`
			. qq`\n`;
	}
	else
	{
		print	  qq`$PREF{outer_container}\n`;
	}

	print $PREF{title} if $PREF{title_inside_perpage_container} !~ /yes/i;
	print	  qq`<div id="vlogcontainer">\n`;
	print $PREF{title} if $PREF{title_inside_perpage_container} =~ /yes/i;
}


sub finish_html_output
{
	finish_html_output_std(@_);
}


sub finish_html_output___old
{
	print_powered_by();
	print qq`</div>\n`; # end vlogcontainer.

	if($ENV{REQUEST_METHOD} =~ /post/i   ||   $PREF{"print_full_html_tags_for_$PREF{on_page}"} =~ /yes/i   ||   ($PREF{print_full_html_tags} =~ /yes/i   &&   $PREF{"print_full_html_tags_for_$PREF{on_page}"} !~ /no/i)   ||   (get_qs_var('forcefullhtml') eq 'yes')   ||   (get_qs_var('forcefullpage') eq 'yes'))
	{
		print	  qq`</body>\n</html>\n`;
	}
	else
	{
		print	  qq`$PREF{outer_container_end}\n`;
	}
}



sub print_powered_by
{
	return if $PREF{hide_poweredby} =~ /yes/i;
	my $noprint = shift;
	my $output = '';
	$output .= qq`<div id="pb">\n`;
	$output .= get_powered_by();
	$output .= qq`</div>\n`;
	$noprint ? return $output : print $output;
}


sub get_powered_by
{
	return qq`<a href="http://encodable.com/visitorlog/" target="_blank">Visitor Logging and Statistics by Encodable</a>`;
}


sub get_css
{
	return $PREF{css};
}


# blog, vlog, ub, 
sub username_is_illegal($)
{
	return (($_[0] =~ /[^0-9A-Za-z\., -]/)   ||   ($_[0] !~ /[0-9A-Za-z]/)   ||   (length($_[0] > 50)));
}


# blog, vlog, ub, 
sub get_invalid_name_error_message()
{
	return "Sorry, your name must contain at least one alphanumeric character (0-9A-Za-z), and optionally can contain periods, commas, dashes, and spaces.";
}


# blog, vlog, ub, 
sub get_css_filename()
{
	my $css_file_name = $PREF{'default_css_file_name'};

	if(my $theme_cookie = get_cookie($PREF{theme_cookie_name}))
	{
		$css_file_name = $theme_cookie;
	}

	$css_file_name .= '.css' unless $css_file_name =~ /\.css$/i;

	$css_file_name = "$PREF{'path_to_css_files'}$css_file_name";

	return $css_file_name;
}











sub show_hits_graph
{
	$PREF{on_page} = 'hitsgraph';
	#print "Content-type: text/html\n\n";
	start_html_output();
	print get_hits_graph();
	finish_html_output();
}


sub get_hits_graph
{
	my $days_to_show	= $qs =~ /numdays=(\d+)/ ? $1 : 7; $days_to_show = 7 if ($days_to_show > 31 && !$PREF{admin_is_logged_in});

	my $stop_etime		= (($global_current_etime) - (60 * 60 * 24 * ($days_to_show+1))); # plus one because otherwise the final day-ago is incomplete.
	my $image		= "$PREF{image_path}/transpixel.gif";
	my $height_of_bars	= 8;	# In pixels
	my $width_of_bars       = $qs =~ /barwidth=(\d+)/ ? $1 : 70;
	my ($rank, $max_hits, $previous_day, %hits, $logged_etime, $logged_prettytime) = ();


	my %month_name = ();
	$month_name{'01'} = 'Jan';
	$month_name{'02'} = 'Feb';
	$month_name{'03'} = 'Mar';
	$month_name{'04'} = 'Apr';
	$month_name{'05'} = 'May';
	$month_name{'06'} = 'Jun';
	$month_name{'07'} = 'Jul';
	$month_name{'08'} = 'Aug';
	$month_name{'09'} = 'Sep';
	$month_name{'10'} = 'Oct';
	$month_name{'11'} = 'Nov';
	$month_name{'12'} = 'Dec';


	my $date = strftime("%Y%m%d",localtime($global_current_etime));
	my $N_days_ago = decrement_datestring_8($date, $days_to_show);
	my $N_plus_one_days_ago = decrement_datestring_8($date, $days_to_show + 1);


	my $sth = ();
	#$sth			= $PREF{dbh}->prepare("SELECT COUNT(*) FROM $PREF{visitor_table_name} WHERE date8>$N_plus_one_days_ago ORDER BY serial_id DESC;");
	#$sth->execute;
	#my $limit		= $sth->fetchrow;


	my $i = 0;
	foreach my $vtable ($PREF{visitor_table_name}, @{$PREF{vtables}})
	{
		#$sth = $PREF{dbh}->prepare("SELECT MIN(date8) FROM $vtable ORDER BY serial_id DESC;");
		 $sth = $PREF{dbh}->prepare("SELECT MIN(date8) FROM $vtable;");
		$sth->execute;
		my $last_date_in_this_table = $sth->fetchrow;

		while($date > $N_days_ago)
		{
			my ($year,$month,$day)	= ($date =~ /(\d\d\d\d)(\d\d)(\d\d)/);
			my $prettydate_noyear	= $month_name{"$month"} . $day;

			#$sth			= $PREF{dbh}->prepare("SELECT COUNT(*) FROM $vtable WHERE date8=$date ORDER BY serial_id DESC LIMIT $limit;");
			$sth			= $PREF{dbh}->prepare("SELECT COUNT(*) FROM $vtable WHERE date8=$date ORDER BY serial_id DESC;");
			$sth->execute;
			my $count		= $sth->fetchrow;
			$hits{"<!-- $date -->$prettydate_noyear"} = $count;

			$date = decrement_datestring_8($date,1);
			last if $date < $last_date_in_this_table;
			$i++;
		}
		last if $date <= $N_days_ago;
	}

	foreach my $key (sort (keys %hits))
	{
		if($hits{$key} > $max_hits)
		{
			$max_hits = $hits{$key};
		}
	}

	my $inner_content = '';
	foreach my $key (sort (keys %hits))
	{
		next if $hits{$key} == 0; # don't display days with no hits.

		my $percent = sprintf(  "%0d",  (($hits{$key}/$max_hits)*$width_of_bars)  );

		my $rest = $width_of_bars - $percent;

		my $empty = qq`<div style="width: ${rest}px;" class="empty" title="$hits{$key}"></div>`;

		# Workaround for IE problem whereby images with zero width are displayed with width=1:
		if($percent == $width_of_bars)	{ $empty = ''; $percent += 2;}

		my $filled = qq`<div style="width: ${percent}px;" class="filled" title="$hits{$key}"></div>`;

		my ($day) = ($key =~ /<!--.+-->(.+)/);
		$hits{$key} = "0$hits{$key}" while length($hits{$key}) < length($max_hits);

		my $template_inner = $PREF{visitors_graph_inner_template};
		$template_inner =~ s!%%row_content%%!$day<span class="the_graph">$filled$empty</span>$hits{$key}!;
		$inner_content .= $template_inner;
	}

	$PREF{visitors_graph_template} =~ s!%%inner_content%%!$inner_content!;
	return $PREF{visitors_graph_template};

	#printd "dhg-db4.cgi:   end-time=" . time();
}


sub try_widget_cache_updates()
{
	return unless $PREF{time_between_widget_cache_updates};

	$PREF{periodic_tasks}{'20'}{name}	= 'do_widget_cache_updates';
	$PREF{periodic_tasks}{'20'}{enabled}	= 'yes';
	$PREF{periodic_tasks}{'20'}{period}	= $PREF{time_between_widget_cache_updates};   # in seconds.

	do_widget_cache_updates() if it_is_time_for_periodic_task('do_widget_cache_updates');
}


sub do_widget_cache_updates()
{
	my ($fullmode_output, $visitors_summary_output, $recent_visitors_output) = get_output();

	foreach my $widget (split(/\s*,\s*/, $PREF{enabled_output_widgets}))
	{
		my ($name, $content) = ();
		if($widget eq 'visitors_graph')		{ $name = 'graph';	$content = get_hits_graph(); }
		elsif($widget eq 'visitors_summary')	{ $name = 'summary';	$content = $visitors_summary_output; }
		elsif($widget eq 'recent_visitors')	{ $name = 'recent';	$content = $recent_visitors_output; }
		else					{ next; }   # because 'popular_pages' is also in $PREF{enabled_output_widgets}, but has its own cache-update schedule and code.

		my $cachefile = $PREF{cached_output_dir_real} . '/' . $name . '.' . $PREF{widget_cache_file_type};
		create_file_if_DNE($cachefile, $PREF{writable_file_perms});
		add_text_to_file($content, $cachefile, 'clobber');
	}
}


# BL, VL
#
# Not really a logout; just deleting the guestname cookie.
#
sub do_guestlogout()
{
	set_cookie($PREF{guestname_cookie}, 'blank', '-1d');
	my $ref = $ENV{HTTP_REFERER};

	# Remove any "guestlogout" from the referrer.
	#
	$ref =~ s/\?guestlogout$//;

	my $go = $ref ? $ref : "$PREF{protoprefix}$ENV{HTTP_HOST}";

	enc_redirect($go);
}


sub do_db_maintenance()
{
	exit_with_access_denied() unless $PREF{admin_is_logged_in};

	my $uri_sans_range		= get_dbmaint_uri('no-range');
	my $uri_sans_showrecords	= get_dbmaint_uri('no-showrecords');
	my $uri_sans_showrec_sans_range	= get_dbmaint_uri('no-range', 'no-showrecords');

	my $records_in_active_table = enc_sql_select("SELECT COUNT(*) FROM $PREF{visitor_table_name};");

	start_html_output();
	print qq`<div id="dbmaintpage" style="font-size: 8pt; font-family: monospace;">\n`;
	print '' . ($#{$PREF{vtables}} + 1) . qq` tables; $records_in_active_table records in active table.<br /><br />\n`;

	my ($first_table, $last_table) = $qs =~ /(?:^|&)range=(\d+)-(\d+)(?:&|$)/ ? ($1,$2) : (1,5);
	$first_table = 1 if $first_table < 1;
	$last_table = $#{$PREF{vtables}} + 1 if $last_table > $#{$PREF{vtables}} + 1;

	my $total_dup_count = 0;

	my $table_i = 0;
	foreach my $vtable (@{$PREF{vtables}})
	{
		$table_i++;
		next unless ($first_table <= $table_i && $table_i <= $last_table);

		my $numrecords = enc_sql_select("SELECT COUNT(*) FROM `$vtable`");
		my ($table_startdate8, $table_enddate8) = ($vtable =~ /^visitors_(\d{8})_(\d{8})$/);

		my $numrecords_according_to_archive_counts_table = enc_sql_select("SELECT `visitor_count` FROM `$PREF{archive_counts_table}` WHERE `start_date` = $table_startdate8 AND `end_date` = $table_enddate8");

		print qq`<a href="$uri_sans_range&amp;range=$table_i-$table_i">Table $table_i</a> ($vtable) contains $numrecords records; archive-counts table says $numrecords_according_to_archive_counts_table`;
		unless($numrecords == $numrecords_according_to_archive_counts_table)
		{
			print qq` - MISMATCH (<a href="$uri_sans_showrecords&amp;action=fixarchivecount&amp;table=$vtable">fix</a>)`;
		}
		print qq`<table style="border: 1px solid #bbb; white-space: nowrap; margin: 10px;">\n`;

		my $dup_count = 0;
		my $row_count = 0;
		my (%records,%dups) = ();

		my ($serial_id,$etime,$date8,$date,$id,$ip,$host,$ua,$res,$ref,$uri) = ('','','','','','','','','','');
		my ($prev_serial_id,$prev_etime,$prev_date8,$prev_date,$prev_id,$prev_ip,$prev_host,$prev_ua,$prev_res,$prev_ref,$prev_uri) = ('','','','','','','','','','');

		my $sth = $PREF{dbh}->prepare("SELECT serial_id,etime,date8,date,id,ip,host,ua,res,ref,uri FROM $vtable ORDER BY etime,serial_id");
		$sth->execute;
		$sth->bind_columns(\$serial_id,\$etime,\$date8,\$date,\$id,\$ip,\$host,\$ua,\$res,\$ref,\$uri);
		while($sth->fetchrow_arrayref)
		{
			$row_count++;

			my $unique_identifier = "$etime-$ip-$res-$id";

			if(my $prev_serial_id = $records{$unique_identifier})
			{
				if($qs =~ /showrecords/)
				{
					my @thisrow = enc_sql_select("SELECT serial_id,etime,date8,date,id,ip,host,ua,res,ref,uri FROM $vtable where serial_id = $serial_id");
					my @prevrow = enc_sql_select("SELECT serial_id,etime,date8,date,id,ip,host,ua,res,ref,uri FROM $vtable where serial_id = $prev_serial_id");

					print qq`<tr><td>thisrow: ` . (join "</td><td>", @thisrow) . qq`</td></tr>`;
					print qq`<tr><td>prevrow: ` . (join "</td><td>", @prevrow) . qq`</td></tr>`;
					print qq`<tr><td colspan="5">##############################################</td></tr>`;
				}

				if($serial_id > $prev_serial_id)
				{
					$dups{$serial_id} = 1;
				}
				else
				{
					$dups{$prev_serial_id} = 1;
					$records{$unique_identifier} = $serial_id;
				}
			}
			else
			{
				$records{$unique_identifier} = $serial_id;
			}

			#($prev_serial_id,$prev_etime,$prev_date8,$prev_date,$prev_id,$prev_ip,$prev_host,$prev_ua,$prev_res,$prev_ref,$prev_uri) = ($serial_id,$etime,$date8,$date,$id,$ip,$host,$ua,$res,$ref,$uri);
		}

		print qq`</table>\n`;

		$total_dup_count += scalar keys %dups;

		if($qs =~ /delete_dups_for_real/)
		{
			my $rows_deleted = 0;
			foreach my $serial_id (keys %dups)
			{
				if(enc_sql_select("SELECT COUNT(*) FROM `$vtable` WHERE `serial_id` = $serial_id") == 1)
				{
					$sth = $PREF{dbh}->prepare("DELETE FROM `$vtable` WHERE `serial_id` = $serial_id");
					$sth->execute() or die_nice("$PREF{internal_appname}: couldn't delete duplicate row (with serial_id=$serial_id) from visitorlog table ($vtable): $DBI::errstr\n");
					$rows_deleted++;
				}
				else
				{
					print qq`\n<br />warning: won't attempt to delete row because more than one row matching serial_id=$serial_id was found??!?`;
				}
			}

			print qq`\n<br />&nbsp; &nbsp; &nbsp; $rows_deleted of ` . (scalar keys %dups) . qq` duplicate rows successfully deleted.`;
		}
		else
		{
			print qq`\n<br />&nbsp; &nbsp; &nbsp; ` . (scalar keys %dups) . qq` dups`;

			if(scalar keys %dups != 0)
			{
				print qq`; after removing dups, the new count would be ` . ($numrecords - scalar keys %dups) . qq`.  <a href="$uri_sans_showrec_sans_range&amp;range=$table_i-$table_i&amp;delete_dups_for_real">delete duplicate rows now</a>`;
			}
		}

		print qq`<br /><br />\n`;
		print "<hr />\n";
	}

	if($last_table != $first_table)
	{
		print qq`<br /><br />\n`;
		print qq`Total dups shown: $total_dup_count.`;
	}

	print qq`<br /><br />\n`;
	print qq`Tables:&nbsp; `;
	for(my $i = 1; $i <= $#{$PREF{vtables}}; $i += 5)
	{
		print qq`<a href="$uri_sans_showrec_sans_range&amp;range=$i-` . ($i + 4) . qq`">$i-` . ($i + 4) . qq`</a>&nbsp; `;
	}

	print qq`<br /><br /><a href="$uri_sans_showrecords&amp;showrecords">Show records for duplicates</a>\n`;
	print qq`<br /><br /><a href="$uri_sans_showrecords">Hide records for duplicates</a>\n`;

	print qq`<br /><br /></div>\n`;
	finish_html_output();
}


sub get_dbmaint_uri
{
	my $uri = $ENV{REQUEST_URI};
	for(@_)
	{
		if(/no-range/)		{ $uri =~ s/range=\d+-\d+//g;	}
		if(/no-showrecords/)	{ $uri =~ s/showrecords//g;	}
	}

	$uri =~ s/delete_dups_for_real//g;

	$uri =~ s/&{2,}/&/g;
	$uri =~ s/&$//g;

	return $uri;
}


sub fix_archive_count
{
	exit_with_access_denied() unless $PREF{admin_is_logged_in};

	my ($archive_table) = ($qs =~ /(?:^|&)table=(\w+)/);
	my ($archive_start_date, $archive_end_date) = ($archive_table =~ /_(\d{8})_(\d{8})/);

	# SQL safety checks:
	die_nice("Error: invalid archive table name '$archive_table'.") unless $archive_table =~ /^\w+$/;
	die_unless_numeric($archive_start_date, 'archive_start_date in fix_archive_count()');
	die_unless_numeric($archive_end_date, 'archive_end_date in fix_archive_count()');

	my $visitors_in_archive = enc_sql_select("SELECT COUNT(*) FROM `$archive_table`");
	my $previous_count = enc_sql_select("SELECT `visitor_count` FROM `$PREF{archive_counts_table}` WHERE `start_date`='$archive_start_date' AND `end_date`='$archive_end_date' LIMIT 1");

	my $statement = "UPDATE `$PREF{archive_counts_table}` SET `visitor_count` = $visitors_in_archive WHERE `start_date`='$archive_start_date' AND `end_date`='$archive_end_date' LIMIT 1;";
	my $success = enc_sql_update($statement);
	die_nice("Error: fix_archive_count(): SQL returned '$success' instead of '1'.  Statement was: [[ $statement ]]") unless $success == 1;

	# When finished, go back to HTTP_REFERER if that's set.
	# If it's not set, we can use our own URI to get a
	# decent return URL.
	#
	my $go = $ENV{REQUEST_URI};
	$go =~ s/action=fixarchivecount//g;
	$go =~ s/table=\w+//g;
	defooify('&', $go);
	$go = $ENV{HTTP_REFERER} if $ENV{HTTP_REFERER};
	#
	#print_http_headers();
	#print qq`Updated archive count for table $archive_table from $previous_count to $visitors_in_archive.&nbsp; <a href="$go">Back to dbmaint page</a>.\n`;
	#
	enc_redirect($go);
}


##############################################################################
### Shared-VL: ###############################################################
##############################################################################


sub load_external_prefs
{
	my ($script_basename) = ($ENV{SCRIPT_NAME} =~ m!.*?[/\\]?([^/\\]+)\.[^/\\\.]+!);
	my ($script_dirname) = ($ENV{SCRIPT_NAME} =~ m!^(.+)/.*?$!);
	my $prefs_basename = $_[0] eq 'use_internal_filename' ? $PREF{internal_filename} : $script_basename;

	my @prefs_files = (	"encodable_shared_prefs___overrideable",
				"${prefs_basename}_shared_prefs___overrideable",
				"${prefs_basename}_prefs_new",
				"${prefs_basename}_prefs",
				"${prefs_basename}_prefs_extra",
				"encodable_shared_prefs___nonoverrideable",
				"${prefs_basename}_shared_prefs___nonoverrideable",
	);

	my $critical_prefs_loaded = 0;
	foreach my $prefs_file (@prefs_files)
	{
		for($prefs_file,
			"$PREF{DOCROOT}/cgi-bin/$prefs_file",		"$PREF{DOCROOT}/../cgi-bin/$prefs_file",
			"$PREF{DOCROOT}/cgi/$prefs_file",		"$PREF{DOCROOT}/../cgi/$prefs_file",
			"$PREF{DOCROOT}$script_dirname/$prefs_file",	"$PREF{DOCROOT}/..$script_dirname/$prefs_file",

			# Also try the parent dir, mainly because it's a likely place for any shared prefs files:
			"$PREF{DOCROOT}$script_dirname/../$prefs_file",	"$PREF{DOCROOT}/..$script_dirname/../$prefs_file", "../$prefs_file"
		)
		{
			if(my $file = -e "${_}.cgi" ? "${_}.cgi" : -e "${_}.pl" ? "${_}.pl" : '')
			{
				my $prefs_contents = ();
				open(IN,"<$file") or die_nice("couldn't open prefs file '$file': $!");
				flock IN, 1;
				seek IN, 0, 0;
				while(<IN>) { $prefs_contents .= $_; }
				close IN or die_nice("couldn't close prefs file '$file': $!");
				$prefs_contents =~ /(.*)/s;
				$prefs_contents = $1; # cheap untaint since this is our own config file.
				eval $prefs_contents; die_nice("Error processing your prefs file ('$file'): $@") if $@;
				$critical_prefs_loaded = 1 unless $file =~ /(_shared_prefs_|_prefs_extra)/;
				$PREF{loaded_prefs_files} .= "$file, ";
				last;
			}
		}
	}

	$PREF{loaded_prefs_files} =~ s!, $!!;

	if(!$critical_prefs_loaded)
	{
		if($_[0] ne 'use_internal_filename')
		{
			# First pass failed, so try again but use $PREF{internal_filename} as the prefs base.
			load_external_prefs('use_internal_filename');
		}
		else
		{
			# Second pass failed too; nothing else we can do.
			die_nice(
				"Error: couldn't find any prefs file to load.  You must put your $PREF{prefs_basename}_prefs.cgi file on the server with the $PREF{prefs_basename}.cgi file."
				. ($PREF{docroot_autodetection_error} ? qq` <br /><br />\nThis may be caused by or related to the following: $PREF{docroot_autodetection_error}` : '')
			);
		}
	}
}


sub load_userbase_prefs
{
	if($PREF{integrate_with_userbase} =~ /yes/i   &&   $PREF{internal_appname} !~ /^userbase$/i)
	{
		# Try to load UserBase prefs from userbase_prefs.cgi to avoid
		# having to specify common prefs twice.

		my %ub_pref_names = (
			database_hostname				=> 1,
			database_name					=> 1,
			database_username				=> 1,
			database_password				=> 1,
			dbi_connection_string				=> 1,

			time_offset					=> 1,
			hide_poweredby					=> 1,

			site_session_cookie				=> 1,
			login_url					=> 1,

			user_table					=> 1,
			group_table					=> 1,
			custom_field_table				=> 1, # for backwards compatibility.
			custom_field_list_table				=> 1,

			max_username_length				=> 1,
			max_groupname_length				=> 1,
			max_hashedpw_length				=> 1,

			allow_spaces_in_usernames			=> 1,
			allow_atsigns_in_usernames			=> 1,
			allow_dots_in_usernames				=> 1,
			allow_dashes_in_usernames			=> 1,

			allow_spaces_in_groupnames			=> 1,
			allow_atsigns_in_groupnames			=> 1,
			allow_dots_in_groupnames			=> 1,
			allow_dashes_in_groupnames			=> 1,

			make_usernames_case_insensitive			=> 1,
			make_passwords_case_insensitive			=> 1,

			idle_timeout					=> 1,
			num_days_rememberme_cookie_lasts		=> 1,
			enable_ip_address_restriction			=> 1,
			force_ip_address_restriction			=> 1,
			disable_ip_restriction_for_AOL_users		=> 1,
			enable_forced_password_change			=> 1,
			admins_can_be_forced_to_change_their_own_pws	=> 1,
			prevent_multiple_simultaneous_logons_per_username => 1,

			subgroup_groupname_suffix			=> 1,
			groups_that_can_manage_subgroup_users		=> 1,
			subgroup_owned_users_get_disabled_when_their_manager_does => 1,
		);

		my $prefs_basename = $PREF{userbase_prefs_file_basename};
		my @prefs_files = ("${prefs_basename}_prefs_new.cgi", "${prefs_basename}_prefs_new.pl", "${prefs_basename}_prefs.cgi", "${prefs_basename}_prefs.pl", "${prefs_basename}_prefs_extra.cgi", "${prefs_basename}_prefs_extra.pl");
		push (@prefs_files, $PREF{userbase_prefs_file}) if $PREF{userbase_prefs_file}; # so we can specify it manually, including full path, if necessary.
		push (@prefs_files, $PREF{userbase_prefs_file_extra}) if $PREF{userbase_prefs_file_extra};
		my $prefs_loaded = 0;
		foreach my $prefs_file (@prefs_files)
		{
			for(get_likely_prefs_file_locations($prefs_file))
			{
				if(-e $_)
				{
					my $file = $_;
					open(IN,"<$file") or die_nice("couldn't open prefs file '$file': $!");
					flock IN, 1;
					seek IN, 0, 0;
					while(<IN>)
					{
						if(/^\$PREF{(\w+)}\s*=\s*(.+)/)
						{
							my ($pref,$value) = ($1,$2);
							if($ub_pref_names{$pref})
							{
								if($value =~ /ENV\{SCRIPT_NAME\}/)
								{
									# In userbase_prefs.cgi, any use of $ENV{SCRIPT_NAME} is intended to mean '/cgi-bin/userbase.cgi'
									# (or whatever the path to userbase.cgi is), so we can't eval that here from FileChucker etc,
									# because then it will end up being '/cgi-bin/filechucker.cgi' instead.  (This is primarily a
									# problem for the $PREF{login_url} setting.)  So we'll try to figure out what the correct path to
									# userbase.cgi is, and if we can't, then we'll just skip this line from the userbase_prefs.cgi file.

									foreach my $likely_prefs_file (get_likely_prefs_file_locations($prefs_file))
									{
										my $script_name_full = $likely_prefs_file;
										$script_name_full =~ s!_prefs(_(new|extra))?!!; # remove the _prefs/_prefs_new/_prefs_extra from the prefs filename to get the script name.

										if(-e $script_name_full)
										{
											if($script_name_full =~ m!^$PREF{DOCROOT}(.+)!) # we only want the ones including the full path (i.e. just plain "userbase_prefs.cgi" doesn't help us here).
											{
												my $script_name = $1;
												$script_name =~ s!\.\./!!g; # in case this is one of the paths containing a "../", which is OK in the filesystem but not in URLs.

												my $updated_line = '';

												if(/^\$PREF{\w+}\s*=\s*\$ENV{SCRIPT_NAME};$/)
												{
													# If it's a simple "$PREF{foo} = $ENV{SCRIPT_NAME};" line, then we know we need to
													# add quotes around the $script_name value that we interpolate back into it:
													#
													$updated_line = $_; $updated_line =~ s!(%|\$)ENV\{SCRIPT_NAME\}!'$script_name'!g;
													eval $updated_line;
												}
												else
												{
													# Otherwise, the original line may or may not have had the ENV{SCRIPT_NAME} variable
													# within a quoted string, so we'll have to try this multiple ways:
													#
													$updated_line = $_; $updated_line =~ s!(%|\$)ENV\{SCRIPT_NAME\}!$script_name!g;
													eval $updated_line;
													if($@)
													{
														$updated_line = $_; $updated_line =~ s!(%|\$)ENV\{SCRIPT_NAME\}!'$script_name'!g;
														eval $updated_line;
														if($@)
														{
															$updated_line = $_; $updated_line =~ s!(%|\$)ENV\{SCRIPT_NAME\}!"$script_name"!g;
															eval $updated_line;
															if($@)
															{
																# We tried.
																die_nice(qq`Error processing your UserBase prefs file ('$file'): $@ <br /><br />\n\n(While processing line: "$updated_line") <br /><br />\n\nYou should get UserBase running first, then return here.`);
															}
														}
													}
												}
												last;
											}
										}
									}
								}
								else
								{
									eval $_; die_nice(qq`Error processing your UserBase prefs file ('$file'): $@ <br /><br />\n\n(While processing line: "$_") <br /><br />\n\nYou should get UserBase running first, then return here.`) if $@;
								}
							}
						}
						elsif(/^\$TEXT{(\w+)}\s*=\s*/)
						{
							eval $_; die_nice(qq`Error processing your UserBase prefs file ('$file'): $@ <br /><br />\n\n(While processing line: "$_") <br /><br />\n\nYou should get UserBase running first, then return here.`) if $@;
						}
					}
					close IN or die_nice("couldn't close prefs file '$file': $!");
					$PREF{loaded_userbase_prefs_files} .= "$file, ";
					$prefs_loaded = 1;
					last;
				}
			}
		}
		die_nice("Error: couldn't find any UserBase prefs file to load.  You must put your UserBase prefs file on the server with this script file.  This script will look in its own folder, in the cgi-bin folder, and in the login folder by default.  You can also add a new line to this script's prefs file setting \$PREF{userbase_prefs_file_extra} to the full filename (including path) of your UserBase prefs file.") unless $prefs_loaded;
	}
	
	$PREF{loaded_userbase_prefs_files} =~ s!, $!!;

	$PREF{custom_field_list_table} = $PREF{custom_field_table} if $PREF{custom_field_table} && !$PREF{custom_field_list_table}; # For backwards compatibility;
	$PREF{custom_field_table} = $PREF{custom_field_list_table} if $PREF{custom_field_list_table} && !$PREF{custom_field_table}; # this was just a renamed pref.
}


sub get_likely_prefs_file_locations($)
{
	my $prefs_file = shift;
	my ($script_dirname) = ($ENV{SCRIPT_NAME} =~ m!^(.+)/.*?$!);
	return($prefs_file,
		"$PREF{DOCROOT}/cgi-bin/$prefs_file",		"$PREF{DOCROOT}/../cgi-bin/$prefs_file",
		"$PREF{DOCROOT}/cgi/$prefs_file",		"$PREF{DOCROOT}/../cgi/$prefs_file",
		"$PREF{DOCROOT}/login/$prefs_file",		"$PREF{DOCROOT}/../login/$prefs_file",
		"$PREF{DOCROOT}$script_dirname/$prefs_file",	"$PREF{DOCROOT}/..$script_dirname/$prefs_file"
	);
}


sub load_other_prefs_files
{
	my @other_prefs_files = ();
	foreach my $num (sort keys %{$PREF{other_prefs_files}})
	{
		my $name = $PREF{other_prefs_files}{$num}{shortcut_name};
		if($qs =~ /(?:^|&)prefs=$name(?:&|$)/)
		{
			my $file = $PREF{other_prefs_files}{$num}{shortcut_target};
			if($PREF{other_prefs_files_are_in_docroot} =~ /yes/i)
			{
				$file = "$PREF{DOCROOT}/$file";
				condense_slashes('leave_leading_UNC', $file);
			}
			die_nice("prefs file '$file' does not exist.") unless -e $file;
			push @other_prefs_files, $file;
		}
	}
	if($PREF{enable_other_prefs_files_with_filename_on_URL} =~ /yes/i)
	{
		while($qs =~ /(?:^|&)prefsfile=(.+?)(?:&|$)/g)
		{
			my $file = $1;
			if($PREF{other_prefs_filenames_from_URL_can_contain_paths} =~ /yes/i)	{ $file = enc_untaint($file, 'keep_path');	}
			else									{ $file = enc_untaint($file);			}
			if($PREF{other_prefs_files_are_in_docroot} =~ /yes/i)
			{
				$file = "$PREF{DOCROOT}/$file";
				condense_slashes('leave_leading_UNC', $file);
			}
			die_nice("prefs file '$file' does not exist.") unless -e $file;
			push @other_prefs_files, $file;
		}
	}
	foreach my $prefs_file (@other_prefs_files)
	{
		my $prefs_contents = ();
		open(IN,"<$prefs_file") or die_nice("couldn't open prefs file '$prefs_file': $!");
		flock IN, 1;
		seek IN, 0, 0;
		while(<IN>) { $prefs_contents .= $_; }
		close IN or die_nice("couldn't close prefs file '$prefs_file': $!");
		$prefs_contents =~ /(.*)/s;
		$prefs_contents = $1; # cheap untaint since this is our own config file.
		eval $prefs_contents; die_nice("Error processing your prefs file: $@") if $@;
	}
}


sub do_preinit()
{
	$PREF{app_start_time} = time;
	if($ENV{QUERY_STRING} eq 'version') { print "Content-type: text/plain\n\n"; print "$version\n"; exit; }
	my ($cwd) = ($ENV{SCRIPT_FILENAME} =~ m!^(.+)/.*?$!);
	unless($cwd) { $cwd = $ENV{PATH_TRANSLATED}; $cwd =~ s![^/\\]+$!!; }
	enc_chdir($cwd);
	$PREF{initial_cwd} = $cwd;
	$PREF{on_page} = 'default';
	$qs = $ENV{QUERY_STRING};
	$PREF{we_are_embedded} = $qs =~ /encembed=yes/ ? 1 : 0; $qs =~ s!&encembed=yes!!g; $qs =~ s!encembed=yes&!!g; $qs =~ s!encembed=yes!!g;   # remove it so it's not present on any URLs where we re-use $qs, because this should only be present when hard-coded from a php/shtml/etc page.
	populate_var_hashes();
}


sub verify_server_environment()
{
	#print STDERR dumphash(\%ENV,"\n") . "\n";
	my ($SCRIPT_var_count, $SERVER_var_count) = (0, 0);
	my @all_vars = ();
	foreach my $var (sort keys %ENV)
	{
		$SCRIPT_var_count++ if $var =~ /^SCRIPT_/;
		$SERVER_var_count++ if $var =~ /^SERVER_/;
		push @all_vars, "$var: $ENV{$var}";
	}
	unless($SCRIPT_var_count > 0 && $SERVER_var_count > 0)
	{
		die qq`Error: it seems I've been executed on a command line, but that won't work, since I'm a web application and must be executed within a server environment.\n`; # . qq`\nAll vars: ` . (join "\n", @all_vars) . qq`\n\n`;
	}
}


sub fix_server_environment()
{
	# Fix any screwy IPs, for example (actual REMOTE_ADDR values that we've seen, one per line):
	#
	#	10.67.3.137, 127.0.0.1
	#	167.205.41.63, 2403:8000:22:96::105
	#	144.214.121.6, 203.198.74.110
	#	10.77.40.240, 10.77.19.75
	#	200.9.114.175, 192.9.150.4, 196.1.114.3
	#	unknown, 147.91.177.132
	#	1.0.190.167, 1.0.190.167, 127.0.0.1
	#	109.173.122.122, 109.173.122.122, 127.0.
	#
	# Some of those are non-routable (local) IPs, others are mixed IPV4/IPV6 addresses,
	# etc... let's at least get a single well-formed address out of it where possible:
	#
	#for($ENV{REMOTE_ADDR}, $ENV{REMOTE_HOST})
	my $host_equals_ip = $ENV{REMOTE_ADDR} eq $ENV{REMOTE_HOST};
	for($ENV{REMOTE_ADDR})
	{
		if(/[, ]/)
		{
			my $fixed = 0;
			foreach my $part (split(/[, ]+/))
			{
				if($part =~ /^(\d+\.\d+\.\d+\.\d+)$/ || $part =~ /^([abcdef\d\.:]+)$/)
				{
					enc_warn qq`Screwy IP: '$_'; changing to: '$1'`;
					$_ = $1;
					$fixed = 1;
					last;
				}
			}
			if(!$fixed)
			{
				enc_warn qq`Screwy IP: '$_'; changing to: '0.0.0.0'`;
				$_ = '0.0.0.0';
			}
		}
	}
	$ENV{REMOTE_HOST} = $ENV{REMOTE_ADDR} if $host_equals_ip;

	# Fix the %ENV if necessary.
	#
	if(!$ENV{REQUEST_URI}) # IIS is crap.
	{
		$ENV{REQUEST_URI} = $ENV{PATH_INFO};
		$ENV{REQUEST_URI} .= '?' . $qs if $qs;
	}

	# On GoDaddy, for subdomains, they set DOCUMENT_ROOT incorrectly, and set SUBDOMAIN_DOCUMENT_ROOT to the real docroot.
	$ENV{DOCUMENT_ROOT} = $ENV{SUBDOMAIN_DOCUMENT_ROOT} if $ENV{SUBDOMAIN_DOCUMENT_ROOT};

	$PREF{DOCROOT} ||= $ENV{DOCUMENT_ROOT};
	if(!$PREF{DOCROOT})
	{
		($PREF{DOCROOT}) = ($ENV{SCRIPT_FILENAME} =~ m!^(.+)$ENV{SCRIPT_NAME}$!i);
		if(!$PREF{DOCROOT})
		{
			# try to fix IIS garbage.
			my $path_translated = $ENV{PATH_TRANSLATED};
			my $is_unc = $path_translated =~ m!^\\\\!;
			$path_translated =~ s!\\\\!/!g;
			$path_translated =~ s!\\!/!g;
			$path_translated =~ s!^[/\\]+!\\\\! if $is_unc;
			if($path_translated =~ m!^(.+)$ENV{PATH_INFO}$!i)
			{
				$PREF{DOCROOT} = $1;
			}
			else
			{
				$PREF{DOCROOT} = ($path_translated =~ m!(.+)/[^/]+!)[0];
			}
		}
		$PREF{docroot_autodetection_error} = "Error: couldn't set \$PREF{DOCROOT} from \$ENV{DOCUMENT_ROOT} ('$ENV{DOCUMENT_ROOT}'), \$ENV{SCRIPT_FILENAME} ('$ENV{SCRIPT_FILENAME}'), or \$ENV{PATH_TRANSLATED} ('$ENV{PATH_TRANSLATED}').\n" unless $PREF{DOCROOT};
	}
	$PREF{DOCROOT} =~ s![/\\]+$!! unless $PREF{DOCROOT} =~ m!^[/\\]+$!; # remove trailing slashes.

	# Fix another Network Solutions bug:
	if($PREF{DOCROOT} =~ m!/usr/services/vux/apache/htdocs!   &&   $ENV{SCRIPT_FILENAME} =~ m!(/data/\d+/\d+/\d+/\d+/\d+/user/\d+)/cgi-bin!)
	{
		$PREF{DOCROOT} = "$1/htdocs";
	}

	my $default_scriptname = '/cgi-bin/' . $PREF{internal_filename} . '.cgi';
	$ENV{SCRIPT_NAME} ||= $default_scriptname;

	# Fix for broken Network Solutions servers:
	$ENV{SCRIPT_NAME} = $1 if $ENV{SCRIPT_NAME} =~ m!~\d+\.\d+/(/cgi-bin/.+)!;

	# Fix stupid servers that set our scriptname to the wrapper scriptname:
	$ENV{SCRIPT_NAME} = $default_scriptname if $ENV{SCRIPT_NAME} =~ /\.php/ && -e "$PREF{DOCROOT}/$default_scriptname";
	$ENV{SCRIPT_NAME} = $default_scriptname if $ENV{SCRIPT_NAME} =~ /\.php/ && -e "$PREF{DOCROOT}/../$default_scriptname";
}


sub set_default_prefs_for_all_apps()
{
	# Prefs that are needed by all apps, and that are (at least by default) set
	# to the same values in all apps.  And we don't need any "unless exists"
	# tests here because this sub is called before loading external prefs.

	$PREF{list_of_sql_safe_characters} = qq`ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmnopqrstuvwxyz 0123456789 !#%^&*()_=+ ~ []{}| ;:'" ,.<>/? \`\@\$\r\n\t\\-`; # dash, if present, must be last.

	$PREF{max_tablename_length}			= 80;

	$PREF{site_session_cookie}			= 'site_session';
	$PREF{non_userbase_login_cookie}		= 'enc_non_ub_login';
	$PREF{num_days_login_lasts}			= 14;
	$PREF{enc_visitor_id_cookie}			= 'encvisid';
	$PREF{enc_visitor_id_was_missing}		= 1 unless $COOKIE{ $PREF{enc_visitor_id_cookie} };
	$PREF{enc_visitor_id}				= $COOKIE{ $PREF{enc_visitor_id_cookie} } || generate_random_hash();

	$PREF{public_group_name}			= 'public';
	$PREF{member_group_name}			= 'member';
	$PREF{admin_group_name}				= 'admin';

	$PREF{writable_dir_perms}			= 0777;
	$PREF{writable_file_perms}			= 0666;

	$PREF{here}					= $ENV{SCRIPT_NAME};
	#$PREF{here_login}				= $ENV{SCRIPT_NAME}; # deprecated by figure_out_where_here_is (?)

	$PREF{needlogin_message}			= qq`%%js_auto_redirect%%<h1 class="pagetitle">Login Required</h1><p>Login required; <a href="%%login_url%%">click here</a> to continue.</p>`;
	$PREF{needprivs_message}			= qq`%%js_auto_redirect%%<h1 class="pagetitle">Access Denied</h1><p>Access denied.&nbsp; %%%if-notloggedin%%%Perhaps you need to <a href="%%login_url%%">login</a> first?%%%end-notloggedin%%%</p>`;
}


sub check_for_enc_visitor_id()
{
	# This check must occur before trying anything that could result in an error
	# like reading prefs files, checking whether datadirs exist, etc.  That's 
	# because in some cases, particularly when a client wants to use ENV variables
	# from PHP to set a path pref dynamically, an error due to a nonexistent path
	# would prevent us from setting the enc_visitor_id, but would also be *caused*
	# by a missing enc_visitor_id.  So, set_enc_visitor_id() is designed to not
	# depend on anything else (prefs, etc), so it can be called separately and
	# then exit, just to get the cookie in place.

	if($qs =~ /(^|&)action=set_enc_visitor_id(&|$)/) { set_enc_visitor_id(); } # exits early.
}


sub get_enc_visitor_id_iframe()
{
	return $PREF{enc_visitor_id_was_missing} ? qq`<iframe src="$ENV{SCRIPT_NAME}?action=set_enc_visitor_id&amp;newid=$PREF{enc_visitor_id}" name="enc_vis_id_setter" id="enc_vis_id_setter" width="1" height="1" style="position: absolute; left: -5000px; height: 0;"></iframe>\n` : '';
}


sub set_enc_visitor_id()
{
	set_cookie($PREF{enc_visitor_id_cookie}, get_qs_var('newid'), "+365d");
	print_http_headers();
	exit;
}


sub load_webconfig_prefs
{

}


sub populate_var_hashes()
{
	foreach my $cookie (split(/;\s*/, $ENV{HTTP_COOKIE}))
	{
		my ($name,$value) = split(/=/, $cookie);
		$COOKIE{$name} = enc_urldecode_return($value);
	}

	foreach my $var (split(/&+/, $ENV{QUERY_STRING}))
	{
		my ($name, $value) = split(/=/, $var);
		$QS{$name} = enc_urldecode_return($value);
	}
}


sub settle_docroot_datadir_cgimodule_etc()
{
	# DOCROOT must be one of the first things settled after loading the external prefs:
	#
	$PREF{DOCROOT} = enc_untaint($PREF{DOCROOT}, 'keep_path');
	exit_with_error("Error: you have set \$PREF{DOCROOT} to '$PREF{DOCROOT}', but that path does not exist.  You must create it now, or adjust this setting to point to the correct directory.") if ! -d $PREF{DOCROOT};


	# datadir should be settled right after DOCROOT:
	#
	$PREF{datadir} = 'encdata' unless $PREF{datadir};
	$PREF{datadir} = $PREF{DOCROOT} . $PREF{datadir} if $PREF{datadir_is_in_docroot} eq 'yes';
	create_dir_if_DNE($PREF{datadir}, $PREF{writable_dir_perms}, 'make_parents', 'ignore_errors');
	exit_with_error(qq`Error: your settings for \$PREF{datadir} and \$PREF{datadir_is_in_docroot} \nresult in \$PREF{datadir} being set to '$PREF{datadir}', \nbut that path does not exist.  You must create it, or adjust these \nsettings to point to the correct directory.`) unless -d $PREF{datadir};
	exit_with_error(qq`Error: the directory \$PREF{datadir}  ($PREF{datadir})  must be readable by this script (which usually means world-readable), but it isn't.`) if ! -r $PREF{datadir};
	exit_with_error(qq`Error: the directory \$PREF{datadir}  ($PREF{datadir})  must be writable by this script (which usually means world-writable), but it isn't.`) if ! -w $PREF{datadir};
	#
	# Append our per-app subdir onto datadir ($PREF{datadir} should be set to just 'encdata' by default):
	#
	$PREF{datadir_subdir_name} = $PREF{internal_appname} unless $PREF{datadir_subdir_name};
	$PREF{datadir} .= $PREF{datadir} =~ m![/\\]$! ? $PREF{datadir_subdir_name} : "/$PREF{datadir_subdir_name}";
	create_dir_if_DNE($PREF{datadir}, $PREF{writable_dir_perms});


	if($PREF{debuglog} =~ /yes/i)
	{
		$PREF{debuglogdir} = $PREF{datadir} . '/debuglogs';
		create_dir_if_DNE($PREF{debuglogdir}, $PREF{writable_dir_perms});
		$PREF{debuglogfile} = $PREF{debuglogdir} . '/' . date8() . '.cgi';
		create_file_if_DNE($PREF{debuglogfile}, $PREF{writable_file_perms});
	}


	# Once $PREF{datadir} is settled, set $ENV{TMPDIR} to that, and THEN we can
	# import the CGI module via "require CGI;" and it will use our $ENV{TMPDIR}
	# setting as its temp space during uploads.
	#
	$ENV{TMPDIR} = $PREF{datadir} unless $PREF{dont_use_datadir_as_cgi_tmpdir} =~ /yes/i;
	$CGITempFile::TMPDIRECTORY = $PREF{datadir} unless $PREF{dont_use_datadir_as_cgi_tmpdir} =~ /yes/i; # necessary on some servers?
	#
	#use CGI; # DO NOT USE THIS!
	#
	require CGI;
	#
	#use CGI qw/:standard :param/; # DO NOT USE THIS!
	#use CGI qw(param); # DO NOT USE THIS!
	#
	import CGI ':standard';
	import CGI ':param';
	#
	use CGI::Cookie; # "use" is OK for sub-modules.


	unless($PREF{app_base_folder} =~ m!^/!)
	{
		$PREF{app_base_folder} = '/login'	if $PREF{internal_appname} eq 'userbase';
		$PREF{app_base_folder} = '/upload'	if $PREF{internal_appname} eq 'filechucker';
		$PREF{app_base_folder} = '/visitors'	if $PREF{internal_appname} eq 'visitorlog';
		$PREF{app_base_folder} = '/contact'	if $PREF{internal_appname} eq 'contactform';
		$PREF{app_base_folder} = '/mailylist'	if $PREF{internal_appname} eq 'mailylist';
		$PREF{app_base_folder} = '/store'	if $PREF{internal_appname} eq 'cornerstore';
	}
	exit_with_error("Error: \$PREF{app_base_folder} not set; it must be set to something like '/appname'.") unless $PREF{app_base_folder};


	# appdir is like datadir except a) it's servable and b) it's per-app (within the
	# app's base folder) rather than within the shared /cgi-bin/encdata folder.
	#
	$PREF{appdir_url}	= $PREF{app_base_folder} . ($PREF{app_base_folder} =~ m![/\\]$! ? '' : '/') . "appdata";
	$PREF{appdir_real}	= $PREF{DOCROOT} . $PREF{appdir_url};
	exit_with_error("$PREF{internal_appname_nice}'s appdata folder ('$PREF{appdir_url}') does not exist on your website; you must create it now, or else adjust the \$PREF{app_base_folder} setting.  This must be within your \$PREF{DOCROOT}, which is currently '$PREF{DOCROOT}'.") unless -d $PREF{appdir_real};

	unless($PREF{skip_appdir_permissions_checks} =~ /yes/i)
	{
		my @all_dirs = ($PREF{appdir_real}, $PREF{datadir});
		push (@all_dirs, $PREF{appdir_real} . '/' . $_) for get_all_subdirs($PREF{appdir_real});
		push (@all_dirs, $PREF{datadir} . '/' . $_) for get_all_subdirs($PREF{datadir});
		foreach my $dir (@all_dirs)
		{
			exit_with_error("The '$dir' folder must be readable by this script (which usually means world-readable), but it isn't; you must adjust its permissions to make it so.") unless -r $dir;
			exit_with_error("The '$dir' folder must be writable by this script (which usually means world-writable), but it isn't; you must adjust its permissions to make it so.") unless -w $dir;
		}
	}
}


sub figure_out_where_here_is
{
	$PREF{here} ||= $ENV{SCRIPT_NAME};
	$PREF{here} = ($ENV{REQUEST_URI} =~ m!([^\?]+)!)[0] if $ENV{REQUEST_URI} && $PREF{here} eq 'auto';
	for('here_static', 'here_login')
	{
		$PREF{$_} = $PREF{here} unless $PREF{$_}; # ($PREF{$_} && $PREF{$_} ne $ENV{SCRIPT_NAME});
		$PREF{$_} = $ENV{SCRIPT_NAME} unless $PREF{$_} =~ /./;

		$PREF{$_ . '_qsready'} = $PREF{$_} =~ /\?/ ? "$PREF{$_}&amp;" : "$PREF{$_}?";
	}
	$PREF{here_qsready} = $PREF{here} =~ /\?/ ? "$PREF{here}&amp;" : "$PREF{here}?";
	$PREF{login_url_qsready} = $PREF{login_url} =~ /\?/ ? "$PREF{login_url}&amp;" : "$PREF{login_url}?";
}


sub do_postpref_processing()
{
	# Use this spot for any code that must run immediately after prefs are loaded.
	#
	if($PREF{internal_appname} eq 'visitorlog')
	{
		$PREF{print_full_html_tags} = 'no' if $qs =~ /(^|&)(justsummary|mode=hitsgraph)(&|$)/;
	}

	# These are postpref so they can use offsettime():
	#
	my $start	= offsettime();
	$PREF{date8}	= date8($start);
	$PREF{date14}	= date14($start);
}


sub do_blacklisting_and_whitelisting()
{
	do_group_based_blacklisting_and_whitelisting();

	my $blocked = 0;

	my $ip_whitelisting_enabled = 0;
	my $user_matches_ip_whitelist = 0;
	foreach my $rule (sort keys %{$PREF{forced_whitelist_ip_addresses}})
	{
		if(my $allowed_ip = $PREF{forced_whitelist_ip_addresses}{$rule})
		{
			$ip_whitelisting_enabled = 1;
			$user_matches_ip_whitelist = 1 if $PREF{ip} =~ /$allowed_ip/;
		}
	}
	$blocked = 1 if $ip_whitelisting_enabled && !$user_matches_ip_whitelist;

	my $host_whitelisting_enabled = 0;
	my $user_matches_host_whitelist = 0;
	foreach my $rule (sort keys %{$PREF{forced_whitelist_hostnames}})
	{
		if(my $allowed_host = $PREF{forced_whitelist_hostnames}{$rule})
		{
			$host_whitelisting_enabled = 1;
			$user_matches_host_whitelist = 1 if $PREF{host} =~ /$allowed_host/i;
		}
	}
	$blocked = 1 if $host_whitelisting_enabled && !$user_matches_host_whitelist;

	foreach my $rule (sort keys %{$PREF{forced_blacklist_ip_addresses}})
	{
		if(my $blocked_ip = $PREF{forced_blacklist_ip_addresses}{$rule})
		{
			$blocked = 1 if $PREF{ip} =~ /$blocked_ip/;
		}
	}

	foreach my $rule (sort keys %{$PREF{forced_blacklist_hostnames}})
	{
		if(my $blocked_host = $PREF{forced_blacklist_hostnames}{$rule})
		{
			$blocked = 1 if $PREF{host} =~ /$blocked_host/;
		}
	}

	exit_with_error($TEXT{failed_black_or_white_list}) if $blocked;
}


sub do_group_based_blacklisting_and_whitelisting()
{
	foreach my $rule (sort keys %{$PREF{grouped_whitelist_ip_addresses}})
	{
		if(my $allowed_ip = $PREF{grouped_whitelist_ip_addresses}{$rule})
		{
			$PREF{user_is_encwhitelisted} = 1 if $PREF{ip} =~ /$allowed_ip/;
		}
	}

	foreach my $rule (sort keys %{$PREF{grouped_whitelist_hostnames}})
	{
		if(my $allowed_host = $PREF{grouped_whitelist_hostnames}{$rule})
		{
			$PREF{user_is_encwhitelisted} = 1 if $PREF{host} =~ /$allowed_host/i;
		}
	}

	foreach my $rule (sort keys %{$PREF{grouped_blacklist_ip_addresses}})
	{
		if(my $blocked_ip = $PREF{grouped_blacklist_ip_addresses}{$rule})
		{
			$PREF{user_is_encblacklisted} = 1 if $PREF{ip} =~ /$blocked_ip/;
		}
	}

	foreach my $rule (sort keys %{$PREF{grouped_blacklist_hostnames}})
	{
		if(my $blocked_host = $PREF{grouped_blacklist_hostnames}{$rule})
		{
			$PREF{user_is_encblacklisted} = 1 if $PREF{host} =~ /$blocked_host/;
		}
	}
}


sub get_cookies()
{
	my %cookies = fetch CGI::Cookie;
	return %cookies;
}


sub get_cookie($)
{
	my $which = shift;
	my %jar = get_cookies();
	my $value = '';

	if(exists $jar{$which})
	{
		$value = $jar{$which}->value;
	}
	elsif($which eq $PREF{site_session_cookie})
	{
		if($qs =~ /(?:^|&)ubsessioncode=(\w+)(?:&|$)/)
		{
			my $code = $1;

			# Accepting the session code from the URL should only be allowed as a last resort.
			# On decent servers this shouldn't be necessary because we can call UserBase
			# from PHP using virtual() and/or exec() both of which pass the cookies.  Even
			# on sub-par servers where we have to use include() with the full http:// URL,
			# we can reduce the security risk by requiring the remote IP to match the server
			# IP, i.e. ONLY allow the include(http://...) method to work: don't accept URL-
			# based session codes from any other IP.  As a last resort on totally sucky
			# servers where PHP is crippled and $ENV{SERVER_ADDR} DNE or is variable or
			# otherwise useless, proceed only by setting a PREF that indicates what a bad
			# idea it is.

			if($PREF{ip} eq $ENV{SERVER_ADDR})
			{
				$value = $code;
			}
			elsif($PREF{my_server_sucks_so_use_less_secure_mode} =~ /yes/i)
			{
				sleep $PREF{sleeptime_for_less_secure_mode} || 3;
				$value = $code;
			}
		}
	}

	return $value;
}


sub set_cookie($$$)
{
	my $name = shift;
	my $value = shift;
	my $expiry = shift;
	my $cookie = undef;

	# The if/else for expiry is because setting "expires" to "" isn't
	# the same as not setting it.  Setting it to "" is the same as 
	# setting it to zero, which expires the cookie immediately
	# (i.e., deletes it).  But explicitly *not* setting the expiry
	# causes the cookie to persist until the end of the session.

	if($PREF{cookie_domain})
	{
		if($expiry eq "")	{ $cookie = new CGI::Cookie(-name => $name, -value => $value, -path => '/', -domain => $PREF{cookie_domain});				}
		else			{ $cookie = new CGI::Cookie(-name => $name, -value => $value, -path => '/', -domain => $PREF{cookie_domain}, -expires => $expiry);	}
	}
	else
	{
		if($expiry eq "")	{ $cookie = new CGI::Cookie(-name => $name, -value => $value, -path => '/');						}
		else			{ $cookie = new CGI::Cookie(-name => $name, -value => $value, -path => '/', -expires => $expiry);			}
	}

	if($PREF{output_started})
	{
		print "<p>$PREF{internal_appname} warning: cannot set cookie '$name' => '$value' because the page output has already been started (perhaps debug is enabled?).</p>\n";
	}
	elsif($PREF{we_are_virtual})
	{
		print_http_headers();
		print "<p>$PREF{internal_appname} warning: cannot set cookie '$name' => '$value' because we are virtual.</p>\n";
	}
	else
	{
		print_p3p_header();
		print "Set-Cookie: $cookie\n";
	}
}


sub determine_cookie_domain
{
	if($ENV{HTTP_HOST} =~ /\w+\.\w+/   &&   !is_ipv4_address($ENV{HTTP_HOST})   &&   !($PREF{never_specify_domain_when_setting_cookies} =~ /yes/i))
	{
		# If we're running on a domain name, then specify it in our cookies.  This allows us
		# to put a dot at the start of the domain name, which causes the cookies to be set for
		# and accessible from the domain and all subdomains including www.  So we'll remove
		# any leading www first, as well as any port number.

		my $domain = $ENV{HTTP_HOST}; $domain =~ s!^www\.!!; $domain =~ s!:\d+$!!; $domain = ".$domain";
		$PREF{cookie_domain} = $domain;
	}
}


sub get_qs_var
{
	return enc_urldecode_return(   ($qs =~ /(?:^|&(?:amp;)?)$_[0]=([^&]*)/)[0]   );
}


# APICHANGE: 201012: expand_custom_vars_in_prefs() no longer accepts a hashref,
# only an optional string.
#
sub expand_custom_vars_in_prefs
{
	expand_custom_vars_in_prefs___inner(\%PREF, @_);
	expand_custom_vars_in_prefs___inner(\%TEXT, @_);
}


sub expand_custom_vars_in_prefs___inner
{
	my $hashref = shift;
	my $include_undefined = shift; $include_undefined = 0 unless $include_undefined eq 'include_undefined';

	# Execute this a few times without undefineds first, so that nested values can be
	# properly expanded (i.e. one setting contains %PREF{foo}, but $PREF{foo} itself
	# contains %PREF{bar}, etc).

	my $num_iterations = 5;
	for(my $i = 1; $i <= $num_iterations; $i++)
	{
		my $include_undefined_real = $include_undefined && $i == $num_iterations ? 1 : 0;

		foreach my $key (keys %$hashref)
		{
			if(ref($$hashref{$key}) eq 'HASH') # for prefs that are themselves hashes, i.e. $PREF{foo}{01} as in $PREF{foo}{01}{bar}.
			{
				expand_custom_vars_in_prefs___inner($$hashref{$key});
			}
			else
			{
				# from now on, use %%varname%% instead of $$varname$$, so that it doesn't
				# matter whether it gets put in double-quotes.

				next unless $$hashref{$key} && $$hashref{$key} =~ /(\$\$|%%|%PREF{|%TEXT{|%URL{|%COOKIE{|%SQL{|%ENV{|%DATE{)/;
				next if $PREF{"${key}___skip_init_var_expansion"} =~ /yes/i;

				# old way:
				$$hashref{$key} =~ s/\$\$server_name\$\$/$ENV{'SERVER_NAME'}/g;
				$$hashref{$key} =~ s/\$\$httphost_withport\$\$/$ENV{'HTTP_HOST'}/g;
				$$hashref{$key} =~ s/\$\$name_of_site\$\$/$$hashref{'name_of_site'}/g;

				# new way:
				$$hashref{$key} =~ s/%%server_name%%/$ENV{SERVER_NAME}/g;
				$$hashref{$key} =~ s/%%http_host%%/$ENV{HTTP_HOST}/g;
				$$hashref{$key} =~ s/%%name_of_site%%/$$hashref{name_of_site}/g;

				#interpolate_vars_from_URL_and_cookies($include_undefined, $$hashref{$key});
				do_standard_template_vars_processing($include_undefined, $$hashref{$key});
			}
		}
	}
}


sub show_prefs
{
	exit_with_needprivs() unless user_is_allowed_to('view_administration_page');
	$PREF{on_a_wide_page} = 1;
	start_html_output("Prefs");
	print qq`<div id="enc_prefs_list" class="enc_tbl">\n<table>\n<tr><th>Prefs</th></tr>\n`;
	my $oddeven = 1;
	my $allprefs = get_prefs('all');
	foreach my $pref (sort { lc($a) cmp lc($b) } keys %$allprefs)
	{
		print qq`<tr class="` . oddeven($oddeven) . qq`"><td><strong>$pref:</strong> $$allprefs{$pref}</td></tr>\n`;
	}
	print qq`</table>\n</div>\n`;
	finish_html_output();
}


sub get_prefs
{
	my $all = shift;
	my %prefs = ();
	foreach my $key (sort { lc($a) cmp lc($b) } keys %PREF)
	{
		#if($all   ||   ($key !~ /^(database_name|database_hostname|database_username|database_password|smtp_auth_username|smtp_auth_password)$/))
		#
		# It's not necessary to hide those sensitive values, since we're only
		# displaying all prefs in authenticated situations in the first place.
		#
		if(1)
		{
			my $value = $PREF{$key};
			$value =~ s!<!&lt;!g;
			$value =~ s!>!&gt;!g;
			$value =~ s!\n!\n<br />!g;
			$prefs{$key} = $value;
		}
	}
	return \%prefs;
}


sub show_server_info
{
	exit_with_needprivs() unless user_is_allowed_to('view_administration_page');

	start_html_output($TEXT{Server_Information});

	eval { require MIME::Lite; }; my $mimeliteversion = $@ ? qq`not installed` : $MIME::Lite::VERSION;

	my $old_cgi_text = $PREF{internal_appname} =~ /filechucker/i ? 'uploads' : 'some features';

	print	  qq`
		<div id="enc_server_info" class="enc_tbl">
		<table>
		<tr><th colspan="2">Server Information</th></tr>
		<tr><td>\$CGI::VERSION</td>		<td>$CGI::VERSION (if v3.02 or older, $old_cgi_text probably won't work, at least not reliably)</td></tr>
		<tr><td>\$] (Perl version)</td>		<td>$]</td></tr>
		<tr><td>\$MIME::Lite::VERSION</td>	<td>$mimeliteversion</td></tr>
		<tr><td>\$PREF{DOCROOT}</td>		<td>$PREF{DOCROOT}</td></tr>
		<tr><td colspan="2">Environment variables:</td></tr>
	`;

	foreach my $var (sort keys %ENV)
	{
		$ENV{$var} =~ s!<!&lt;!g;
		$ENV{$var} =~ s!>!&gt;!g;
		print qq`<tr><td>$var</td>	<td>$ENV{$var}</td></tr>\n`;
	}

	print	  qq`</table>\n</div>\n`;

	finish_html_output();
}


sub load_hashing_module()
{
	unless($PREF{use_md5_for_hashes} =~ /yes/i)
	{
		eval { require Digest::SHA1; };
		if($@)
		{
			eval { require Digest::SHA; };
			if($@)
			{
				die_nice("Error: $@\n<br /><br />\nYou must install either the Digest::SHA1 Perl module or the Digest::SHA Perl module, or else add the following line to your prefs file: \n<br /><br />\n\$PREF{use_md5_for_hashes} = 'yes';");
			}
			else
			{
				import Digest::SHA 'sha1_hex';
			}
		}
		else
		{
			import Digest::SHA1 'sha1_hex';
		}
	}
}


sub store_keyed_message
{
	my $new_message = shift;
	$new_message =~ s/\n/::ENCNL::/gs;

	my $one_day = 60*60*24*1;
	my $one_week = 60*60*24*7;
	my $current_time = offsettime();
	$PREF{max_age_for_keyed_messages} = $one_day unless $PREF{max_age_for_keyed_messages} =~ /^\d+/;

	my $key = md5_hex($new_message . $current_time . $$ . $ENV{REMOTE_PORT} . $PREF{ip} . $ENV{HTTP_USER_AGENT});
	my $uid = $PREF{logged_in_userid} =~ /^-?\d+$/ ? $PREF{logged_in_userid} : 0;

	my $mfile = add_initial_cwd_prefix($PREF{datadir} . '/' . "_$PREF{internal_appname}_keyed_messages.cgi");
	create_file_if_DNE($mfile,$PREF{writable_file_perms});
	# Note: this -w test must use die rather than die_nice, because in situations such as POSTs where store_keyed_message is used, die_nice would just call store_keyed_message again, resulting in an infinite loop.
	die qq`Error: our keyed-message file ('$mfile') is not writable; you must either make it so, or else delete it so we can re-create it with the correct permissions.` unless -w $mfile;
	my @messages = ();
	open(MFILE,"+<$mfile") or die_nice("could not open file '$mfile' for R/W: $!\n");
	flock MFILE, 2;
	seek MFILE, 0, 0;
	while(<MFILE>)
	{
		if(/^(\d+):/)
		{
			my ($time) = ($1);
			push (@messages,$_) if($time > ($current_time - $PREF{max_age_for_keyed_messages}));
		}
		elsif(/^[\s\n]*$/)
		{
			push (@messages, $_);
		}
	}
	seek MFILE, 0, 0;
	print MFILE @messages;
	print MFILE "${current_time}:${key}:${uid}:$PREF{ip}:$new_message\n\n\n"; # 3 newlines so the raw log is somewhat readable.
	truncate MFILE, tell MFILE;
	close MFILE or die_nice("could not close file '$mfile' after R/W: $!\n");

	return $key;
}


sub get_keyed_message
{
	my $key = shift;
	my $message = '';

	my $mfile = add_initial_cwd_prefix($PREF{datadir} . '/' . "_$PREF{internal_appname}_keyed_messages.cgi");
	create_file_if_DNE($mfile,$PREF{writable_file_perms});
	open(MFILE,"<$mfile") or die_nice("could not open file '$mfile' for reading: $!\n");
	flock MFILE, 1;
	seek MFILE, 0, 0;
	while(<MFILE>)
	{
		if(/^\d+:${key}:(-?\d+):([\d\.]+):(.*)/)
		{
			my ($uid_on_message,$ip_on_message,$msg) = ($1,$2,$3);
			if($PREF{admin_is_logged_in})
			{
				$message = $msg;
			}
			elsif($PREF{member_is_logged_in} && $PREF{logged_in_userid} eq $uid_on_message)
			{
				$message = $msg;
			}
			elsif($PREF{ip} eq $ip_on_message   &&   $uid_on_message =~ /^(0|-1)$/) # only allow IP-based auth if the owner is public.
			{
				$message = $msg;
			}
			else
			{
				$message = qq`Error: access denied based on userid and/or IP address.`;
			}
			last;
		}
	}
	close MFILE or die_nice("could not close file '$mfile' after reading: $!\n");

	$message =~ s/::ENCNL::/\n/gs;
	return $message || qq`Message expired.`;
}


# Never call chdir directly; always call enc_chdir instead:
sub enc_chdir($)
{
	my $dir = shift;
	$PREF{new_cwd} = $dir;
	chdir $dir or die_nice qq`Couldn't chdir to directory "$dir": $!\n`;
}


# This is necessary for cases where we've chdir()ed somewhere other than the
# $PREF{initial_cwd}, after which we want to use $PREF{datadir}, which by
# default is not in DOCROOT and contains no path -- it's relative to the
# initial working directory.
#
sub add_initial_cwd_prefix($)
{
	my $item = shift;
	if($PREF{new_cwd} ne $PREF{initial_cwd})
	{
		$item = $PREF{initial_cwd} . '/' . $item;
		condense_slashes('leave_leading_UNC', $item);
	}
	# return the input unchanged if we're still in the initial_cwd.
	return $item;
}


# pass filename to create and optionally the mode to chmod it to.
# the mode must consist of 1-4 octal digits and must NOT be quoted.
# see "perldoc -f chmod" and "man chmod".
sub create_file_if_DNE
{
	my $file = shift;
	my $mode = shift;

	return if -T $file;
	open(NEW,">$file") or die "$0: couldn't create new file $file: $!\n";
	close NEW or die "$0: couldn't close $file after creating it: $!\n";
	if($mode)
	{
		chmod($mode,$file) or die "$0: couldn't chmod file \"$file\" with mode \"$mode\": $!\n";
	}
}


sub create_dir_if_DNE
{
	my $dir = shift;
	my $mode = shift;
	my $make_parents_if_necessary = shift; $make_parents_if_necessary = $make_parents_if_necessary eq 'make_parents';
	my $ignore_errors = shift; $ignore_errors = $ignore_errors eq 'ignore_errors';

	return if -d $dir;

	$dir =~ s!\\!/!g;
	if($make_parents_if_necessary)
	{
		my $progressively_longer_path = '';
		my $i = 0;
		foreach my $individual_path_element(split(/\//, $dir))
		{
			$i++;
			if($i == 1)
			{
				if($dir =~ m!^(\w:/)!) # Winders.
				{
					$progressively_longer_path = $1;
					next;
				}
				elsif(!$individual_path_element) # this means $dir starts with a slash.
				{
					$progressively_longer_path = '/';
					next;
				}
			}

			$progressively_longer_path .= $individual_path_element;
			unless(-d $progressively_longer_path)
			{
				mkdir($progressively_longer_path,$PREF{writable_dir_perms}) or $ignore_errors || die_nice("couldn't create path-portion '$progressively_longer_path' as part of dir '$dir': $!");
				if($mode)
				{
					chmod($mode,$progressively_longer_path) or $ignore_errors || die_nice("couldn't chmod path-portion '$progressively_longer_path' as part of dir '$dir' with mode '$mode': $!");
				}
			}
			$progressively_longer_path .= '/';
		}
	}
	else
	{
		mkdir($dir,$PREF{writable_dir_perms}) or $ignore_errors || die_nice("couldn't create dir $dir: $!");
		if($mode)
		{
			chmod($mode,$dir) or $ignore_errors || die_nice("couldn't chmod dir \"$dir\" with mode \"$mode\": $!");
		}
	}

	$ignore_errors || die_nice qq`dir does not exist after creation: '$dir'` unless -d $dir;
}


sub mirror_dir_tree_and_contents($$)
{
	my ($src,$dst) = @_;
	for(@_) { return(0, qq`error: does not exist: '$_'`) unless -e $_; return(0, qq`error: not a directory: '$_'`) unless -d $_; }
	my ($files, $subfolders) = get_items($src);

	my (@successes, @errors) = ();
	# start with the shortest pathname to ensure we create parents first.
	#
	foreach my $srcfolder (sort { length($a) <=> length($b) } @$subfolders)
	{
		my $mode = sprintf "%04o", (   (stat($srcfolder))[2] & 07777   );
		my $dstfolder = $dst . ($srcfolder =~ /^$src(.+)/)[0];
		if(mkdir($dstfolder, oct($mode)))
		{
			if(chmod(oct($mode), $dstfolder))
			{
				push @successes, $dstfolder;
				copy_custom_folder_perms($srcfolder, $dstfolder) if $PREF{internal_appname} eq 'filechucker' && custom_folder_perms_enabled() && $PREF{when_copying_a_folder_also_copy_its_cust_perms} =~ /yes/i;
			}
			else
			{
				push @errors, qq`Couldn't chmod dir '$dstfolder' with mode '$mode': $!`;
			}
		}
		else
		{
			push @errors, qq`Couldn't mkdir '$dstfolder' with mode '$mode': $!`;
		}
	}

	foreach my $srcfile (@$files)
	{
		my $mode = sprintf "%04o", (   (stat($srcfile))[2] & 07777   );
		my $dstfile = $dst . ($srcfile =~ /^$src(.+)/)[0];
		if(copy($srcfile, $dstfile))
		{
			if(chmod(oct($mode), $dstfile))
			{
				push @successes, $dstfile;
			}
			else
			{
				push @errors, qq`Couldn't chmod file '$dstfile' with mode '$mode': $!`;
			}
		}
		else
		{
			push @errors, qq`Couldn't copy source file '$srcfile' to destination file '$dstfile': $!`;
		}
	}
	
	copy_custom_folder_perms($src, $dst) if $PREF{internal_appname} eq 'filechucker' && custom_folder_perms_enabled() && $PREF{when_copying_a_folder_also_copy_its_cust_perms} =~ /yes/i;

	return (\@successes, \@errors);
}


# Note: we use "die" rather than "die_nice" throughout the send_email function,
# because most of the code is within eval{} blocks, so that we can catch the
# dies and then decide at the end what to do with them.
#
sub send_email
{
	my ($to, $from, $subj, $msg, $mimetype, $die_on_error, $attachment_hashref, $dont_fork) = @_;
	$mimetype = $mimetype =~ /html/i ? 'text/html' : 'text/plain';

	$die_on_error = $die_on_error eq 'die_on_email_error' ? 1 : 0;
	$dont_fork = $dont_fork eq 'dont_fork' ? 1 : 0;
	my $do_fork = !$die_on_error; # if we want to die on error, we can't fork, or the die() will go unreported.
	$do_fork = 0 if $^O =~ /MSWin32/; # Windows' fork-fu is weak.
	$do_fork = 0 if $dont_fork;
	$do_fork = 0 if $PREF{always_use_nonforking_code_when_sending_email} =~ /yes/i;

	my ($mail_sent_successfully, $error_msg) = 0;

        # fork here because sending mail can be slow (and can block) sometimes.
	# Note: if we don't set $do_fork, perl won't even evaluate the &&'s second
	# half, so the fork won't happen, and the else{} will.
	my $forkpid = ();
        if($do_fork   &&   ($forkpid = fork))
        {
                # parent
        }
        else 
        {
                # child

		use POSIX;

		if($do_fork)
		{
			defined $forkpid or die_nice "$PREF{internal_appname}: fork error in send_email(): $@\n";

			POSIX::setsid() unless $^O =~ /MSWin32/;
			close STDOUT;
			close STDIN;
		}

		my @enc_headers = ();
		unless($PREF{include_encodable_email_headers} =~ /no/i)
		{
			my $sentdate = strftime("%a%b%d,%Y,%I:%M%p",localtime(time + $PREF{time_offset}));
			push @enc_headers, qq`X-Originator-IP: $PREF{ip}`;
			push @enc_headers, qq`X-Originator-Host: $PREF{host}`;
			push @enc_headers, qq`X-Originator-UA: $ENV{HTTP_USER_AGENT}`;
			push @enc_headers, qq`X-Encodable-Sitename: $ENV{HTTP_HOST}`;
			push @enc_headers, qq`X-Encodable-Header: website-visitor`;
			push @enc_headers, qq`X-Encodable-Sent: $sentdate`;
		}

		my $msgid = '<' . time . '.' . md5_hex($to . $from . $subj . $msg . $$ . $ENV{REMOTE_PORT}) . '@' . $ENV{HTTP_HOST} . '>';

		my $smtp_error = '';
		if($PREF{smtp_server})
		{
			# Wrap this in an eval{} in case MIME::Lite is missing.
			# Then we can have the option of setting $PREF{'disable_all_email'}
			# so that the site still functions, sans email.
			eval
			{
				require MIME::Lite;

				my $type = ();
				if($mimetype)
				{
					$type = $mimetype;
				}
				else
				{
					#my $type = $attachment_hashref ? 'multipart/mixed' : 'text/plain';
					$type = $attachment_hashref ? 'multipart/mixed' : 'text/plain; charset=ISO-8859-1; format=flowed';
				}

				my $mime_msg = MIME::Lite->new(To => $to, From => $from, Subject => $subj, Type => $type, Data => $msg);
				die "$PREF{internal_appname}: error creating MIME body: $!\n" unless($mime_msg);

				if($PREF{generate_message_id_internally} =~ /yes/i)
				{
					$mime_msg->add('Message-ID' => $msgid);
				}

				for(@enc_headers)
				{
					my ($name, $value) = split(/: /);
					$mime_msg->add($name => $value);
				}

				if($attachment_hashref)
				{
					foreach my $key (keys %$attachment_hashref)
					{
						my $mimetype			= $$attachment_hashref{$key}{mimetype}; # like 'application/x-gzip'
						my $filename			= $$attachment_hashref{$key}{filename};
						my $recommended_filename	= $$attachment_hashref{$key}{recommended_filename};

						$recommended_filename =~ s!^.*(\\|/)!!; # strip off any preceeding path

						# Attach the test file
						$mime_msg->attach(
							Type => $mimetype,
							Path => $filename,
							Filename => $recommended_filename,
							Disposition => 'attachment'
						) or die "$PREF{internal_appname}: error attaching file to email: $!\n";
					}
				}


				$PREF{smtp_server} = enc_untaint($PREF{smtp_server});
				if($PREF{smtp_auth_username} =~ /\S/ && $PREF{smtp_auth_password} =~ /\S/)
				{
					eval { MIME::Lite->send('smtp', $PREF{smtp_server}, Timeout=>30, AuthUser=>$PREF{smtp_auth_username}, AuthPass=>$PREF{smtp_auth_password}); };
				}
				else
				{
					eval { MIME::Lite->send('smtp', $PREF{smtp_server}, Timeout=>30); };
				}
				die "$PREF{internal_appname}: MIME::Lite->send failed: $@\n" if $@;

				eval { $mime_msg->send; };
				if($@)
				{
					die "$PREF{internal_appname}: \$mime_msg->send failed: $@\n";
				}
				else
				{
					$mail_sent_successfully = 1;
				}


				if($attachment_hashref)
				{
					foreach my $key (keys %$attachment_hashref)
					{
						unlink(  $$attachment_hashref{$key}{filename}  )   if   $$attachment_hashref{$key}{'delete-after-sending'} eq 'yes';
					}
				}
			};

			$smtp_error = $@;
		}

		my $sendmail_error = '';
		if($PREF{path_to_sendmail}   &&   !$mail_sent_successfully)
		{
			if($smtp_error) { enc_warn "$PREF{internal_appname}: send_email(): SMTP failed, so falling back to sendmail.  SMTP error was: $smtp_error\n"; }

			eval
			{
				$PREF{path_to_sendmail} = enc_untaint($PREF{path_to_sendmail}, 'keep_path');

				open(SENDMAIL, "|$PREF{path_to_sendmail} -oi -t") or die "$PREF{internal_appname}: Can't fork for sendmail: $!\n";

				if($attachment_hashref)
				{
					print SENDMAIL	  qq`MIME-Version: 1.0`
							. qq`\nFrom: $from`
							. qq`\nTo: $to`
							. qq`\nSubject: $subj`
							. ($PREF{generate_message_id_internally} =~ /yes/i ? "\nMessage-Id: $msgid" : '')
							. (@enc_headers ? "\n" . (join "\n", @enc_headers) : '')
							. qq`\nContent-Type: multipart/mixed; boundary=encindboundarystring`
							. qq`\n`
							. qq`\n--encindboundarystring`
							. qq`\nContent-Type: ` . ($mimetype ? $mimetype : 'text/plain')
							. qq`\n`
							. qq`\n$msg`;

					foreach my $key (keys %$attachment_hashref)
					{
						my $mimetype			= $$attachment_hashref{$key}{mimetype}; # like 'application/x-gzip'
						$mimetype			= 'application/octet-stream' unless $mimetype;
						my $filename			= $$attachment_hashref{$key}{filename};
						my $recommended_filename	= $$attachment_hashref{$key}{recommended_filename};

						$recommended_filename =~ s!^.*(\\|/)!!; # strip off any preceeding path

						my $atch = `uuencode $filename $filename`;	# UUencode it so we can send it as an attachment

						print SENDMAIL	  qq`\n____________________`
								. qq`\nAttachment: $filename:`
								. qq`\n`
								. qq`\n--encindboundarystring`
								. qq`\nContent-Type: $mimetype; name="$filename"`
								. qq`\nContent-Transfer-Encoding: x-uuencode`
								. qq`\nContent-Disposition: attachment; filename="$recommended_filename"`
								. qq`\n`
								. qq`\n$atch`
								. qq`\n`
								. qq`\n--encindboundarystring`;
					}

					print SENDMAIL	  qq`\n--encindboundarystring--\n`
				}
				else # no attachment.
				{
					print SENDMAIL	  qq`From: $from`
							. qq`\nTo: $to`
							. qq`\nSubject: $subj`
							. ($PREF{generate_message_id_internally} =~ /yes/i ? "\nMessage-Id: $msgid" : '')
							. (@enc_headers ? "\n" . (join "\n", @enc_headers) : '')
							. qq`\nContent-Type: $mimetype`
							. qq`\n`
							. qq`\n$msg`;
				}

				close(SENDMAIL) or $PREF{die_on_sendmail_close_error} =~ /yes/i
						? die		"$PREF{internal_appname}: sendmail didn't close nicely: $!\n"
						: enc_warn	"$PREF{internal_appname}: sendmail didn't close nicely: $!\n";
			};

			if($@)	{ $sendmail_error = $@;		}
			else	{ $mail_sent_successfully = 1;	}
		}

		my $blat_error = '';
		if($PREF{path_to_blat}   &&   $PREF{smtp_server}   &&   !$mail_sent_successfully)
		{
			printd "in blat loop...\n";
			if($sendmail_error) { enc_warn "$PREF{internal_appname}: send_email(): sendmail failed, so trying blat.  sendmail error was: $sendmail_error\n"; }

			my $blat_output = '';
			eval
			{
				#$PREF{path_to_blat} = enc_untaint($PREF{path_to_blat}, 'keep_path');

				my $subj_for_blat = $subj;
				my $msg_for_blat = $msg;
				s!"!\\"!gs for ($subj_for_blat, $msg_for_blat);

				my $u	= "-u $PREF{smtp_auth_username}"	if $PREF{smtp_auth_username};
				my $pw	= "-pw $PREF{smtp_auth_password}"	if $PREF{smtp_auth_password};

				my ($debug,$x) = ('','');
				#$debug = "-debug";
				#$x = qq`-x "X-Custom-header: some header value..."`;

				$blat_output = `$PREF{path_to_blat} - -to $to -f $from -subject "$subj_for_blat" -body "$msg_for_blat" -server $PREF{smtp_server} $u $pw $debug $x`;

				printd "blat output: $blat_output\n";
			};

			if($@ || !$blat_output)	{ $blat_error = "Blat error: '$@'.  Blat output was: '$blat_output'"; }
			else			{ $mail_sent_successfully = 1; }
		}

		unless($mail_sent_successfully)
		{
			if($smtp_error)		{ $error_msg .= "$PREF{internal_appname}: couldn't send email: error in send_email() while trying to use MIME::Lite with SMTP server '$PREF{smtp_server}'. Error was: '$smtp_error' <br /><br />\n\n"; }
			if($sendmail_error)	{ $error_msg .= "$PREF{internal_appname}: couldn't send email: error in send_email() while trying to use sendmail with path '$PREF{path_to_sendmail}'. Error was: '$sendmail_error' <br /><br />\n\n"; }
			if($blat_error)		{ $error_msg .= "$PREF{internal_appname}: couldn't send email: error in send_email() while trying to use blat with path '$PREF{path_to_blat}'. Error was: '$blat_error' <br /><br />\n\n"; }

			if(!$error_msg)		{ $error_msg .= "$PREF{internal_appname}: couldn't send email: error in send_email(): perhaps you need to adjust \$PREF{smtp_server} (currently '$PREF{smtp_server}') or \$PREF{path_to_sendmail} (currently '$PREF{path_to_sendmail}'). <br /><br />\n\n"; }

			$error_msg .= qq` [[ message details: to='$to', from='$from', subject='$subj' ]] <br /><br />\n\n`;

			if($die_on_error)	{ die_nice	$error_msg;	}
			else			{ enc_warn	$error_msg;	}
		}

		if($do_fork)
		{
			exit; # exit the child process.
		}
	}

	return ($mail_sent_successfully, $error_msg);
}


sub enc_untaint
{
	my $item = shift || '';
	my $original_item = $item;
	my $keep_path = shift || '';
	#printd "enc_untaint($item)\n";

	# Regardless of whether we're keeping the path, dots surrounded by slashes are never allowed.
	#
	#$item =~ s!(^|/|\\)\.+(/|\\|$)!$1!g;
	$item =~ s!\\!/!g; # Need to remove MS garbage beforehand, otherwise an input like .\\StupidCGI.tmp will break this.
	while($item =~ m!((?:^|/|\\)\.+(?:/|\\|$))!)
	{
		$item =~ s!$1!/!;
	}

	#printd "removed slashdots: $item\n";

	if(  $item =~ m!(/|\\)!  &&  !$keep_path)
	{
		$item =~ s!^.*[/\\]+([^/\\]+)!$1!; # remove any path from the front.
		#printd "removed path from front: $item\n";
		$item =~ s!^([^/\\]+)[/\\]+!$1!; # ...and the back.
	}

	$item =~ s![`\*\?\|<>]!!g; # remove some other potentially-unsafe stuff.

	my $leading_UNC_slashes = '';
	if($item =~ m!^//!  &&  $keep_path)
	{
		$leading_UNC_slashes = '//';
		$item =~ s!^/+!!;
	}
	$item =~ s![/\\]{2,}!/!g; # condense any multiples.
	$item = $leading_UNC_slashes . $item; # add back any UNC slashes.

	($item) = ($item =~ /(.*)/); # untaint.

	# In case anything slips through, die as a security precaution.
	#
	die qq`$0: couldn't untaint "$original_item" [called from: ` . (caller 1)[3]  . qq`].\n` if $item =~ m![/\\]! && !$keep_path;
	die qq`$0: couldn't untaint "$original_item" [called from: ` . (caller 1)[3]  . qq`].\n` if $item =~ m!(?:^|/|\\)\.+(?:/|\\|$)!;
	die qq`$0: couldn't untaint "$original_item" [called from: ` . (caller 1)[3]  . qq`].\n` if $item =~ m!^\.+$!;
	die qq`$0: couldn't untaint "$original_item" [called from: ` . (caller 1)[3]  . qq`].\n` if $item =~ m!^\s*$!;

	#printd "untainted: $item\n\n";
	return $item;
}


sub zeropad
{
	# args: 1. string to pad, 2. length to pad to (i.e. final length).
	enc_pad(@_, 0);
}


sub enc_pad
{
	# args: 1. string to pad, 2. length to pad to (i.e. final length), 3. char to use for padding.
	$_[0] = ($_[2] x $_[1]) . $_[0];
	$_[0] =~ s!.*(.{$_[1]})!$1!;
}


sub enc_urlencode
{
	for(@_) { s/([^\w()'*~!.-])/sprintf '%%%02x', ord $1/eg if $_; };
}


sub enc_urldecode
{
	# assuming the input really was URL-encoded, then any plus-signs that were originally there
	# are now in their hex form, so any plus-signs STILL there were converted from spaces by the
	# browser.  so they must be converted back BEFORE restoring any original plus-signs from the
	# hex codes.
	convert_plus_signs_back_to_spaces_in_var_from_GET_method(@_);
	for(@_) { s/%([a-fA-F\d]{2})/chr hex $1/eg  if $_; }
}


sub zeropad_return { my $string = shift; zeropad($string, @_); return $string; }
sub enc_pad_return { my $string = shift; enc_pad($string, @_); return $string; }
sub enc_urlencode_return { my $string = shift; enc_urlencode($string); return $string; }
sub enc_urldecode_return { my $string = shift; enc_urldecode($string); return $string; }


sub convert_plus_signs_back_to_spaces_in_var_from_GET_method
{
	for(@_) { s/\+/ /g  if $_; }
}


sub get_req_uri_qsready
{
	# Returns the URL+QS of the current page, ending either with '?' or '&'.
	# Optionally, pass { remove => 'varname' } to have that variable removed
	# from the returned value's QS.  And optionally pass leave_dupes=>1 if
	# you want this sub to NOT remove duplicates from the returned QS.

	my $optsref = shift; my %opts = %$optsref if $optsref;
	if($qs)
	{
		my $newqs = $qs;
		encdebug "newqs=$newqs";
		for('remove', 'remove1', 'remove2', 'remove3', 'remove4', 'remove5', 'remove6', 'remove7', 'remove8', 'remove9')
		{
			if($opts{$_})
			{
				$newqs =~ s!(^|&)$opts{$_}=[^&]*(&|$)!$1$3!g;
			}
		}
		unless($opts{leave_dupes})
		{
			my %dedupedqs = map { $_ => 1 } split(/&+/, $newqs);
			$newqs = '';
			for(keys %dedupedqs) { $newqs .= $_ . '&'; }
		}
		defooify('&', $newqs);
		$newqs =~ s!&!&amp;!g;
		encdebug "newqs=$newqs";
		return $PREF{REQ_URI_SANS_QS} . $newqs ? "?$newqs&amp;" : '?';
	}
	else
	{
		return $PREF{REQ_URI_SANS_QS} . '?';
	}
}


sub enc_redirect
{
	my $destination = shift;

	if($destination =~ /^referr?er$/i)
	{
		$destination = $ENV{HTTP_REFERER} ? $ENV{HTTP_REFERER} : $PREF{redirection_backup_address};
	}

	unless($destination =~ m!^https?://!)
	{
		$destination = $PREF{protoprefix} . $ENV{HTTP_HOST} . $destination;
	}

	my $destination_raw = $destination;
	$destination_raw =~ s!&amp;!&!g;

	if($PREF{output_started})
	{
		if($PREF{use_javascript_redirect_when_necessary} !~ /no/i)
		{
			print qq`\n<script type="text/javascript">location.href="$destination_raw";</script>\n`;
		}
		else
		{
			print qq`<p>$PREF{internal_appname} warning: cannot redirect because output has already started (perhaps debug is enabled?).&nbsp; <a href="$destination">Click here to continue</a>.</p>\n`;
		}
	}
	elsif($PREF{we_are_virtual})
	{
		if($PREF{use_javascript_redirect_when_necessary} !~ /no/i)
		{
			print_http_headers();
			print qq`\n<script type="text/javascript">location.href="$destination_raw";</script>\n`;
		}
		else
		{
			enc_warn "$0: enc_redirect(): cannot redirect because we are virtual.\n";
			print_http_headers();
			print qq`<p>$PREF{internal_appname} warning: cannot redirect because we are virtual.&nbsp; <a href="$destination">Click here to continue</a>.</p>\n`;
		}
	}
	else
	{
		if($ENV{SERVER_SOFTWARE} =~ /microsoft-iis/i || $PREF{always_use_meta_for_redirects} =~ /yes/i)
		{
			# A bug in IIS v5 (and lower, probably) makes cookie-setting fail
			# when combined with a header-based redirect:
			#
			#	"BUG: Set-Cookie Is Ignored in CGI When Combined With Location"
			#	http://support.microsoft.com/kb/q176113/
			#
			# So use a meta-redirect instead.
			#
			print "Content-type: text/html\n\n";
			print qq`<html><head><meta http-equiv="refresh" content="0;url=$destination"></head><body></body></html>\n`;
		}
		else
		{
			print "Location: $destination_raw\n\n";
		}
	}

	exit;
}


sub kmsg_redirect
{
	# Any $PREF{extra_debug} will be lost on redirect unless we store it with the keyed message.
	enc_redirect(   ($PREF{here_static} || $PREF{here}) . "?kmsg=" . store_keyed_message($_[0] . get_extra_debug_output()) . $PREF{default_url_vars}   );
}


sub smsg_redirect
{
	# smsg: static message.  This only needs to be used in situations where we were
	# POSTed to and we want the static message to appear within the page we're
	# embedded into; for non-POST situations we can just use exit_with_error().
	# (And we could use a kmsg instead here, but that does involve some amount
	# of overhead, so for static messages we might as well avoid it.)
	#
	enc_redirect(   ($PREF{here_static} || $PREF{here}) . "?smsg=$_[0]" . $PREF{default_url_vars}   );
}


sub enc_redirect_to_ref
{
	# try to redirect to HTTP_REFERER, falling back to the URL
	# specified by ?whence=foo, then to any passed-in URL, and
	# finally to $PREF{here}.

	my $go = shift;
	if($ENV{HTTP_REFERER})
	{
		$go = $ENV{HTTP_REFERER};
	}
	elsif($qs =~ /(?:^|&)whence=(.+)/)
	{
		$go = $1;
		enc_urldecode($go);
	}
	$go = $PREF{here} if !$go;
	enc_redirect($go);
}


sub get_extra_debug_output
{
	if(	$PREF{extra_debug_always}
		||
		user_is_allowed_to('view_extra_debug_output')
		||
		($PREF{extra_debug_usernames_list} && $PREF{logged_in_username} &&   ($PREF{extra_debug_usernames_list} =~ /(^|,)\s*$PREF{logged_in_username}\s*(,|$)/))
		||
		($PREF{extra_debug_ips_list} &&   ($PREF{extra_debug_ips_list} =~ /(^|,)\s*$PREF{ip}\s*(,|$)/))
	)
	{
		my $style = $PREF{extra_debug_css} || qq`margin: 20px; padding: 10px; border: 1px solid #999; background: #ddd; color: #333; text-align: left;`;
		$PREF{extra_debug} =~ s/</&lt;/g;
		$PREF{extra_debug} =~ s/>/&gt;/g;
		$PREF{extra_debug} =~ s!\n! <br />\n!g;
		my $extra_debug = qq`<div id="extradebug" style="$style">$PREF{extra_debug}</div>\n` unless !$PREF{extra_debug} && $PREF{hide_extra_debug_container_if_empty} =~ /yes/i;
		my $extra_debug_raw = qq`<div id="extradebug_raw" style="$style">$PREF{extra_debug_raw}</div>\n` if $PREF{extra_debug_raw};
		return qq`$extra_debug\n$extra_debug_raw`;
	}
}


# The tags are broken out into subs so they can be used when printing to STDERR,
# for example:   print STDERR encdebugtag() . "your debug output here";
#
sub encdebugtag   { my $caller = shift || (caller 1)[3]; $caller =~ s!^main::!!; my $tag = date14() . ": runtime " . (time - $PREF{app_start_time}) . " sec: " . ($caller ? "${caller}: " : ''); return $tag; }
sub encdebugtaghi { my $caller = shift || (caller 1)[3]; $caller =~ s!^main::!!; my $runtime = gettimeofday() - $PREF{script_start_time_highres}; $runtime =~ s!^(\d+\.\d{2}).*!$1!; my $tag = date14() . ": runtime $runtime sec: " . ($caller ? "${caller}: " : ''); return $tag; }


sub encdebug { my $caller = (caller 1)[3]; $PREF{extra_debug} .= encdebugtag($caller) . join("\n",@_) . "\n"; }
#
# Or for high-resolution timing, uncomment the "use Time::HiRes" line near the top of the script, and use this one:
#
sub encdebughi { my $caller = (caller 1)[3]; $PREF{extra_debug} .= encdebugtaghi($caller) . join("\n",@_) . "\n"; }


# This is mainly meant for servers without proper STDERR logging, or
# whose error-log we can't get access to.
#
sub encdebuglog
{
	if($PREF{debuglog} =~ /yes/i)
	{
		my $output = '';
		for(@_)
		{
			$output .= date14() . " pid=$$ runtime=" . (time - $PREF{app_start_time}) . "s user=" . ($PREF{logged_in_username} || '(none)') . " " . (caller 1)[3] . ": $_";
			$output .= "\n" unless $_ =~ /\n$/;
		}
		if($output)
		{
			unless($PREF{debuglogfh})
			{
				print STDERR "$$: opening the debug log\n";
				open(my $outfh, ">>$PREF{debuglogfile}") or die_nice "couldn't open debug log '$PREF{debuglogfile}' for output: $!\n";
				#flock $outfh, 2;
				$PREF{debuglogfh} = $outfh;
			}
			flock $PREF{debuglogfh}, 2;
			print { $PREF{debuglogfh} } $output;
			flock $PREF{debuglogfh}, 8; # release the lock.
		}
	}
}


sub condense_slashes
{
	s!\\!/!g;
	my $leave_leading_UNC = 0;
	for(@_)
	{
		if(/^leave_leading_UNC$/)
		{
			$leave_leading_UNC = 1;
			next;
		}
		if($leave_leading_UNC)
		{
			my $leading_UNC_slashes = '';
			if(m!^//!)
			{
				$leading_UNC_slashes = '//';
				s!^/+!!;
			}
			s!/{2,}!/!g; # condense any multiples.
			$_ = $leading_UNC_slashes . $_; # add back any UNC slashes.
		}
		else
		{
			s!/{2,}!/!g;
		}
	}
}


sub slashify	{   fooify('/', @_); }
sub deslashify	{ defooify('/', @_); }
sub commaify	{   fooify(',', @_); }
sub decommaify	{ defooify(',', @_); }
sub spaceify	{   fooify(' ', @_); }
sub despaceify	{ defooify(' ', @_); }


sub fooify
{
	# add leading and trailing foos and condense duplicates.
	my $foo = shift;
	$_ = $foo . $_ . $foo for @_;
	s!$foo{2,}!$foo!g for @_;
}


sub defooify
{
	# remove leading and trailing foos and condense duplicates.
	my $foo = shift;
	s!$foo{2,}!$foo!g for @_;
	s!^$foo!!g for @_;
	s!$foo$!!g for @_;
}


sub die_unless_numeric
{
	die_nice("error: non-numeric value '$_[0]' for $_[1]. [called from: " . (caller 1)[3]  . "]\n") unless $_[0] =~ /^\d+$/;
}


sub die_nice
{
	my $msg = shift;
	my $caller = (caller 1)[3];
	$caller =~ s/^main:://;
	$msg = qq`$PREF{internal_appname_nice}: $caller(): $msg` unless $msg =~ /^$PREF{internal_appname}: $caller(): /;
	exit_with_error($msg);
}


sub enc_warn
{
	# Never call the built-in warn() function directly, because some (lame) servers (IIS) choke
	# on it (and on printing to STDERR), and in bad ways, such as prompting the user to download
	# a file (the script output with the error message) rather than just displaying an error.
	#
	return if $^O =~ /MSWin/i;

	my $msg = shift;
	my $caller = (caller 1)[3];
	$caller =~ s/^main:://;
	$msg = qq`$PREF{internal_appname_nice}: $caller(): $msg` unless $msg =~ /^$PREF{internal_appname}: $caller(): /;
	warn $msg;
}


sub print_http_headers
{
	return if $PREF{output_started} || $PREF{xml_output_started} || $ENV{suppress_http_headers};

	$PREF{output_started} = 1;

	# Don't print the P3P header from here normally, because we'll pick it up automatically
	# from the site's main .htaccess file.  The only time a script needs to explicitly
	# include it is when setting cookies (and possibly when delivering JS code which is
	# used to set cookies?).
	# 
	#print_p3p_header();

	my $noprint = shift;
	my $headers = '';
	$headers .= "Cache-Control: no-store, no-cache\n";
	$headers .= "Connection: close\n"; # workaround for a Safari bug that causes uploads to fail about 50% of the time.
	$headers .= "Content-type: text/html\n\n";
	$noprint ? return $headers : print $headers;
}


sub print_xml_headers()
{
	return if $PREF{output_started} || $PREF{xml_output_started};
	$PREF{xml_output_started} = 1;

	print "Cache-Control: no-store, no-cache\n";
	print "Connection: close\n"; # workaround for a Safari bug that causes uploads to fail about 50% of the time.
	print "Content-type: text/xml\n";
	print "\n";
}


sub print_p3p_header
{
	# If you need to set third-party cookies, you'll need to use the P3P
	# privacy policy system, or else IE will reject the cookies.  The system
	# consists of a /w3c folder on your website containing a p3p.xml file
	# and a policy.html file, and then having your server send a P3P header,
	# both in the main .htaccess file and anytime a script needs to output
	# headers.  The value should be something like this:
	#
	#	$PREF{p3p_header} = qq`P3P: CP="ALL DSP COR NID", policyref="/w3c/p3p.xml"`;
	#
	# Or, you can leave off the policyref:
	#
	#	$PREF{p3p_header} = qq`P3P: CP="ALL DSP COR NID"`;
	#
	# You may want to use a service like http://p3pedit.com/ to create your
	# XML and privacy files.  And you can use www.w3.org/P3P/validator.html
	# to validate your setup.

	return if $PREF{p3p_header_printed};

	$PREF{p3p_header_printed} = 1;
	my $noprint = shift;
	my $headers = '';
	$headers .= "$PREF{p3p_header}\n" if $PREF{p3p_header};
	$noprint ? return $headers : print $headers;
}


sub offsettime	{ return time + $PREF{time_offset}; }
sub date8	{ return strftime("%Y%m%d", localtime(shift || offsettime())); }
sub date14	{ return strftime("%Y%m%d-%H%M%S", localtime(shift || offsettime())); }
sub date17	{ return strftime("%Y%m%d-%H:%M:%S", localtime(shift || offsettime())); }


sub offset_etime($$)
{
	my ($etime, $offset) = @_;
	my ($operation, $amount, $multiplier_code) = ($offset =~ /([\+-])(\d+)([smhdb])/);
	my $multiplier = $multiplier_code eq 'm' ? 60 : $multiplier_code eq 'h' ? 3600 : $multiplier_code eq 'd' ? 86400 : 1;
	if($multiplier_code eq 'b')
	{
		while($amount)
		{
			do { $etime = $operation eq '+' ? $etime + 86400 : $etime - 86400; } while is_weekend($etime);
			$amount--;
		}
	}
	else
	{
		$etime = $operation eq '+' ? $etime + ($amount * $multiplier) : $etime - ($amount * $multiplier);
	}
	return $etime;
}


sub is_weekend($)
{
	return (localtime($_[0]))[6] =~ /[06]/; # (localtime($etime))[6] is the weekday, with 0 being Sunday and 6 being Saturday.
}


sub sql_untaint
{
	s/"/&quot;/g for @_;
	s/'/&#39;/g for @_;
	s/`/&#96;/g for @_;
	s/\\/&#92;/g for @_;
}


sub sql_un_untaint
{
	s/&quot;/"/g for @_;
	s/&#39;/'/g for @_;
	s/&#96;/`/g for @_;
	s/&#92;/\\/g for @_;
}


sub enc_hash
{
	return $PREF{use_md5_for_hashes} =~ /yes/i ? md5_hex(@_) : sha1_hex(@_);
}


sub not_sqlsafe
{
	#print STDERR "not_sqlsafe: got: $_[0]\n";

	# Escape any dashes or closing brackets, as per perlre:
	#
	# 	If you want either "-" or "]" itself to be a member of a class,
	#	put it at the start of the list (possibly after a "^"), or escape
	#	it with a backslash.
	#
	my $list_of_sql_safe_characters = $PREF{list_of_sql_safe_characters};
	$list_of_sql_safe_characters =~ s/\]/\\]/g;
	$list_of_sql_safe_characters =~ s/-/\\-/g;

	return $_[0] =~ /[^$list_of_sql_safe_characters]/;
}


sub die_unless_sqlsafe
{
	#print STDERR "die_unless_sqlsafe: got: $_[0]\n";

	# Escape any dashes or closing brackets, as per perlre:
	#
	# 	If you want either "-" or "]" itself to be a member of a class,
	#	put it at the start of the list (possibly after a "^"), or escape
	#	it with a backslash.
	#
	my $list_of_sql_safe_characters = $PREF{list_of_sql_safe_characters};
	$list_of_sql_safe_characters =~ s/\]/\\]/g;
	$list_of_sql_safe_characters =~ s/-/\\-/g;

	for(@_)
	{
		if(/[^$list_of_sql_safe_characters]/)
		{
			exit_with_error(qq`Not SQL-safe: called from ` . (caller 1)[3] . qq`: the following value is not SQL-safe: $_`);
		}
	}
}


sub replace_nonsqlsafe_chars_with
{
	my $replacement = shift;

	# Escape any dashes or closing brackets, as per perlre:
	#
	# 	If you want either "-" or "]" itself to be a member of a class,
	#	put it at the start of the list (possibly after a "^"), or escape
	#	it with a backslash.
	#
	my $list_of_sql_safe_characters = $PREF{list_of_sql_safe_characters};
	$list_of_sql_safe_characters =~ s/\]/\\]/g;
	$list_of_sql_safe_characters =~ s/-/\\-/g;

	for(@_)
	{
		if(/[^$list_of_sql_safe_characters]/)
		{
			enc_warn "sanitizing the following non-SQL-safe value: $_\n";
			s/[^$list_of_sql_safe_characters]/$replacement/g;
		}
	}
}


sub oddeven
{
	$_[0] = 0 unless $_[0] && $_[0] =~ /^\d+$/;
	$_[0]++ unless $_[1] eq 'dont_inc';
	return $_[1] && $_[1] eq 'reset' ? 'odd' : $_[0] % 2 == 0 ? 'even' : 'odd';
}


sub enc_sql_select($)
{
	verify_db_connection();
	my $statement = shift;
	my $sth = $PREF{dbh}->prepare($statement);
	$sth->execute() or die_nice("called from " . (caller 1)[3]  . ": error while executing SQL select statement [[$statement]]: $DBI::errstr\n");
	return $sth->fetchrow;
}


sub enc_sql_select_multi($)
{
	verify_db_connection();
	my $statement = shift;
	my $sth = $PREF{dbh}->prepare($statement);
	$sth->execute() or die_nice("called from " . (caller 1)[3]  . ": error while executing SQL select statement [[$statement]]: $DBI::errstr\n");
	my $i = 1;
	my %hash = ();
	my $rowhashref = '';
	while($rowhashref = $sth->fetchrow_hashref)
	{
		foreach my $field (keys %$rowhashref)
		{
			$hash{$i}{$field} = $$rowhashref{$field};
		}
		$i++;
	}
	return \%hash;
}


sub enc_sql_select_array
{
	my $statement = shift;
	my $sth = $PREF{dbh}->prepare($statement);
	$sth->execute() or die_nice("called from " . (caller 1)[3]  . ": error while executing SQL select statement [[$statement]]: $DBI::errstr\n");
	my @results = ();
	while(my $ref = $sth->fetchrow_arrayref()) 
	{
		push @results, @{$ref};
	}
	return @results;
}


sub enc_sql_update($)
{
	verify_db_connection();
	my $statement = shift;
	my $sth = $PREF{dbh}->prepare($statement);
	my $numrows = $sth->execute() or die_nice("called from " . (caller 1)[3]  . ": error while executing SQL update statement [[$statement]]: $DBI::errstr\n");
	return $numrows;
}


sub enc_sql_insert($)
{
	verify_db_connection();
	my $statement = shift;
	my $sth = $PREF{dbh}->prepare($statement);
	$sth->execute() or die_nice("called from " . (caller 1)[3]  . ": error while executing SQL insert statement: $DBI::errstr.  Statement was: [[ $statement ]]\n");
}


sub enc_sql_delete($)
{
	verify_db_connection();
	my $statement = shift;
	my $sth = $PREF{dbh}->prepare($statement);
	my $retval = $sth->execute();
	die_nice("called from " . (caller 1)[3]  . ": error while executing SQL delete statement: $DBI::errstr.  Statement was: [[ $statement ]]\n") if $retval =~ /^(0|0E0)$/; # execute() returns '0E0' if no rows were affected by the statement.
}


sub enc_sys_call
{
	# TODO: this doesn't always work.

	my $cmd = shift;
	my ($msg,$success) = ();

	if(my $timeout = $PREF{sys_call_timeout})
	{
		eval
		{

		local $SIG{ALRM} = sub { die "alarm\n" }; # NB: \n required
		alarm $timeout;

		# Note: don't change this without changing the matching block below.
		system($cmd);
		if ($? == -1)		{ $success = 0; $msg = "error: failed to execute: $!"; }
		elsif ($? & 127)	{ $success = 0; $msg = sprintf "error: child died with signal %d, %s coredump", ($? & 127),  ($? & 128) ? 'with' : 'without'; }
		else			{ $success = 1; $msg = sprintf "child exited with value %d", $? >> 8; }

		};

		if($@)
		{
			if($@ eq "alarm\n")
			{
				# timed out.
				$success = 0; $msg = "error: timeout while executing: $!";
			}
			else
			{
				# propagate unexpected errors.
				$success = 0; $msg = "unexpected error while executing: $@";
			}
		}
		else
		{
			# didn't time out.
		}
	}
	else
	{
		# Note: don't change this without changing the matching block above.
		system($cmd);
		if ($? == -1)		{ $success = 0; $msg = "error: failed to execute: $!"; }
		elsif ($? & 127)	{ $success = 0; $msg = sprintf "error: child died with signal %d, %s coredump", ($? & 127),  ($? & 128) ? 'with' : 'without'; }
		else			{ $success = 1; $msg = sprintf "child exited with value %d", $? >> 8; }
	}

	$msg = "enc_sys_call(): command was [[ $cmd ]]; result was [[ $msg ]];";
	printd "$msg\n";

	$PREF{sys_call_timeout} = 0; # always reset this so it's disabled by default, and the caller can choose to set it before calling us if necessary.
	return ($success, $msg);
}


sub exit_with_error { $PREF{static_error_message} ? print_and_exit($PREF{static_error_message}) : exit_with___generic($PREF{error_message_template}, @_); } # Errors that the end-user is supposed to see.
sub exit_with_success { exit_with___generic($PREF{success_message_template}, @_); } # Success messages that the end-user is supposed to see.
sub exit_with_notice { exit_with___generic($PREF{notice_message_template}, @_); } # Non-error messages that the end-user is supposed to see.
sub exit_with_output { exit_with___generic('', @_); } # For any output; no template will be used.


sub print_and_exit
{
	# This sub should NOT include any full HTML output, headers/footers, etc.  Just the bare minimum necessary to display the string it receives.
	print_http_headers(); print @_; exit;
}


sub exit_with___generic
{
	my $template = shift;
	my $message = join '', @_;
	#print STDERR $message;
	$template =~ s/%%message%%/$message/g;
	$message = $template =~ /\Q$message\E/ ? $template : $message; # in case prefs haven't been loaded yet.
	if(!$PREF{we_are_virtual} && $PREF{here} ne $ENV{SCRIPT_NAME} && $ENV{REQUEST_METHOD} =~ /post/i)
	{
		# 20081213: added method=post requirement; otherwise, if $PREF{here} is set to something other than
		# $ENV{SCRIPT_NAME}, then visiting the script directly will trigger this, which isn't what we want.
		# TODO: should method=post be the ONLY requirement for this if()?

		# Any $PREF{extra_debug} will be lost on redirect unless we store it with the keyed message.
		enc_redirect(   ($PREF{here_static} || $PREF{here}) . "?kmsg=" . store_keyed_message($message . get_extra_debug_output())   );
	}
	else
	{
		start_html_output('');
		print $message;
		finish_html_output();
	}
	exit;
}


sub exit_with_kmsg
{
	start_html_output('');
	print get_keyed_message($_[0]);
	finish_html_output();
	exit;
}


sub exit_with_needlogin
{
	start_html_output('');
	$PREF{needlogin_message} =~ s/%%login_url%%/$PREF{login_url}/g;
	print $PREF{needlogin_message};
	finish_html_output();
	exit;
}


sub exit_with_needprivs
{
	my $whenceqs = $qs; $whenceqs =~ s!&!_ANAMP_!g;
	my $login_url = '';
	if(userbase_available() || $PREF{integrate_with_existing_login_system} =~ /yes/i)
	{
		$login_url = $PREF{login_url_qsready};
	}
	else
	{
		$login_url = "$PREF{here_login_qsready}action=" . ($PREF{internal_appname} =~ /visitorlog/i ? 'vllogin' : 'login') . '&amp;';
	}
	$login_url .= ($PREF{default_url_vars} ? "$PREF{default_url_vars}&amp;" : "") . "needprivs=true&amp;whence=$PREF{REQ_URI_SANS_QS}" . ($whenceqs ? "_THEQS_$whenceqs" : '');
	$login_url = "$PREF{protoprefix}$ENV{HTTP_HOST}$login_url" unless $login_url =~ /^https?:/;
	my $js_login_url = $login_url; $js_login_url =~ s!&amp;!&!g;

	my $auto_redirect = qq`<script type="text/javascript">location.href="$js_login_url";</script>\n`;

	$PREF{needprivs_message} =~ s/%%login_url%%/$login_url/g;
	$PREF{needprivs_message} =~ s/%%js_auto_redirect%%/$PREF{member_is_logged_in} ? '' : $auto_redirect/eg;
	$PREF{needprivs_message} =~ s/%%%if-notloggedin%%%(.+?)%%%end-notloggedin%%%/$PREF{member_is_logged_in} ? '' : $1/egs;

	start_html_output('Authentication Required');
	print $PREF{needprivs_message};
	finish_html_output();
	exit;
}


sub printd
{
	my $msg = shift;
	chomp $msg;
	$msg = "$PREF{internal_appname}-debug: " . (offsettime()) . ": $msg";
	if($PREF{debug} || $PREF{force_debug} =~ /yes/i || $debuglog)
	{
		enc_warn "$msg\n";
		encdebug $msg;
		print $debuglog "$msg\n" if $debuglog;
	}
	if($PREF{debug})
	{
		#print_http_headers();
		#print "<!-- $msg -->\n";
	}
}


# Some SQL implementations support other nonsense in the table names; we'll restrict to a sensible set of characters.
#
sub tablename_is_valid				{ return ($_[0] =~ /^\w+$/	&&						length($_[0]) <= $PREF{max_tablename_length});		}
sub check_tablename_for_sql_safeness		{ die_nice("Invalid tablename: '$_[0]'") unless tablename_is_valid($_[0]); 								}


sub get_db_connection
{
	eval { require DBI; }; die_nice qq`error while trying to load the DBI module.&nbsp; You probably need to <a href="http://encodable.com/perl_modules/" target="_blank">install the Perl module</a> for it.&nbsp; The error message was: <br /><br />\n\n $0: $@\n` if $@;
	if(!$PREF{dbh}   ||   $_[0] eq 'force')
	{
		my $dbname = $PREF{database_name};
		$dbname .= ":$PREF{database_hostname}" if $PREF{database_hostname};
		$PREF{dbi_connection_string} =~ s!%%dbname%%!$dbname!g;

		$PREF{dbh} = DBI->connect($PREF{dbi_connection_string}, $PREF{database_username}, $PREF{database_password})
				or exit_with_error("Error: $DBI::errstr <br /><br />\n\nPlease verify your settings for the following preferences: \$PREF{database_hostname}, \$PREF{database_name}, \$PREF{database_username}, \$PREF{database_password}.");

		# 20090425: there's a bug somewhere in the Perl MySQL stack which causes the
		# database connection to be silently dropped in some cases, resulting in the
		# Perl script simply dying (segfaulting?) when attempting to use the connection.
		# This happens even though mysql_auto_reconnect is enabled; disabling that
		# causes the script to die with the "MySQL server has gone away" error, instead
		# of dying silently.  Furthermore, with mysql_auto_reconnect enabled, the Perl
		# script will also segfault if you call $dbh->ping() after the connection has
		# been lost, making it totally worthless for its intended purpose.  The root
		# cause of this issue may be the following DBD-mysql bug:
		#
		#	http://rt.cpan.org/Public/Bug/Display.html?id=37027
		#
		# That bug report hasn't been updated since October of 2008, and the bug still
		# exists as of April 2009, so as a workaround, we'll disable mysql_auto_reconnect
		# and then always do a $dbh->ping() before every database communication.
		#
		$PREF{dbh}->{mysql_auto_reconnect} = 0;
	}
}


sub verify_db_connection
{
	get_db_connection('force') unless $PREF{dbh} && $PREF{dbh}->ping;
}


sub db_column_exists($$)
{
	my $column_to_find = shift;
	my $table_name = shift;

	verify_db_connection();
	check_tablename_for_sql_safeness($table_name);

	my ($column_name, $temp) = ('','');
	my $sth = $PREF{dbh}->prepare("SHOW COLUMNS FROM `$table_name`;");
	$sth->execute() or die_nice "Error: $DBI::errstr\n";
	$sth->bind_columns(\$column_name, \$temp, \$temp, \$temp, \$temp, \$temp);
	while($sth->fetchrow_arrayref)
	{
		#print STDERR "column_name='$column_name', column_to_find='$column_to_find'\n";

		#return 1 if $column_name eq $column_to_find;
		#
		# MySQL returns a "Duplicate column name" error if you try to create a column
		# named (for example) "Color" when there's already one named "color":
		#
		return 1 if lc($column_name) eq lc($column_to_find);
	}
	return 0;
}


sub db_table_exists($)
{
	my ($table_to_check, $table, $table_exists) = (shift, '', 0);
	my $sth = $PREF{dbh}->prepare(qq`show tables;`);
	$sth->execute();
	$sth->bind_columns(\$table);
	while($sth->fetchrow_arrayref)
	{
		if($table eq $table_to_check)
		{
			$table_exists = 1;
			last;
		}
	}
	return $table_exists;
}


sub get_db_colnames($)
{
	my $table = shift;
	check_tablename_for_sql_safeness($table);
	my $colnames = '';
	my $column_name = '';
	my $temp = '';
	my $sth = $PREF{dbh}->prepare("SHOW COLUMNS FROM `$table`;");
	$sth->execute() or die_nice "$0: Error: db_column_exists(): $DBI::errstr\n";
	$sth->bind_columns(\$column_name, \$temp, \$temp, \$temp, \$temp, \$temp);
	while($sth->fetchrow_arrayref)
	{
		$colnames .= $column_name . ',';
	}
	$colnames =~ s/,$//;
	return $colnames;
}


sub get_ip_and_host
{
	# Some hosting companies (Yahoo) set REMOTE_ADDR to their own IP (it's a cache or proxy or something)
	# and then set the true end-user IP in a different ENV var, so if those exist, use them instead.
	#
	my $ip = $ENV{HTTP_YAHOOREMOTEIP} || $ENV{HTTP_X_FORWARDED_FOR} || $ENV{HTTP_CLIENT_IP} || $ENV{REMOTE_ADDR};
	my $host = $ENV{REMOTE_HOST};

	if((!$host) || ($host !~ /\w\.\w/)) { $host = $ip; }
	if($host eq $ip)
	{
		use Socket;
		$host = gethostbyaddr(inet_aton($ip), AF_INET);
	}
	if((!$host) || ($host !~ /\w\.\w/)) { $host = $ip; }

	return ($ip, $host);
}


sub populate_month_conversion_hashes
{
	$PREF{monthnum}{jan}='01';
	$PREF{monthnum}{feb}='02';
	$PREF{monthnum}{mar}='03';
	$PREF{monthnum}{apr}='04';
	$PREF{monthnum}{may}='05';
	$PREF{monthnum}{jun}='06';
	$PREF{monthnum}{jul}='07';
	$PREF{monthnum}{aug}='08';
	$PREF{monthnum}{sep}='09';
	$PREF{monthnum}{oct}='10';
	$PREF{monthnum}{nov}='11';
	$PREF{monthnum}{dec}='12';

	$PREF{monthnum}{january}='01';
	$PREF{monthnum}{february}='02';
	$PREF{monthnum}{march}='03';
	$PREF{monthnum}{april}='04';
	$PREF{monthnum}{may}='05';
	$PREF{monthnum}{june}='06';
	$PREF{monthnum}{july}='07';
	$PREF{monthnum}{august}='08';
	$PREF{monthnum}{september}='09';
	$PREF{monthnum}{october}='10';
	$PREF{monthnum}{november}='11';
	$PREF{monthnum}{december}='12';

	$PREF{monthname}{"01"} = 'Jan';
	$PREF{monthname}{"02"} = 'Feb';
	$PREF{monthname}{"03"} = 'Mar';
	$PREF{monthname}{"04"} = 'Apr';
	$PREF{monthname}{"05"} = 'May';
	$PREF{monthname}{"06"} = 'Jun';
	$PREF{monthname}{"07"} = 'Jul';
	$PREF{monthname}{"08"} = 'Aug';
	$PREF{monthname}{"09"} = 'Sep';
	$PREF{monthname}{"10"} = 'Oct';
	$PREF{monthname}{"11"} = 'Nov';
	$PREF{monthname}{"12"} = 'Dec';
}


sub save_php_var_to_cache($$)
{
	my $new_var = shift;
	my $new_value = shift;
	my $new_date = offsettime();
	my $new_sessid = get_cookie($PREF{php_session_cookie_name});
	die_nice qq`couldn't determine PHP session ID from cookie; perhaps you need to adjust \$PREF{php_session_cookie_name} (currently '$PREF{php_session_cookie_name}')?` unless $new_sessid; # if there's no sessionid, we have no way to index into the cache file.
	for($new_var, $new_value, $new_date, $new_sessid)
	{
		s/:::::/ENCFIVECOLONS/g;
		s/\n/ENCNEWLINE/g;
	}
	my ($session_found, $var_found) = ();

	create_file_if_DNE($PREF{php_session_cache_file},$PREF{writable_file_perms});
	my @new_contents = ();
	open(CACHEFH,"+<$PREF{php_session_cache_file}") or die_nice("couldn't open cache file '$PREF{php_session_cache_file}' for R/W: $!\n");
	my $iofh = \*CACHEFH;
	flock $iofh, 2;
	seek $iofh, 0, 0;
	while(<$iofh>)
	{
		if(/^date=(\d+?):::::sessid=(\w+?):::::.+/)
		{
			chomp;
			my ($date, $sessid) = ($1, $2);
			if($new_date - $date < $PREF{php_session_cache_ttl})
			{
				if($sessid ne $new_sessid)
				{
					# If this record doesn't belong to the current user, don't bother processing it.
					push (@new_contents, "$_\n");
				}
				else
				{
					$session_found = 1;
					my $new_line = "date=${date}:::::sessid=${sessid}:::::";
					foreach my $var (split(/:::::/))
					{
						my ($name,$value) = ($var =~ /(\w+)=(.*)/);
						next if $name =~ /^(date|sessid)$/i;
						if($name eq $new_var)	{ $new_line .= "$name=${new_value}:::::"; $var_found = 1; }
						else			{ $new_line .= "$name=${value}:::::"; }
					}
					$new_line .= "$new_var=${new_value}:::::" if !$var_found;
					push (@new_contents, "$new_line\n");
				}
			}
		}
	}
	push (@new_contents, "date=${new_date}:::::sessid=${new_sessid}:::::$new_var=${new_value}:::::\n") if !$session_found;
	seek $iofh, 0, 0;
	print $iofh @new_contents;
	truncate $iofh, tell $iofh;
	close $iofh or die_nice("couldn't close cache file '$PREF{php_session_cache_file}' after R/W: $!\n");
}


sub get_php_var_from_cache($)
{
	my $new_var = shift;
	my $new_value = '';
	my $new_date = offsettime();
	my $new_sessid = get_cookie($PREF{php_session_cookie_name});
	die_nice qq`couldn't determine PHP session ID from cookie; perhaps you need to adjust \$PREF{php_session_cookie_name} (currently '$PREF{php_session_cookie_name}')?` unless $new_sessid; # if there's no sessionid, we have no way to index into the cache file.
	for($new_var, $new_value, $new_date, $new_sessid)
	{
		s/:::::/ENCFIVECOLONS/g;
		s/\n/ENCNEWLINE/g;
	}

	create_file_if_DNE($PREF{php_session_cache_file},$PREF{writable_file_perms});
	open(CACHEFH,"<$PREF{php_session_cache_file}") or die_nice("couldn't open cache file '$PREF{php_session_cache_file}' for reading: $!\n");
	my $infh = \*CACHEFH;
	flock $infh, 1;
	seek $infh, 0, 0;
	while(<$infh>)
	{
		if(/^date=(\d+?):::::sessid=(\w+?):::::.+/)
		{
			my ($date, $sessid) = ($1, $2);
			if($new_date - $date < $PREF{php_session_cache_ttl}   &&   $sessid eq $new_sessid)
			{
				if(/(?:^|:::::)$new_var=(.*?)(?::::::|$)/) { $new_value = $1; }
			}
		}
	}
	close $infh or die_nice("couldn't close cache file '$PREF{php_session_cache_file}' after reading: $!\n");
	return $new_value;
}


sub cache_and_read_any_nonpost_env_vars()
{
	$PREF{nonpost_env_var_cache_ttl} = 60*60*24 unless $PREF{nonpost_env_var_cache_ttl} =~ /^\d+$/; # in seconds.
	my $file = $PREF{datadir} . '/cache_for_nonpost_env_vars.cgi';
	create_file_if_DNE($file, $PREF{writable_file_perms});
	my $current_date = offsettime();
	my (%live_env_vars, %cached_env_vars, %live_env_vars_missing_from_cache, %cached_env_vars_that_need_to_be_updated) = ();
	my ($expired_records, @records_from_other_users, @cached_env_vars_missing_from_live_env, @unchanged_cached_env_vars) = ();

	foreach my $var (sort keys %ENV)
	{
		$live_env_vars{$var} = $ENV{$var} if(

			($var =~ /^PHP/)
			
			||
			
			($PREF{enable_username_from_environment_variable} =~ /yes/i   &&   $var eq $PREF{username_envvar_name})
			
		);
	}
	if(%live_env_vars)
	{
		open(my $iofh, "+<$file") or die_nice qq`couldn't open file '$file' for R/W: $!`;
		flock $iofh, 2;
		seek $iofh, 0, 0;
		while(<$iofh>)
		{
			chomp;
			if(/^date=(\d+):::::encvisid=(\w+):::::(\w+)=(.*)/)
			{
				my ($date, $encvisid, $var, $value) = ($1, $2, $3, $4);
				if($current_date - $date < $PREF{nonpost_env_var_cache_ttl})
				{
					if($encvisid eq $PREF{enc_visitor_id})
					{
						$value =~ s!ENCNEWLINE!\n!g;

						$cached_env_vars{$var} = $value;
						if(! exists $ENV{$var})
						{
							push (@cached_env_vars_missing_from_live_env, "$_\n");
						}
						elsif($cached_env_vars{$var} ne $ENV{$var})
						{
							$cached_env_vars_that_need_to_be_updated{$var} = $ENV{$var};
						}
						else
						{
							push (@unchanged_cached_env_vars, "$_\n");
						}
					}
					else
					{
						# If this record doesn't belong to the current user, don't bother processing it.
						push (@records_from_other_users, "$_\n");
					}
				}
				else
				{
					$expired_records = 1;
				}
			}
		}
		foreach my $var (sort keys %live_env_vars)
		{
			if(! exists $cached_env_vars{$var})
			{
				$live_env_vars_missing_from_cache{$var} = $live_env_vars{$var};
			}
		}

		my @new_contents = ();
		if($expired_records || %live_env_vars_missing_from_cache || %cached_env_vars_that_need_to_be_updated)
		{
			foreach my $var (keys %live_env_vars_missing_from_cache)
			{
				my $value = $live_env_vars_missing_from_cache{$var}; $value =~ s!\n!ENCNEWLINE!g;
				push @new_contents, "date=${current_date}:::::encvisid=$PREF{enc_visitor_id}:::::${var}=${value}\n";
			}
			foreach my $var (keys %cached_env_vars_that_need_to_be_updated)
			{
				my $value = $cached_env_vars_that_need_to_be_updated{$var}; $value =~ s!\n!ENCNEWLINE!g;
				push @new_contents, "date=${current_date}:::::encvisid=$PREF{enc_visitor_id}:::::${var}=${value}\n";
			}
			push @new_contents, @cached_env_vars_missing_from_live_env;
			push @new_contents, @unchanged_cached_env_vars;
			push @new_contents, @records_from_other_users;
			
			seek $iofh, 0, 0;
			print $iofh @new_contents;
			truncate $iofh, tell $iofh;
		}

		close($iofh) or die_nice qq`couldn't close file '$file' after R/W: $!`;
	}
	else
	{
		# We were POSTed to?  So populate the live %ENV with any cached nonpost vars for this user.

		if(-s $file) # don't bother opening/closing the file if it's empty.
		{
			open(my $infh, $file) or die_nice qq`couldn't open file '$file' for reading: $!`;
			flock $infh, 1;
			seek $infh, 0, 0;
			while(<$infh>)
			{
				chomp;
				if(/^date=(\d+):::::encvisid=$PREF{enc_visitor_id}:::::(\w+)=(.*)/)
				{
					my ($date, $var, $value) = ($1, $2, $3);
					if($current_date - $date < $PREF{nonpost_env_var_cache_ttl})
					{
						$value =~ s!ENCNEWLINE!\n!g;
						$ENV{$var} = $value;
					}
				}
			}
			close($infh) or die_nice qq`couldn't close file '$file' after reading: $!`;
		}
	}
}


sub do_email_test
{
	my $to		= $PREF{email_test_recipient};
	my $from	= $PREF{email_test_sender};

	if($PREF{admin_is_logged_in})
	{
		$to = get_qs_var('to') if is_valid_email_address(get_qs_var('to'));
		$from = get_qs_var('from') if is_valid_email_address(get_qs_var('from'));
	}

	my $subj	= "test message - $PREF{date14} - $ENV{HTTP_HOST}";
	my $format	= $PREF{mailtest_email_format} || $PREF{global_email_format};
	my $die		= get_qs_var('die') eq '0' ? '' : 'die_on_email_error';

	my $authname	= $PREF{smtp_auth_username} ? 'not null' : 'null';
	my $authpass	= $PREF{smtp_auth_password} ? 'not null' : 'null';

	eval { require MIME::Lite; };
	my $mimelite_available = $@ ? "it's not" : "it is";

	my $sendmail_available = -e $PREF{path_to_sendmail} ? "it does" : "it doesn't";

	my $msg		= qq`this is only a test.
email settings:
\$PREF{smtp_server}		='$PREF{smtp_server}'
\$PREF{path_to_sendmail}	='$PREF{path_to_sendmail}'
\$PREF{smtp_auth_username}	is $authname.
\$PREF{smtp_auth_password}	is $authpass.
`;

	send_email($to, $from, $subj, $msg, $format, $die);

	my $output = qq`Sent test message from "$from" to "$to"; no immediate error occurred. <br /><br />\n\nIf the MIME::Lite Perl module is installed ($mimelite_available) and if \$PREF{smtp_server} is not null (it's "$PREF{smtp_server}"), then we tried to send the email using SMTP. <br /><br />\n\nIf your sendmail executable exists ($sendmail_available) (specified by \$PREF{path_to_sendmail}, currently "$PREF{path_to_sendmail}"), then we tried to send the email using sendmail, too.`;
	$output .= qq`<br /><br />\n\nNote: since you're an admin, you can also pass to=(address), from=(address), and die=(0|1) on the URL.` if $PREF{admin_is_logged_in};
	exit_with_notice($output);
}


sub add_text_to_file($$$)
{
	# Note: this function doesn't automatically insert any newlines; it
	# only inserts precisely what it receives in the $text parameter.

	my ($text, $file, $position) = @_;
	open(my $iofh, "+<$file") or die_nice "couldn't open file '$file' for R/W: $!\n";
	flock $iofh, 2;

	if($position eq 'start')
	{
		seek $iofh, 0, 0;
		my @contents = <$iofh>;
		seek $iofh, 0, 0;
		print $iofh $text;
		print $iofh @contents;
	}
	elsif($position eq 'clobber')
	{
		seek $iofh, 0, 0;
		print $iofh $text;
	}
	else
	{
		seek $iofh, 0, 2;
		print $iofh $text;
	}

	truncate $iofh, tell $iofh;
	close $iofh or die_nice "couldn't close file '$file' after R/W: $!\n";
}


sub get_database_data
{
	$PREF{on_page} = 'default';
	my ($tableprefname,$viewerprefname,$allowed_to_view,$allowed_to_create,$allowed_to_edit,$allowed_to_delete) = @_;
	my $dbtable = $PREF{$tableprefname} || $tableprefname; # "$tableprefname" can be the name of the pref OR of the table.
	my $createmode = 0;
	my $editmode = 0;
	my $row_id_to_edit = 0;

	if((my $ref = $ENV{HTTP_REFERER}) && $qs !~ /(?:^|&)dbvwrwhence=.+/)
	{
		$ref =~ s!\?!_encrplcdqm_!g;
		$ref =~ s!&!_encrplcdamp_!g;
		$ref =~ s!^https?://!!;
		$ref =~ s!^$ENV{HTTP_HOST}!!;
		$ref .= '_dbvwrwhncend_';
		$qs .= "&dbvwrwhence=$ref";
		$ENV{REQUEST_URI} .= $ENV{REQUEST_URI} =~ /\?/ ? "&dbvwrwhence=$ref" : "?dbvwrwhence=$ref"
	}
	if($qs =~ /(?:^|&)dbvwrwhence=(.+)_dbvwrwhncend_/)
	{
		$PREF{dbvwrwhence} = $1;
		$PREF{dbvwrwhence} =~ s!_encrplcdqm_!?!g;
		$PREF{dbvwrwhence} =~ s!_encrplcdamp_!&!g;
	}

	my $viewing_single_item		= $QS{id} =~ /^\d+$/;

	my $hiddencols			= $qs =~ /allfields=true/ ? 0
					: ($viewing_single_item  && $PREF{"${viewerprefname}_viewer_hidden_columns_singlemode"}) ? $PREF{"${viewerprefname}_viewer_hidden_columns_singlemode"}
					: (!$viewing_single_item && $PREF{"${viewerprefname}_viewer_hidden_columns_multimode"})  ? $PREF{"${viewerprefname}_viewer_hidden_columns_multimode"}
					: $PREF{"${viewerprefname}_viewer_hidden_columns"};   # TODO: add UI for allfields=true.
	my $disabledcols		= $PREF{"${viewerprefname}_viewer_disabled_columns"};
	my $display_length		= $PREF{"${viewerprefname}_viewer_max_display_length"} || 500;
	my $pagetitle			= $PREF{"${viewerprefname}_viewer_title"};
	my $template			= $PREF{"${viewerprefname}_viewer_template"} || qq`\n%%header_note%%\n%%%if-db_view_controls%%%<p id="db_view_controls">[ %%db_view_controls%% ]</p>\n%%%end-db_view_controls%%%<br />\n%%output%%\n<p>%%pagelinks%%</p>\n%%search_form%%\n%%footer_note%%\n`;
	my @template_viewcontrols	= $PREF{"${viewerprefname}_viewer_template_viewcontrols"} || (qq`%%horizlink:text=Horizontal%%`, qq`%%vertlink:text=Vertical%%`, qq`%%viewalllink:text=View All%%`);
	my $template_viewcontrols_sep	= $PREF{"${viewerprefname}_viewer_template_viewcontrols_separator"} || ' | ';
	$template			=~ s!%%header_note%%!<div class="database_header_note">$PREF{"${viewerprefname}_viewer_header_note"}</div>!g;
	$template			=~ s!%%footer_note%%!$PREF{"${viewerprefname}_viewer_footer_note"}!g;
	my $itemsperpage		= $PREF{"${viewerprefname}_viewer_itemsperpage"} || 10;
	my $extra_columns		= \%{$PREF{"${viewerprefname}_viewer_extra_columns"}};
	my %db_update_details		= ( table => $dbtable, viewerprefname => $viewerprefname );

	my $creation_title_transforms	= \%{$PREF{"${viewerprefname}_creation_title_transforms"}};
	my $editmode_title_transforms	= \%{$PREF{"${viewerprefname}_editmode_title_transforms"}};
	my $viewer_title_transforms	= \%{$PREF{"${viewerprefname}_viewer_title_transforms"}};
	my $viewer_value_transforms	= \%{$PREF{"${viewerprefname}_viewer_value_transforms"}};
	my %custom_titles		= ();

	my $selection_restrictions	= $PREF{"${viewerprefname}_viewer_selection_restrictions"};
	my $editmode_restrictions	= $PREF{"${viewerprefname}_editmode_restrictions"};
	
	$PREF{"${viewerprefname}_viewer_db_url"}	||= "$PREF{here_qsready}action=" . get_qs_var('action');
	$PREF{"${viewerprefname}_viewer_db_url_full"}	||= $PREF{protoprefix} . $ENV{HTTP_HOST} . $PREF{"${viewerprefname}_viewer_db_url"}; # for within emails, etc.

	# extra_columns have a position within the displayed table, and a value, although
	# the value will often be null because it'll instead be set by a transform.  set
	# their position to >1000 in order to put them at the end of the table.
	#
	# title_transforms just change the header text for the specified column.
	#
	# value_transforms use "%%variable%%" to refer to the name/value of their own column, and
	# can also use %%foo%%, where foo is the name of any other column in the same table.
	#
	# _editmode_frontend_value_transforms are viewer transforms specifically for edit-mode;
	# they transform the values that pre-populate the form when editing a record.  So they
	# don't transform the backend (i.e. the POST side) at all.
	#
	# You can pass ?raw$columnname=yes on the URL to display that column's values in their
	# raw form, with any viewer transformations disabled.

	my ($range_start,$range_end,$sql_range_start) = get_pagination_range($itemsperpage);

	if($allowed_to_create)
	{
		$createmode = 1 if get_qs_var('createmode') eq 'true';
	}

	if($allowed_to_edit)
	{
		# Nothing in here should need editing.
		if(get_qs_var('editmode') eq 'true'   &&   get_qs_var('editid') =~ /^(\d+)$/)
		{
			$editmode = 1;
			$row_id_to_edit = $1;
		}
		elsif(!$createmode)
		{
			$$extra_columns{edit} = { position => 1 };
			$$viewer_value_transforms{edit} = qq`%%variable%% = '<a href="$PREF{REQ_URI_SANS_QS}?$qs&editmode=true&amp;editid=%%id%%&amp;format=vert">$TEXT{Edit}</a>';`;
		}
	}
	$PREF{db_editor_mode} = $createmode ? 'create' : $editmode ? 'edit' : '';

	if($PREF{"${viewerprefname}_viewer_show_view_link"} && !$createmode && !$editmode && !$viewing_single_item)
	{
		$$extra_columns{view} = { position => 1 };
		$$viewer_value_transforms{view} = qq`%%variable%% = '<a href="$PREF{REQ_URI_SANS_QS}?$qs&amp;id=%%id%%&amp;format=vert">$TEXT{View}</a>';`;
	}

	die_unless_sqlsafe($dbtable);
	die_unless_numeric($row_id_to_edit, '$row_id_to_edit');
	$db_update_details{record_id} = $row_id_to_edit;
	my $live_data_fingerprint = md5_hex($ENV{HTTP_HOST} . $ENV{HTTP_USER_AGENT} . join('',enc_sql_select("SELECT * FROM `$dbtable` WHERE `id` = $row_id_to_edit")));

	my $restriction = '';
	my $num_cols = 0;

	my $db_colnames = get_db_colnames($dbtable);
	$num_cols += ($db_colnames =~ tr/,//) + 1;

	# If any extra (i.e. not straight from the DB) columns were specified,
	# get or assign their positions:
	#
	my %extra_column_names = ();
	foreach my $colname (keys %$extra_columns)
	{
		my $requested_pos = $$extra_columns{$colname}{position};
		if(!$requested_pos || ($requested_pos < 1000))
		{
			my $pos = $$extra_columns{$colname}{position} =~ /^(\d+)$/ ? $1 : $num_cols;
			$pos++ while exists $extra_column_names{$pos};
			$extra_column_names{$pos} = $colname;
			$num_cols++;
		}
	}

	# Create the combined @column_list from the actual DB columns and
	# the extra columns with their specified positions:
	#
	my $j = 0;
	my @column_list = ();
	for(my $i = 1; $i <= $num_cols; $i++)
	{
		if($extra_column_names{$i})	{ push @column_list, $extra_column_names{$i};	}
		else				{ push @column_list, (split(/,/, $db_colnames))[$j++];	}
	}

	# Now go through the extra columns again, for any that requested to
	# be at the end of the table (by specifying a position >1000):
	#
	foreach my $colname (keys %$extra_columns)
	{
		my $requested_pos = $$extra_columns{$colname}{position};
		if($requested_pos >= 1000)
		{
			push @column_list, $colname;
			$num_cols++;
		}
	}

	my $column_list = join ',', @column_list;

	my $vertical = $qs =~ /(?:^|&)format=vert(?:&|$)/ || ($PREF{"${viewerprefname}_viewer_default_mode"} =~ /vertical/i && $qs !~ /(?:^|&)format=horiz(?:&|$)/);
	$vertical = 0 if ($PREF{"${viewerprefname}_viewer_forced_mode"} =~ /horiz/i   ||   ($viewing_single_item && $PREF{"${viewerprefname}_viewer_forced_mode_in_singlemode"} =~ /horiz/i)   ||   (!$viewing_single_item && $PREF{"${viewerprefname}_viewer_forced_mode_in_multimode"} =~ /horiz/i));
	$vertical = 1 if ($PREF{"${viewerprefname}_viewer_forced_mode"} =~ /vert/i    ||   ($viewing_single_item && $PREF{"${viewerprefname}_viewer_forced_mode_in_singlemode"} =~ /vert/i)    ||   (!$viewing_single_item && $PREF{"${viewerprefname}_viewer_forced_mode_in_multimode"} =~ /vert/i));
	my %columns = map { $_ => 1 } split(/,/, $column_list);
	my %hidden_columns = map { $_ => 1 } split(/\s*,\s*/, $hiddencols);
	my %disabled_columns = map { $_ => 1 } split(/\s*,\s*/, $disabledcols);
	my %hidden_cells = ();

	my %uncreatable_columns = map { $_ => 1 } split(/\s*,\s*/, $PREF{"${viewerprefname}_viewer_uncreatable_columns"});
	my %uneditable_columns = map { $_ => 1 } split(/\s*,\s*/, $PREF{"${viewerprefname}_viewer_uneditable_columns"});
	my %autoset_columns = %{$PREF{"${viewerprefname}_creation_autoset_columns"}} if $PREF{"${viewerprefname}_creation_autoset_columns"};
	$uneditable_columns{id} = $uncreatable_columns{id} = 1;

	$PREF{"${viewerprefname}_viewer_item_name"} = $PREF{"${viewerprefname}_viewer_item_name"} || 'record';
	$PREF{"${viewerprefname}_viewer_item_name_plural"} = $PREF{"${viewerprefname}_viewer_item_name_plural"} || $PREF{"${viewerprefname}_viewer_item_name"}.'s';
	s!%%itemname%%!$PREF{"${viewerprefname}_viewer_item_name"}!g for ($TEXT{database_create_button}, $TEXT{database_create_button_2}, $TEXT{database_delete_successful}, $TEXT{database_deleter_title}, $TEXT{database_deleter_checkbox}, $TEXT{database_deleter_button});


	# Set any viewer/editor options that apply to all modes (view/create/edit):
	#
	foreach my $column (split(/,/, $column_list))
	{
		my $fieldtype_already_set = 0;
		if(my ($fieldtype,$label,$listitems,$defaultvalue) = field_structure_managed_by_us($column))
		{
			$custom_titles{$column} = $label if $label;
			$PREF{"${viewerprefname}_creation_default_value"}{lc($column)} = $defaultvalue if $defaultvalue;
			if($fieldtype eq 'dropdown')
			{
				$listitems =~ s!\n!\|\|\|!g; # our field structure manager uses newline as separator; this function uses "|||".
				$PREF{"${viewerprefname}_viewer_column_is_predefined_list"}{lc($column)} = $listitems;
				$fieldtype_already_set = 1;
			}
			elsif($fieldtype eq 'checkbox')
			{
				$PREF{"${viewerprefname}_viewer_column_is_checkbox"}{lc($column)} = 1;
				$fieldtype_already_set = 1;
			}
			elsif($fieldtype eq 'radio')
			{
				$listitems =~ s!\n!\|\|\|!g; # our field structure manager uses newline as separator; this function uses "|||".
				$PREF{"${viewerprefname}_viewer_column_is_radio_buttons"}{lc($column)} = $listitems;
				$fieldtype_already_set = 1;
			}
			elsif($fieldtype eq 'freeformmulti')
			{
				$PREF{"${viewerprefname}_viewer_force_textarea"}{lc($column)} = 1;
				$fieldtype_already_set = 1;
			}
		}
		if(datatype_is_bool($dbtable,$column) && !$fieldtype_already_set)
		{
			$PREF{"${viewerprefname}_viewer_column_is_toggle"}{lc($column)} = 1;
			$fieldtype_already_set = 1;
		}
	}


	# Note: early return.
	if($ENV{REQUEST_METHOD} =~ /post/i)
	{
		my $return_url_base = param('enc_post_return_url') || $PREF{REQ_URI_SANS_QS};
		
		my $wholequery = new CGI();
		my %allparams = $wholequery->Vars;
		my %multiboxes = ();
		foreach my $param(sort keys %allparams)
		{
			if(my ($col,$val) = ($param =~ /^encdb_multibox_col_(.+)_val_(.+)/))
			{
				enc_urldecode($val);
				$multiboxes{$col} .= $val . '|||';
			}
		}
		foreach my $col (keys %multiboxes) { $multiboxes{$col} =~ s!\|\|\|$!!; } # strip the final trailing '|||'.

		if(param('searchmode') eq 'true')
		{
			exit_with_needprivs() unless $PREF{"${viewerprefname}_allowed_to_search"};

			my $redirect_url = get_return_url_for_dbviewer($return_url_base) . '&';

			my $searchquery = new CGI(); # must happen if we were POSTed to, or there's a weird delay between client/server after the script finishes.
			my %params = $searchquery->Vars;
			foreach my $param(sort keys %params)
			{
				#print "$param: $params{$param}<br />\n";
				if(my ($field) = ($param =~ /^srch_(.+)/))
				{
					my $value = $params{$param};
					my $srchmode = $params{"srchmode_${field}"};
					$redirect_url =~ s!srch[1234]_${field}=[^&]+!!g; # remove any previous values for this field from the url.
					$redirect_url .= "srch${srchmode}_${field}=$value&" unless $srchmode == 4;   # 4 means ignore-this-field.
				}
			}

			defooify('&', $redirect_url);
			enc_redirect($redirect_url);		
		}
		elsif($editmode)
		{
			exit_with_needprivs() unless $allowed_to_edit;

			my $data_fingerprint_before_editing = param('enc_form_dfp');
			exit_with_error(qq`Error: data fingerprint mismatch; the data changed while you were editing it.&nbsp; Go back, reload the page, and try again.`) unless $live_data_fingerprint eq $data_fingerprint_before_editing;

			# We're only dealing with a single row here, but we'll use _multi to get the named fields into a hash.
			my $existingdata = enc_sql_select_multi("SELECT * FROM `$dbtable` WHERE `id` = $row_id_to_edit $editmode_restrictions");

			if($qs =~ /editdelete=true/)
			{
				exit_with_needprivs() unless $allowed_to_delete;

				$db_update_details{action} = 'delete'; $db_update_details{action_pasttense} = 'deleted';

				foreach my $col (keys %{$$existingdata{1}})
				{
					exit_with_error("Error: this record cannot be deleted.") if exists $PREF{"${viewerprefname}_viewer_undeletable_rows"}{lc($col)}{   $$existingdata{1}{$col}   };
				}

				if(param('confirmdeleterecord') =~ /on/i)
				{
					my $values = enc_sql_select_multi("SELECT * FROM `$dbtable` WHERE `id` = $row_id_to_edit LIMIT 1");
					enc_sql_delete("DELETE FROM `$dbtable` WHERE `id` = $row_id_to_edit LIMIT 1");

					if(my $code = $PREF{"${viewerprefname}_deletion_oncomplete_code"})
					{
						$code =~ s/%%(\w+)%%/$$values{1}{$1}/g;
						eval $code; die_nice $@ if $@;
					}

					$db_update_details{deleted_record} = $existingdata;
					send_notification_emails_for_database_update(\%db_update_details) if $PREF{"${viewerprefname}_emailalert_on_updates"} =~ /yes/i;
					enc_redirect(get_return_url_for_dbviewer($return_url_base));
				}
				else
				{
					$qs =~ s!editdelete=true!!g;
					defooify('&',$qs);
					enc_redirect($return_url_base . ($qs ? "?$qs" : ''));
				}
			}
			else
			{
				$db_update_details{action} = 'edit'; $db_update_details{action_pasttense} = 'edited';

				my %values = ();
				foreach my $column (keys %{$$existingdata{1}})
				{
					my $value = param("encdb_$column");
					$value =~ s!\r\n!\n!g;

					if(my $code = $PREF{"${viewerprefname}_POST_value_transforms"}{lc($column)})
					{
						my %values_temp = { $column => '' };
						transform_value_according_to_code($dbtable, $value, \%values_temp, $code, $column, 2, undef);
						$value = $values_temp{$column};
					}
					elsif($PREF{"${viewerprefname}_viewer_column_is_checkbox"}{lc($column)})
					{
						$value = param("encdb_" . $column) =~ /on/i ? 1 : 0;
					}
					elsif($PREF{"${viewerprefname}_viewer_column_is_multibox"}{lc($column)})
					{
						$value = $multiboxes{$column};
					}

					replace_nonsqlsafe_chars_with($PREF{"${viewerprefname}_replace_nonsqlsafe_chars_with"}{$column}, $value) if exists $PREF{"${viewerprefname}_replace_nonsqlsafe_chars_with"}{$column};

					$values{$column} = $value;
				}

				# A second version of the same loop, but this time %values is full, so that 
				# verify_new_database_value() can use it, in case the caller has used the
				# _viewer_value_verifications mechanism with embedded %%foo%% variables which
				# require accessing other column values.
				#
				my $col_i = 0;
				foreach my $column (keys %values)
				{
					next if $disabled_columns{$column} || $column =~ /^enchddn_/i || $$existingdata{1}{enchddn_uneditable_cols_in_this_row} =~ /$column/i;
					next if $uneditable_columns{lc($column)};
					next if exists $PREF{"${viewerprefname}_viewer_uneditable_values"}{lc($column)}{   $$existingdata{1}{$column}   };

					my $value = $values{$column};
					verify_new_database_value($dbtable,$viewerprefname,$column,$value,$row_id_to_edit,\%values);

					sql_untaint($value,$column);
					die_unless_sqlsafe($value,$column);

					$col_i++;
					unless($value eq $$existingdata{1}{$column})
					{
						$db_update_details{changed_record}{$col_i}{column} = $column;
						$db_update_details{changed_record}{$col_i}{old_value} = $$existingdata{1}{$column};
						$db_update_details{changed_record}{$col_i}{new_value} = $value;

						$value = $value eq '' ? qq`NULL` : qq`'$value'`;
						my $success = enc_sql_update("UPDATE `$dbtable` SET `$column` = $value WHERE `id` = $row_id_to_edit");
						die_nice("SQL returned '$success' instead of '1' while updating '$column'.") unless $success == 1;
					}
				}

				if(my $code = $PREF{"${viewerprefname}_editmode_oncomplete_code"})
				{
					$code =~ s/%%(\w+)___old%%/$$existingdata{1}{$1}/g;
					$code =~ s/%%(\w+)%%/$values{$1}/g;
					eval $code; die_nice $@ if $@;
				}

				$db_update_details{whole_changed_record} = enc_sql_select_multi("SELECT * FROM `$dbtable` WHERE `id` = $row_id_to_edit");
				send_notification_emails_for_database_update(\%db_update_details) if $PREF{"${viewerprefname}_emailalert_on_updates"} =~ /yes/i;
				enc_redirect(get_return_url_for_dbviewer($return_url_base));
			}
		}
		else
		{
			exit_with_needprivs() unless $allowed_to_create;

			$db_update_details{action} = 'create'; $db_update_details{action_pasttense} = 'created';

			my @namelist = my @valuelist = ();

			# Do this twice, because we might need to interpolate a variable value from a
			# late column into an early column, which won't be set the first time through.
			#
			my %values = ();
			my %creation_autoset_columns___done = ();
			my %POST_value_transforms___done = ();
			foreach my $pass (1,2)
			{
				foreach my $column (split(/,/, $db_colnames))
				{
					my $value = '';
					if(my $code = $PREF{"${viewerprefname}_creation_autoset_columns"}{lc($column)})
					{
						# TODO: for clarity, should the $value param here be '' instead of $value?
						transform_value_according_to_code($dbtable, $value, \%values, $code, $column, $pass, \%creation_autoset_columns___done);
					}
					elsif(my $code = $PREF{"${viewerprefname}_POST_value_transforms"}{lc($column)})
					{
						$value = param("encdb_" . $column);
						transform_value_according_to_code($dbtable, $value, \%values, $code, $column, $pass, \%POST_value_transforms___done);
					}
					elsif($PREF{"${viewerprefname}_viewer_column_is_checkbox"}{lc($column)})
					{
						$values{$column} = param("encdb_" . $column) =~ /on/i ? 1 : 0;
					}
					elsif($PREF{"${viewerprefname}_viewer_column_is_multibox"}{lc($column)})
					{
						$value = $multiboxes{$column};
					}
					else
					{
						$values{$column} = param("encdb_" . $column);
					}
					$values{$column} =~ s!\r\n!\n!g;
				}
			}

			foreach my $column (keys %values)
			{
				next if $uncreatable_columns{$column};
				next if $column =~ /^enchddn_/i;
				next if $disabled_columns{$column} && !$autoset_columns{$column}; # don't allow disabled columns to be set, except via autoset values.

				my $value = $values{$column};
				replace_nonsqlsafe_chars_with($PREF{"${viewerprefname}_replace_nonsqlsafe_chars_with"}{$column}, $value) if exists $PREF{"${viewerprefname}_replace_nonsqlsafe_chars_with"}{$column};
				verify_new_database_value($dbtable,$viewerprefname,$column,$value,'',\%values);
				$values{$column} = $value; # want the sqlsafe version but not the sql_untainted version.
				sql_untaint($value);
				die_unless_sqlsafe($value);
				push @namelist, "`$column`";

				$value = 0 if !$value && datatype_is_numeric($dbtable, $column);
				push @valuelist, "'$value'";
			}

			my $statement = "INSERT INTO `$dbtable` (" . (join ',', @namelist) . ") VALUES(" . (join ',', @valuelist) . ")";
			enc_sql_insert($statement);
			my $id = enc_sql_select("SELECT LAST_INSERT_ID() FROM `$dbtable`");
			$values{id} = $db_update_details{record_id} = $id;

			if(my $code = $PREF{"${viewerprefname}_creation_oncomplete_code"})
			{
				$code =~ s/%%(\w+)%%/$values{$1}/g;
				eval $code; die_nice $@ if $@;
			}

			$db_update_details{created_record} = enc_sql_select_multi("SELECT * FROM `$dbtable` WHERE `id` = $id");
			send_notification_emails_for_database_update(\%db_update_details) if $PREF{"${viewerprefname}_emailalert_on_updates"} =~ /yes/i;
			if(my $template = $PREF{"${viewerprefname}_creation_complete_page_template"})
			{
				$template =~ s/%%(\w+)%%/$values{$1}/g; kmsg_redirect($template);
			}
			elsif(my $redirect = $PREF{"${viewerprefname}_creation_complete_redirection_url"})
			{
				$redirect =~ s/%%(\w+)%%/$values{$1}/g; enc_redirect($redirect);
			}
			else
			{
				enc_redirect(get_return_url_for_dbviewer($return_url_base));
			}
		}
	}




	my ($toggles,$headers_horiz_string,%headers_horiz,%headers_vert,$firstcol) = ('','',undef,undef,undef,'');
	foreach my $column (split(/,/, $column_list))
	{
		next if $disabled_columns{$column} || $column =~ /^enchddn_/i;
		next if $uncreatable_columns{$column} && $createmode;
		next if $$extra_columns{$column} && $createmode;

		$firstcol = $column unless $firstcol;
		my $name = my $title = $column;
		if($$creation_title_transforms{$column} && $createmode)		{ $title = $$creation_title_transforms{$column};											}
		elsif($$editmode_title_transforms{$column} && $editmode)	{ $title = $$editmode_title_transforms{$column};											}
		elsif($$viewer_title_transforms{$column})			{ $title = $$viewer_title_transforms{$column};											}
		elsif($custom_titles{$column})					{ $title = $custom_titles{$column};											}
		else								{ $title =~ s/^(\w)/\u$1/; $title =~ s/_/ /g unless $PREF{dont_convert_underscores_to_spaces_in_db_titles} =~ /yes/i;	}
		my $strike = qq`style="text-decoration: line-through;"` if $hidden_columns{$name};
		$toggles .= qq`<a href="#" onclick="toggle_column('col_$name'); return false" id="link-col_$name" $strike>$title</a>&nbsp; `;

		$hidden_cells{$name} = qq`style="display: none;"` if $hidden_columns{$name} && !$createmode; # don't hide them in createmode, where the user must be able to see them to enter values for them.

		my $new_qs = $qs;
		#$new_qs =~ s/(^|&)$qs_id(&|$)/$1$2/g;
		$new_qs =~ s/(^|&)sort=\w+?(&|$)/$1$2/g;
		$new_qs =~ s/(^|&)reverse=\d(&|$)/$1$2/g;
		$new_qs =~ s/(^|&)phase=\w+?(&|$)/$1$2/g;
		$new_qs .= "&sort=$name";
		if($qs =~ /(?:^|&)reverse=1(?:&|$)/) { $new_qs .= "&reverse=0"; } else { $new_qs .= "&reverse=1"; }
		defooify('&',$new_qs);
		$new_qs =~ s/&/&amp;/g;

		my $style_horiz = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_horiz"}{"${column}_header"} . qq`"`) if exists $PREF{"${viewerprefname}_viewer_style_horiz"}{"${column}_header"};
		my $style_vert  = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_vert"}{"${column}_header"} . qq`"`)  if exists $PREF{"${viewerprefname}_viewer_style_vert"}{"${column}_header"};
		#my $link = $self =~ /\?/ ? "$self&$new_qs" : "$self?$new_qs";
		my $link = "$PREF{REQ_URI_SANS_QS}?$new_qs";
		$headers_horiz_string	.= qq`<th class="col_$name" $hidden_cells{$name} $style_horiz><a href="$link">$title</a></th>`;
		$headers_horiz{$name}	 = qq`<th class="col_$name" $hidden_cells{$name} $style_horiz><a href="$link">$title</a></th>`;
		$headers_vert{$name}	 = qq`<td class="col_$name verthead" $hidden_cells{$name} $style_vert><a href="$link">$title</a></td>`;
	}

	my $output = '';
	my $there_were_some_results = 0;

	if($createmode)
	{
		$output .= qq`<form method="post" action="$ENV{SCRIPT_NAME}?$qs" style="margin: 0; padding: 0;">\n`;
		$output .= qq`<div id="${dbtable}_table" class="enc_tbl enc_create_tbl">\n<table>\n`;
		$output .= qq`<tr class="headers">$headers_horiz_string</tr>\n` unless $vertical;

		my $i = 0;
		my $numcols = 1;
		my $oddeven = oddeven($i);
		$output .= qq`<tr class="$oddeven">` unless $vertical;
		foreach my $column (split(/,/, $column_list))
		{
			next if $disabled_columns{$column} || $column =~ /^enchddn_/i;
			next if $uncreatable_columns{$column};
			next if $$extra_columns{$column};
			next if $autoset_columns{$column};

			my $value = '';
			if(my $default = $PREF{"${viewerprefname}_creation_default_value"}{lc($column)})
			{
				if($default eq 'preset:date8')		{ $value = strftime("%Y%m%d",localtime(offsettime())); }
				elsif($default eq 'preset:date17')	{ $value = strftime("%Y%m%d-%H:%M:%S",localtime(offsettime())); }
				elsif($default eq 'preset:etime')	{ $value = offsettime(); }
				elsif($default =~ /%URL\{\w+\}/)	{ interpolate_vars_from_URL_and_cookies($default); $value = $default; }
				else					{ $value = $default; }
			}

			#my $readonly = $uneditable_columns{lc($column)};
			my $readonly = '';

			my $readonly__still_submitted = 'readonly="readonly"' if $PREF{"${viewerprefname}_readonly_value__still_submitted"}{lc($column)};


			# Process viewer/editor options:
			#
			if($PREF{"${viewerprefname}_viewer_column_is_checkbox"}{lc($column)} && !$readonly)
			{
				$value = qq`<input type="checkbox" name="encdb_$column" ` . ($value ? qq`checked="checked"` : '') . qq` />`;
			}
			elsif(exists $PREF{"${viewerprefname}_viewer_column_is_toggle"}{lc($column)} && !$readonly)
			{
				my ($yes,$no) = $PREF{"${viewerprefname}_viewer_column_toggle_values"}{lc($column)} =~ /(.+)\|(.+)/ ? ($1,$2) : ($TEXT{boolean_true_string}, $TEXT{boolean_false_string});
				$value  = qq`<select name="encdb_$column">`
					. qq`<option value="1"` . ($value  ? ' selected="selected"' : '') . qq`>$yes</option>`
					. qq`<option value="0"` . (!$value ? ' selected="selected"' : '') . qq`>$no</option>`
					. qq`</selected>`;
			}
			elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_predefined_list"}{lc($column)})
			{
				my $dropdown = qq`<select name="encdb_$column">`;
				my $value_is_in_list = 0;
				foreach my $item (split(/\s*\|\|\|\s*/, $list))
				{
					my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
					my $selected = '';
					if($submitted_value eq $value)
					{
						$selected = 'selected="selected"';
						$value_is_in_list = 1;
					}
					$dropdown .= qq`<option value="$submitted_value" $selected>$displayed_value</option>`;
				}
				$dropdown .= qq`<option selected="selected" value="$value">$value (error: not in list!)</option>` if !$value_is_in_list && $value;
				$dropdown .= qq`</select>`;
				$value = $dropdown;
			}
			elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_multibox"}{lc($column)})
			{
				my %allvalues = map { $_ => 1 } split(/\|\|\|/, $value);
				my @boxes = ();
				my $value_is_in_list = 0;
				foreach my $item (split(/\s*\|\|\|\s*/, $list))
				{
					my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
					my $checked = '';
					if($allvalues{$submitted_value})
					{
						$checked = 'checked="checked"';
						$value_is_in_list = 1;
					}
					my $submitted_value_for_paramname = enc_urlencode_return($submitted_value);
					my $boxid = "encdb_multibox_col_${column}_val_${submitted_value_for_paramname}";
					push @boxes, qq`<input type="checkbox" name="$boxid" id="$boxid" $checked /><label for="$boxid">$displayed_value</label>`;
				}
				push @boxes, qq`$value (error: not in list!)` if !$value_is_in_list && $value;
				my $separator = $PREF{"db_viewer_multibox_separator___$column"} || $PREF{db_viewer_multibox_separator___global} || '<br />';
				$value = join $separator, @boxes;
			}
			elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_radio_buttons"}{lc($column)})
			{
				my $item_i = 1;
				my @buttons = ();
				my $value_is_in_list = 0;
				foreach my $item (split(/\s*\|\|\|\s*/, $list))
				{
					my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
					my $checked = '';
					if($submitted_value eq $value)
					{
						$checked = 'checked="checked"';
						$value_is_in_list = 1;
					}
					push @buttons, qq`<input type="radio" name="encdb_$column" id="encdb_radio_${column}_${item_i}" value="$submitted_value" $checked /><label for="encdb_radio_${column}_${item_i}">$displayed_value</label>`;
					$item_i++;
				}
				my $separator = $PREF{"db_viewer_radiobutton_separator___$column"} || $PREF{db_viewer_radiobutton_separator___global} || '<br />';
				$value = join $separator, @buttons;
			}
			elsif(my $query = $PREF{"${viewerprefname}_creation_dropdown_from_SQL"}{lc($column)})
			{
				# The value of this query pref must start with: SELECT foo,bar FROM [...].
				# The first column will be the submitted value and the second the displayed value.

				my ($col1,$col2) = ($query =~ /^SELECT (\w+),(\w+) FROM /);
				my $dropdown = qq`<select name="encdb_$column">`;
				my $value_is_in_list = 0;
				my $results = enc_sql_select_multi($query);
				foreach my $k (sort { $a <=> $b } keys %$results)
				{
					my $submitted_value = $$results{$k}{$col1};
					my $displayed_value = $$results{$k}{$col2};
					my $selected = '';
					if($submitted_value eq $value)
					{
						$selected = 'selected="selected"';
						$value_is_in_list = 1;
					}
					$dropdown .= qq`<option value="$submitted_value" $selected>$displayed_value</option>`;
				}
				$dropdown .= qq`<option selected="selected" value="$value">$value (error: not in list!)</option>` if !$value_is_in_list && $value;
				$dropdown .= qq`</select>`;
				$value = $dropdown;
			}
			elsif(my $folder = $PREF{"${viewerprefname}_file_list"}{lc($column)})
			{
				my @files = get_all_files($folder);
				my $dropdown = qq`<select name="encdb_$column"><option selected="selected" value=""></option>`;
				foreach my $file (@files)
				{
					$dropdown .= qq`<option value="$file">$file</option>`;
				}
				$dropdown .= qq`</select>`;
				$value = $dropdown;
			}
			else
			{
				my $textlength = 'longtext';
				my $force_textarea = $PREF{"${viewerprefname}_viewer_force_textarea"}{lc($column)};

				$value = $readonly
					? qq`<div class="readonly">$value</div>`
					: (length($value) > 50 || $force_textarea)
					? qq`<textarea name="encdb_$column" class="text $textlength" $readonly__still_submitted>$value</textarea>`
					: qq`<input type="text" name="encdb_$column" class="text" value="$value" $readonly__still_submitted />`;
			}

			my $style_horiz = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_horiz"}{$column} . qq`"`) if exists $PREF{"${viewerprefname}_viewer_style_horiz"}{$column};
			my $style_vert  = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_vert"}{$column} . qq`"`)  if exists $PREF{"${viewerprefname}_viewer_style_vert"}{$column};
			my $style = $vertical ? $style_vert : $style_horiz;
			my $vertclass = 'vertcell' if $vertical;
			$output .= qq`<tr class="$oddeven vertrow">` if $vertical;
			$output .= $headers_vert{$column} if $vertical;
			$output .= qq`<td class="col_$column $vertclass" $hidden_cells{$column} $style>$value</td>`;
			$output .= qq`</tr>\n` if $vertical;
			$numcols++;
		}
		$output .= qq`</tr>\n` unless $vertical;

		$output .= qq`<tr class="` . oddeven($i) . qq`">`;
		$output .= qq`<td colspan="$numcols" class="button"><input type="submit" class="button" value="$TEXT{database_create_button_2}" /></td>`;
		$output .= qq`</tr>\n`;

		$output .= qq`</table>\n</div>\n`;
		$output .= qq`<input type="hidden" name="enc_post_return_url" value="$PREF{REQ_URI_SANS_QS}" />\n`;
		$output .= qq`</form>\n`;
	}
	else
	{
		my $editclass = $editmode ? 'enc_edit_tbl' : '';
		my $quicksort_class = quicksort_is_active() ? 'enc_sortable' : '';
		$output .= qq`<form method="post" action="$ENV{SCRIPT_NAME}?$qs" style="margin: 0; padding: 0;">\n` if $editmode;
		$output .= qq`<div id="columntoggles">Show/hide:&nbsp; $toggles</div>\n` unless $PREF{"${viewerprefname}_viewer_hide_column_toggles"} =~ /yes/i;
		$output .= qq`<div id="${dbtable}_table" class="enc_tbl $editclass">\n<table class="$quicksort_class" id="db_viewer_table">\n` unless $vertical;
		$output .= qq`<tr class="headers">$headers_horiz_string</tr>\n` unless $vertical;

		# 20090429: changed the query from this:
		#
		#	SELECT * FROM `$dbtable` LIMIT $sql_range_start, $range_end
		#
		# ...to this:
		#
		#	SELECT * FROM `$dbtable` $DESC LIMIT $sql_range_start, $range_end
		#
		# ...where $DESC = $reverse ? 'ORDER BY `id` DESC' : ''.
		# This is so that, when sorting in reverse with multiple pages of records (with
		# for example 25 records per page), page #1 shows the *last* 25 records, rather
		# than the first 25 but in reverse order.  But, shouldn't we be using $sortkey,
		# as in the original now-commented-out query, rather than hard-coding it to `id`?

		my $sortkey = $qs =~ /(?:^|&)sort=(\w+?)(?:&|$)/ ? $1
			: $PREF{"${viewerprefname}_viewer_default_sort_field"} ? $PREF{"${viewerprefname}_viewer_default_sort_field"} 
			: exists $columns{id} ? 'id'
			: $firstcol;
		my $reverse = $qs =~ /(?:^|&)reverse=1(?:&|$)/ ? 1 : 0; # toggle the 1s and 0s to reverse by default or not.
		#my $DESC = $reverse ? 'ORDER BY `id` DESC' : '';
		my $DESC = $reverse ? 'DESC' : '';
		enc_urldecode($sortkey);
		die_unless_sqlsafe($sortkey);

		# 20110823: moving the querystring-based result restriction logic up here, so we can
		# make it part of the actual SQL query, and thus have the result count and pagination
		# numbers etc be correct, as opposed to before when this was done just after the SQL
		# query by simply hiding (skipping) result rows that didn't match the qs-specified
		# restrictions.
		#
		foreach my $column (split(/,/, $column_list))
		{
			if($qs =~ /(?:^|&)$column=([^&]*)(?:&|$)/i)
			{
				my $url_specified_value = $1;
				enc_urldecode($url_specified_value);
				sql_untaint($url_specified_value);
				die_unless_sqlsafe($url_specified_value);
				$selection_restrictions .= $selection_restrictions ? " AND " : " WHERE ";
				$selection_restrictions .= "`$column` = '$url_specified_value'";
			}
		}

		while($qs =~ /(?:^|&)srch([123])_([^=]+)=([^&]+)/g)
		{
			my ($srchmode, $srchfield, $srchvalue) = ($1, $2, $3);
			$srchvalue = enc_urldecode_return($srchvalue);
			sql_untaint($srchfield,$srchvalue);
			die_unless_sqlsafe($srchfield,$srchvalue);
			$selection_restrictions .= $selection_restrictions ? " AND " : " WHERE ";
			if($srchmode == 1) # exact.
			{
				$selection_restrictions .= "`$srchfield` = '$srchvalue'";
			}
			elsif($srchmode == 2) # partial.
			{
				$selection_restrictions .= "`$srchfield` LIKE '%$srchvalue%'";
			}
			elsif($srchmode == 3) # invert.
			{
				$selection_restrictions .= "`$srchfield` NOT LIKE '%$srchvalue%'";
			}
		}
		
		#my $rows = enc_sql_select_multi("SELECT * FROM `$dbtable` ORDER BY `$sortkey` LIMIT $sql_range_start, $range_end");
		my $mainquery = "SELECT * FROM `$dbtable` $selection_restrictions ORDER BY `$sortkey` $DESC LIMIT $sql_range_start, $itemsperpage";
		#encdebug "query: $mainquery";
		my $rows = enc_sql_select_multi($mainquery);

		# Do a first pass so we can perform value_transforms, so the values are
		# set and then we can do the sorting properly in the second pass.
		#
		foreach my $row (keys %$rows)
		{
			# Actually, do this first pass twice, because we might need to interpolate
			# a variable value from a late column into an early column, which won't be
			# set the first time through.
			#
			my %already_transformed = ();
			foreach my $pass (1,2)
			{
				foreach my $column (split(/,/, $column_list))
				{
					#next if $disabled_columns{$column}; # actually, don't skip disabled cols here; we want their values to be available for transforms for other cols.
					my $value = exists $$extra_columns{$column} ? $$extra_columns{$column}{value} : $$rows{$row}{$column};
					$$rows{$row}{"${column}___raw"} = $value if $pass==1;
					if((my $code = $$viewer_value_transforms{$column})   &&   $qs !~ /(^|&)raw$column=yes(&|$)/i)
					{
						transform_value_according_to_code($dbtable, $value, \%{$$rows{$row}}, $code, $column, $pass, \%already_transformed);
					}
					elsif((my $code = $PREF{"${viewerprefname}_editmode_frontend_value_transforms"}{lc($column)})   &&   $qs !~ /(^|&)raw$column=yes(&|$)/i)
					{
						transform_value_according_to_code($dbtable, $value, \%{$$rows{$row}}, $code, $column, $pass, \%already_transformed);
					}
					else
					{
						$$rows{$row}{$column} = $value;
					}
				}
			}
		}

		my $there_was_some_output = 0;
		my $numcols = 0;
		my $i = 1;
		foreach my $row (sort
		{
			  $$rows{$a}{$sortkey} =~ /^\d*$/ && $$rows{$b}{$sortkey} =~ /^\d*$/ && $reverse	? lc($$rows{$b}{$sortkey}) <=> lc($$rows{$a}{$sortkey})
			: $$rows{$a}{$sortkey} =~ /^\d*$/ && $$rows{$b}{$sortkey} =~ /^\d*$/			? lc($$rows{$a}{$sortkey}) <=> lc($$rows{$b}{$sortkey})
			: $reverse										? lc($$rows{$b}{$sortkey}) cmp lc($$rows{$a}{$sortkey})
			: 											  lc($$rows{$a}{$sortkey}) cmp lc($$rows{$b}{$sortkey})
		}
		keys %$rows)
		{
			my $failed_to_match_url_spec = my $row_is_hidden_via_value_regex = 0;
			foreach my $column (split(/,/, $column_list))
			{
				# 20110823: moved to above the SQL query.
				#
				#if($qs =~ /(?:^|&)$column=([^&]*)(?:&|$)/i)
				#{
				#	my $url_specified_value = $1;
				#	enc_urldecode($url_specified_value);
				#	$failed_to_match_url_spec = 1 if $$rows{$row}{$column} ne $url_specified_value;
				#}

				if(exists $PREF{"${viewerprefname}_viewer_hidden_values_regex"}{lc($column)} && $qs !~ /showhiddenrows=true/)
				{
					my $regex = $PREF{"${viewerprefname}_viewer_hidden_values_regex"}{lc($column)};
					$row_is_hidden_via_value_regex ||= $regex && $$rows{$row}{$column} =~ /($regex)/i;
				}
			}
			next if $failed_to_match_url_spec || $row_is_hidden_via_value_regex;

			next if $editmode && $$rows{$row}{id} != $row_id_to_edit;

			$numcols = 0;
			my $oddeven = oddeven($i);
			$output .= qq`<div id="${dbtable}_table" class="enc_tbl $editclass">\n<table>\n` if $vertical;
			$output .= qq`<tr class="$oddeven">` unless $vertical;
			foreach my $column (split(/,/, $column_list))
			{
				next if $disabled_columns{$column} || $column =~ /^enchddn_/i;
				my $value = '';

				if($editmode)
				{
					$value = $$rows{$row}{"${column}___raw"};
					my $transformed_value = $$rows{$row}{$column};

					# If *any* of the columns in this row are specified in _viewer_undeletable_rows,
					# then the whole row must be undeletable, so disable the $allowed_to_delete bit.
					#
					$allowed_to_delete = 0 if exists $PREF{"${viewerprefname}_viewer_undeletable_rows"}{lc($column)}{$value};
					#
					# Or if the table has an "enchddn_undeletable" column, and it's enabled for this
					# row, then disable the $allowed_to_delete bit.
					#
					$allowed_to_delete = 0 if $$rows{$row}{enchddn_undeletable};

					my $uneditable_value = exists $PREF{"${viewerprefname}_viewer_uneditable_values"}{lc($column)}{$value};
					my $readonly = $$extra_columns{lc($column)} || $uneditable_columns{lc($column)} || $uneditable_value;
					$readonly = 1 if $value ne $transformed_value && exists $PREF{"${viewerprefname}_viewer_readonly_if_transformed"}{lc($column)};
					$readonly = 1 if exists $$rows{$row}{enchddn_uneditable_cols_in_this_row} && $$rows{$row}{enchddn_uneditable_cols_in_this_row} =~ /$column/i;

					if($PREF{"${viewerprefname}_viewer_column_is_checkbox"}{lc($column)} && !$readonly)
					{
						$value = qq`<input type="checkbox" name="encdb_$column" ` . ($value ? qq`checked="checked"` : '') . qq` />`;
					}
					elsif(exists $PREF{"${viewerprefname}_viewer_column_is_toggle"}{lc($column)} && !$readonly)
					{
						my ($yes,$no) = $PREF{"${viewerprefname}_viewer_column_toggle_values"}{lc($column)} =~ /(.+)\|(.+)/ ? ($1,$2) : ($TEXT{boolean_true_string}, $TEXT{boolean_false_string});
						if($transformed_value =~ /^[01]?$/)
						{
							$value  = qq`<select name="encdb_$column">`
								. qq`<option value="1"` . ($value  ? ' selected="selected"' : '') . qq`>$yes</option>`
								. qq`<option value="0"` . (!$value ? ' selected="selected"' : '') . qq`>$no</option>`
								. qq`</selected>`;
						}
						else
						{
							# So we can use a transform to set the displayed value to 'N/A' (for example)
							# if necessary, for cases where the column shouldn't apply at all based on
							# other column values for this row.
							#
							$value = $transformed_value;
						}
					}
					elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_predefined_list"}{lc($column)})
					{
						my $dropdown = qq`<select name="encdb_$column">`;
						my $value_is_in_list = 0;
						foreach my $item (split(/\s*\|\|\|\s*/, $list))
						{
							my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
							my $selected = '';
							if($submitted_value eq $value)
							{
								$selected = 'selected="selected"';
								$value_is_in_list = 1;
							}
							$dropdown .= qq`<option value="$submitted_value" $selected>$displayed_value</option>`;
						}
						$dropdown .= qq`<option selected="selected" value="$value">$value (error: not in list!)</option>` if !$value_is_in_list && $value;
						$dropdown .= qq`</select>`;
						$value = $dropdown;
					}
					elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_multibox"}{lc($column)})
					{
						my %allvalues = map { $_ => 1 } split(/\|\|\|/, $value);
						my @boxes = ();
						my $value_is_in_list = 0;
						foreach my $item (split(/\s*\|\|\|\s*/, $list))
						{
							my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
							my $checked = '';
							if($allvalues{$submitted_value})
							{
								$checked = 'checked="checked"';
								$value_is_in_list = 1;
							}
							my $submitted_value_for_paramname = enc_urlencode_return($submitted_value);
							my $boxid = "encdb_multibox_col_${column}_val_${submitted_value_for_paramname}";
							push @boxes, qq`<input type="checkbox" name="$boxid" id="$boxid" $checked /><label for="$boxid">$displayed_value</label>`;
						}
						push @boxes, qq`$value (error: not in list!)` if !$value_is_in_list && $value;
						my $separator = $PREF{"db_viewer_multibox_separator___$column"} || $PREF{db_viewer_multibox_separator___global} || '<br />';
						$value = join $separator, @boxes;
					}
					elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_radio_buttons"}{lc($column)})
					{
						my $item_i = 1;
						my @buttons = ();
						my $value_is_in_list = 0;
						foreach my $item (split(/\s*\|\|\|\s*/, $list))
						{
							my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
							my $checked = '';
							if($submitted_value eq $value)
							{
								$checked = 'checked="checked"';
								$value_is_in_list = 1;
							}
							push @buttons, qq`<input type="radio" name="encdb_$column" id="encdb_radio_${column}_${item_i}" value="$submitted_value" $checked /><label for="encdb_radio_${column}_${item_i}">$displayed_value</label>`;
							$item_i++;
						}
						my $separator = $PREF{"db_viewer_radiobutton_separator___$column"} || $PREF{db_viewer_radiobutton_separator___global} || '<br />';
						$value = join $separator, @buttons;
					}
					elsif(my $query = $PREF{"${viewerprefname}_editmode_dropdown_from_SQL"}{lc($column)})
					{
						# The value of this query pref must start with: SELECT foo,bar FROM [...].
						# The first column will be the submitted value and the second the displayed value.

						my ($col1,$col2) = ($query =~ /^SELECT (\w+),(\w+) FROM /);
						my $dropdown = qq`<select name="encdb_$column">`;
						my $value_is_in_list = 0;
						my $results = enc_sql_select_multi($query);
						foreach my $k (sort { $a <=> $b } keys %$results)
						{
							my $submitted_value = $$results{$k}{$col1};
							my $displayed_value = $$results{$k}{$col2};
							my $selected = '';
							if($submitted_value eq $value)
							{
								$selected = 'selected="selected"';
								$value_is_in_list = 1;
							}
							$dropdown .= qq`<option value="$submitted_value" $selected>$displayed_value</option>`;
						}
						$dropdown .= qq`<option selected="selected" value="$value">$value (error: not in list!)</option>` if !$value_is_in_list && $value;
						$dropdown .= qq`</select>`;
						$value = $dropdown;
					}
					elsif(my $folder = $PREF{"${viewerprefname}_file_list"}{lc($column)})
					{
						my @files = get_all_files($folder);
						my $dropdown = qq`<select name="encdb_$column">`;
						my $value_is_in_list = 0;
						foreach my $file (@files)
						{
							my $selected = '';
							if($file eq $value)
							{
								$selected = 'selected="selected"';
								$value_is_in_list = 1;
							}
							$dropdown .= qq`<option value="$file" $selected>$file</option>`;
						}
						$dropdown .= qq`<option selected="selected" value="$value">$value (error: file does not exist!)</option>` if !$value_is_in_list && $value;
						$dropdown .= qq`</select>`;
						$value = $dropdown;
					}
					else
					{
						$value = $transformed_value if $readonly; # display the transformed value, instead of the raw value, if it's not editable.
						$value = $transformed_value if $PREF{"${viewerprefname}_editmode_frontend_value_transforms"}{lc($column)};

						$value =~ s!"!&quot;!g unless $readonly;
						my $textlength = length($value) < 50 ? 'shorttext' : length($value) < 200 ? 'mediumtext' : 'longtext';
						my $force_textarea = $PREF{"${viewerprefname}_viewer_force_textarea"}{lc($column)};

						if(!$value && exists $PREF{"${viewerprefname}_viewer_display_value_if_null"}{lc($column)})
						{
							$value = $PREF{"${viewerprefname}_viewer_display_value_if_null"}{lc($column)};
						}

						$value = $readonly
							? qq`<div class="readonly">$value</div>`
							: (length($value) > 50 || $force_textarea)
							? qq`<textarea name="encdb_$column" class="text $textlength">$value</textarea>`
							: qq`<input type="text" name="encdb_$column" class="text" value="$value" />`;
					}
				}
				else
				{
					$value = $$rows{$row}{$column};

					# Value processing:
					#
					if($PREF{"${viewerprefname}_viewer_column_is_checkbox"}{lc($column)})
					{
						$value = $value ? $TEXT{boolean_true_string} : $TEXT{boolean_false_string};
					}
					elsif($PREF{"${viewerprefname}_viewer_column_is_toggle"}{lc($column)})
					{
						my ($yes,$no) = $PREF{"${viewerprefname}_viewer_column_toggle_values"}{lc($column)} =~ /(.+)\|(.+)/ ? ($1,$2) : ($TEXT{boolean_true_string}, $TEXT{boolean_false_string});
						$value = $value == 1 ? $yes : $value =~ /^0?$/ ? $no : $value;
					}
					elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_predefined_list"}{lc($column)})
					{
						foreach my $item (split(/\s*\|\|\|\s*/, $list))
						{
							my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
							$value = $displayed_value if $submitted_value eq $value;
						}
					}
					elsif(my $list = $PREF{"${viewerprefname}_viewer_column_is_multibox"}{lc($column)})
					{
						my %allvalues = map { $_ => 1 } split(/\|\|\|/, $value);
						my @boxes = ();
						foreach my $item (split(/\s*\|\|\|\s*/, $list))
						{
							my ($submitted_value, $displayed_value) = $item =~ m!(.*)///(.*)! ? ($1,$2) : ($item,$item);
							push(@boxes, $displayed_value) if $allvalues{$submitted_value};
						}
						my $sep = $PREF{"${viewerprefname}_viewer_column_multibox_separator"}{lc($column)} || '<br />';
						$value = join $sep, @boxes;
					}

					# Value correction/cleanup:
					#
					if(length($value) > $display_length && $value !~ m!</?\w+>!) # don't shorten values containing HTML, b/c it'll break the code.
					{
						my $abbreviated_value = $value;
						$abbreviated_value =~ s/^(.{$display_length}).*/$1.../;
						$value =~ s/"/\\"/g;
						$value = qq`<span title="$value">$abbreviated_value</span>`;
					}
					if(!$value && exists $PREF{"${viewerprefname}_viewer_display_value_if_null"}{lc($column)})
					{
						$value = $PREF{"${viewerprefname}_viewer_display_value_if_null"}{lc($column)};
					}
					if($PREF{"${viewerprefname}_viewer_show_HTML_as_code"}{lc($column)})
					{
						$value =~ s/</&lt;/g;
						$value =~ s/>/&gt;/g;
					}
					$value =~ s!\n!<br />\n!g;
				}

				my $style_horiz = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_horiz"}{$column} . qq`"`) if exists $PREF{"${viewerprefname}_viewer_style_horiz"}{$column};
				my $style_vert  = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_vert"}{$column} . qq`"`)  if exists $PREF{"${viewerprefname}_viewer_style_vert"}{$column};
				my $style = $vertical ? $style_vert : $style_horiz;
				my $vertclass = 'vertcell' if $vertical;
				$output .= qq`<tr class="$oddeven vertrow">` if $vertical;
				$output .= $headers_vert{$column} if $vertical;
				$output .= qq`<td class="col_$column $vertclass" $hidden_cells{$column} $style>$value</td>`;
				$output .= qq`</tr>\n` if $vertical;
				$there_was_some_output = 1;
				$numcols++;
			}

			if($vertical)
			{
				if($editmode)
				{
					$output .= qq`<tr class="` . oddeven($i) . qq`">`;
					$output .= qq`<td colspan="$numcols" class="button"><input type="hidden" name="enc_form_dfp" value="$live_data_fingerprint" /><input type="submit" class="button" value="$TEXT{database_save_button}" /></td>`;
					$output .= qq`</tr>\n`;
				}
				elsif($allowed_to_create)
				{
					$output .= qq`<tr class="` . oddeven($i) . qq` enc_sortbottom">`;
					$output .= qq`<td colspan="$numcols" class="addnew"><a href="$PREF{REQ_URI_SANS_QS}?$qs&amp;createmode=true&amp;format=vert">$TEXT{database_create_button}</a></td>`;
					$output .= qq`</tr>\n`;
				}
			}

			$output .= qq`</tr>\n` unless $vertical;
			$output .= qq`</table>\n</div>\n` if $vertical;
		}

		unless($numcols)
		{
			foreach my $column (split(/,/, $column_list))
			{
				next if $disabled_columns{$column} || $column =~ /^enchddn_/i;
				$numcols++;
			}
		}

		if(!$vertical)
		{
			if($editmode)
			{
				$output .= qq`<tr class="` . oddeven($i) . qq`">`;
				$output .= qq`<td colspan="$numcols" class="button"><input type="hidden" name="enc_form_dfp" value="$live_data_fingerprint" /><input type="submit" class="button" value="$TEXT{database_save_button}" /></td>`;
				$output .= qq`</tr>\n`;
				$there_was_some_output = 1;
			}
			elsif($allowed_to_create)
			{
				$output .= qq`<tr class="` . oddeven($i) . qq` enc_sortbottom">`;
				$output .= qq`<td colspan="$numcols" class="addnew"><a href="$PREF{REQ_URI_SANS_QS}?$qs&amp;createmode=true&amp;format=vert">$TEXT{database_create_button}</a></td>`;
				$output .= qq`</tr>\n`;
				$there_was_some_output = 1;
			}
		}

		unless($there_was_some_output)
		{
			$output .= qq`<div id="${dbtable}_table" class="enc_tbl">\n<table>\n` if $vertical;
			$output .= qq`<tr class="` . oddeven($i) . qq`">`;
			$output .= qq`<td colspan="$numcols">$TEXT{no_output_from_database}</td>`;
			$output .= qq`</tr>\n`;
			$output .= qq`</table>\n</div>\n` if $vertical;
		}

		$output .= qq`</table>\n</div>\n` unless $vertical;
		$output .= qq`<input type="hidden" name="enc_post_return_url" value="$PREF{REQ_URI_SANS_QS}" />\n` if $editmode;
		$output .= qq`</form>\n` if $editmode;


		if($editmode && $allowed_to_delete)
		{
			$output .= qq`
					<form id="database_deleter" method="post" action="$ENV{SCRIPT_NAME}?$qs&amp;editdelete=true"><div class="enc_tbl"><table>
					<tr class="headers"><th>$TEXT{database_deleter_title}</th></tr>
					<tr class="` . oddeven($i) . qq`"><td><input type="checkbox" class="checkbox" name="confirmdeleterecord" id="confirmdeleterecord" /><label for="confirmdeleterecord">` . ($PREF{"${viewerprefname}_record_deletion_warning"} || $TEXT{database_deleter_checkbox}) . qq`</label></td></tr>
					<tr class="` . oddeven($i) . qq`"><td class="button"><input type="hidden" name="enc_form_dfp" value="$live_data_fingerprint" /><input type="submit" class="button" value="$TEXT{database_deleter_button}" /></td></tr>
					</table></div>
					<input type="hidden" name="enc_post_return_url" value="$PREF{REQ_URI_SANS_QS}" />
					</form>
			`;
		}


		$output .= qq`

		<script type="text/javascript">

		function toggle_column(theclass)
		{
			var rows = document.getElementById('${dbtable}_table').getElementsByTagName('tr');

			var cells = new Array;
			for(i = 0; i < rows.length; i++)
			{
				var headers = rows[i].getElementsByTagName('th');
				for(j = 0; j < headers.length; j++)
				{
					//if(headers[j].className == theclass)
					//	cells.push(headers[j]);

					var re = new RegExp('(^| )' + theclass + '( |\$)', "i");
					if(headers[j].className.match(re))
						cells.push(headers[j]);
				}

				var nonheaders = rows[i].getElementsByTagName('td');
				for(j = 0; j < nonheaders.length; j++)
				{
					//if(nonheaders[j].className == theclass)
					//	cells.push(nonheaders[j]);

					var re = new RegExp('(^| )' + theclass + '( |\$)', "i");
					if(nonheaders[j].className.match(re))
						cells.push(nonheaders[j]);
				}
			}
			for(i = 0; i < cells.length; i++)
			{
				if(cells[i].style.display == 'none')
				{
					cells[i].style.display = navigator.userAgent.indexOf("MSIE") ==  -1 ? 'table-cell' : 'block'; // IE doesn't support table-cell...
					document.getElementById("link-" + theclass).style.textDecoration = '';
				}
				else
				{
					cells[i].style.display = 'none';
					document.getElementById("link-" + theclass).style.textDecoration = 'line-through';
				}
			}
		}
		
		</script>

		`;
	}


	my $search_form = '';
	if(!$editmode && !$createmode && $PREF{"${viewerprefname}_allowed_to_search"})
	#if(0) # this is in progress.
	{
		$search_form .= qq`<div id="${dbtable}_search_wrapper" class="db_search">\n<div id="search_title" onclick="showhide_element('db_search_form');">Search:</div>\n`;
		$search_form .= qq`<form method="post" id="db_search_form" action="$ENV{SCRIPT_NAME}?$qs" ` . ($qs !~ /(^|&)srch[123]_(\w+)/ ? qq`style="position: absolute; left: -7000px; height: 0; overflow: hidden;"` : '') . qq`>\n`;
		$search_form .= qq`<div id="${dbtable}_search_table" class="not_enc_tbl">\n<table class="" id="db_viewer_search_table">\n` unless $vertical;
		$search_form .= qq`<tr class="headers">%%headers_horiz_local%%</tr>\n` unless $vertical;

		my $i = 0;
		my $numcols = 0;
		my $oddeven = oddeven($i);
		my $headers_horiz_local = '';
		$search_form .= qq`<div id="${dbtable}_search_table" class="db_search">\n<table>\n` if $vertical;
		$search_form .= qq`<tr class="$oddeven">` unless $vertical;
		foreach my $column (split(/,/, $column_list))
		{
			next if $disabled_columns{$column} || $column =~ /^enchddn_/i;
			next if $$extra_columns{$column}{position} == 1 && $column eq 'edit';
			$numcols++;
			
			$headers_horiz_local .= $headers_horiz{$column};

			my $style_horiz = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_horiz"}{$column} . qq`"`) if exists $PREF{"${viewerprefname}_viewer_style_horiz"}{$column};
			my $style_vert  = (qq`style="` . $PREF{"${viewerprefname}_viewer_style_vert"}{$column} . qq`"`)  if exists $PREF{"${viewerprefname}_viewer_style_vert"}{$column};
			my $style = $vertical ? $style_vert : $style_horiz;
			my $vertclass = 'vertcell' if $vertical;
			$search_form .= qq`<tr class="$oddeven vertrow">` if $vertical;
			$search_form .= $headers_vert{$column} if $vertical;
			
			$search_form .= qq`<td class="col_$column $vertclass" $hidden_cells{$column} $style><input type="text" class="srch_text" name="srch_$column" value="` . (get_qs_var("srch1_$column") || get_qs_var("srch2_$column") || get_qs_var("srch3_$column")) . qq`" />`;
			$search_form .= qq`<br /><input type="radio" name="srchmode_$column" id="srchmode_${column}_1" value="1" ` . ($qs =~ /(^|&)srch1_${column}=/ ? qq`checked="checked"` : '')	. qq`/><label for="srchmode_${column}_1">Must match exactly</label>`;
			$search_form .= qq`<br /><input type="radio" name="srchmode_$column" id="srchmode_${column}_2" value="2" ` . ($qs =~ /(^|&)srch2_${column}=/ ? qq`checked="checked"` : '')	. qq`/><label for="srchmode_${column}_2">Partial match OK</label>`;
			$search_form .= qq`<br /><input type="radio" name="srchmode_$column" id="srchmode_${column}_3" value="3" ` . ($qs =~ /(^|&)srch3_${column}=/ ? qq`checked="checked"` : '')	. qq`/><label for="srchmode_${column}_3">Must not match</label>`;
			$search_form .= qq`<br /><input type="radio" name="srchmode_$column" id="srchmode_${column}_4" value="4" ` . ($qs !~ /(^|&)srch[123]_${column}=/ ? qq`checked="checked"` : '')	. qq`/><label for="srchmode_${column}_4">Unused in this search</label>`;
			$search_form .= qq`</td>`;
			
			$search_form .= qq`</tr>\n` if $vertical;
		}
		$search_form =~ s!%%headers_horiz_local%%!$headers_horiz_local!;

		if(!$vertical)
		{
			$search_form .= qq`</tr>\n`; # unless $vertical;
		}

		#$search_form .= qq`<tr class="` . oddeven($i) . qq` enc_sortbottom">`;
		#$search_form .= qq`<td colspan="$numcols" class="search"><input type="submit" value="$TEXT{database_search_button}" /></td>`;
		#$search_form .= qq`</tr>\n`;
		#
		#$search_form .= qq`</table>\n</div>\n`;

		my $search_reset_url = $qs;
		$search_reset_url =~ s!(^|&)srch[1234]_[^=]+=[^&]+!!g;
		defooify('&', $search_reset_url);
		$search_reset_url = $PREF{REQ_URI_SANS_QS} . '?' . $search_reset_url;

		$search_form .= qq`</table>\n<input type="submit" value="$TEXT{database_search_button}" />\n`;
		$search_form .= qq`<input type="button" name="db_search_form_reset_button" id="db_search_form_reset_button" value="Reset" onclick='if(window.confirm("Really clear the search form?")) { location.href="$search_reset_url"; }' />\n`;
		$search_form .= qq`</div>\n`;

		$search_form .= qq`<input type="hidden" name="searchmode" value="true" />\n`;
		$search_form .= qq`<input type="hidden" name="enc_post_return_url" value="$PREF{REQ_URI_SANS_QS}" />\n`;
		$search_form .= qq`</form>\n</div>\n`;
	}


	$template =~ s!%%output%%!$output!;

	my $uri = $ENV{REQUEST_URI};
	$uri =~ s/(\?|&)format=(horiz|vert)/$1/gi;
	defooify('&', $uri);
	my $horizlink	= $uri . ($uri =~ /\?/ ? '&' : '?') . qq`format=horiz`;
	my $vertlink	= $uri . ($uri =~ /\?/ ? '&' : '?') . qq`format=vert`;
	$uri = $ENV{REQUEST_URI};
	$uri =~ s!editdelete=true!!g;
	$uri =~ s!(edit|create)mode=true!!g;
	$uri =~ s!editid=\d+!!g;
	clean_database_url($uri);
	defooify('&',$uri);
	defooify('\?',$uri);

	my @template_viewcontrols_pruned = ();
	for(@template_viewcontrols)
	{
		if($PREF{"${viewerprefname}_viewer_forced_mode"} =~ /horiz|vert/)
		{
			s!%%(?:horiz|vert)link:text=([^%]+)%%!!g;
		}
		else
		{
			s!%%horizlink:text=([^%]+)%%!$vertical ? qq`<a href="$horizlink">$1</a>` : $1!eg;
			s!%%vertlink:text=([^%]+)%%!$vertical ? $1 : qq`<a href="$vertlink">$1</a>`!eg;
		}

		s!%%viewalllink:text=([^%]+)%%!$editmode || $createmode ? qq`<a href="$uri">$1</a>` : ''!eg;

		push(@template_viewcontrols_pruned, $_) if $_;
	}

	# For example:   %%%if-whence%%% %%whencelink:text=Back To Fields List%% | %%%end-whence%%%
	#
	$template =~ s!%%whencelink:text=([^%]+)%%!$PREF{dbvwrwhence} ? qq`<a href="$PREF{dbvwrwhence}">$1</a>` : ''!eg;
	$template =~ s!%%%if-whence%%%(.*?)%%%end-whence%%%!$PREF{dbvwrwhence} ? $1 : ''!egs;

	$template =~ s!%%%if-db_view_controls%%%(.*?)%%%end-db_view_controls%%%!@template_viewcontrols_pruned ? $1 : ''!egs;
	$template =~ s!%%db_view_controls%%!join $template_viewcontrols_sep, @template_viewcontrols_pruned!egs;

	my $numitems = enc_sql_select("SELECT COUNT(*) FROM `$dbtable` $selection_restrictions");
	my $pagelinks = get_pagination_links_mark2( { range_start => $range_start, range_end => $range_end, num_items => $numitems, items_per_page => $itemsperpage } ) unless $createmode || $editmode;
	$template =~ s!%%%if-pagelinks%%%(.*?)%%%end-pagelinks%%%!$pagelinks ? $1 : ''!egs;
	$template =~ s!%%pagelinks%%!$pagelinks!g;
	$template =~ s!%%search_form%%!$search_form!g;
	$template =~ s!%%itemname_plural%%!$PREF{"${viewerprefname}_viewer_item_name_plural"}!g;
	
	if(get_qs_var('srchvrfymode') eq 'true')
	{
		my $go = $there_were_some_results ? $PREF{"${viewerprefname}_search_verify_mode_redirection_url_for_matches"} : $PREF{"${viewerprefname}_search_verify_mode_redirection_url_for_misses"};;
		my %searchterms = ();
		while($qs =~ /(?:^|&)srch[123]_([^=]+)=([^&]+)/g)
		{
			$searchterms{$1} = $2;
		}
		$go =~ s!%%(\w+)%%!$searchterms{$1}!g;
		if($go)
		{
			enc_redirect($go);
		}
		else
		{
			my $srchmatch = $TEXT{db_search_verify_mode_match_text} || qq`Your search found a match.`;
			my $srchmiss = $TEXT{db_search_verify_mode_miss_text} || qq`Your search found no match.`;
			exit_with_notice($there_were_some_results ? $srchmatch : $srchmiss);
		}
	}

	# This is down here, instead of further up, because we want to allow the allowed_to_search
	# permission to allow access in the case where the search is just returning a matched/failed
	# result (not returning any actual database rows for viewing).  For example, in the situation
	# where a customer needs to be able to look up a license number, registration code, coupon
	# code, etc, and the site owner wants to allow that, but only for verification purposes, not
	# to display the database search result rows to the customer.
	#
	exit_with_needprivs() unless $allowed_to_view;

	return $template;
}


sub send_notification_emails_for_database_update($)
{
	my $details_ref = shift; my %details = %$details_ref;

	my $viewerprefname	= $details{viewerprefname};
	my $recipients		= $PREF{"${viewerprefname}_emailalert_recipients"};
	my $from		= $PREF{"${viewerprefname}_emailalert_sender"};
	my $subject		= $PREF{"${viewerprefname}_emailalert_subject"};
	my $body		= $PREF{"${viewerprefname}_emailalert_body"};
	my $format		= $PREF{"${viewerprefname}_emailalert_type"};
	my $failure_action	= $PREF{"${viewerprefname}_emailalert_failure_action"};

	my $changes_rows = '';
	if($details{changed_record})
	{
		foreach my $col_i (sort { $a <=> $b } keys %{$details{changed_record}})
		{
			my $changes_template = $PREF{"${viewerprefname}_emailalert_changes_template"};
			$changes_template =~ s!%%column%%!$details{changed_record}{$col_i}{column}!g;
			$changes_template =~ s!%%old_value%%!$details{changed_record}{$col_i}{old_value}!g;
			$changes_template =~ s!%%new_value%%!$details{changed_record}{$col_i}{new_value}!g;
			$changes_rows .= $changes_template;
		}
	}

	my $all_rows = '';
	my $sorted_column_list = '';
	my $whole_record = $details{deleted_record} || $details{created_record} || $details{whole_changed_record};
	foreach my $col (sort { lc($a) cmp lc($b) } keys %{$$whole_record{1}})
	{
		$sorted_column_list .= "$col," unless $PREF{"${viewerprefname}_emailalert_fields_to_hide"} =~ /(^|,)\s*$col\s*(,|$)/;
	}
	$sorted_column_list = $PREF{"${viewerprefname}_emailalert_fields_to_show"} if $PREF{"${viewerprefname}_emailalert_fields_to_show"};
	decommaify($sorted_column_list);
	foreach my $col (split(/\s*,\s*/, $sorted_column_list))
	{
		my $allrows_template = $PREF{"${viewerprefname}_emailalert_record_template"};
		$allrows_template =~ s!%%column%%!$col!g;
		$allrows_template =~ s!%%value%%!$$whole_record{1}{$col}!g;
		$all_rows .= $allrows_template;
	}

	$body =~ s!%%username%%!$PREF{logged_in_username} || '(unknown)'!eg;
	$body =~ s!%%action%%!$details{action}!g;
	$body =~ s!%%action_pasttense%%!$details{action_pasttense}!g;
	$body =~ s!%%table%%!$details{table}!g;
	$body =~ s!%%record_id%%!$details{record_id}!g;
	$body =~ s!%%db_url%%!$PREF{"${viewerprefname}_viewer_db_url"}!g;
	$body =~ s!%%db_url_full%%!$PREF{"${viewerprefname}_viewer_db_url_full"}!g;
	$body =~ s!%%changes%%!$PREF{"${viewerprefname}_emailalert_changes_header"}$changes_rows!g;
	$body =~ s!%%record%%!$PREF{"${viewerprefname}_emailalert_record_header"}$all_rows!g;

	$body =~ s!%%%if-edit%%%(.*?)%%%endif-edit%%%!$details{action} eq 'edit' ? $1 : $2!egs;
	$body =~ s!%%%ifelse-deletion%%%(.*?)%%%else%%%(.*?)%%%endelse-deletion%%%!$details{action} eq 'delete' ? $1 : $2!egs;
	
	foreach my $to (split(/\s*,\s*/, $recipients))
	{
		if($to eq 'all_members_of_the_loggedin_users_custom_groups')
		{
			foreach my $to_inner (get_email_addresses_for_all_members_of_this_users_groups($PREF{logged_in_userid}))
			{
				send_email($to_inner, $from, $subject, $body, $format, $failure_action);
			}
		}
		else
		{
			send_email($to, $from, $subject, $body, $format, $failure_action);
		}
	}
}


sub get_return_url_for_dbviewer($)
{
	my $return_url_base = shift;
	my $qsl = $qs;
	$qsl =~ s!format=(horiz|vert)!!g if $qsl =~ /format=horiz/i && $qsl =~ /format=vert/i; # if both are present, remove both.
	$qsl =~ s!format=vert!!; # we always add 1 format=vert on the way to this page, so we should always remove 1 on the way back out.
	$qsl =~ s!editdelete=true!!g;
	$qsl =~ s!editmode=true!!g;
	$qsl =~ s!editid=\d+!!g;
	$qsl =~ s!createmode=true!!g;
	defooify('&',$qsl);
	return $return_url_base . ($qsl ? "?$qsl" : '');
}


sub datatype_is_bool($$)
{
	my ($table,$column) = @_;
	my $datatype = get_field_datatype($table,$column);
	return $datatype =~ /^(bool|tinyint\(1\))/i;
}


sub datatype_is_numeric($$)
{
	my ($table,$column) = @_;
	my $datatype = get_field_datatype($table,$column);
	return $datatype =~ /(decimal|int)\(/i;
}


sub get_field_datatype($$)
{
	my ($table,$column) = @_;
	sql_untaint($table,$column);
	die_unless_sqlsafe($table,$column);

	# This fails on some older MySQL versions, which apparently don't allow the WHERE clause
	# on the SHOW COLUMNS query.  So we'll have to return all columns and manually search them.
	#my $coltypetest = enc_sql_select_multi("SHOW COLUMNS FROM `$table` WHERE `field` = '$column'");
	#return $$coltypetest{1}{Type} || $$coltypetest{1}{type};

	my $coltypetest = enc_sql_select_multi("SHOW COLUMNS FROM `$table`");
	foreach my $j (keys %$coltypetest)
	{
		return ($$coltypetest{$j}{Type} || $$coltypetest{$j}{type}) if ($$coltypetest{$j}{Field} =~ /^$column$/i || $$coltypetest{$j}{field} =~ /^$column$/i);
	}
}


sub get_field_details_from_db($$)
{
	my ($table,$column) = @_;
	sql_untaint($table,$column);
	die_unless_sqlsafe($table,$column);

	my %details = ();
	my $coltypetest = enc_sql_select_multi("SHOW COLUMNS FROM `$table`");
	foreach my $j (keys %$coltypetest)
	{
		 if($$coltypetest{$j}{Field} =~ /^$column$/i || $$coltypetest{$j}{field} =~ /^$column$/i)
		 {
		 	$details{type}		= exists $$coltypetest{$j}{Type}	? $$coltypetest{$j}{Type}	: $$coltypetest{$j}{type};
		 	$details{null}		= exists $$coltypetest{$j}{Null}	? $$coltypetest{$j}{Null}	: $$coltypetest{$j}{null};
		 	$details{key}		= exists $$coltypetest{$j}{Key}		? $$coltypetest{$j}{Key}	: $$coltypetest{$j}{key};
		 	$details{default}	= exists $$coltypetest{$j}{Default}	? $$coltypetest{$j}{Default}	: $$coltypetest{$j}{default};
		 	$details{extra}		= exists $$coltypetest{$j}{Extra}	? $$coltypetest{$j}{Extra}	: $$coltypetest{$j}{extra};
		 	
		 	# For integer types, the returned value will be something like one of the following:
		 	#
		 	#	bigint(20)
		 	#	int(10) unsigned
		 	#
		 	# But the number in parentheses is added by MySQL automatically (i.e. even when you
		 	# don't specify it when creating the column, which you wouldn't in most cases), and
		 	# it is NOT an indicator of the field size, as the MySQL manual explains:
		 	#
		 	#	http://dev.mysql.com/doc/refman/5.0/en/numeric-types.html
		 	#	
		 	#	Numeric Type Attributes
		 	#	
		 	#	MySQL supports an extension for optionally specifying the display width of
		 	#	integer data types in parentheses following the base keyword for the type.
		 	#	For example, INT(4) specifies an INT with a display width of four digits.
		 	#	This optional display width may be used by applications to display integer
		 	#	values having a width less than the width specified for the column by
		 	#	left-padding them with spaces. (That is, this width is present in the
		 	#	metadata returned with result sets. Whether it is used or not is up to the
		 	#	application.)
			#	
			#	The display width does *not* constrain the range of values that can be stored
			#	in the column. Nor does it prevent values wider than the column display width
			#	from being displayed correctly. For example, a column specified as
			#	SMALLINT(3) has the usual SMALLINT range of -32768 to 32767, and values
			#	outside the range permitted by three digits are displayed in full using more
			#	than three digits. 
		 	#	
		 	# Therefore, for our purposes here, where in 99% of cases we didn't specify this number
		 	# explicitly, and therefore it's meaningless in the context of determining whether the
		 	# column type has changed, we will remove this number.
		 	#
		 	$details{type} =~ s!int\(\d+\)!int!;
		 	
		 	return \%details;
		 }
	}
}


sub get_field_details_from_creation_string($)
{
	my ($creation_string) = @_;

	my %details = ();
 	$details{type}		= ($creation_string =~ m!^(\S+( unsigned)?)!i)[0];
 	$details{null}		= $creation_string =~ m!not null!i ? 'NO' : 'YES';
 	$details{key}		= $creation_string =~ m!primary key!i ? 'PRI' : ''; # TODO: add detection of other key types.
	$details{default}	= $creation_string =~ m!default (\S+)!i ? $1 : ''; # TODO: some types have a default DEFAULT value other than NULL.
	$details{extra}		= $creation_string =~ m!auto_increment!i ? 'auto_increment' : ''; # TODO: potentially lots of other stuff here.
 	
	$details{type} =~ s!int\(\d+\)!int!; # see note in the get_field_details_from_db() sub.

	$details{default} =~ s!^'(.*)'$!$1!; # In case the specified default value is quoted, remove
	$details{default} =~ s!^"(.*)"$!$1!; # the quotes before actually using/comparing the value.
	 	
 	return \%details;
}


sub field_datatype_has_changed($$$)
{
	my ($table,$fieldname,$creation_string) = @_;
	my $new_fieldtype = get_field_details_from_creation_string($creation_string);
	my $old_fieldtype = get_field_details_from_db($table,$fieldname);
	
	my $changed = 0;
	my ($old,$new) = ();
	foreach my $attrib (sort keys %$old_fieldtype)
	{
		$changed = 1 if lc($$old_fieldtype{$attrib}) ne lc($$new_fieldtype{$attrib});
		$old .= "old $attrib: " . lc($$old_fieldtype{$attrib}) . "; ";
		$new .= "new $attrib: " . lc($$new_fieldtype{$attrib}) . "; ";
	}

	if($changed)
	{
		encdebug "datatype has changed for '$fieldname':\nold=$old\nnew=$new\n";
		return 1;
	}
	else
	{
		encdebug "datatype has NOT changed for '$fieldname':\nold=$old\nnew=$new\n";
		return 0;
	}
}


sub clean_database_url
{
	$_[0] =~ s!format=(horiz|vert)!!g if $_[0] =~ /format=horiz/ && $_[0] =~ /format=vert/; # if both are present, remove all.
	for('horiz','vert')
	{
		if($_[0] =~ /format=$_/) { $_[0] =~ s!format=$_!!g; $_[0] .= "&format=$_"; } # condense multiple occurrences of the same one.
	}
	$_[0] =~ s!\?&+!?!g;
}


sub verify_new_database_value($$$$$$)
{
	# Notes:
	#
	#	_viewer_unique_values and _viewer_unique_values_ignorecase require that
	# 	the table has a column called "id" which is unique and not null.
	#

	my ($dbtable,$viewerprefname,$column,$value,$rowid,$all_fields) = @_;
	sql_untaint($value,$column);
	die_unless_sqlsafe($value,$column);

	if(exists $PREF{"${viewerprefname}_viewer_unique_values"}{lc($column)})
	{
		if($rowid =~ /^\d+$/) # edit mode.
		{
			if(enc_sql_select("SELECT COUNT(*) FROM `$dbtable` WHERE `$column` = '$value' AND `id` != $rowid"))
			{
				exit_with_error(qq`Error: '$column' must be unique, but the one you entered ('$value') already exists.`);
			}
		}
		else # add-new-record mode.
		{
			if(enc_sql_select("SELECT COUNT(*) FROM `$dbtable` WHERE `$column` = '$value'"))
			{
				exit_with_error(qq`Error: '$column' must be unique, but the one you entered ('$value') already exists.`);
			}
		}
	}

	if(exists $PREF{"${viewerprefname}_viewer_unique_values_ignorecase"}{lc($column)})
	{
		if($rowid =~ /^\d+$/) # edit mode.
		{
			if(enc_sql_select("SELECT COUNT(*) FROM `$dbtable` WHERE LOWER(`$column`) = LOWER('$value') AND `id` != $rowid"))
			{
				exit_with_error(qq`Error: '$column' must be unique, but the one you entered ('$value') already exists.`);
			}
		}
		else # add-new-record mode.
		{
			if(enc_sql_select("SELECT COUNT(*) FROM `$dbtable` WHERE LOWER(`$column`) = LOWER('$value')"))
			{
				exit_with_error(qq`Error: '$column' must be unique, but the one you entered ('$value') already exists.`);
			}
		}
	}

	# 201001: APICHANGE: $PREF{"${viewerprefname}_viewer_value_verifications"}{lc($column)} was a string; now it's a hash.
	#
	if(exists $PREF{"${viewerprefname}_viewer_value_verifications"}{lc($column)})
	{
		foreach my $testnum (keys %{ $PREF{"${viewerprefname}_viewer_value_verifications"}{lc($column)} })
		{
			my $code = $PREF{"${viewerprefname}_viewer_value_verifications"}{lc($column)}{$testnum};
			if($code =~ /^preset:(.+)/)
			{
				foreach my $preset (split(/\s*,\s*/, $1))
				{
					my ($error,%vars) = ('',());
					   if(($preset eq 'nonnull')		&& (!$value && ($value !~ /^0$/)))	{ $error = $TEXT{Error_input_null}; }
					elsif(($preset eq 'alnum')		&& ($value !~ /^[[:alnum:]]*$/))	{ $error = $TEXT{Error_input_not_alnum}; }
					elsif(($preset eq 'word')		&& ($value !~ /^\w*$/))			{ $error = $TEXT{Error_input_not_word}; }
					elsif(($preset eq 'numeric')		&& ($value !~ /^\d*$/))			{ $error = $TEXT{Error_input_not_numeric}; }
					elsif(($preset =~ /^minvalue=(\d+)$/)	&& ($value < $1))			{ $error = $TEXT{Error_input_too_small}; $vars{min} = $1; }
					elsif(($preset =~ /^maxvalue=(\d+)$/)	&& ($value > $1))			{ $error = $TEXT{Error_input_too_large}; $vars{max} = $1; }
					elsif(($preset =~ /^minlength=(\d+)$/)	&& (length($value) < $1))		{ $error = $TEXT{Error_input_too_short}; $vars{min} = $1; }
					elsif(($preset =~ /^maxlength=(\d+)$/)	&& (length($value) > $1))		{ $error = $TEXT{Error_input_too_long}; $vars{max} = $1; }
					#print STDERR "column=$column, value=$value, preset=$preset, error=$error\n";

					if($error) { $error =~ s/%%encfieldname%%/$column/g; $error =~ s/%%(\w+)%%/$vars{$1}/g; kmsg_redirect($error); }
				}
			}
			else
			{
				$code =~ s/%%variable%%/\$value/g;
				$code =~ s/%%encfieldname%%/$column/g;
				$code =~ s/%%(\w+)%%/$$all_fields{$1}/g;
				eval $code; # modified $value directly.
				die $@ if $@; # in case the custom code had an error in it.
				# die_from_eval: can accept a whole literal message, or "smsg_foo" which maps to $TEXT{smsg_foo} -- where possible, use static messages rather than keyed messages.
				if($value =~ /die_from_eval:(.*)/) { my $msg = $1; $msg =~ m!^smsg_(.+)! ? smsg_redirect($1) : kmsg_redirect($msg); }
			}
		}
	}
}


sub transform_value_according_to_code
{
	my $dbtable		= shift;
	my $value		= shift;
	my $values		= shift; # hashref
	my $code		= shift;
	my $column		= shift;
	my $pass		= shift;
	my $already_transformed = shift; # hashref.

	if($code =~ /^preset:(.+)/)
	{
		foreach my $preset (split(/\s*,\s*/, $1))
		{
			   if($preset eq 'make_lowercase')	{ $value = lc($value); }
			elsif($preset eq 'make_uppercase')	{ $value = uc($value); }
			elsif($preset eq 'remove_nonalnum')	{ $value =~ s![^[:alnum:]]!!g; }
			elsif($preset eq 'date8')		{ $value = strftime("%Y%m%d",localtime(offsettime())); }
			elsif($preset eq 'date17')		{ $value = strftime("%Y%m%d-%H:%M:%S",localtime(offsettime())); }
			elsif($preset eq 'etime')		{ $value = offsettime(); }

			elsif($preset eq 'next_int_if_null_or_zero' && !$value)
			{
				$value = enc_sql_select("SELECT MAX(`$column`) FROM `$dbtable`") =~ /^(\d+)$/ ? $1 : 0; $value++;
			}

			#print STDERR "column=$column, value=$value, preset=$preset\n";
		}
		$$values{$column} = $value;
	}
	else
	{
		$code =~ s/%%variable%%/\$value/g;
		$code =~ s/%%(\w+)%%/exists $$values{$1} || $pass==2 ? $$values{$1} : $&/eg;
		if($code !~ /%%\w+%%/ || $pass==2)
		{
			if(!$$already_transformed{$column})
			{
				$$already_transformed{$column} = 1;
				eval $code; # modifies $value directly.
				$$values{$column} = $value;
			}
		}
	}
}


sub get_pagination_range($)
{
	my $items_per_page = $_[0];
	my $page_num = $qs =~ /(?:^|&)page=(\d+)(?:&|$)/ ? $1 : 1;
	my $range_start = ($items_per_page * ($page_num - 1)) + 1; # $range_start = 1 if $range_start < 1; # negative check not necessary if $page_num is guaranteed to be >= 1.
	my $range_end = $items_per_page * $page_num;
	my $sql_range_start = $range_start - 1; # because SQL's LIMIT is zero-based.

	($range_start,$range_end,$sql_range_start) = (1,999999999,0) if $qs =~ /(?:^|&)pagination=off(?:&|$)/;

	# We need to adjust itemsperpage (in the caller), not just the range start & end, when
	# pagination=off, because SQL's 'LIMIT' uses range_start & itemsperpage (not range_end).
	$_[0] = 999999999 if $qs =~ /(?:^|&)pagination=off(?:&|$)/;

	return ($range_start,$range_end,$sql_range_start);
}


sub get_pagination_links_mark2
{
	## first 4 args are mandatory; rest are optional.
	#my ($range_start, $range_end, $num_items, $items_per_page,
	#	$itemname_singular,
	#	$itemname_plural,
	#	$pagename_singular,
	#	$pagename_plural,
	#	$template,
	#	$num_pagelinks,
	#	$viewall_template
	#) = @_;
	#
	# 20110226: APICHANGE: args for this sub are now hash-based:
	#
	my $optsref = shift; my %opts = %$optsref if $optsref;

	$opts{template} ||= qq`
		<div class="pagelinks">
			<div class="text">
			<span class="bookend">{</span>%%num_items%% %%itemname%% on %%num_pages%% %%pagename%%.
			%%%if-show_opts_links%%%
				&nbsp;Options: &nbsp; %%alllink%% %%%if-show_sort_links%%%&nbsp; %%quicksortlink%% %%%end-show_sort_links%%%
			%%%end-show_opts_links%%%
			<span class="bookend">}</span>
			</div>

			%%%if-multiple_pages%%%
			<div class="links">
			%%%ifelse-frstlink%%% <a href="%%frstlink%%" class="first">&lt;&lt;</a>	%%%else%%% <span class="disabled first">&lt;&lt;</span>	%%%endelse-frstlink%%% %%spc%%
			%%%ifelse-prevlink%%% <a href="%%prevlink%%">&lt;</a>			%%%else%%% <span class="disabled">&lt;</span>		%%%endelse-prevlink%%% %%spc%%

			%%%template:linklist%%%
				%%%ifelse-currentpage%%%
					<span class="current">%%pagenum%%</span> %%spc%%
				%%%else%%%
					<a href="%%link%%">%%pagenum%%</a> %%spc%%
				%%%endelse-currentpage%%%
			%%%end-template:linklist%%%

			%%%ifelse-nextlink%%% <a href="%%nextlink%%">&gt;</a>			%%%else%%% <span class="disabled">&gt;</span>		%%%endelse-nextlink%%% %%spc%%
			%%%ifelse-lastlink%%% <a href="%%lastlink%%" class="last">&gt;&gt;</a>	%%%else%%% <span class="disabled last">&gt;&gt;</span>	%%%endelse-lastlink%%%
			</div>
			%%%end-multiple_pages%%%
		</div>
	`;

	$opts{viewall_template} ||= qq`
		<div class="pagelinks">
		(Viewing all %%num_items%% %%itemname%%.&nbsp; <a href="%%pageslink%%">View individual pages?</a>)
		</div>
	`;

	$opts{itemname_singular}	||= $TEXT{item}		|| 'item';
	$opts{itemname_plural}		||= $TEXT{items}	|| 'items';
	$opts{pagename_singular}	||= $TEXT{page}		|| 'page';
	$opts{pagename_plural}		||= $TEXT{pages}	|| 'pages';
	$opts{num_pagelinks}		||= 8;
	my $spacer			= $PREF{pagination_links_spacer} || '';

	my $num_pages = int($opts{num_items}/$opts{items_per_page});
	$num_pages++ if $num_pages < ($opts{num_items}/$opts{items_per_page});
	return '' if $opts{hide_when_single_page} && $num_pages =~ /^(0|1)$/ && get_qs_var('pagination') ne 'off';

	my $viewall_active	= (get_qs_var('pagination') eq 'off') || ($num_pages == 1);
	my $viewall_unclickable	= (get_qs_var('pagination') ne 'off') && ($num_pages == 1);

	my ($link_template) = ($opts{template} =~ m!%%%template:linklist%%%(.+?)%%%end-template:linklist%%%!gs);
	my $link_template_output = '';
	my %pagelinks = ();

	#if($qs =~ /pagination=off/)
	#if($viewall_active)
	if(0)
	{
		my $uri = $ENV{REQUEST_URI};
		$uri =~ s/pagination=off//g;
		defooify('&', $uri);
		$opts{viewall_template} =~ s!%%pageslink%%!$uri!g;
		$opts{viewall_template} =~ s!%%num_items%%!$opts{num_items}!g;
		$opts{viewall_template} =~ s!%%itemname%%!$opts{num_items} == 1 ? $opts{itemname_singular} : $opts{itemname_plural}!eg if $opts{itemname_singular} && $opts{itemname_plural};
		return $opts{viewall_template};
	}
	#elsif($opts{range_start} != 1   ||   $opts{num_items} > $opts{range_end})
	elsif(1)
	{
		my $uri = $ENV{REQUEST_URI};

		# Remove any existing phase/resultmsg, and page number, from the
		# URI, because we don't want to include those on each new page.
		#
		$uri =~ s/(\?|&)page=(\d+)/$1/g;
		$uri =~ s/(\?|&)phase=(\w+)/$1/g;
		$uri =~ s/(\?|&)rsltmsg=(\w+)/$1/g;

		my $uri_for_quicksort_link = my $uri_for_pagination_link = $uri;
		$uri_for_quicksort_link =~ s/(\?|&)quicksort=(on|off)/$1/g;
		$uri_for_pagination_link =~ s/(\?|&)pagination=(on|off)/$1/g;

		for($uri, $uri_for_quicksort_link, $uri_for_pagination_link)
		{
			$_ .= '?' unless $_ =~ /\?/;
			$_ .= '&' if $_ =~ /\?.+/ && $_ !~ /&$/;
			$_ =~ s/&{2,}/&/g;
			$_ =~ s/\?&/?/g;
		}

		my $current_page = 1;
		for(my $j = 1; $j <= $num_pages; $j++)
		{
			my $is_currentpage = ($ENV{REQUEST_URI} =~ /page=$j/ || ($ENV{REQUEST_URI} !~ /page=\d+/ && $j==1));
			$current_page = $j if $is_currentpage;

			my $link_template_local = $link_template;
			$link_template_local =~ s!%%pagenum%%!$j!g;
			$link_template_local =~ s!%%link%%!${uri}page=$j!g;
			$link_template_local =~ s!%%%ifelse-currentpage%%%(.*?)%%%else%%%(.*?)%%%endelse-currentpage%%%!$is_currentpage ? $1 : $2!egs;
			$pagelinks{$j} = $link_template_local;
		}

		foreach my $page (sort { $a <=> $b } keys %pagelinks)
		{
			$link_template_output .= $pagelinks{$page} if (($page - int($opts{num_pagelinks}/2 + .5)) <= $current_page) && ($current_page <= ($page + int($opts{num_pagelinks}/2 + .5)));
		}

		my $prevlink = $current_page > 1 ? $current_page - 1 : 1;
		my $nextlink = $current_page < $num_pages ? $current_page + 1 : $num_pages;
		$opts{template} =~ s!%%prevlink%%!${uri}page=$prevlink!g;
		$opts{template} =~ s!%%nextlink%%!${uri}page=$nextlink!g;
		$opts{template} =~ s!%%alllink%%!$viewall_unclickable ? qq`<span class="disabled">view all</span>` : $viewall_active ? qq`<a href="${uri_for_pagination_link}">view pages</a>` : qq`<a href="${uri_for_pagination_link}pagination=off">view all</a>`!eg;
		$opts{template} =~ s!%%quicksortlink%%!quicksort_is_active() ? qq`<a href="${uri_for_quicksort_link}quicksort=off">server-sort</a>` : qq`<a href="${uri_for_quicksort_link}quicksort=on">quick-sort</a>`!eg;
		$opts{template} =~ s!%%%if-show_opts_links%%%(.*?)%%%end-show_opts_links%%%!$opts{hide_opts_links} ? '' : $1!egs;
		$opts{template} =~ s!%%%if-show_sort_links%%%(.*?)%%%end-show_sort_links%%%!$opts{hide_sort_links} ? '' : $1!egs;
		$opts{template} =~ s!%%%ifelse-prevlink%%%(.*?)%%%else%%%(.*?)%%%endelse-prevlink%%%!$current_page ne 1 ? $1 : $2!egs;
		$opts{template} =~ s!%%%ifelse-nextlink%%%(.*?)%%%else%%%(.*?)%%%endelse-nextlink%%%!$current_page ne $num_pages ? $1 : $2!egs;
		$opts{template} =~ s!%%%if-multiple_pages%%%(.*?)%%%end-multiple_pages%%%!$num_pages > 1 ? $1 : ''!egs;

		$opts{template} =~ s!%%frstlink%%!${uri}page=1!g;
		$opts{template} =~ s!%%lastlink%%!${uri}page=$num_pages!g;
		$opts{template} =~ s!%%%ifelse-frstlink%%%(.*?)%%%else%%%(.*?)%%%endelse-frstlink%%%!$current_page ne 1 ? $1 : $2!egs;
		$opts{template} =~ s!%%%ifelse-lastlink%%%(.*?)%%%else%%%(.*?)%%%endelse-lastlink%%%!$current_page ne $num_pages ? $1 : $2!egs;

		$opts{template} =~ s!%%%template:linklist%%%(.+?)%%%end-template:linklist%%%!$link_template_output!gs;
		$opts{template} =~ s!%%spc%%!$spacer!g;
		$opts{template} =~ s!%%num_items%%!$opts{num_items}!g;
		$opts{template} =~ s!%%num_pages%%!$num_pages!g;
		$opts{template} =~ s!%%itemname%%!$opts{num_items} == 1 ? $opts{itemname_singular} : $opts{itemname_plural}!eg if $opts{itemname_singular} && $opts{itemname_plural};
		$opts{template} =~ s!%%pagename%%!$num_pages == 1 ? $opts{pagename_singular} : $opts{pagename_plural}!eg if $opts{pagename_singular} && $opts{pagename_plural};

		return $opts{template};
	}
	else
	{
		return '';
	}
}


sub quicksort_is_active
{
	return (get_qs_var('quicksort') eq 'on') || ($PREF{enable_quicksort_by_default} =~ /yes/i && get_qs_var('quicksort') ne 'off');
}


sub field_structure_managed_by_us
{
	my $field = shift;
	foreach my $table (keys %{$PREF{tables_listing_fields_whose_structure_we_manage}})
	{
		sql_untaint($field,$table);
		die_unless_sqlsafe($field,$table);
		my $query = "SELECT `fieldtype`,`fieldlabel`,`listitems`,`defaultvalue` FROM `$table` WHERE `fieldname` = '$field'";
		#enc_warn "query=$query\n";

		if(my ($fieldtype,$label,$listitems,$defaultvalue) = enc_sql_select($query))
		{
			#enc_warn qq`fieldtype,label,listitems,defaultvalue = $fieldtype,$label,$listitems,$defaultvalue\n`;
			if($fieldtype =~ /^(freeformsingle|freeformmulti|dropdown|checkbox|radio)$/)
			{
				return ($fieldtype,$label,$listitems,$defaultvalue);
			}
			else
			{
				return ();
			}
		}
	}
}


sub is_valid_email_address
{
	return $_[0] =~ /^[\w\.\+-]+\@[\w\.-]+\.\w+$/;
}


sub is_ipv4_address
{
	return $_[0] =~ /^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/;
}


sub interpolate_vars_from_URL_and_cookies
{
	my $include_undefined = 0;
	my $sql_sanitize = 0;

	my %url_vars = ();
	for(split(/&/, $qs))
	{
		my ($var,$value) = split(/=/);
		enc_urldecode($value);
		$url_vars{$var} = $value;
	}

	my %cookies = ();
	my %jar = get_cookies();
	foreach my $ck (keys %jar)
	{
		$cookies{$ck} = $jar{$ck}->value;
	}

	for(@_)
	{
		$include_undefined = $_ if $_ eq 'include_undefined';
		$sql_sanitize = $_ if $_ eq 'sql_sanitize';

		next unless m!(%URL{|%COOKIE{)!;

		if($sql_sanitize)
		{
			my %done = ();
			while(m!%URL\{([^\{\}]+)\}!g)
			{
				my $varname = $1;
				if(exists $url_vars{$varname}   &&   !$done{$varname})
				{
					sql_untaint($url_vars{$varname});
					replace_nonsqlsafe_chars_with('_', $url_vars{$varname});
					die_unless_sqlsafe($url_vars{$varname});
					$done{$varname} = 1;
				}
			}

			%done = ();
			while(m!%COOKIE\{([^\{\}]+)\}!g)
			{
				my $varname = $1;
				if(exists $cookies{$varname}   &&   !$done{$varname})
				{
					sql_untaint($cookies{$varname});
					replace_nonsqlsafe_chars_with('_', $cookies{$varname});
					die_unless_sqlsafe($cookies{$varname});
					$done{$varname} = 1;
				}
			}
		}

		s!%URL\{([^\{\}]+)\}!exists $url_vars{$1} || $include_undefined ? $url_vars{$1} : $&!eg;
		s!%COOKIE\{(.+?)\}!exists $cookies{$1} || $include_undefined ? $cookies{$1} : $&!eg;
	}
}


sub interpolate_vars_from_prefs
{
	my $include_undefined = $_[0] eq 'include_undefined' ? shift : 0;	# 1st arg may be 'include_undefined' but does not have to be.
	for(@_)
	{
		s/%PREF{(\w+)}/exists $PREF{$1} || $include_undefined ? $PREF{$1} : $&/eg;
		s/%TEXT{(\w+)}/exists $TEXT{$1} || $include_undefined ? $TEXT{$1} : $&/eg;
	}
}


sub interpolate_vars_from_env
{
	my $include_undefined = $_[0] eq 'include_undefined' ? shift : 0;	# 1st arg may be 'include_undefined' but does not have to be.
	for(@_)
	{
		s/%ENV{(\w+)}/exists $ENV{$1} || $include_undefined ? $ENV{$1} : $&/eg;
	}
}


sub interpolate_vars_from_sql
{
	my $include_undefined = $_[0] eq 'include_undefined' ? shift : 0;	# 1st arg may be 'include_undefined' but does not have to be.
	for(@_)
	{
		while(m!(%SQL\{\{(.+?)\}\})!g)
		{
			my ($wholething,$sql_statement) = ($1,$2);
			get_db_connection() unless $PREF{dbh};
			interpolate_vars_from_URL_and_cookies($include_undefined, 'sql_sanitize', $sql_statement);
			my $output = enc_sql_select($sql_statement);
			s!\Q$wholething\E!$output!g;
		}
	}
}


sub interpolate_vars_from_date
{
	my $include_undefined = $_[0] eq 'include_undefined' ? shift : 0;	# 1st arg may be 'include_undefined' but does not have to be.
	my $etime = $_[0] =~ /^etime=(\d+)$/ ? shift : offsettime();
	$etime =~ s/[^\d]//g;
	s!%DATE{(.+?)}{now([\+-]\d+[smhdb])}!strftime($1,localtime(offset_etime($etime,$2)))!eg for @_;
	s!%DATE{(.+?)}!strftime($1,localtime($etime))!eg for @_;
}


sub do_standard_template_conditionals_processing
{
	for(@_)
	{
		s!%%%if-admin_is_logged_in%%%(.*?)%%%end-admin_is_logged_in%%%!$PREF{admin_is_logged_in} ? $1 : ''!egs;
		s!%%%if-admin_not_logged_in%%%(.*?)%%%end-admin_not_logged_in%%%!$PREF{admin_is_logged_in} ? '' : $1!egs;
		s!%%%ifelse-admin_is_logged_in%%%(.*?)%%%else%%%(.*?)%%%endelse-admin_is_logged_in%%%!$PREF{admin_is_logged_in} ? $1 : $2!egs;

		s!%%%if-member_is_logged_in%%%(.*?)%%%end-member_is_logged_in%%%!$PREF{member_is_logged_in} ? $1 : ''!egs;
		s!%%%if-member_not_logged_in%%%(.*?)%%%end-member_not_logged_in%%%!$PREF{member_is_logged_in} ? '' : $1!egs;
		s!%%%ifelse-member_is_logged_in%%%(.*?)%%%else%%%(.*?)%%%endelse-member_is_logged_in%%%!$PREF{member_is_logged_in} ? $1 : $2!egs;

		s!%%%if-member_of_group_([^%]+)%%%(.*?)%%%end-member_of_group_\1%%%!user_is_member_of_group($PREF{logged_in_userid}, $1) ? $2 : ''!egs;
		s!%%%if-not_member_of_group_([^%]+)%%%(.*?)%%%end-not_member_of_group_\1%%%!user_is_member_of_group($PREF{logged_in_userid}, $1) ? '' : $2!egs;

		s!%%%ifelse-member_of_group_([^%]+)%%%(.*?)%%%else%%%(.*?)%%%endelse-member_of_group_\1%%%!user_is_member_of_group($PREF{logged_in_userid}, $1) ? $2 : $3!egs;
		s!%%%ifelse-not_member_of_group_([^%]+)%%%(.*?)%%%else%%%(.*?)%%%endelse-not_member_of_group_\1%%%!user_is_member_of_group($PREF{logged_in_userid}, $1) ? $3 : $2!egs;

		s!%%%if-allowed_to_(\w+)%%%(.*?)%%%end-allowed_to_\1%%%!user_is_allowed_to($1) ? $2 : ''!egs;
		s!%%%ifelse-allowed_to_(\w+)%%%(.*?)%%%else%%%(.*?)%%%endelse-allowed_to_\1%%%!user_is_allowed_to($1) ? $2 : $3!egs;
	}
}


sub do_standard_template_vars_processing
{
	interpolate_vars_from_sql(@_); # do this one first, so we can SQL-sanitize any nested URL/cookie variables and interpolate them manually, rather than letting the following functions do the regular interpolation with no SQL-sanitization.
	interpolate_vars_from_env(@_);
	interpolate_vars_from_prefs(@_);
	interpolate_vars_from_URL_and_cookies(@_);
	interpolate_vars_from_date(@_);
}


sub do_standard_template_leftover_nulling
{
	# Go in order from most specific to least specific.  For example, %%%set...%%%
	# is near the end, because it can contain spaces, so we need to make the
	# regex a little looser to match it.  And we explicitly match %%\w+%% even
	# though we later have a more generic %%[^%\s]+?%% because removing the
	# simple all-alphanumeric vars first makes it more straightforward to match
	# the more varied possibilities later.

	for(@_)
	{
		s!%%%if-(\S+)%%%.+?%%%end-\1%%%!!gs;
		s!%%%ifelse-(\S+)%%%.*?%%%else%%%.*?%%%endelse-\1%%%!!gs;
		s!%%%calculate:([^%]+)%%%.+?%%%end-calculate%%%!!gs;
		s!%%%customcode(:[^%]+)?%%%.+?%%%end-customcode%%%!!gs;
		s!%%\w+%%!!g;
		#s!%%[^%\s]+?%%!!g;
		s!%%%set[^%]+?%%%!!g;
	}
}


sub do_standard_template_oddeven_processing # make this your last template-processing action, so any %%oddeven%%s present will definitely be present in the output.
{
	for(@_)
	{
		my $i = 0; while(/%%oddeven%%/g) { s!%%oddeven%%!oddeven($i)!e; }
	}
}


# This sub is designed to skip any interpolations that are currently null and/or
# whose values have other raw template variables within them.  This allows the
# template's various operations and variables to be nested in arbitrarily deep
# and complex ways.  Because of this, the sub iterates multiple times, since
# items that were skipped on earlier passes will be able to be processed on
# later passes.
#
sub do_custom_template_processing
{
	my $templatevars = shift; # hashref.
	for(my $i=0; $i<8; $i++)
	{
		for(@_)
		{
			s!%%%if-([^%]+)==([^%]+)%%%(.*?)%%%end-\1==\2%%%!$1 eq $2 ? $3 : ''!egs;

			s!%%%if-is_valid_price_([^%]+)%%%(.*?)%%%end-is_valid_price_\1%%%!item_price_is_valid($1) ? $2 : ''!egs;

			#while(m!\s*%%%set-urlencoded:(\w+)=([^%]*)%%%\s*!g)
			#{
			#	my ($name,$val) = ($1,$2);
			#	enc_urlencode($val);
			#	$$templatevars{$name} = $val;
			#}

			$$templatevars{$1} = $2 while $_ =~ m!\s*%%%set:(\w+)=([^%]*)%%%\s*!g;
			s!%%(\w+?)%%!exists $$templatevars{$1} ? $$templatevars{$1} : $&!eg;
			s!%%(\w+?)_urlencoded%%!exists $$templatevars{$1} ? enc_urlencode_return($$templatevars{$1}) : $&!eg;

			while(m!(%%%calculate:([^%]+)%%%\s*(.+?)\s*%%%end-calculate%%%)!gs)
			{
				#die "code is: '$3', wholething is: '$1'";
				my ($wholething,$options,$code) = ($1,$2,$3);

				next if $code =~ /%%\w+%%/; # skip it if it still has unprocessed variables in it.

				my $output = eval $code;
				exit_with_error($1) if $output =~ /die_from_eval:(.*)/;
				my $outputvarname = '';

				for(split(/\s*,\s*/, $options))
				{
					if(/numdecimals=(\d+)/)
					{
						my $numdec = $1;
						$output =~ s/(\.\d{$numdec})\d+$/$1/;
						$output .= '.' unless $output =~ /\.\d*$/;
						$output .= '0' while length(   ($output =~ /\.(\d*)$/)[0]   ) < $numdec;
					}
					elsif(/varname=(\w+)/)
					{
						$outputvarname = $1;
					}
				}

				s!\Q$wholething\E!%%%set:$outputvarname=$output%%%!s;
			}

			while(m!(%%%customcode(:[^%]+)?%%%\s*(.+?)\s*%%%end-customcode%%%)!gs)
			{
				#die "code is: '$3', wholething is: '$1'";
				my ($wholething,$options,$code) = ($1,$2,$3);

				next if $code =~ /%%\w+%%/; # skip it if it still has unprocessed variables in it.

				my $output = eval $code;

				exit_with_error($1) if $output =~ /die_from_eval:(.*)/;

				s!\Q$wholething\E!!s;
			}

			if(exists $$templatevars{eitemcode} && exists $$templatevars{eitemname} && exists $$templatevars{eitemdesc} && exists $$templatevars{eitemopts} && exists $$templatevars{eitemcost})
			{
				$$templatevars{eitemfingerprint} = get_cart_item_fingerprint(
										$$templatevars{eitemcode},
										$$templatevars{eitemname},
										$$templatevars{eitemdesc},
										$$templatevars{eitemopts},
										$$templatevars{eitemcost}
				);
			}
		}
	}
}


# Create a fingerprint before and after adding the item to the cart, to
# prevent modification of any of the values (particularly the price).
#
sub get_cart_item_fingerprint($$$$$)
{
	return enc_hash(
			$PREF{database_name} . $PREF{database_username} . $PREF{database_password} . 
			$_[0] . $_[1] . $_[2] . $_[3] . $_[4] . 
			$ENV{DOCUMENT_ROOT} . $ENV{PATH} . $ENV{SCRIPT_FILENAME}
	);
}


sub format_xml_nicely
{
	my $input_xml = shift;
	my $output_xml = '';
	my $depth = 0;
	my $prev_line_was_opener = 0;
	while($input_xml =~ /(<[^<>]+>)/g)
	{
		my $line = $1;
		#print STDERR "Line is: '$line'\n";
		my $opener = 0;
		if($line =~ m!^<\?xml!i)
		{
			$output_xml .= "$line\n";
			next;
		}
		elsif($line =~ m!^<[^<]+/>$!)
		{
			$depth++ if $prev_line_was_opener;
		}
		elsif($line =~ m!^</[^<]+>$!)
		{
			$depth--;
			$opener = 0;
			#$line .= '-';
		}
		elsif($line =~ m!^<[^<]+>$!)
		{
			$depth++;
			$opener = 1;
			#$line .= '+';
		}

		$output_xml .= '  ' x ($depth - 1);
		$output_xml .= "$line\n";

		$prev_line_was_opener = $opener;
	}
	return $output_xml;
}


sub is_zero # to differentiate values from null.
{
	return $_[0] =~ /^0$/;
}


sub dumphash
{
	my ($hashref,$separator) = @_;
	$separator ||= ', ';
	my $output = '';
	foreach my $key (sort keys %$hashref) { $output .= "$key=$$hashref{$key}$separator"; }
	$output =~ s!$separator$!!;
	return $output;
}


sub remove_common_leading_substring
{
	# Pass in an array of strings, and this sub will remove any common leading
	# portion from each of the strings in the array.  Note: this currently has
	# a hard-coded relief valve (the "$done = 1 if $i > N") until it gets more
	# widespread testing, because a malfunction could result in an infinite loop.

	my $done = 0;
	my $i = 0;
	my $longest_common_substring = '';
	while(!$done)
	{
		$i++;
		#print STDERR "increasing \$i to $i\n";
		my $substring = '';
		for(@_)
		{
			#print STDERR "\tprocessing $_ : ";
			if(!length($substring))
			{
				# Set our test string from the first string in the array.  And this is
				# in its own separate if() because there's no sense in testing whether
				# this first string matches itself.
				#
				$substring = substr($_, 0, $i);

				# Also note that, because of this if() and the fact that we only set
				# the LCS variable in the following else(), that means we're technically
				# only removing length(LCS)-1 characters -- but that's what we want,
				# because otherwise we'd be leaving a null string in the event that one
				# of the strings *is* the LCS.  Instead we're leaving one character from
				# the end of the LCS as the first character on all the output strings.
			}
			else
			{
				if(/^$substring/)
				{
					#print STDERR "still matches ('$_' matches '$substring')\n";
					$longest_common_substring = $substring;
				}
				else
				{
					# failed the match, so we need to roll it back by 1 char:
					$longest_common_substring = substr($longest_common_substring, 0, -1);
					#print STDERR "failed match; we're done here. \$longest_common_substring='$longest_common_substring'\n";
					$done = 1; last;
				}
			}
			if(length($substring) >= length($_))
			{
				#print STDERR "\n\tsubstring now as long as the shortest string; we're done here\n";
				$done = 1; last;
			}
		}
		$done = 1 if $i > 100; 
	}
	s!^$longest_common_substring!! for @_;
}


sub datestring8_to_etime($$)
{
	my $d8 = shift;
	my $when = shift;
	$when = $when =~ /start/ ? 'start' : 'end';

	my ($year,$month,$day) = ($d8 =~ /^(\d{4})(\d{2})(\d{2})$/);

	my ($sec,$min,$hour);
	if($when eq 'start')
	{
		($sec,$min,$hour) = (0,0,0);
	}
	else
	{
		($sec,$min,$hour) = (59,59,23);
	}

	return timelocal($sec,$min,$hour,$day,($month - 1),$year);
}


sub num_elapsed_days_between_datestring8_dates($$)
{
	my $earlier_date = shift;
	my $later_date = shift;

	if($earlier_date !~ /^\d{8}$/ || $later_date !~ /^\d{8}$/)
	{
		die qq`$0: datestrings must contain exactly 8 digits and nothing else, but you've passed "$earlier_date" and "$later_date"\n`;
	}

	return 0 if $earlier_date == $later_date;

	if($earlier_date > $later_date)
	{
		my $temp = $earlier_date;
		$earlier_date = $later_date;
		$later_date = $temp;
	}

	# now $earlier_date is smaller/earlier than $later_date.

	my $elapsed_days = 0;
	while($earlier_date < $later_date)
	{
		$later_date = decrement_datestring_8($later_date, 1);
		$elapsed_days++;
	}

	return $elapsed_days;
}


sub increment_datestring_8($$)
{
	my $start = shift;
	my $amount = shift;
	my $i = ();

	die_nice("Error: increment_datestring_8('$start', '$amount'): invalid start date '$start'.\n") unless $start =~ /^\d{8}$/;

	for($i=1; $i<=$amount; $i++)
	{
		my ($year,$month,$day) = ($start =~ /(\d{4})(\d{2})(\d{2})/);
		my ($newmonth,$newday) = ($month,$day);

		s/^0// for($newmonth,$newday);

		# try to inc the day
		eval { timelocal(0,0,0,$newday+1,$newmonth-1,$year); }; # note: timelocal's month is 0..11 so $month-1 = $month
		if($@) # means there was an error.
		{
			# try to inc the month
			eval { timelocal(0,0,0,1,$newmonth,$year); };
			if($@)
			{
				# inc the year
				eval { timelocal(0,0,0,1,0,$year+1); };
				if($@)
				{
					die_nice("Error: increment_datestring_8('$start', '$amount'): can't increment the year: $@\n");
				}
				else
				{
					$year++;
					$start = $year . '0101';
				}
			}
			else
			{
				$newmonth++;
				$newmonth = "0$newmonth" if ($newmonth =~ /^\d$/);
				$start = $year . $newmonth . '01';
			}
		}
		else
		{
			$newday++;
			$newday = "0$newday" if ($newday =~ /^\d$/);
			$start = $year . $month . $newday;
		}
	}

	return $start;
}


sub decrement_datestring_8($$)
{
	my $start = shift;
	my $amount = shift;
	my $i = ();

	die_nice("Error: decrement_datestring_8('$start', '$amount'): invalid start date '$start'.\n") unless $start =~ /^\d{8}$/;

	for($i=1; $i<=$amount; $i++)
	{
		my ($year,$month,$day) = ($start =~ /(\d{4})(\d{2})(\d{2})/);
		my ($newmonth,$newday) = ($month,$day);

		s/^0// for($newmonth,$newday);

		# try to dec the day
		eval { timelocal(0,0,0,$newday-1,$newmonth-1,$year); }; # note: timelocal's month is 0..11 so $month-1 = $month
		if($@ || $newday !~ /[1-9]/) # $@ means there was an error.  also need to make sure $newday is nonzero for servers whose timelocal() is broken, incorrectly reporting 0 as a valid day.
		{
			# try to dec the month
			eval { timelocal(0,0,0,1,$newmonth-2,$year); };
			if($@)
			{
				# month is Jan... dec the year
				eval { timelocal(0,0,0,1,0,$year-1); };
				if($@)
				{
					die_nice("Error: decrement_datestring_8('$start', '$amount'): can't decrement the year: $@\n");
				}
				else
				{
					$year--;
					$start = $year . '1231';
				}
			}
			else
			{
				# we know the month is valid, so find the highest valid day:
				$newday = 32;
				do { $newday--; eval { timelocal(0,0,0,$newday,$newmonth-2,$year); }; } while ($@);

				$newmonth--;
				$newmonth = "0$newmonth" if ($newmonth =~ /^\d$/);
				$start = $year . $newmonth . $newday;
			}
		}
		else
		{
			$newday--;
			$newday = "0$newday" if ($newday =~ /^\d$/);
			$start = $year . $month . $newday;
		}
	}

	return $start;
}


sub increment_datestring_6
{
	my $date = shift;
	die_nice qq`Invalid datestring6 value: '$date'.` unless $date =~ /^\d{6}$/;
	my ($year,$month) = ($date =~ /(\d{4})(\d{2})/);
	$month =~ s!^0!!;
	$month++;
	if($month > 12)
	{
		$month = 1;
		$year++;
	}
	$month = "0$month" if $month =~ /^\d$/;
	return "$year$month";
}


sub decrement_datestring_6
{
	my $date = shift;
	die_nice qq`Invalid datestring6 value: '$date'.` unless $date =~ /^\d{6}$/;
	my ($year,$month) = ($date =~ /(\d{4})(\d{2})/);
	$month =~ s!^0!!;
	$month--;
	if($month < 1)
	{
		$month = 12;
		$year--;
	}
	$month = "0$month" if $month =~ /^\d$/;
	return "$year$month";
}


sub split_path_and_filename
{
	return ($_[0] =~ m!^(.*?)([^/\\]+)$!);
}


sub serialize_filename_if_file_exists
{
	my $fullfile = shift;
	my $separator = shift;		# optional
	my $paddinglength = shift || 2;	# optional

	my ($path,$file) = split_path_and_filename($fullfile);
	$separator ||= $file =~ / / ? ' ' : '_';

	my $i = my $j = 1;
	while(-e $fullfile)
	{
		$j = $i;
		$j = "0$j" while(length($j) < $paddinglength);
		my $tempname = $file;
		$tempname =~ s/(\.[^\.]+)$/$separator$j$1/;
		$fullfile = $path . $tempname;
		$i++;
	}

	return wantarray ? ($fullfile, $separator, $j) : $fullfile;
}


sub get_all_subdirs
{
	#print STDERR "get_all_subdirs('$_[0]')\n";

	my $dir = shift;
	my $mode = shift;
	unless(-d $dir)
	{
		print_http_headers();
		print qq`<p>Error: get_all_subdirs(): we need a directory, but we received "$dir".</p>\n`;
		return;
	}
	opendir(DIRHFORSUBS, $dir) or die_nice "couldn't open directory '$dir': $!\n";
	# TODO: the -w test here should be removed, since this sub is named "get_all_subdirs".  It was probably originally
	# included for the sake of FC which generally isn't interested in dirs it can't write to, but that should be handled
	# explicitly in other code, rather than silently in this general-use sub.
	my @dirs = sort { lc($a) cmp lc($b) } grep {  -d "$dir/$_"  &&  -w "$dir/$_"  &&  !/^\.$/  &&  !/^\.{2}$/  } readdir(DIRHFORSUBS);
	closedir DIRHFORSUBS or die_nice "couldn't close directory '$dir': $!\n";

	my @subdirs = ();
	# now recurse through everything below this point.
	foreach my $level1dir (@dirs)
	{
		foreach my $level2dir (get_all_subdirs("$dir/$level1dir"))
		{
			push @subdirs, "$level1dir/$level2dir";
		}
	}
	push @dirs, @subdirs;

	return sort { lc($a) cmp lc($b) } @dirs;
}


sub get_all_files
{
	my $dir = shift;
	opendir(DIRHFORFILES, $dir) or die_nice "couldn't open directory '$dir': $!\n";
	my @files = sort { lc($a) cmp lc($b) } grep {  -f "$dir/$_"  &&  -r "$dir/$_"  &&  !/^\.$/  &&  !/\.{2}/  } readdir(DIRHFORFILES);
	closedir DIRHFORFILES or die_nice "couldn't close directory '$dir': $!\n";
	return @files;
}


sub generate_random_hash()
{
	# We're using md5_hex() here instead of enc_hash() because the latter is prefs-dependent,
	# but we need this sub to be callable before prefs are loaded; and because, for a random
	# hash, as opposed to a hash of sensitive data like a password, the issues that make MD5
	# weaker than SHA1 are irrelevant.  Also note that, because the input data will be
	# different every single time this sub is called, and thus the output hash will never be
	# the same for any two calls (which is the whole point), that means that at any point in
	# the future, we can change to a different hash function, without it breaking anything
	# (for example, if/when sha1_hex() ever becomes available on virtually every installation,
	# as md5_hex() is now).

	return md5_hex($ENV{REMOTE_ADDR} . $$ . $ENV{HTTP_USER_AGENT} . $ENV{REMOTE_PORT} . time() . rand());
}


sub start_html_output_std
{
	return if $PREF{start_html_output_called};
	$PREF{start_html_output_called} = 1;

	my $subtitle = shift;

	print_http_headers();
	if($PREF{internal_appname} eq 'userbase') { return if $qs =~ /format=mini/; }
	if($PREF{internal_appname} eq 'visitorlog') { $PREF{extra_header_output} .= qq`\n<script type="text/javascript" src="$PREF{app_base_folder}/js/vlog.js"></script>\n`; }

	my $css = get_css();
	my $js = get_js();

	$PREF{title} = $PREF{"title_$PREF{on_page}"} if exists $PREF{"title_$PREF{on_page}"};
	my $show_app_pagetitle = $PREF{"hide_app_pagetitle_on_$PREF{on_page}_page"} !~ /yes/i;
	my $show_app_subtitle  = $PREF{"hide_app_subtitle_on_$PREF{on_page}_page"} !~ /yes/i;
	my $title_for_titlebar = exists $PREF{"titlebar_title___$PREF{on_page}"} ? $PREF{"titlebar_title___$PREF{on_page}"} : exists $PREF{titlebar_title} ? $PREF{titlebar_title} : $PREF{title};
	$title_for_titlebar =~ s!%%subtitle%%!$subtitle!g;
	$title_for_titlebar =~ s!<[^>]*>!!g;

	my $body_details = qq`id="$PREF{twochar_app_id}body" class="$PREF{on_page}body $PREF{current_app_style}_style"`;

	if($PREF{we_are_embedded})
	{
		print	  $PREF{extra_header_output};
		print	  $PREF{body_container_start} || qq`<div $body_details>\n`;
	}
	elsif($PREF{encodable_app_template_file} && -e $PREF{encodable_app_template_file})
	{
		my $title = $PREF{title_for_template_file} || $title_for_titlebar || $subtitle;
		open(HEADERFH, "<$PREF{encodable_app_template_file}") or die "$0: couldn't open \$PREF{encodable_app_template_file} ('$PREF{encodable_app_template_file}') for reading:: $!\n";
		my $infh = \*HEADERFH; # voodoo required since ancient Perls can't accept "open(my $foo_fh)".
		flock $infh, 1;
		seek $infh, 0, 0;
		while(<$infh>)
		{
			s!%%title%%!$title!g;
			s#(<!--\s*)?%%js%%(\s*-->)?#<script type="text/javascript" src="$ENV{SCRIPT_NAME}?js"></script>#g;
			s#(<!--\s*)?%%css%%(\s*-->)?#<link rel="stylesheet" type="text/css" media="all" href="$ENV{SCRIPT_NAME}?css">#g;

			if(/^(.*?)(?:<!--\s*)?%%encodable_app_output%%/i)
			{
				print $1; last;
			}
			else
			{
				print $_;
			}
		}
		close $infh or die "$0: couldn't close \$PREF{encodable_app_template_file} ('$PREF{encodable_app_template_file}') after reading:: $!\n";

		print	  $PREF{extra_header_output};
		print	  $PREF{body_container_start} || qq`<div $body_details>\n`;
	}
	#if($ENV{REQUEST_METHOD} =~ /post/i   ||   $PREF{"print_full_html_tags_for_$PREF{on_page}"} =~ /yes/i   ||   ($PREF{print_full_html_tags} =~ /yes/i   &&   $PREF{"print_full_html_tags_for_$PREF{on_page}"} !~ /no/i)   ||   (get_qs_var('forcefullhtml') eq 'yes')   ||   (get_qs_var('forcefullpage') eq 'yes'))
	else
	{
		print	  qq`<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">`
			. qq`\n<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">`
			. qq`\n<head>`
			. qq`\n<meta http-equiv="Content-type" content="text/html; charset=ISO-8859-1" />`
			. qq`\n<title>$title_for_titlebar</title>`
			. qq`\n<script type="text/javascript">\n/* <![CDATA[ */  /* so (X)HTML validators ignore the javascript. */\n\n$js\n\n/* ]]> */  /* so (X)HTML validators ignore the javascript. */\n</script>`
			. qq`\n<style type="text/css">$css</style>`
			. $PREF{extra_header_output}
			. qq`\n</head>`
			. qq`\n<body $body_details>`
			. qq`\n`;
	}

	$PREF{app_output_template} =~ s!%%title%%!$PREF{title}!g;
	$PREF{app_output_template} =~ s!%%subtitle%%!$subtitle ? qq`<div id="encsubtitle">$subtitle</div>` : ''!eg;
	$PREF{app_output_template} =~ s!%%%if-pagetitle%%%(.*?)%%%end-pagetitle%%%!$PREF{title} && $show_app_pagetitle ? $1 : ''!egs;
	$PREF{app_output_template} =~ s!%%%if-pagesubtitle%%%(.*?)%%%end-pagesubtitle%%%!$subtitle && $show_app_subtitle ? $1 : ''!egs;
	$PREF{app_output_template} =~ s!%%on_page%%!$PREF{on_page}!g;
	$PREF{app_output_template} =~ s!%%wide_page_css_wrapper_id%%!$PREF{on_a_wide_page} ? "$PREF{twochar_app_id}wrapper_widepage" : ''!egs;
	$PREF{app_output_template} =~ s!%%%if-onpage_(\w+)%%%(.*?)%%%endif-onpage_\1%%%!$PREF{on_page} eq $1 ? $2 : ''!egs;
	$PREF{app_output_template} =~ s!%%%ifelse-onpage_(\w+)%%%(.*?)%%%else%%%(.*?)%%%endelse-onpage_\1%%%!$PREF{on_page} eq $1 ? $2 : $3!egs;
	do_standard_template_vars_processing('include_undefined', $PREF{app_output_template});

	my $output_tophalf = ($PREF{app_output_template} =~ /(.*)%%app_output_body%%/s)[0];
	my $linkbar = get_linkbar(@_);
	$output_tophalf =~ s!%%linkbar_top%%!$linkbar!g;
	print $output_tophalf;

	if($PREF{internal_appname} eq 'userbase' && -e $PREF{default_account_temp_file}) { print qq`<div style="margin: 20px auto; max-width: 400px;">To determine your default admin account, login to your server via your normal method (FTP, etc) and then read the file $PREF{default_account_temp_file} (within your cgi-bin folder or login folder by default).&nbsp; This message will be displayed until you delete that file.</div>\n`; }
}


sub finish_html_output_std
{
	return if $PREF{finish_html_output_called};
	$PREF{finish_html_output_called} = 1;

	if($PREF{internal_appname} eq 'userbase') { return if $qs =~ /format=mini/; }

	my $linkbar = get_linkbar(@_);
	my $output_bottomhalf = ($PREF{app_output_template} =~ /%%app_output_body%%(.*)/s)[0];
	$output_bottomhalf =~ s!%%linkbar_bottom%%!$linkbar!g;
	$output_bottomhalf =~ s!%%powered_by%%!$PREF{hide_poweredby} eq 'yes' ? '' : get_powered_by()!eg;
	print $output_bottomhalf;

	if($PREF{enable_debug} =~ /yes/i)
	{
		print qq`<div style="margin: 20px auto; min-width: 400px; max-width: 600px; padding: 5px; background: #fff; color: #444; border: 1px solid #999;">`
			. qq`Warning: you've set \$PREF{enable_debug} to 'yes'.&nbsp; If you're not having problems, you should disable this.&nbsp; And if you are having problems, you should still disable this, because in some cases it can cause features not to work.&nbsp; Only enable this temporarily.`
			. qq`\n</div>\n`;
	}

	if(($CGI::VERSION < 3.03)   &&   ($PREF{ignore_ancient_CGI_module} !~ /yes/i))
	{
		print qq`<div style="margin: 20px auto; min-width: 400px; max-width: 600px; padding: 5px; background: #fff; color: #444; border: 1px solid #999;">`
			. qq`Warning: your server's version of the CGI.pm Perl module is $CGI::VERSION, which is extremely outdated.&nbsp; `
			. qq`Some features like uploading may not work at all, or may be unreliable.&nbsp; To fix this, `
			. qq`<a href="http://encodable.com/sharedfaq/#oldcgi" target="_blank">update your CGI module</a>.&nbsp; `
			. qq`To ignore this problem (not recommended), add this line to the end of your prefs file: `
			. qq`\$PREF{ignore_ancient_CGI_module}='yes';</div>\n`;
	}

	print get_enc_visitor_id_iframe();
	send_event_calendar_reminders() if $PREF{internal_appname} eq 'userbase';
	print get_extra_debug_output();

	if($PREF{we_are_embedded})
	{
		print	  $PREF{body_container_end} || qq`</div><!-- end #$PREF{twochar_app_id}body -->\n`;
		print	  $PREF{extra_footer_output};
	}
	elsif($PREF{encodable_app_template_file} && -e $PREF{encodable_app_template_file})
	{
		print	  $PREF{body_container_end} || qq`</div><!-- end #$PREF{twochar_app_id}body -->\n`;
		print	  $PREF{extra_footer_output};

		open(FOOTERFH, "<$PREF{encodable_app_template_file}") or die "$0: couldn't open \$PREF{encodable_app_template_file} ('$PREF{encodable_app_template_file}') for reading:: $!\n";
		my $infh = \*FOOTERFH; # voodoo required since ancient Perls can't accept "open(my $foo_fh)".
		flock $infh, 1;
		seek $infh, 0, 0;
		my $found_token = 0;
		while(<$infh>)
		{
			if($found_token)					{ print $_; }
			elsif(/%%encodable_app_output%%(?:\s*-->)?(.*?)$/i)	{ print $1; $found_token = 1; }
		}
		close $infh or die "$0: couldn't close \$PREF{encodable_app_template_file} ('$PREF{encodable_app_template_file}') after reading:: $!\n";
	}
	#if($ENV{REQUEST_METHOD} =~ /post/i   ||   $PREF{"print_full_html_tags_for_$PREF{on_page}"} =~ /yes/i   ||   ($PREF{print_full_html_tags} =~ /yes/i   &&   $PREF{"print_full_html_tags_for_$PREF{on_page}"} !~ /no/i)   ||   (get_qs_var('forcefullhtml') eq 'yes')   ||   (get_qs_var('forcefullpage') eq 'yes'))
	else
	{
		print	  $PREF{extra_footer_output};
		print	  qq`</body>\n</html>\n`;
	}
}


sub check_image_modules
{
	exit_with_needprivs() unless user_is_allowed_to('view_administration_page');

	my $separator = qq`<br /><br /><hr><br />\n`;

	start_html_output("Check Image Modules");
	print qq`\n<div style="text-align: left; margin: 30px auto;">$PREF{internal_appname_nice} uses image modules in order to enable image-based features like rotation, resizing/thumbnails, etc.&nbsp; It supports 3 different methods for this: the GD Perl module, the ImageMagick Perl module, and the ImageMagick convert/identify commands; and usually only one of these is necessary.&nbsp; This page will show whether your server supports these modules.&nbsp; See <a href="http://encodable.com/filechucker/faq/#image">this FAQ</a> for more details.$separator`;

	unless($PREF{already_tested_for_im})
	{
		eval { require Image::Magick; }; $PREF{imagemagick_error} = $@;
	}
	unless($PREF{already_tested_for_gd})
	{
		eval { require GD; require GD::Simple; }; $PREF{gd_error} = $@;
	}
	foreach my $module ('ImageMagick', 'GD')
	{
		my $error = $PREF{lc($module) . "_error"};
		print qq`Attempting to load the $module Perl module... `;
		print !$error	? qq`success.`
			: qq`failed.&nbsp; The error was: <div style="margin: 20px 40px;">$error</div>`
			. qq`This means that <strong>the $module Perl module is not installed, or not installed <em>properly</em>, on your server</strong>.&nbsp; `
			. qq`This is a server error, not a $PREF{internal_appname_nice} error.&nbsp; <a href="http://encodable.com/filechucker/faq/#image">This FAQ</a> may help, `
			. qq`but you'll need to contact your hosting company if you want to get the $module Perl module installed properly.&nbsp; Or, if you have `
			. qq`root/Administrator access to your server, then we may be able to install it for you; the cost is typically 1 hour of labor.&nbsp; `
			. qq`<a href="http://encodable.com/contact/">Contact us</a> if you'd like us to look into this.`;
		print $separator;
	}

	print "Attempting to locate a 'convert' command:<br />\n";
	print "\nExecuting 'which convert': ";
	my $which_output = `which convert`;
	print $which_output && $which_output !~ /no convert in/ ? "found one or more convert commands: $which_output" : "command produced no output; no 'convert' in PATH.";
	print "<br />\n";
	print "Manually checking /usr/bin/convert: " . (-e '/usr/bin/convert' ? 'exists.' : 'does not exist.') . "<br />\n";
	print "Manually checking /usr/local/bin/convert: " . (-e '/usr/local/bin/convert' ? 'exists.' : 'does not exist.') . "<br />\n";
	print "<br />\nIf a convert command was found here, you can set \$PREF{convert_command} to it, and then enable the \$PREF{try_to_use_convert_*} settings (and probably also the \$PREF{try_to_use_identify_*} settings because an identify command probably exists in the same location).\n";
	#print "\nExecuting 'find / -name convert':<br />\n";
	#print `find / -name convert -type f`;
	print $separator;

	if($PREF{im_and_gd_disabled_internally})
	{
		print qq`Because neither the ImageMagick nor GD Perl modules are properly installed on your server, $PREF{internal_appname_nice} has internally disabled the \$PREF{try_to_use_*} prefs for them.&nbsp; You may be able to use the \$PREF{try_to_use_convert_*} settings instead.&nbsp; See <a href="http://encodable.com/filechucker/faq/#image">this FAQ</a> for more details.$separator`;
	}

	print qq`Note that this only affects the image-based features like rotation, thumbnails, etc.&nbsp; It does not affect $PREF{internal_appname_nice}'s core functionality.&nbsp; So $PREF{internal_appname_nice} itself will work just fine even if your server does not support these image modules.`;
	print qq`</div>\n`;

	finish_html_output();
}


sub try_to_load_image_modules()
{
	# TODO: find a reliable way to test whether the jpegtran and convert binaries are available.
	# For now, just hardcode the $PREF{(jpegtran|convert)_available} = 'yes'; and use the try_to_*
	# PREF to switch it off.
	#
	#if(!jpegtran_is_available()   &&   ($PREF{try_to_use_jpegtran_for_rotation} =~ /yes/i))
	#{
	#	die_nice qq`$PREF{internal_appname}: jpegtran is not available on your server, so you must either install it, or else disable the following setting in PREFs Section 15: <br /><br />\n\$PREF{try_to_use_jpegtran_for_rotation}`;
	#}
	$PREF{jpegtran_available} = 'yes';
	$PREF{convert_available} = 'yes';
	$PREF{identify_available} = 'yes';

	# Note: the call to *_is_available() MUST come last in these if()s, so that on
	# servers where the module is corrupt, we can prevent even trying to load it,
	# by setting the PREFs to 'no'.
	#
	my $tried_im_and_failed = 1 if(($PREF{try_to_use_imagemagick_for_rotation} =~ /yes/i || $PREF{try_to_use_imagemagick_for_resizing} =~ /yes/i || $PREF{try_to_use_imagemagick_for_humantest} =~ /yes/i)   &&   !imagemagick_is_available());
	my $tried_gd_and_failed = 1 if(($PREF{try_to_use_gd_for_rotation} =~ /yes/i || $PREF{try_to_use_gd_for_resizing} =~ /yes/i || $PREF{try_to_use_gd_for_humantest} =~ /yes/i)   &&   !gd_is_available());
	if($tried_im_and_failed   &&   $tried_gd_and_failed)
	{
		$PREF{im_and_gd_disabled_internally} = 1;
		foreach my $pref (keys %PREF) { $PREF{$pref} = 'no' if $pref =~ /^try_to_use_(imagemagick|gd)/i; }
	}
}

sub jpegtran_is_available()
{
	$PREF{jpegtran_test_command} = 'jpegtran </dev/null >/dev/null 2>&1';
	my ($success,$msg) = enc_sys_call($PREF{jpegtran_test_command});
	if($success)	{ $PREF{jpegtran_available} = 'yes';	$PREF{jpegtran_error} = ''; }
	else		{ $PREF{jpegtran_available} = 'no';	$PREF{jpegtran_error} = "Failed to execute jpegtran: $msg"; }
	return !$PREF{jpegtran_error};
}


sub imagemagick_is_available()
{
	unless($PREF{already_tested_for_im})
	{
		$PREF{already_tested_for_im} = 1;
		eval { require Image::Magick; }; $PREF{imagemagick_error} = $@;
		$PREF{imagemagick_available} = !$PREF{imagemagick_error};
	}
	return $PREF{imagemagick_available};
}


sub gd_is_available()
{
	unless($PREF{already_tested_for_gd})
	{
		$PREF{already_tested_for_gd} = 1;
		eval { require GD; require GD::Simple; }; $PREF{gd_error} = $@;
		$PREF{gd_available} = !$PREF{gd_error};
	}
	return $PREF{gd_available};
}


sub do_automatic_resizing($)
{
	my $files = shift;
	# hashref, formatted like this:
	# $$files{01}{name} = 'foo.jpg',
	# $$files{01}{realpath} = '/full/path/to/imagedir',
	# $$files{01}{force_overwrite} = 1 (optional).

	my @results = ();
	my $filecount = scalar keys %$files;

	if($PREF{resize_uploaded_images} =~ /yes/i   ||   $PREF{create_resized_copies_of_uploaded_images} =~ /yes/i)
	{
		foreach my $pref (sort keys %PREF)
		{
			if($pref =~ /^create_resized_copies_(\d+)__imagemagick_size$/)
			{
				my $num = $1;
				foreach my $file (sort keys %$files)
				{
					if(is_image($$files{$file}{name}))
					{
						my $file_id_for_status = $filecount == 1 ? $$files{$file}{name} : "#$file ($$files{$file}{name})";

						my $input_file_full = $$files{$file}{realpath} . '/' . $$files{$file}{name};
						condense_slashes('leave_leading_UNC', $input_file_full);

						if($PREF{create_resized_copies_of_uploaded_images} =~ /yes/i)
						{
							my $smallsize = ($PREF{imagemagick_available} && $PREF{try_to_use_imagemagick_for_resizing} =~ /yes/i) || $PREF{try_to_use_convert_for_resizing} =~ /yes/i ? $PREF{"create_resized_copies_${num}__imagemagick_size"} : gd_is_available() ? $PREF{"create_resized_copies_${num}__gd_size"} : '';

							if(-s $input_file_full > $PREF{"create_resized_copies_${num}__skip_if_bigger_than"})
							{
								push @results, qq`Creating ${smallsize}px resized copy of $file_id_for_status: skipping because input file is bigger than the limit ($PREF{"create_resized_copies_${num}__skip_if_bigger_than"} bytes).`;
								next;
							}

							my $output_dir = $PREF{"create_resized_copies_${num}__location_type"} eq 'absolute' ? $PREF{"create_resized_copies_${num}__folder_name"} : $$files{$file}{realpath};
							$output_dir .= '/' . $PREF{"create_resized_copies_${num}__folder_name"} if $PREF{"create_resized_copies_${num}__folder_name"} && $PREF{"create_resized_copies_${num}__location_type"} eq 'relative';
							condense_slashes('leave_leading_UNC', $output_dir);
							create_dir_if_DNE($output_dir,$PREF{writable_dir_perms});

							my $output_file = $PREF{"create_resized_copies_${num}__new_filename"};
							my ($origname,$ext) = ($$files{$file}{name} =~ /(.+)\.(.+)/);
							$output_file =~ s!%%orig%%!$origname!g;
							$output_file =~ s!%%ext%%!$ext!g;

							my $output_file_full = $output_dir . '/' . $output_file;
							#unless($PREF{overwrite_existing_files} =~ /yes/i)
							if($PREF{"create_resized_copies_${num}__serialize_or_overwrite"} eq 'serialize')
							{
								$output_file_full = serialize_filename_if_file_exists($output_file_full);
							}

							# Make sure to do the skip-if-exists check before the image-dims check, because
							# the latter is expensive.
							#
							if(-e $output_file_full && !$$files{$file}{force_overwrite})
							{
								push @results, qq`Creating ${smallsize}px resized copy of $file_id_for_status: skipping because output file already exists.`;
								next;
							}

							my ($origw,$origh) = get_image_dims($input_file_full);
							my ($thumbw,$thumbh) = ($smallsize =~ /^(\d*)x?(\d*)$/i);
							if($origw > $thumbw || $origh > $thumbh || !$origw || !$thumbw)
							{
								#resize_image($input_file_full, $output_file_full, $smallsize);
								resize_image___withtimeout($PREF{image_resizing_timeout}, $input_file_full, $output_file_full, $smallsize);
								push @results, qq`Creating ${smallsize}px resized copy of $file_id_for_status: OK.` if -e $output_file_full;
								push @results, qq`Creating ${smallsize}px resized copy of $file_id_for_status: failed (output file does not exist afterwards).` unless -e $output_file_full;
							}
							else
							{
								copy($input_file_full, $output_file_full) or die_nice "couldn't copy image file '$input_file_full' to thumbnail file '$output_file_full': $!\n";
								push @results, qq`Creating ${smallsize}px resized copy of $file_id_for_status: OK (copied from original because original was already small enough).` if -e $output_file_full;
								push @results, qq`Creating ${smallsize}px resized copy of $file_id_for_status: failed (tried to copy from original because original was already small enough).` unless -e $output_file_full;
							}
							chmod $PREF{writable_file_perms}, $output_file_full;
						}

						if($PREF{resize_uploaded_images} =~ /yes/i)
						{
							next if -s $input_file_full > $PREF{resize_uploaded_images__skip_if_bigger_than};

							my $smallsize = ($PREF{imagemagick_available} && $PREF{try_to_use_imagemagick_for_resizing} =~ /yes/i) || $PREF{try_to_use_convert_for_resizing} =~ /yes/i ? $PREF{resize_uploaded_images__imagemagick_size} : gd_is_available() ? $PREF{resize_uploaded_images__gd_size} : '';
							my ($origw,$origh) = get_image_dims($input_file_full);
							my ($thumbw,$thumbh) = ($smallsize =~ /^(\d*)x?(\d*)$/i);
							if($origw > $thumbw || $origh > $thumbh || !$origw || !$thumbw)
							{
								#resize_image($input_file_full, $input_file_full, $smallsize);
								resize_image___withtimeout($PREF{image_resizing_timeout}, $input_file_full, $input_file_full, $smallsize);
								push @results, qq`Resizing $file_id_for_status to ${smallsize}px: OK.` if -e $input_file_full;
								chmod $PREF{writable_file_perms}, $input_file_full;
							}
						}
					}
				}
			}
		}
	}

	return @results;
}


sub get_image_dims
{
	my $filename = shift;
	my ($width, $height, $xres, $yres) = ();
	my $decpoints = $PREF{num_decimal_points_for_image_details} =~ /^(\d+)$/ ? $1 : 2;
	if($PREF{identify_available} =~ /yes/i && $PREF{try_to_use_identify_for_dimensions} =~ /yes/i)
	{
		my $info = `$PREF{identify_command} -verbose "$filename"`;
		($width,$height) = ($1,$2) if $info =~ /^\s*Geometry:\s*(\d+)x(\d+)/m;
		($xres,$yres) = ($1,$2) if $info =~ /^\s*Resolution:\s*(\d+)x(\d+)/m;

		# This works, and doesn't require reading the whole image into memory so it's
		# quicker, but it can only get a few image attributes, not all of them.
		#
		#my $info = `$PREF{identify_command} "$filename"`;
		#($width,$height) = ($1,$2) if $info =~ /^$filename [A-Z]+ (\d+)x(\d+) /   ||   $info =~ /^$filename [A-Z]+ (\d+)x(\d+)\+\d+\+\d+ /;
	}
	elsif($PREF{imagemagick_available} && $PREF{try_to_use_imagemagick_for_dimensions} =~ /yes/i)
	{
		my $image = new Image::Magick;
		my $x = $image->Read($filename);
		#die_nice "ImageMagick Read() error: $x" if "$x"; # seems to die too easily, i.e. for unknown meta tags in an otherwise OK image.
		($width, $height, $xres, $yres) = $image->Get('width', 'height', 'x-resolution', 'y-resolution');

		# This works, and doesn't require reading the whole image into memory so it's
		# quicker, but it can only get a few image attributes, not all of them.
		#
		#my $image = new Image::Magick;
		#my ($width, $height, $size, $format) = $image->Ping($filename);
		#return ($width, $height);

		# This works, but the output goes directly to STDOUT/STDERR instead of into @details.
		#
		#my $image = new Image::Magick;
		#my $x = $image->Read($filename);
		#die_nice "ImageMagick Read() error: $x" if "$x";
		#my @details = $image->Identify();
		##die_nice (qq`Details: \n<br />` . join("\n<br /><br />", @details));
	}
	elsif(gd_is_available() && $PREF{try_to_use_gd_for_dimensions} =~ /yes/i)
	{
		my $image = GD::Image->new($filename);
		($width,$height) = ($image->width, $image->height) if $image;
	}

	# Some (corrupt?) images report screwy resolutions, e.g. "72/10000" instead of "72/1"; when
	# that happens, try to correct it from the other dimension's resolution:
	$xres = $yres if $xres < 1 && $yres > 1;
	$yres = $xres if $yres < 1 && $xres > 1;

	my $width_inches  = $width  && $xres ? $width/$xres  : '';
	my $height_inches = $height && $yres ? $height/$yres : '';

	for($xres, $yres, $width_inches, $height_inches)
	{
		s!(\.\d{$decpoints}).+!$1!; $_ = int($_) unless $decpoints;
	}

	return ($width, $height, $xres, $yres, $width_inches, $height_inches);
}


sub resize_image___withtimeout
{
	my $timeout = shift;
	my $ignore_other_errors	= $_[0] eq 'ignore_other_errors' ? shift : '';
	my $timeouts_are_errors	= $_[0] eq 'timeouts_are_errors' ? shift : '';

	#use Time::HiRes 'gettimeofday';
	#my $starttime = gettimeofday();

	if($timeout)
	{
		if(0) # eval method: (doesn't always work; for exaple with timeout set to 8, a certain image still takes 100+ seconds??)
		{
			eval {
				local $SIG{ALRM} = sub { die "alarm\n" }; # NB: \n required
				alarm $timeout;
				resize_image(@_);
				alarm 0;
			};
			if($@)
			{
				if($@ eq "alarm\n")	{ $timeouts_are_errors	&& die_nice("Timed out while trying to resize image.\n");	} # timed out.
				else			{ $ignore_other_errors	|| die_nice("Error while trying to resize image: $@\n");	} # propagate unexpected errors.
			}
			# else it didn't time out.
		}
		else # fork method:
		{
			my $pid = fork;
			defined $pid or die_nice "Could not fork: $!\n";
			unless ($pid) {
				# child:
				local $SIG{ALRM} = 'DEFAULT';
				alarm $timeout;
				resize_image(@_);
				alarm 0;
				exit; # exit the child.
			}
			waitpid $pid, 0;
		}
	}
	else { resize_image(@_); }

	#print STDERR "resize_image___withtimeout(): timeout set to $timeout; actual time was " . int(gettimeofday() - $starttime) . "\n";
}


sub resize_image
{
	my $infile = shift;
	my $outfile = shift;
	my $newW = shift;
	my $newH = shift;

	return unless -s $infile;

	my $geom = ();
	if($newW =~ /(\d*)x(\d*)!?/i)
	{
		$geom = $newW;
		($newW,$newH) = ($1,$2);
	}
	else
	{
		$geom = $newW . 'x' . $newH;
	}

	unless($newW =~ /[1-9]/ || $newH =~ /[1-9]/)
	{
		my $errormsg = "can't resize image because at least one of the dimensions must be specified (\$newW='$newW', \$newH='$newH')\n";
		encdebug $errormsg;
		exit_with_error $errormsg if $PREF{ignore_image_resizing_errors} !~ /yes/i;
		return;
	}

	if($PREF{convert_available} =~ /yes/i   &&   $PREF{try_to_use_convert_for_resizing} =~ /yes/i)
	{
		printd qq`resize_image(): using convert\n`;

		my $cmd = $PREF{convert_resize_template};
		$cmd =~ s!%%size%%!${newW}x${newH}!g;
		$cmd =~ s!%%infile%%!$infile!g;
		$cmd =~ s!%%outfile%%!$outfile!g;
		my ($success,$msg) = enc_sys_call($cmd);
		unless($success) { die_nice(qq`failed: $msg`); }
	}
	elsif($PREF{imagemagick_available}   &&   $PREF{try_to_use_imagemagick_for_resizing} =~ /yes/i)
	{
		printd qq`resize_image(): using IM\n`;

		my $image = new Image::Magick;
		my $retval = ();

		$retval = $image->Read($infile);
		if($retval)	{ printd "$0: error: resize_image(): \$image->Read()   returned $retval.\n"; return;	}

		$retval = $image->Resize(geometry=>$geom, filter=>'Lanczos');
		if($retval)	{ printd "$0: error: resize_image(): \$image->Resize() returned $retval.\n"; return;	}

		$image->Set(quality=>95);
		$image->Write($outfile);
	}
	elsif(gd_is_available()   &&   $PREF{try_to_use_gd_for_resizing} =~ /yes/i)
	{
		printd qq`resize_image(): using GD\n`;

		my $inputimage = GD::Image->new($infile);
		if(!$inputimage)	{ printd "$0: error: resize_image(): GD::Image->new($infile) returned null...\n"; return;	}

		my $oldW = $inputimage->width;
		my $oldH = $inputimage->height;

		die "$0: can't resize image because a dimension is missing (\$oldW='$oldW', \$oldH='$oldH')\n" unless $oldW =~ /[1-9]/ && $oldH =~ /[1-9]/;

		if(!$newW)
		{
			$newW = ($newH * $oldW) / $oldH;
			$newW =~ s/\..*//;
		}
		if(!$newH)
		{
			$newH = ($newW * $oldH) / $oldW;
			$newH =~ s/\..*//;
		}

		my $outputimage = GD::Image->newTrueColor($newW,$newH);
		$outputimage->copyResampled($inputimage,0,0,0,0,$newW,$newH,$oldW,$oldH);
		open(RESIMG, ">$outfile") or die "$0: couldn't create file '$outfile': $!\n";
		my $fh = \*RESIMG; # voodoo required since ancient Perls can't accept "open(my $foo_fh)".
		binmode $fh;
		   if($outfile =~ /\.jpe?g$/i)	{ print $fh $outputimage->jpeg(95);	}
		elsif($outfile =~ /\.png$/i)	{ print $fh $outputimage->png(3);	}
		elsif($outfile =~ /\.gif$/i)	{ print $fh $outputimage->gif();	}
		else				{ die "$0: resize_image(): image format not supported by GD.\n"; }
		close $fh or die "$0: couldn't close file '$outfile' after creating it: $!\n";
	}
	else
	{
		die_nice "no image-resizing library available.";
	}

	my $errormsg = qq`Output file does not exist after resizing; try adjusting or disabling \$PREF{image_resizing_timeout} and other image/video timeouts.`;
	encdebug $errormsg;
	exit_with_error $errormsg if (!-f $outfile) && ($PREF{ignore_image_resizing_errors} !~ /yes/i);
}


sub image_orientation_is_resettable($)
{
	my $filename = shift;
	return 0 unless $filename =~ /\.(jpg|jpe|jpeg)$/i;
	return command_is_available("exiftool") || command_is_available("exifautotran");
}


sub reset_image_orientation($)
{
	my $filename_with_path = shift;
	exit_with_error qq`file doesn't exist: '$filename_with_path'.` unless -e $filename_with_path;
	if(command_is_available("exiftool"))
	{
		system("exiftool -q -n -P -Orientation=1 \"$filename_with_path\"");
	}
	elsif(command_is_available("exifautotran"))
	{
		system("exifautotran \"$filename_with_path\"");
	}
	else
	{
		exit_with_error qq`no image-orientation-resetting program available.`;
	}
	chmod $PREF{writable_file_perms}, $filename_with_path;
}


# Prereqs: the passed command must be *just* a command; it must
# not contain any arguments.  (But because of systems with dumb
# setups (i.e. Windows), the command may still contain spaces.)
# The reason is that we'll actually execute whatever command is
# passed in, so including arguments on it will make the command
# actually do stuff, as opposed to just executing and quitting,
# as most commands will do when no arg is passed.
#
sub command_is_available($)
{
	my $cmd = shift;
	my $retval = $^O =~ /MSWin/ ? system("$cmd >NUL 2>NUL") : system("$cmd >/dev/null 2>&1");
	my $failed = 0;
	$failed = 1 if $? == -1;
	#$failed = 1 if $? & 127;
	$failed = 1 if $retval != 0;
	return $failed ? 0 : 1;
}


sub it_is_time_for_periodic_task($)
{
	# Usage: create a task in your prefs like this:
	#
	#	$PREF{periodic_tasks}{01}{name}		= 'some_task';
	#	$PREF{periodic_tasks}{01}{enabled}	= 'yes';
	#	$PREF{periodic_tasks}{01}{period}	= 60*10; # in seconds.
	#
	# Then in the code, do this:
	#
	#	do_the_some_task_function() if it_is_time_for_periodic_task('some_task');

	my $taskname = shift;
	my $period = '';
	my $enabled = 0;
	foreach my $i (sort { $a <=> $b } keys %{$PREF{periodic_tasks}})
	{
		if($PREF{periodic_tasks}{$i}{name} eq $taskname)
		{
			$period = $PREF{periodic_tasks}{$i}{period};
			$enabled = $PREF{periodic_tasks}{$i}{enabled} =~ /yes/i;
		}
	}
	return unless $taskname && $enabled;
	exit_with_error qq`Error: missing or invalid period setting for periodic task "$taskname".  You must create a \$PREF{periodic_tasks}{NN}{period} setting, and set it to a number, indicating the number of seconds to wait between executions of this particular task.` unless $period =~ /^\d+$/;

	my $taskslist = $PREF{datadir} . "/periodic_tasks_log.cgi";
	create_file_if_DNE($taskslist, $PREF{writable_file_perms});
	open(my $iofh, "+<$taskslist") or die_nice qq`couldn't open taskslist file '$taskslist' for I/O: $!`;
	flock $iofh, 2;
	seek $iofh, 0, 0;
	my @contents = ();
	my $time_of_last_execution = '';
	while(<$iofh>)
	{
		chomp;
		if(/^(\d+):$taskname$/)
		{
			$time_of_last_execution = $1;
		}
		else
		{
			push @contents, "$_\n";
		}
	}

	my $it_is_time = 0;
	if(!$time_of_last_execution)
	{
		$it_is_time = 1;
		push (@contents, offsettime() . ":" . $taskname . "\n");
		seek $iofh, 0, 0; print $iofh @contents; truncate $iofh, tell $iofh;
		encdebug qq`This task has never been executed before, so it IS time for task $taskname.`;
	}
	elsif((offsettime() - $time_of_last_execution) > $period)
	{
		$it_is_time = 1;
		push (@contents, offsettime() . ":" . $taskname . "\n");
		seek $iofh, 0, 0; print $iofh @contents; truncate $iofh, tell $iofh;
		encdebug qq`offsettime() - $time_of_last_execution = ` . (offsettime() - $time_of_last_execution) . qq`, which exceeds the period of $period, so it IS time for task $taskname.`;
	}
	else
	{
		encdebug qq`offsettime() - $time_of_last_execution = ` . (offsettime() - $time_of_last_execution) . qq`, which is less than $period, so it is not time for task $taskname.`;
	}

	close $iofh or die_nice qq`couldn't close taskslist file '$taskslist' after I/O: $!`;

	return $it_is_time;
}


$PREF{regerr} = sub
{
	exit_with_error qq`Registration error: $PREF{internal_appname_nice} must be installed on the registered domain, as stated in your license email.&nbsp; If you'd like to change your registered domain, please <a href="http://encodable.com/contact/" target="_blank">contact us</a> and include your old and new domains along with your license number.`;
};


sub cat($)
{
	my $file = shift;
	open(my $infh, $file) or die_nice "couldn't open file '$file' for reading: $!\n";
	flock $infh, 1;
	seek $infh, 0, 0;
	my $contents = '';
	while(<$infh>) { $contents .= $_; }
	close $infh or die_nice "couldn't close file '$file' after reading: $!\n";
	return $contents;
}


##############################################################################
### Login-VL: ################################################################
##############################################################################


sub delete_login_cookie
{
	set_cookie($PREF{site_session_cookie}, 0, '-1M');
}


sub show_loggedout_page
{
	my $ref = shift;
	enc_urldecode($ref);
	$ref = '' if $ref =~ /(log(ged)?out|smsg=|kmsg=|phase=)/i;
	my $message = $PREF{loggedout_page_template__no_referer};
	if($ref)
	{
		$message = $PREF{loggedout_page_template__with_referer};
		$message =~ s/%%ref%%/$ref/g;
	}
	exit_with_success($message);
}


sub get_logout_url
{
	return $PREF{integrate_with_userbase} =~ /yes/i || $PREF{integrate_with_userbase_method_b} =~ /yes/i || $PREF{integrate_with_existing_login_system} =~ /yes/i ? $PREF{logout_url} : ($ENV{SCRIPT_NAME} . ($ENV{SCRIPT_NAME} =~ /\?/ ? '&' : '?') . "logout");
}


sub get_login_url
{
	return $PREF{integrate_with_userbase} =~ /yes/i || $PREF{integrate_with_userbase_method_b} =~ /yes/i || $PREF{integrate_with_existing_login_system} =~ /yes/i ? $PREF{login_url} : "$PREF{here_login_qsready}action=login";
}


# This function must do a case-sensitive lookup (i.e., do NOT use LOWER()) because
# FC's userdirs are case-sensitive.  So whatever case is used when a username is
# created is the case that must always be used when logging in with it.
# UPDATE: MySQL's equal operator (=) is case-insensitive, absurdly.  To force it
# to act case-sensitively, you must use the BINARY function, as in:
#	... WHERE BINARY `username` = '$username'
#
sub account_exists($$$)
{
	#printd "account_exists('$_[0]', '$_[1]', '$_[2]')\n";

	my $user = shift;
	my $pass = shift;
	my $third_arg = shift;

	check_username_for_sql_safeness($user);
	check_hashedpw_for_sql_safeness($pass);

	my $BINARY = $PREF{make_usernames_case_insensitive} =~ /yes/i ? '' : 'BINARY';

	my $count = ();
	if($third_arg eq 'new_login')
	{
		$count = enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE $BINARY `username` = '$user' AND `password` = '$pass'");
	}
	else
	{
		die_unless_numeric($third_arg,'userid');
		$count = enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE $BINARY `username` = '$user' AND `password` = '$pass' AND `id` = $third_arg");
	}

	if($count == 1)		{ return 1; }
	elsif($count > 1)	{ die_nice("$0: account_exists('$user', '$pass', '$third_arg'): error: duplicate records ($count total) for this user!\n"); }
	else			{ return 0; }
}


sub account_is_pending
{
	return 0 if !userbase_available();
	my $userid = shift;
	die_unless_numeric($userid, "user ID in account_is_pending()");
	return (account_is_pending_email_verification($userid) || account_is_pending_admin_approval($userid) || account_is_pending_payment($userid));
}


sub account_is_pending_email_verification
{
	my $userid = shift;
	return ($PREF{visitors_can_sign_up_for_their_own_accounts} =~ /yes/i) && ($PREF{require_email_verification_for_new_signups} =~ /yes/i) && account_is_pending_email_verification_in_db($userid);
}


sub account_is_pending_email_verification_in_db
{
	my $userid = shift;
	die_unless_numeric($userid, "user ID in account_is_pending_email_verification_in_db()");
	return enc_sql_select("SELECT `pending_email_verification` FROM `$PREF{user_table}` WHERE `id` = $userid");
}


sub account_has_completed_email_verification
{
	my $userid = shift;
	die_unless_numeric($userid, "user ID in account_has_completed_email_verification()");
	return enc_sql_select("SELECT `completed_email_verification` FROM `$PREF{user_table}` WHERE `id` = $userid");
}


sub account_is_pending_admin_approval
{
	my $userid = shift;
	return ($PREF{visitors_can_sign_up_for_their_own_accounts} =~ /yes/i) && ($PREF{require_admin_approval_for_new_signups} =~ /yes/i) && account_is_pending_admin_approval_in_db($userid);
}


sub account_is_pending_admin_approval_in_db
{
	my $userid = shift;
	die_unless_numeric($userid, "user ID in account_is_pending_admin_approval_in_db()");
	return enc_sql_select("SELECT `pending_admin_approval` FROM `$PREF{user_table}` WHERE `id` = $userid");
}


sub account_is_pending_payment
{
	my $userid = shift;
	die_unless_numeric($userid, "user ID in account_is_pending_payment()");
	return enc_sql_select("SELECT `pending_payment` FROM `$PREF{user_table}` WHERE `id` = $userid");
}


sub account_has_completed_payment
{
	my $userid = shift;
	die_unless_numeric($userid, "user ID in account_has_completed_payment()");
	return enc_sql_select("SELECT COUNT(*) FROM `$PREF{payments_table}` WHERE `userid` = $userid");
}


sub get_custom_userbase_field_names
{
	my $which_user_table = shift;
	my $include_disabled_fields = shift;

	my (@custom_fields, %custom_fields) = ();
	if(enc_sql_select("SELECT COUNT(*) FROM `$PREF{custom_field_list_table}`"))
	{
		my ($fieldname,$fieldlabel,$enabled) = ();
		my $sth = $PREF{dbh}->prepare("SELECT fieldname,fieldlabel,enabled FROM `$PREF{custom_field_list_table}` ORDER BY `fieldposition`");
		$sth->execute() or die_nice("$PREF{internal_appname}: Error: get_custom_userbase_field_names(): $DBI::errstr\n");
		$sth->bind_columns(\$fieldname,\$fieldlabel,\$enabled);
		while($sth->fetchrow_arrayref)
		{
			next unless db_column_exists($fieldname, $which_user_table);
			next if (!$enabled   &&   !$include_disabled_fields);
			$custom_fields{$fieldname} = 1;
			push @custom_fields, $fieldname;
		}
	}

	return wantarray ? @custom_fields : \%custom_fields;
}


sub is_admin($)
{
	#printd "is_admin('$_[0]')\n";

	my $userid = shift;
	return 0 unless $userid;

	return 1 if (!userbase_available()   &&   $userid == -3);

	# don't bother checking the validity of $userid here,
	# because user_is_member_of_group() will do it.
	return user_is_member_of_group($userid,$PREF{admin_group_name});
}


sub force_pw_change($)
{
	my $userid = shift;
	my $force_pw_change = 0;

	if(		$PREF{enable_forced_password_change} =~ /yes/i
			&&
			enc_sql_select("SELECT `forcepwchng` FROM `$PREF{user_table}` WHERE `id` = '$userid';")
			&&
			(
				!is_admin($userid)
				||
				(is_admin($userid) && $PREF{admins_can_be_forced_to_change_their_own_pws} =~ /yes/i)
			)
	)
	{
		$force_pw_change = 1;
	}

	if(password_has_expired())
	{
		$force_pw_change = 1;
	}

	return $force_pw_change;
}


sub password_has_expired
{
	my $expired = 0;
	if($PREF{force_pw_chng_after_this_many_hours} =~ /^\d+$/ && $PREF{force_pw_chng_after_this_many_hours} > 0)
	{
		unless($PREF{admin_is_logged_in} && $PREF{admins_can_be_forced_to_change_their_own_pws} =~ /no/i)
		{
			my $time_now = offsettime();
			die_unless_numeric($PREF{logged_in_userid}, '$PREF{logged_in_userid}');
			my $time_of_last_pw_change = enc_sql_select("SELECT MAX(`timestamp`) FROM `$PREF{password_activity_table}` WHERE `user_id` = $PREF{logged_in_userid}");
			$expired = 1 if ($time_now - $time_of_last_pw_change) > ($PREF{force_pw_chng_after_this_many_hours} * 3600);
		}
	}
	return $expired;
}


sub get_group_id($)
{
	printd "get_group_id($_[0])\n";
	my $group = shift;

	if(userbase_available())
	{
		check_groupname_for_uniqueness($group); # checks for sql safeness too.
		return enc_sql_select("SELECT `id` FROM `$PREF{group_table}` WHERE `group` = '$group'");
	}
	else
	{
		   if($group =~ /^$PREF{public_group_name}$/i)	{ return -1; }
		elsif($group =~ /^$PREF{member_group_name}$/i)	{ return -2; }
		elsif($group =~ /^$PREF{admin_group_name}$/i)	{ return -3; }
		else { die_nice("invalid group name '$group'.\n"); }
	}
}


sub check_uid_for_uniqueness($)
{
	#die_unless_numeric($_[0], 'user ID'); # UIDs can be negative, so this test doesn't work here; and check_id_for_sql_safeness takes care of it anyway.
	check_id_for_sql_safeness($_[0]);
	if(enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE `id` = $_[0]")   >   1)
	{
		die_nice("more than one user record with id=$_[0]!\n");
	}
}


sub check_gid_for_uniqueness($)
{
	return unless userbase_available();
	printd "check_gid_for_uniqueness: '$_[0]'\n";

	check_id_for_sql_safeness($_[0]);
	if(enc_sql_select("SELECT COUNT(*) FROM `$PREF{group_table}` WHERE `id` = $_[0]")   >   1)
	{
		die_nice("more than one group record with id=$_[0]!\n");
	}
}


sub check_username_for_uniqueness($)
{
	#printd "check_username_for_uniqueness: '$_[0]'\n";

	check_username_for_sql_safeness($_[0]);
	if(enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE LOWER(`username`) = LOWER('$_[0]')")   >   1)
	{
		die_nice("more than one user record with username='$_[0]'!\n");
	}
}


sub check_groupname_for_uniqueness
{
	return unless userbase_available();
	printd "check_groupname_for_uniqueness($_[0])\n";

	check_groupname_for_sql_safeness($_[0]);
	if(enc_sql_select("SELECT COUNT(*) FROM `$PREF{group_table}` WHERE LOWER(`group`) = LOWER('$_[0]')")   >   1)
	{
		die_nice("more than one user record with groupname='$_[0]'!\n");
	}
}


sub user_is_member_of_group
{
	my $userid = shift;
	my $group = shift;
	my $not_checking_loggedin_user = shift;

	if($PREF{integrate_with_userbase_method_b} =~ /yes/i   &&   $PREF{logged_in_group_memberships}   &&   !$not_checking_loggedin_user)
	{
		return $PREF{logged_in_group_memberships} =~ /(^|,)$group(,|$)/;
	}
	if(userbase_available()   &&   ($PREF{member_is_logged_in} || $not_checking_loggedin_user))
	{
		check_groupname_for_sql_safeness($group);
		die_unless_numeric($userid,'userid');

		return 1 if $group =~ /^$PREF{public_group_name}$/i;
		return 1 if $group =~ /^$PREF{member_group_name}$/i && enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE `id` = $userid;");

		# special internal groups:
		return 1 if $group eq 'encwhitelisted' && $PREF{user_is_encwhitelisted};
		return 1 if $group eq 'encblacklisted' && $PREF{user_is_encblacklisted};

		return enc_sql_select("SELECT COUNT(*) FROM `$PREF{group_table}` WHERE LOWER(`group`) = LOWER('$group') AND `members` REGEXP '(^|,)$userid(,|\$)'");
	}
	else
	{
		# special internal groups:
		return 1 if $group eq 'encwhitelisted' && $PREF{user_is_encwhitelisted};
		return 1 if $group eq 'encblacklisted' && $PREF{user_is_encblacklisted};

		return 1 if $group =~ /^$PREF{public_group_name}$/i;
		return 1 if $group =~ /^$PREF{member_group_name}$/i && $userid =~ /^-(2|3)$/;
		return 1 if $group =~ /^$PREF{admin_group_name}$/i && $userid == -3;
	}
}


sub user_belongs_to_one_of_these_group_ids($$)
{
	my $uid = shift;
	my $idlist = shift; # list of numeric group IDs separated either by commas or "|||".
	$idlist =~ s!\|\|\|!,!g;
	my $belongs = 0;
	foreach my $gid (split(/\s*,\s*/, $idlist))
	{
		#$belongs = 1 if user_is_member_of_group($uid, get_group_name($gid));
		if(user_is_member_of_group($uid, get_group_name($gid)))
		{
			#encdebug qq`user $uid IS member of group ` . get_group_name($gid) . qq` (list=$idlist)`;
			$belongs = 1;
		}
	}
	return $belongs;
}


sub logged_in_user_belongs_to_one_of_these_group_ids($)
{
	return user_belongs_to_one_of_these_group_ids($PREF{logged_in_userid}, $_[0]);
}


sub userbase_available
{
	return ($PREF{internal_appname} eq 'userbase'   ||   $PREF{integrate_with_userbase} =~ /yes/i   ||   $PREF{integrate_with_userbase_method_b} =~ /yes/i);
}


sub get_user_id($)
{
	#printd "get_user_id('$_[0]')\n";

	my $username = shift;

	if(userbase_available()   &&   $username)
	{
		die_nice("Error: invalid username '$username'.\n") unless username_is_valid($username);
		check_username_for_uniqueness($username); # checks for sql safeness too.
		return enc_sql_select("SELECT `id` FROM `$PREF{user_table}` WHERE LOWER(`username`) = LOWER('$username')");
	}
	else
	{
		   if($PREF{admin_is_logged_in})	{ return -3; }
		elsif($PREF{member_is_logged_in})	{ return -2; }
		else					{ return -1; } # public.
	}
}


sub get_member_ids_for_group
{
	printd "get_member_ids_for_group($_[0])\n";

	my $group = shift;
	check_groupname_for_sql_safeness($group);

	 # every account is automatically a member of these groups.
	if($group =~ /^($PREF{public_group_name}|$PREF{member_group_name})$/i)
	{
		my $statement = "SELECT `id` FROM `$PREF{user_table}`";
		return $PREF{dbh}->selectall_hashref($statement, 'id');
	}
	else
	{
		my $member_ids = enc_sql_select("SELECT `members` FROM `$PREF{group_table}` WHERE LOWER(`group`) = LOWER('$group')");
		my %member_ids = map { $_ => 1 } split(/,/, $member_ids);
		return \%member_ids;
	}
}


# 20110404: APICHANGE: previously this sub accepted just a single argument,
# which was the group name.  Now it accepts an anonymous hash.
#
sub get_users_belonging_to_group
{
	# Example usage:
	#my $users = get_users_belonging_to_group({ group=>'member' });
	#foreach my $uid (keys %$users)
	#{
	#	print qq`Name: $$users{$uid}{name}, Email: $$users{$uid}{email} <br /><br />`;
	#}

	my $optsref = shift; my %opts = %$optsref if $optsref;

	my $group = $opts{group};
	check_groupname_for_sql_safeness($group);
	my $userids = '';

	if($group =~ /^($PREF{public_group_name}|$PREF{member_group_name})$/i)
	{
		my $userids_hashref = enc_sql_select_multi("SELECT `id` FROM `$PREF{user_table}`");
		foreach my $j (sort { $a <=> $b } keys %$userids_hashref) { $userids .= $$userids_hashref{$j}{id} . ","; }
		decommaify($userids);
	}
	else
	{
		$userids = enc_sql_select("SELECT `members` FROM `$PREF{group_table}` WHERE LOWER(`group`) = LOWER('$group')");
	}

	my %users = ();
	foreach my $uid (split(/,/, $userids))
	{
		die_unless_numeric($uid, 'user ID');
		next if $opts{exclude_pending} && account_is_pending($uid);
		next if $opts{exclude_admins} && is_admin($uid);
		my $userdata = enc_sql_select_multi("SELECT * FROM `$PREF{user_table}` WHERE `id` = $uid");
		foreach my $field (keys %{$$userdata{1}})
		{
			$users{$uid}{$field} = $$userdata{1}{$field};
		}
	}

	return \%users;
}


sub get_user_name($)
{
	check_uid_for_uniqueness($_[0]); # checks for sql safeness too.
	return enc_sql_select("SELECT `username` FROM `$PREF{user_table}` WHERE `id` = $_[0]");
}


sub get_group_name($)
{
	my $gid = shift;
	if(userbase_available())
	{
		check_gid_for_uniqueness($gid); # checks for sql safeness too.
		return enc_sql_select("SELECT `group` FROM `$PREF{group_table}` WHERE `id` = $gid");
	}
	else
	{
		   if($gid == -1)	{ return $PREF{public_group_name}; }
		elsif($gid == -2)	{ return $PREF{member_group_name}; }
		elsif($gid == -3)	{ return $PREF{admin_group_name}; }
		else { die_nice("$PREF{internal_appname}: get_group_name(): invalid group ID '$gid'.\n"); }
	}
}


sub get_email_address($)
{
	return unless userbase_available();
	check_uid_for_uniqueness($_[0]); # checks for sql safeness too.
	my ($username,$email) = enc_sql_select("SELECT `username`,`email` FROM `$PREF{user_table}` WHERE `id` = $_[0]");
	$email = $username if is_valid_email_address($username) && !is_valid_email_address($email);
	return $email;
}


sub hashedpw_is_valid				{ return  $_[0] =~ /^[0-9A-Za-z]+$/					&&	length($_[0]) <= $PREF{max_hashedpw_length};	}
sub sessionid_is_valid				{ return  $_[0] =~ /^[0-9A-Za-z]+$/					&&	length($_[0]) <= $PREF{max_hashedpw_length};	}


sub username_is_valid
{
	my $space = $PREF{allow_spaces_in_usernames} =~ /yes/i ? ' ' : '';
	my $atsign = $PREF{allow_atsigns_in_usernames} =~ /yes/i ? '@' : '';
	my $dot = $PREF{allow_dots_in_usernames} =~ /yes/i ? '.' : '';
	my $dash = $PREF{allow_dashes_in_usernames} =~ /yes/i ? '-' : '';

	return ($_[0] =~ /^[0-9A-Za-z_$space$atsign$dot$dash]+$/   &&   $_[0] =~ /\w/	&&	length($_[0]) <= $PREF{max_username_length});
}

sub groupname_is_valid
{
	my $space	= ($PREF{allow_spaces_in_usernames} =~ /yes/i	|| $PREF{allow_spaces_in_groupnames} =~ /yes/i)		? ' ' : '';
	my $atsign	= ($PREF{allow_atsigns_in_usernames} =~ /yes/i	|| $PREF{allow_atsigns_in_groupnames} =~ /yes/i)	? '@' : '';
	my $dot		= ($PREF{allow_dots_in_usernames} =~ /yes/i	|| $PREF{allow_dots_in_groupnames} =~ /yes/i)		? '.' : '';
	my $dash	= ($PREF{allow_dashes_in_usernames} =~ /yes/i	|| $PREF{allow_dashes_in_groupnames} =~ /yes/i)		? '-' : '';

	return ($_[0] =~ /^[0-9A-Za-z_$space$atsign$dot$dash]+$/   &&   $_[0] =~ /\w/	&&	length($_[0]) <= $PREF{max_groupname_length});
}

sub check_hashedpw_for_sql_safeness		{ die_nice(qq`Invalid hashed password:	'$_[0]' [called from: ` . (caller 1)[3]  . qq`]`) unless hashedpw_is_valid($_[0]);	}
sub check_username_for_sql_safeness		{ die_nice(qq`Invalid username:		'$_[0]' [called from: ` . (caller 1)[3]  . qq`]`) unless username_is_valid($_[0]);	}
sub check_groupname_for_sql_safeness		{ die_nice(qq`Invalid groupname:	'$_[0]' [called from: ` . (caller 1)[3]  . qq`]`) unless groupname_is_valid($_[0]);	}
sub check_sessionid_for_sql_safeness		{ die_nice(qq`Invalid session ID:	'$_[0]' [called from: ` . (caller 1)[3]  . qq`]`) unless sessionid_is_valid($_[0]);	}
sub check_id_for_sql_safeness			{ die_nice(qq`Invalid ID:		'$_[0]' [called from: ` . (caller 1)[3]  . qq`]`) unless $_[0] =~ /^(\d+|-[123])$/;	}


sub get_groups_hash
{
	printd "get_groups_hash('$_[0]')\n";

	# If you pass in a uid, then the resulting hash will
	# also indicate which groups that user is a member of.
	#

	my $user_id = shift;

	my ($id, $group, $members, %groups) = ();
	if(userbase_available())
	{
		my $sth = $PREF{dbh}->prepare("SELECT `id`, `group`, `members` FROM `$PREF{group_table}`");
		$sth->execute();
		$sth->bind_columns(\$id, \$group, \$members);
		while($sth->fetchrow_arrayref)
		{
			$groups{$group}{name} = $group;
			$groups{$group}{id} = $id;
			$groups{$group}{members} = $members;

			my $is_member = ();
			   if($group =~ /^($PREF{public_group_name}|$PREF{member_group_name})$/i)	{ $is_member = 1; }
			elsif($user_id =~ /^\d+$/)							{ $is_member = $members =~ /(^|,)$user_id(,|$)/; }

			$groups{$group}{is_member} = $is_member;
		}
	}
	else
	{
		$groups{$PREF{public_group_name}}{name}		= $PREF{public_group_name};
		$groups{$PREF{public_group_name}}{id}		= -1;
		$groups{$PREF{public_group_name}}{is_member}	= 1; # everyone's a member of the public.

		$groups{$PREF{member_group_name}}{name}		= $PREF{member_group_name};
		$groups{$PREF{member_group_name}}{id}		= -2;
		$groups{$PREF{member_group_name}}{is_member}	= 1 if $user_id =~ /^-(2|3)$/;

		$groups{$PREF{admin_group_name}}{name}		= $PREF{admin_group_name};
		$groups{$PREF{admin_group_name}}{id}		= -3;
		$groups{$PREF{admin_group_name}}{is_member}	= 1 if $user_id =~ /^-3$/;
	}

	return \%groups;
}


sub get_email_addresses_for_all_members_of_this_users_groups
{
	my $uid = shift; die_unless_numeric($uid, "user ID");
	my $include_users_own_email_address = shift; $include_users_own_email_address = 0 unless $include_users_own_email_address eq 'include_users_own_email_address';
	my $include_builtin_public_group = shift;    $include_builtin_public_group    = 0 unless $include_builtin_public_group    eq 'include_builtin_public_group';
	my $include_builtin_member_group = shift;    $include_builtin_member_group    = 0 unless $include_builtin_member_group    eq 'include_builtin_member_group';
	my $include_builtin_admin_group = shift;     $include_builtin_admin_group     = 0 unless $include_builtin_admin_group     eq 'include_builtin_admin_group';

	my %email_addresses = ();
	my $allgroups = get_groups_hash($uid);
	foreach my $group (sort keys %$allgroups)
	{
		next if $group =~ /^$PREF{public_group_name}$/i && !$include_builtin_public_group;
		next if $group =~ /^$PREF{member_group_name}$/i && !$include_builtin_member_group;
		next if $group =~ /^$PREF{admin_group_name}$/i  && !$include_builtin_admin_group;

		if(my $this_user_belongs_to_this_group = $$allgroups{$group}{is_member})
		{
			foreach my $member_id (split(/\s*,\s*/, $$allgroups{$group}{members}))
			{
				my $email = get_email_address($member_id);
				$email_addresses{ $email } = 1 unless !$include_users_own_email_address && $email eq $PREF{logged_in_email};
			}
		}
	}
	return keys %email_addresses;   # returns an array when this sub is called in list context.
}


# This function must do a case-insensitive lookup (i.e. use LOWER() on both sides)
# so that we never create a username multiple times with different cases.
#
sub username_is_taken
{
	return 0 unless userbase_available();
	my $user = shift;
	check_username_for_sql_safeness($user);
	return enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE LOWER(`username`) = LOWER('$user')");
}


sub email_address_is_taken
{
	my $address = shift;
	check_emailaddr_for_sql_safeness($address);
	return enc_sql_select("SELECT COUNT(*) FROM `$PREF{user_table}` WHERE LOWER(`email`) = LOWER('$address')");
}


sub salt_and_crypt_password($$)
{
	my $plaintext_password = shift;
	my $salt = shift;
	$plaintext_password = lc($plaintext_password) if $PREF{make_passwords_case_insensitive} =~ /yes/i;
	die "$0: salt_and_crypt_password(): no salt?\n" unless $salt;
	my ($salt1,$salt2) = ($salt =~ /^(.{15})(.{25})$/);
	my $crypted_password = enc_hash($salt1 . $plaintext_password . $salt2);
	return $crypted_password;
}


sub make_password_hash
{
	if($ENV{REQUEST_METHOD} =~ /post/i)
	{
		my $hashed_password = md5_hex(param('password'));
		start_html_output('Here is your hashed password...');
		print	  qq`<p>The hashed version of the password you just entered is:</p><p>$hashed_password</p>`
			. qq`<p>Now open your prefs file and paste this hash into one of the `
			. qq`\n\$PREF{admin_password_hash*} or \$PREF{member_password_hash*} settings.</p>`;
		finish_html_output();
		
	}
	else
	{
		start_html_output('Enter your new password');
		print	  qq`<form method="post" action="$ENV{SCRIPT_NAME}?newpw">`
			. qq`\nEnter your new password:`
			. qq`\n<br /><br /><input type="password" name="password" maxlength="200" class="default text" />`
			. qq`\n<br /><br /><input type="submit" value="create hash" class="default button submit" />`
			. qq`\n</form>`;
		finish_html_output();
	}
}


sub user_is_allowed_to
{
	return 1;
}


sub logged_in_user_is_part_of_a_subgroup()
{
	return 0 unless $PREF{member_is_logged_in};
	return user_is_part_of_a_subgroup($PREF{logged_in_userid});
}


sub user_is_part_of_a_subgroup($)
{
	#foreach my $group (enc_sql_select("SELECT "))
	#{
	#	if($group =~ /.+$PREF{subgroup_groupname_suffix}$/i)
	#	{
	#		return enc_sql_select("SELECT COUNT(*) FROM `$PREF{group_table}` WHERE LOWER(`group`) = LOWER('$group') AND `members` REGEXP '(^|,)$PREF{logged_in_userid}(,|\$)'");
	#	}
	#}

	my $uid = shift;
	return '' unless userbase_available();
	return $PREF{subgroup_manager_username} if exists $PREF{subgroup_manager_username}; # if this sub has already been called once, no need to re-do it.

	my $subgroup_groupname_suffix = $PREF{subgroup_groupname_suffix};
	sql_untaint($subgroup_groupname_suffix);
	exit_with_error("not SQL safe: \$subgroup_groupname_suffix ('$subgroup_groupname_suffix').") if not_sqlsafe($subgroup_groupname_suffix);

	die_unless_numeric($uid, '$uid');

	#return enc_sql_select("SELECT COUNT(*) FROM `$PREF{group_table}` WHERE `group` REGEXP '.+$subgroup_groupname_suffix\$' AND `members` REGEXP '(^|,)$uid(,|\$)'");
	#
	# 20111112: changing this to return the username of the SGM, rather than just
	# a zero or a number greater than zero, which doesn't change the true/false
	# value of the result, but makes it more useful:
	#
	my $subgroup = enc_sql_select("SELECT `group` FROM `$PREF{group_table}` WHERE `group` REGEXP '.+$subgroup_groupname_suffix\$' AND `members` REGEXP '(^|,)$uid(,|\$)'");
	$PREF{subgroup_manager_username} = ($subgroup =~ m!(.+)$subgroup_groupname_suffix$!)[0];
	$PREF{subgroup_manager_userid} = get_user_id($PREF{subgroup_manager_username}) if $PREF{subgroup_manager_username};
	return $PREF{subgroup_manager_username};
}


sub logged_in_user_is_subgroup_manager
{
	foreach my $group (split(/\s*,\s*/, $PREF{groups_that_can_manage_subgroup_users}))
	{
		return 1 if user_is_member_of_group($PREF{logged_in_userid}, $group);
	}
	return 0;
}


sub logged_in_subgroup_manager_owns_this_user($)
{
	my $userid_to_check = shift;
	return user_is_member_of_group($userid_to_check, "$PREF{logged_in_username}$PREF{subgroup_groupname_suffix}");
}


sub user_is_subgroup_manager
{
	my $username = shift;
	my $userid = get_user_id($username);
	foreach my $group (split(/\s*,\s*/, $PREF{groups_that_can_manage_subgroup_users}))
	{
		return 1 if user_is_member_of_group($userid, $group, 1);
	}
	return 0;
}


sub this_subgroup_manager_owns_this_user($$)
{
	my $subgroup_manager_userid = shift;
	my $userid_to_check = shift;
	my $subgroup_manager_username = get_user_name($subgroup_manager_userid);
	return user_is_subgroup_manager($subgroup_manager_username) && user_is_member_of_group($userid_to_check, "${subgroup_manager_username}$PREF{subgroup_groupname_suffix}");
}


sub exit_with_access_denied
{
	exit_with_needprivs();
}


##############################################################################
### Dispatch-VL: #############################################################
##############################################################################


load_prefs();

   if($qs =~ /(?:^|&)mode=stats(?:&|$)/)		{ show_stats(); }

elsif($qs =~ /(?:^|&)kmsg=(\w+)(?:&|$)/)
{
	exit_with_kmsg($1);
}
elsif($qs =~ /(?:^|&)smsg=(\w+)(?:&|$)/)
{
	exit_with_error($TEXT{The_password_you_entered_is_incorrect___}) if $1 eq 'failedlogin';
	exit_with_error($TEXT{"smsg_$1"}) if $TEXT{"smsg_$1"}; # for text strings that are entirely static, name them $TEXT{smsg_foo}.
}

# 20120115: mode=hitsgraph should probably be deprecated now, in favor of action=widgets,
# as should any reference to justsummary, and probably justcount|justonline as well.
#
elsif($qs =~ /(?:^|&)mode=hitsgraph(?:&|$)/)		{ show_hits_graph(); }

elsif($qs =~ /(?:^|&)action=fixarchivecount(?:&|$)/)	{ fix_archive_count(); }

elsif($qs =~ /(?:^|&)mode=dbmaint(?:&|$)/)		{ do_db_maintenance(); }

elsif($qs =~ /(?:^|&)makePasswordHash|newpw(?:&|$)/)	{ make_password_hash(); }

elsif($qs =~ /(?:^|&)printLogoutLink(?:&|$)/)		{ print_logout_link(); }

elsif($qs =~ /do_email_test/ && $PREF{enable_email_test} =~ /yes/i)	{ do_email_test(); }

elsif($qs eq 'guestlogout')
{
	do_guestlogout();
}
elsif($qs =~ /(?:^|&)action=loggedout&whence=(.*)(?:&|$)/   &&   $PREF{integrate_with_userbase} =~ /no/i)
{
	# note that the whence regex is .* not .*? because the value
	# will likely contain ampersands that we want to keep.
	show_loggedout_page($1);
}
else
{
	update_popular_pages_output_cache() if it_is_time_for_periodic_task('update_popular_pages_output_cache');


	# This must come before printing the HTTP headers.  Note: sometimes returns early.
	get_name() if $qs =~ /action=getname/;


	# Determine the user's site_id from the cookie.
	get_cookies_and_determine_site_id();

	# If the remote_host isn't set, try to detect it and set it.
	# NOTE: this can take a long time for some IPs, 30 seconds in one
	# case, and there's apparently no way to put a tighter timeout on
	# that.
	# 20101014: disabling this call, because it doesn't seem to be doing
	# anything that get_ip_and_host() isn't already trying.
	#set_remote_host();

	# Note: early returns.
	if($qs =~ /(?:^|&)deletecommitmode=true(?:&|$)/)	{ confirm_delete(); exit; }
	if($qs =~ /(?:^|&)action=searchhelp(?:&|$)/)		{ print_search_help(); exit; }


	# Log the visitor unless it's an admin.
	if($PREF{admin_is_logged_in}   &&   $PREF{log_administrators} =~ /no/i)
	{
		#remove_recent_admin_entry_from_log();
	}
	else
	{
		# Update 20100916: to avoid logging all the freaking spambots and other crap that
		# are plaguing the web in ever-increasing-numbers, let's try only logging via JS.
		# If this request didn't come in over Javascript, then don't log it.  We've been
		# doing an initial JS-based log for a while now, initiating an AJAX request to
		# to this script 3 seconds after pageload, in order to send the screen resolution,
		# so all we're doing now is preserving that but cutting out the original logging
		# that had been occurring due to the vlog call that was embedded in the page via
		# SHTML/PHP.
		#
		if($qs =~ /^res=/ && in_xml_output_mode())   # the ^res= check might be redundant...
		{
			#print STDERR encdebugtaghi() . "starting do_logging";
			$PREF{global_output} .= do_logging();
			#print STDERR encdebugtaghi() . "done do_logging";
		}

		$PREF{global_output} .= give_the_client_a_new_id_cookie();
	}


	# Not yet implemented.
	#log_chat_invite_and_redirect_to_chat_page();


	# Show some output, if we were called that way.
	#
	if(we_will_show_some_output())
	{
		#print STDERR encdebugtaghi() . "starting output block";

		my ($fullmode_output, $visitors_summary_output, $recent_visitors_output) = get_output();

		my $widgets = '';
		foreach my $widget (split(/\s*,\s*/, $PREF{enabled_output_widgets}))
		{
			$widgets .= get_hits_graph() if $widget eq 'visitors_graph';
			$widgets .= $visitors_summary_output if $widget eq 'visitors_summary';
			$widgets .= $recent_visitors_output if $widget eq 'recent_visitors';
			$widgets .= cat($PREF{popular_pages_cache_file}) if $widget eq 'popular_pages' && -e $PREF{popular_pages_cache_file};
		}

		if(in_fullvlog_output_mode())
		{
			$PREF{on_page} = 'full_visitorlist';
			$PREF{global_output} .= $fullmode_output;
		}
		elsif($qs =~ /action=widgets/ && !in_xml_output_mode())
		{
			$PREF{on_page} = 'widgets';
			$PREF{global_output} .=	  qq`<div id="vlogoutput">\n$widgets\n</div> <!-- end vlogoutput -->\n`;
		}
		elsif(in_xml_output_mode() && $PREF{enabled_output_widgets} && $PREF{realtime_stats_in_output_widgets} =~ /yes/i)
		{
			$PREF{global_output} .= $widgets;
		}

		#print STDERR encdebugtaghi() . "done output block";
	}



	archive_older_log_entries();



	if($qs =~ /print=false/)
	{
		return $PREF{global_output};
	}
	else
	{
		my $dont_use_full_html_output_for_this_page = $PREF{on_page} eq 'full_visitorlist'   ||   $PREF{on_page} eq 'widgets';
		$dont_use_full_html_output_for_this_page = 0 if ($PREF{on_page} eq 'widgets') && (get_qs_var('widgetfullhtml') eq 'yes');

		if(in_xml_output_mode())
		{
			print_xml_headers_vlog();
			print qq`<?xml version="1.0" encoding="ISO-8859-1"?>`;
			print "\n<visitorlogwidgets>\n";
		}
		else
		{
			if($dont_use_full_html_output_for_this_page)
			{
				print_http_headers();
			}
			else
			{
				start_html_output( '', { without_global_output => 1 } );   # without_global_output because for this particular call, we know we're printing the global output right after it.
			}
		}

		print_global_output();

		if(in_xml_output_mode())
		{
			print "\n</visitorlogwidgets>\n";
		}
		else
		{
			if($dont_use_full_html_output_for_this_page)
			{
				# 
			}
			else
			{
				finish_html_output();
			}
		}
	}
}


my $scriptelapsed = gettimeofday() - $scriptstart;
$scriptelapsed =~ s/(\d+\.\d\d).*/$1/;


#my $did = ();
#if(!$PREF{admin_is_logged_in})			{ $did .= 'do_logging(), ';	}
#if($qs =~ /(?:showoutput=\d+|mode=full)/)	{ $did .= 'get_output(), ';	}
#$did = "vlog: $scriptelapsed sec for total (pid=$$) ($did) (URI=$ENV{REQUEST_URI}) (limit=$PREF{approx_daily_visitors}).\n";
#
## only do this while debugging:
##printd($did);
##warn $did;


if(in_fullvlog_output_mode()) { print qq`<p style="text-align: center;">(page processing time: $scriptelapsed sec)</p>\n`; }


#print STDERR encdebugtaghi() . "done app";
